<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| Base Site URL
|--------------------------------------------------------------------------
|
| URL to your CodeIgniter root. Typically this will be your base URL,
| WITH a trailing slash:
|
|	http://example.com/
|
| If this is not set then CodeIgniter will try guess the protocol, domain
| and path to your installation. However, you should always configure this
| explicitly and never rely on auto-guessing, especially in production
| environments.
|
*/

if($_SERVER['SERVER_PORT']=='443')$Protocol='https://'; else $Protocol="http://";

if($_SERVER['HTTP_HOST'] == 'localhost' || $_SERVER['HTTP_HOST'] == '127.0.0.1')
{
  $config['base_url']="http://".$_SERVER['HTTP_HOST']."/investocafeV0.02";
  $config['SITE_URL'] = $Protocol.$_SERVER['HTTP_HOST']."/investocafeV0.02";
  $config['server_ip'] = "127.0.0.1";
}
elseif($_SERVER['HTTP_HOST'] == '192.168.0.112')
{
  $config['base_url']="http://".$_SERVER['HTTP_HOST']."/investocafeV0.02";
  $config['SITE_URL'] = $Protocol.$_SERVER['HTTP_HOST']."/investocafeV0.02";
  $config['server_ip'] = "192.168.0.112";
}
elseif($_SERVER['HTTP_HOST'] == 'technouniverse.in')
{
  $config['base_url']=$Protocol.$_SERVER['HTTP_HOST']."/sandbox/investocafe1";
  $config['SITE_URL'] = $Protocol.$_SERVER['HTTP_HOST']."/sandbox/investocafe1";
  $config['server_ip'] = "184.168.27.158";
}
elseif($_SERVER['HTTP_HOST'] == 'investocafe.com' || $_SERVER['HTTP_HOST'] == 'www.investocafe.com')
{
  $actual_link = "$Protocol"."$_SERVER[HTTP_HOST]"."$_SERVER[REQUEST_URI]";
  if (strpos($actual_link, 'staging') !== false) {
    $config['base_url']=$Protocol.$_SERVER['HTTP_HOST'].'/staging';
    $config['SITE_URL'] = $Protocol.$_SERVER['HTTP_HOST'].'/staging';
    $config['server_ip'] = "52.77.4.93";
    $config['uploads_folder_path']="staging/assets/uploads/";
  }else{
    //$config['base_url']=$Protocol.$_SERVER['HTTP_HOST'].'/assets/new';
    //$config['SITE_URL'] = $Protocol.$_SERVER['HTTP_HOST'].'/assets/new';
    $config['base_url']=$Protocol.$_SERVER['HTTP_HOST'].'';
    $config['SITE_URL'] = $Protocol.$_SERVER['HTTP_HOST'].'';
    $config['server_ip'] = "52.77.4.93";
    $config['uploads_folder_path']="assets/uploads/";
  }
}

/*
|--------------------------------------------------------------------------
| Index File
|--------------------------------------------------------------------------
|
| Typically this will be your index.php file, unless you've renamed it to
| something else. If you are using mod_rewrite to remove the page set this
| variable so that it is blank.
|
*/
$config['index_page'] = '';


$config['arn_number'] = 'ARN-107383';
$config['EUIN'] = 'E145355';
$config['user_code'] = '1';
/*
|--------------------------------------------------------------------------
| URI PROTOCOL
|--------------------------------------------------------------------------
|
| This item determines which server global should be used to retrieve the
| URI string.  The default setting of 'REQUEST_URI' works for most servers.
| If your links do not seem to work, try one of the other delicious flavors:
|
| 'REQUEST_URI'    Uses $_SERVER['REQUEST_URI']
| 'QUERY_STRING'   Uses $_SERVER['QUERY_STRING']
| 'PATH_INFO'      Uses $_SERVER['PATH_INFO']
|
| WARNING: If you set this to 'PATH_INFO', URIs will always be URL-decoded!
*/
$config['uri_protocol']	= 'REQUEST_URI';

/*
|--------------------------------------------------------------------------
| URL suffix
|--------------------------------------------------------------------------
|
| This option allows you to add a suffix to all URLs generated by CodeIgniter.
| For more information please see the user guide:
|
| http://codeigniter.com/user_guide/general/urls.html
*/

$config['url_suffix'] = '';

/*
|--------------------------------------------------------------------------
| Default Language
|--------------------------------------------------------------------------
|
| This determines which set of language files should be used. Make sure
| there is an available translation if you intend to use something other
| than english.
|
*/
$config['language']	= 'english';

/*
|--------------------------------------------------------------------------
| Default Character Set
|--------------------------------------------------------------------------
|
| This determines which character set is used by default in various methods
| that require a character set to be provided.
|
| See http://php.net/htmlspecialchars for a list of supported charsets.
|
*/
$config['charset'] = 'UTF-8';

/*
|--------------------------------------------------------------------------
| Enable/Disable System Hooks
|--------------------------------------------------------------------------
|
| If you would like to use the 'hooks' feature you must enable it by
| setting this variable to TRUE (boolean).  See the user guide for details.
|
*/
$config['enable_hooks'] = FALSE;

/*
|--------------------------------------------------------------------------
| Class Extension Prefix
|--------------------------------------------------------------------------
|
| This item allows you to set the filename/classname prefix when extending
| native libraries.  For more information please see the user guide:
|
| http://codeigniter.com/user_guide/general/core_classes.html
| http://codeigniter.com/user_guide/general/creating_libraries.html
|
*/
$config['subclass_prefix'] = 'MY_';

/*
|--------------------------------------------------------------------------
| Composer auto-loading
|--------------------------------------------------------------------------
|
| Enabling this setting will tell CodeIgniter to look for a Composer
| package auto-loader script in application/vendor/autoload.php.
|
|	$config['composer_autoload'] = TRUE;
|
| Or if you have your vendor/ directory located somewhere else, you
| can opt to set a specific path as well:
|
|	$config['composer_autoload'] = '/path/to/vendor/autoload.php';
|
| For more information about Composer, please visit http://getcomposer.org/
|
| Note: This will NOT disable or override the CodeIgniter-specific
|	autoloading (application/config/autoload.php)
*/
$config['composer_autoload'] = FALSE;

/*
|--------------------------------------------------------------------------
| Allowed URL Characters
|--------------------------------------------------------------------------
|
| This lets you specify which characters are permitted within your URLs.
| When someone tries to submit a URL with disallowed characters they will
| get a warning message.
|
| As a security measure you are STRONGLY encouraged to restrict URLs to
| as few characters as possible.  By default only these are allowed: a-z 0-9~%.:_-
|
| Leave blank to allow all characters -- but only if you are insane.
|
| The configured value is actually a regular expression character group
| and it will be executed as: ! preg_match('/^[<permitted_uri_chars>]+$/i
|
| DO NOT CHANGE THIS UNLESS YOU FULLY UNDERSTAND THE REPERCUSSIONS!!
|
*/
//$config['permitted_uri_chars'] = 'a-z 0-9~%.:_\-';
$config['permitted_uri_chars'] = '';


/*
|--------------------------------------------------------------------------
| Enable Query Strings
|--------------------------------------------------------------------------
|
| By default CodeIgniter uses search-engine friendly segment based URLs:
| example.com/who/what/where/
|
| By default CodeIgniter enables access to the $_GET array.  If for some
| reason you would like to disable it, set 'allow_get_array' to FALSE.
|
| You can optionally enable standard query string based URLs:
| example.com?who=me&what=something&where=here
|
| Options are: TRUE or FALSE (boolean)
|
| The other items let you set the query string 'words' that will
| invoke your controllers and its functions:
| example.com/index.php?c=controller&m=function
|
| Please note that some of the helpers won't work as expected when
| this feature is enabled, since CodeIgniter is designed primarily to
| use segment based URLs.
|
*/
$config['allow_get_array'] = TRUE;
$config['enable_query_strings'] = FALSE;
$config['controller_trigger'] = 'c';
$config['function_trigger'] = 'm';
$config['directory_trigger'] = 'd';

/*
|--------------------------------------------------------------------------
| Error Logging Threshold
|--------------------------------------------------------------------------
|
| If you have enabled error logging, you can set an error threshold to
| determine what gets logged. Threshold options are:
| You can enable error logging by setting a threshold over zero. The
| threshold determines what gets logged. Threshold options are:
|
|	0 = Disables logging, Error logging TURNED OFF
|	1 = Error Messages (including PHP errors)
|	2 = Debug Messages
|	3 = Informational Messages
|	4 = All Messages
|
| You can also pass an array with threshold levels to show individual error types
|
| 	array(2) = Debug Messages, without Error Messages
|
| For a live site you'll usually only enable Errors (1) to be logged otherwise
| your log files will fill up very fast.
|
*/
$config['log_threshold'] = 4;

/*
|--------------------------------------------------------------------------
| Error Logging Directory Path
|--------------------------------------------------------------------------
|
| Leave this BLANK unless you would like to set something other than the default
| application/logs/ directory. Use a full server path with trailing slash.
|
*/
$config['log_path'] = '';

/*
|--------------------------------------------------------------------------
| Log File Extension
|--------------------------------------------------------------------------
|
| The default filename extension for log files. The default 'php' allows for
| protecting the log files via basic scripting, when they are to be stored
| under a publicly accessible directory.
|
| Note: Leaving it blank will default to 'php'.
|
*/
$config['log_file_extension'] = 'txt';

/*
|--------------------------------------------------------------------------
| Log File Permissions
|--------------------------------------------------------------------------
|
| The file system permissions to be applied on newly created log files.
|
| IMPORTANT: This MUST be an integer (no quotes) and you MUST use octal
|            integer notation (i.e. 0700, 0644, etc.)
*/
$config['log_file_permissions'] = 0644;

/*
|--------------------------------------------------------------------------
| Date Format for Logs
|--------------------------------------------------------------------------
|
| Each item that is logged has an associated date. You can use PHP date
| codes to set your own date formatting
|
*/
$config['log_date_format'] = 'Y-m-d H:i:s';

/*
|--------------------------------------------------------------------------
| Error Views Directory Path`
|--------------------------------------------------------------------------
|
| Leave this BLANK unless you would like to set something other than the default
| application/views/errors/ directory.  Use a full server path with trailing slash.
|
*/
$config['error_views_path'] = '';

/*
|--------------------------------------------------------------------------
| Cache Directory Path
|--------------------------------------------------------------------------
|
| Leave this BLANK unless you would like to set something other than the default
| application/cache/ directory.  Use a full server path with trailing slash.
|
*/
$config['cache_path'] = '';

/*
|--------------------------------------------------------------------------
| Cache Include Query String
|--------------------------------------------------------------------------
|
| Set this to TRUE if you want to use different cache files depending on the
| URL query string.  Please be aware this might result in numerous cache files.
|
*/
$config['cache_query_string'] = FALSE;

/*
|--------------------------------------------------------------------------
| Encryption Key
|--------------------------------------------------------------------------
|
| If you use the Encryption class, you must set an encryption key.
| See the user guide for more info.
|
| http://codeigniter.com/user_guide/libraries/encryption.html
|
*/
if($_SERVER['HTTP_HOST'] == 'localhost' || $_SERVER['HTTP_HOST'] == '127.0.0.1')
{
  $config['encryption_key'] = 'Th!s!s3ncrypti0nK3y0fD3vInv3st0c@f3';
}
elseif($_SERVER['HTTP_HOST'] == '192.168.0.112')
{
  $config['encryption_key'] = 'Th!s!s3ncrypti0nK3y0fD3vInv3st0c@f3';
}
elseif($_SERVER['HTTP_HOST'] == 'technouniverse.in')
{
  $config['encryption_key'] = 'Th!s!s3ncrypti0nK3y0fD3vInv3st0c@f3';
}
elseif($_SERVER['HTTP_HOST'] == 'investocafe.com' || $_SERVER['HTTP_HOST'] == 'www.investocafe.com')
{
    $config['encryption_key'] = 'Th!s!s3ncrypti0nK3y0fD3vInv3st0c@f3';
}

/*
|--------------------------------------------------------------------------
| Session Variables
|--------------------------------------------------------------------------
|
| 'sess_driver'
|
|	The storage driver to use: files, database, redis, memcached
|
| 'sess_cookie_name'
|
|	The session cookie name, must contain only [0-9a-z_-] characters
|
| 'sess_expiration'
|
|	The number of SECONDS you want the session to last.
|	Setting to 0 (zero) means expire when the browser is closed.
|
| 'sess_save_path'
|
|	The location to save sessions to, driver dependant.
|
|	For the 'files' driver, it's a path to a writable directory.
|	WARNING: Only absolute paths are supported!
|
|	For the 'database' driver, it's a table name.
|	Please read up the manual for the format with other session drivers.
|
|	IMPORTANT: You are REQUIRED to set a valid save path!
|
| 'sess_match_ip'
|
|	Whether to match the user's IP address when reading the session data.
|
| 'sess_time_to_update'
|
|	How many seconds between CI regenerating the session ID.
|
| 'sess_regenerate_destroy'
|
|	Whether to destroy session data associated with the old session ID
|	when auto-regenerating the session ID. When set to FALSE, the data
|	will be later deleted by the garbage collector.
|
| Other session cookie settings are shared with the rest of the application,
| except for 'cookie_prefix' and 'cookie_httponly', which are ignored here.
|
*/

if($_SERVER['HTTP_HOST'] == 'localhost' || $_SERVER['HTTP_HOST'] == '127.0.0.1')
{
  $config['sess_expiration'] = 720000;
}
elseif($_SERVER['HTTP_HOST'] == '192.168.0.112')
{
  $config['sess_expiration'] = 720000;
}
elseif($_SERVER['HTTP_HOST'] == 'technouniverse.in')
{
  $config['sess_expiration'] = 7200;
}
elseif($_SERVER['HTTP_HOST'] == 'investocafe.com' || $_SERVER['HTTP_HOST'] == 'www.investocafe.com')
{
    $config['sess_expiration'] = 7200;
}
$config['sess_driver'] = 'files';
$config['sess_cookie_name'] = 'ci_session';
$config['sess_save_path'] = NULL;
$config['sess_match_ip'] = FALSE;
$config['sess_time_to_update'] = 300;
$config['sess_regenerate_destroy'] = FALSE;
$config['sess_use_database']    = TRUE;
$config['sess_table_name'] = 'ci_sessions';
/*
|--------------------------------------------------------------------------
| Cookie Related Variables
|--------------------------------------------------------------------------
|
| 'cookie_prefix'   = Set a cookie name prefix if you need to avoid collisions
| 'cookie_domain'   = Set to .your-domain.com for site-wide cookies
| 'cookie_path'     = Typically will be a forward slash
| 'cookie_secure'   = Cookie will only be set if a secure HTTPS connection exists.
| 'cookie_httponly' = Cookie will only be accessible via HTTP(S) (no javascript)
|
| Note: These settings (with the exception of 'cookie_prefix' and
|       'cookie_httponly') will also affect sessions.
|
*/
$config['cookie_prefix']	= '';
$config['cookie_domain']	= '';
$config['cookie_path']		= '/';
$config['cookie_secure']	= FALSE;
$config['cookie_httponly'] 	= FALSE;

/*
|--------------------------------------------------------------------------
| Standardize newlines
|--------------------------------------------------------------------------
|
| Determines whether to standardize newline characters in input data,
| meaning to replace \r\n, \r, \n occurences with the PHP_EOL value.
|
| This is particularly useful for portability between UNIX-based OSes,
| (usually \n) and Windows (\r\n).
|
*/
$config['standardize_newlines'] = FALSE;

/*
|--------------------------------------------------------------------------
| Global XSS Filtering
|--------------------------------------------------------------------------
|
| Determines whether the XSS filter is always active when GET, POST or
| COOKIE data is encountered
|
| WARNING: This feature is DEPRECATED and currently available only
|          for backwards compatibility purposes!
|
*/
$config['global_xss_filtering'] = FALSE;

/*
|--------------------------------------------------------------------------
| Cross Site Request Forgery
|--------------------------------------------------------------------------
| Enables a CSRF cookie token to be set. When set to TRUE, token will be
| checked on a submitted form. If you are accepting user data, it is strongly
| recommended CSRF protection be enabled.
|
| 'csrf_token_name' = The token name
| 'csrf_cookie_name' = The cookie name
| 'csrf_expire' = The number in seconds the token should expire.
| 'csrf_regenerate' = Regenerate token on every submission
| 'csrf_exclude_uris' = Array of URIs which ignore CSRF checks
*/
//print_r($_SERVER["REQUEST_URI"]);die;
$my_url_prefix = "";

if($_SERVER['HTTP_HOST'] == 'investocafe.com' || $_SERVER['HTTP_HOST'] == 'www.investocafe.com'){
 // $my_url_prefix = '/assets/new';
}elseif($_SERVER['HTTP_HOST'] == 'technouniverse.in')
{
  $my_url_prefix = "/sandbox/investocafe1";
}else{
   $my_url_prefix = "/investocafe";
}
if
(
  (
    isset($_SERVER["REDIRECT_QUERY_STRING"]) && $_SERVER["REDIRECT_QUERY_STRING"]=="/purchase/netbankingResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="/purchase/netbankingResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="/accountStatement/sendInvestmentHistory"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="/myProfile/getInvestorDataForAdmin"
  )
  ||
  (
    isset($_SERVER["REDIRECT_QUERY_STRING"]) && $_SERVER["REDIRECT_QUERY_STRING"]=="$my_url_prefix/purchase/netbankingResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/sendInvestmentHistory"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/myProfile/getInvestorDataForAdmin"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/login/logoutInactive"
  )
    ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/Welcome/appAddInvestor"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/apiAdditionalPurchaseCron/hitCams"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/Welcome/appCheckEmailExists"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/login/applogin"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/registration/appUpdateInvestorInfo"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/registration/appShowRegistrationView"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/investorDetail/appInvestorDetail"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/investorDetail/appCheckExistingPanInfo"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/investorDetail/appModifyInvestorDetail"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appBankAndNomineeData"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appGetDetailsByIfscCode"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appAddBankDetails"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appAddNomineeDatails"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/login/app_forgotten_password"
  )
  ||
    (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/login/app_reset_password"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appUploadCancelChequeImage"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appDashboardView"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/withdraw/appGetCurrentValueByFundType"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appGetAllInvestmentStatus"
  )
   ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appUpdateFatcaDeclaration"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/apploadView"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appPurchaseOneTimeInvestmentFunds"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appPurchaseFundsForSipMonthlyOnServer"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/login/in"
  )
   ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/home/aapSaveStepOneData"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/home/appSaveStepTwoData"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appLoadView"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appLoadViewIOS"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetInvestmentDetails"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetFundsInvestedDetails"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetFundsInvestedDetailsByFundTypeId"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/investorDetail/getPinCodeDetailApi"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/home/appUpdateHorizonRange"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/home/appUpdateDownsideRange"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/home/appUpdateAverageTempUserData"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetTaxSavingDetails"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/sipCalculation/appApiForGoalSave"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/myProfile/appMyProfileView"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appGetetRiskProfileData"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appFetchGoals"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/sipCalculation/appCalculateMyMonthlyInvestment"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/sipCalculation/appCalculateReturnOnMySIPInvestment"
  )
   ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appLoadViewEditData"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appGetCurrentLoggedInUserInfo"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appUpdateContactInfo"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appUpdateCurrentUserInfo"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appUpdateCurrentUserLoginIdPassword"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appUpdateCommunicationAddress"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appUpdateBankDetails"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appUpdateNomineeDetails"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/home/appSubmitQuestion"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appInsertCommunicationAddress"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appInsertNomineeDetails"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appDeleteNomineeDetails"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/aboutUs/appColl"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appAddUploadImage"
  )
   ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/changePlan/appChange"
  )
     ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/changePlan/appCancelPlan"
  )
     ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/changePlan/appCancelSIP"
  )
     ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/changePlan/appCancelWithdraw"
  )
     ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetCapitalGainList"
  )
    ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appModifysip"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/sipCalculation/appCalculateRetirementGoal"
  )
  ||
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/aboutUs/disclosures"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appDeleteGoal"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/Welcome/checkRiskProfileExist"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/withdraw/appAddWithdrawFunds"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/withdraw/appWithdrawFunds"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appModify"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appModifysipPurchasedFundsOnServer"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appModifyPurchasedFundsOnServer"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appShowAllSip"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/ConfigSIP/appStopSIP"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/ConfigSIP/appSkeepThisMonth"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/ConfigSIP/appDataForSIP"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appSipModifyByClient"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/documnetSet/createDocumentList"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/test/appSaveContactNumber"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/social/appLoginFacebook"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appUploadPan"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/preferences/appSendOtpTOClient"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/social/appAccountLinkdWithSocial"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/update_mother_name_on_server"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/relianceAPITest/appRelianceAPIFour"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/relianceAPITest/appRelianceAPITwo"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/otpTemp/verifyNow"
  )
  ||
   
  ( 
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/ekycSuccess"
  )
    ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appUploadInvestorPDF"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/emandateSuccess"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appMandat"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appEmandateSuccess"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/dashboard/appEkycSuccess"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appUploadAddressProof"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/AddBankAndNominiDatail/appUploadAadharCard"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/changePlan/appCancelWithdraw"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/apploadViewAndroid"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/hdfcEMandate/response"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/blogs/getBlogList"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetFundsInvestedDetails2"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/stp/appCreatePurchaseEnteryForSTP"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/accountStatement/appGetFundsInvestedDetails3"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appNetbankingResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/appNetbankingResponseSIP"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/fixedDeposit/MFPaymentResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/purchase/upiResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/upiRequest/upiResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/pushNotificationConfig/saveDeviceId"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/test/smsWebHook"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && strpos($_SERVER["REQUEST_URI"], 'api/')
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/handler/content"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/RemoteMandate/response"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/gold/trade/save"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/gold/trade/netBankingResponse"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/gold/trade/saveRedemtion"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/gold/redeem/placeRequest"
  )
  ||
  (
    isset($_SERVER["REQUEST_URI"]) && $_SERVER["REQUEST_URI"]=="$my_url_prefix/gold/redeem/netBankingResponse"
  )
)
{
    $config['csrf_protection'] = FALSE;
}
else
{
    $config['csrf_protection'] = TRUE;
}

//$config['csrf_protection'] = TRUE;
$config['csrf_token_name'] = 'investocafe_dev_csrf_token_name';
$config['csrf_cookie_name'] = 'investocafe_dev_csrf_cookie_name';
$config['csrf_expire'] = 7200;
$config['csrf_regenerate'] = TRUE;
$config['csrf_exclude_uris'] = array();

/*
|--------------------------------------------------------------------------
| Output Compression
|--------------------------------------------------------------------------
|
| Enables Gzip output compression for faster page loads.  When enabled,
| the output class will test whether your server supports Gzip.
| Even if it does, however, not all browsers support compression
| so enable only if you are reasonably sure your visitors can handle it.
|
| Only used if zlib.output_compression is turned off in your php.ini.
| Please do not use it together with httpd-level output compression.
|
| VERY IMPORTANT:  If you are getting a blank page when compression is enabled it
| means you are prematurely outputting something to your browser. It could
| even be a line of whitespace at the end of one of your scripts.  For
| compression to work, nothing can be sent before the output buffer is called
| by the output class.  Do not 'echo' any values with compression enabled.
|
*/
$config['compress_output'] = FALSE;

/*
|--------------------------------------------------------------------------
| Master Time Reference
|--------------------------------------------------------------------------
|
| Options are 'local' or any PHP supported timezone. This preference tells
| the system whether to use your server's local time as the master 'now'
| reference, or convert it to the configured one timezone. See the 'date
| helper' page of the user guide for information regarding date handling.
|
*/
$config['time_reference'] = 'local';

/*
|--------------------------------------------------------------------------
| Rewrite PHP Short Tags
|--------------------------------------------------------------------------
|
| If your PHP installation does not have short tag support enabled CI
| can rewrite the tags on-the-fly, enabling you to utilize that syntax
| in your view files.  Options are TRUE or FALSE (boolean)
|
*/
$config['rewrite_short_tags'] = FALSE;

/*
|--------------------------------------------------------------------------
| Reverse Proxy IPs
|--------------------------------------------------------------------------
|this is config function to get global variable in the list view 
| If your server is behind a reverse proxy, you must whitelist the proxy
| IP addresses from which CodeIgniter should trust headers such as
| HTTP_X_FORWARDED_FOR and HTTP_CLIENT_IP in order to properly identify
| the visitor's IP address.
|
| You can use both an array or a comma-separated list of proxy addresses,
| as well as specifying whole subnets. Here are a few examples:
|
| Comma-separated:	'10.0.1.200,192.168.5.0/24'
| Array:		array('10.0.1.200', '192.168.5.0/24')
*/
$config['proxy_ips'] = '';
