<?php
class Welcome extends CI_Controller{
/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : __construct
|   DATE : 03/10/2016
|   COMMENT :  this function is used to load registration_model model in all function
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/
	function __construct()
  	{
  	    parent::__construct();
	    //$this->load->config('email');
	    $this->load->model('registration/registration_model','registration_model');
  	}
/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : index
|   DATE : 03/10/2016
|   COMMENT :  this function is used to call a function of showRegistrationView to load registration function
|   CHECK STATUS : TRUE || true
------------------------------------------------------------------------------------------------------------
*/	
	public function index()
	{
        $data['referalid'] = '';
        if(isset($_GET['referalid']))
        {
            $data['referalid'] =$_GET['referalid'];
        }
		$this->_loadView('amit_theme/registration/welcome_view',$data);
	}

/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadView
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to load view of header and footer 
-----------------------------------------------------------------------------------------------------
*/
	function _loadView($view,$data)
    {
        $data['jsFile'] ='registration/welcome.js';
        $this->load->view('amit_theme/common/header',$data);
        $this->load->view($view,$data);
        $this->load->view('amit_theme/common/footer',$data );
    }


 /*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : addInvestor
|   DATE : 03/10/2016
|   COMMENT :  this function is used to new investor registration
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/
	
	function test()
	{
		echo $this->encrypt->decode("Hlk+5fQLT370dHGEk+j7cH5t21nIZnvAVbcX0gEylWz6BL+g54585LcbNjuAcX4hEM1emEe/ebQtZ7rI4y8NeQ==");
	}

    function addInvestor($app = 0)
    {
        echo "<pre>";
        print_r($_POST);
        exit;

    $name = $this->input->post("name");
	$array = explode(" ",$name);
	$count = count($array);
	if($count == 1)
	{
		$name_first = $array[0];
		$name_middle = "";
		$name_last = "";
	}
	else if($count == 2)
	{
		$name_first = $array[0];
		$name_middle = "";
		$name_last = $array[1];
	}
	else if($count == 3)
	{
		$name_first = $array[0];
		$name_middle = $array[1];
		$name_last = $array[2];
	}
	else if($count == 4)
	{
		$name_first = $array[0];
		$name_middle = $array[1]." ".$array[2];
		$name_last = $array[3];
	}
        $name=$this->encrypt->encode(handleString($this->input->post("name")));
        $email=$this->input->post("email");
        $prefix = $this->input->post('prefix');
        $phone=$this->encrypt->encode($this->input->post("phone"));
        $tokenImagePath = $this->input->post("tokenImagePath"); // enhanced security token image path
        $tokenImageName = $this->input->post("tokenImageName"); // enhanced securuty token image name given by user
        $password = $this->input->post("password");
        $referalid = $this->input->post("referalid");
        $group = array('1'); // Sets user to admin.
        $additional_data = array(
            'first_name' => $name,
            'phone' => $phone,
            "email"=>$email,
            "name_first"=>$name_first,
            "name_middle"=>$name_middle,
            "name_last"=>$name_last,
            "prefix"=>$prefix,
            "device_use" => "Web Application"
            );

        $id = $this->ion_auth->register($name, $password, $email, $additional_data,$group);

        if($id)
        {
     
            $data=array(
                        "login_id"=>$id,
                        "token_image_path"=>$tokenImagePath,
                        "token_image_name"=>$tokenImageName,
                        "agent_id"=>2456
                        );

            $investor_id = $this->registration_model->addInvestor($data);

            if($investor_id)
            {
                if($referalid != '')
                {
                    insertNewState(handleString($this->input->post("name")),$this->input->post("phone"),$email,$investor_id,$referalid);
                }

                $investorId=$investor_id;
                $this->addInvestorStatus($investorId);
                $ip_address=$this->input->ip_address();
				
        		$email = $email;
        		$name = $this->encrypt->decode($name);
        		$phone = $this->encrypt->decode($phone);
        		$result = $this->sendConfirmationEmail($email,$name,$investor_id,$phone);
                notificationAlert('New Registration',$name.' Create new account on investocafe. email id '.$email.' phone number '.$phone,$investorId);
        		$this->sendAccountActivationSms($name,$phone);
                $investorId=$this->encrypt->encode($investor_id);
                $investorId=str_replace("+",'[plus]',$investorId);

	         $this->session->set_flashdata('successregistration', 'Your Registration is successful with Investocafe. We are glad to have you on board to your journey of Financial Independence. Please verify your account by clicking on link sent in a verification Email to your registered E-mail-ID '.$email.'.
					If you do not find verification Email in your Inbox, do check your spam/junk box too.					
					<i>Regards: Team Investocafe fostering your financial independence.</i>'); 

                echo '{"success":true,"response":"added","id":"'.$id.'"}';

            }
            else
            {
                echo '{"success":false,"response":"error"}';
            }
			//Add Verification Mail
        }
        else
        {
            echo '{"success":false,"response":"already exists "}';
        }
    }

	
	  /*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : addInvestorStatus
|   DATE : 03/10/2016
|   COMMENT :  this function is used to update investor statuse when he/she complate there registration
|   CHECK STATUS :
------------------------------------------------------------------------------------------------------------
*/

    /** add investor status **/
    function addInvestorStatus($investorId)
    {
        $today_date= date("Y-m-d H:i:s");
        $data=array(
                    "investor_id"=>$investorId,
                    "first_registration" => 1 ,
                    "first_registration_date" => $today_date
                   );
        $result=$this->registration_model->updateInvestorStatus($data);

		log_message('info', '***** InvestorId : '.$investorId.', Controller : registration, Function : addInvestorStatus, Message : Successfully added investor status *****');
    }

/*     function sendConfirmationEmail($email,$name,$investor_id)
    {
        $today = date('d M Y h:i a', time());
        $data=array();
        $CI =& get_instance();
        $data["name"]=$name;
		$data["investor_id"] = $investor_id;
        $html=$CI->load->view('accountVerificationMail_view', $data,true);
        $CI->email->set_newline("\r\n");
        $CI->email->set_mailtype("html");
        $CI->email->to($email);
        $CI->email->bcc("amitmeena0206@gmail.com","nehajoshi.scs@gmail.com");
        $CI->email->from(" Investocafe Assistant<help@investocafe.com>", "Investocafe");
        $CI->email->subject("Account Verification Email From Investocafe");
        $CI->email->message($html);
        $result=$CI->email->send();
        //echo $CI->email->print_debugger();
        return $result;
    }
 */	
	public function manual_mail()
	{
		return;
		//$email = "amitmeena0206@gmail.com";
		$email = "dureha.anirudh@gmail.com";
		$name = "Anirudh Dureha";
		$investor_id = 930;
		$this->sendConfirmationEmail($email,$name,$investor_id);

		$email = "aliasgar.arif@gmail.com";
		
		$this->sendConfirmationEmail($email,$name,$investor_id);
	}

    public function testAccount()
    {
        $email = 'amitmeena0206@gmail.com';
        $name = 'amit meena';
        $investor_id = 55;
        $this->sendConfirmationEmail($email,$name,$investor_id);
    }
 
    function sendConfirmationEmail($email,$name,$investor_id,$phone="")
    {
		$today = date('d M Y h:i a', time());
        $data=array();
        $data["name"]=$name;
		$data["investor_id"] = $investor_id;
		$html=$this->load->view('accountVerificationMail_view', $data,true);
		$subject ="Account verification email";
		$out = sendEmail($email,$subject,$html);
        $email = "tanish.goswami@investocafe.com";
        $subject = "Create new account";
        $html = "<h3>Name - ".$data["name"]." Investor Id ".$data["investor_id"]." Mobile No - ".$phone."</h3>";
        $out = sendEmail($email,$subject,$html);
		if($out)
		{
			log_message('info', '***** InvestorId : '.$investor_id.', Controller : Welcome, Function : sendConfirmationEmail, Message : Successfully send email *****');
		}
		else
		{
			log_message('info', '***** InvestorId : '.$investor_id.', Controller : Welcome, Function : sendConfirmationEmail, Message : email not send *****');
		}
    }

 /*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : verifyEmail
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : Send sendSmsForRiskProfileAgeRangeChange 
-----------------------------------------------------------------------------------------------------
*/

    function sendAccountActivationSms($userName,$userPhone)
    {
        if($userPhone!="" && $userName!="")
        {
          $ch = curl_init();

          //Like us on bit.ly/eshpind----------------
          //$url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AhFLcgCDmJF56b081c8&mobiles=".$userPhone."&message=Dear%20".$userName."%2C%0AYour%20investment%20account%20has%20been%20activated.%20%0ALog%20in%20to%20your%20investocafe%20account%20and%20start%20investing.%20%0ATeam%20Investocafe.&sender=INCAFE&route=4;";
         $url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$userPhone."&message=Dear%20".$userName."%2C%0AYour%20investment%20account%20has%20been%20activated.%20%0ALog%20in%20to%20your%20investocafe%20account%20and%20start%20investing.%20%0ATeam%20Investocafe.&sender=INCAFE&route=4";$url=str_replace(" ", "%20", $url1);
          //echo $url;
          curl_setopt($ch, CURLOPT_URL, $url);
          //echo "<a href=''".str_replace('','%20',$url)." target='blank'>click</a>";

          //return the transfer as a string
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

          //$output contains the output string
          $output = curl_exec($ch);

          $dbData = array ('phone'=>$userPhone,'response'=>$output);
          $this->db->insert('msg_log',$dbData);
          //close curl resource to free up system resources
          curl_close($ch);

          if ( $output === FALSE)
          {
              $output=curl_error($ch); //echoes last session error
              return false;
          }
          return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message('info', '***** Controller : SendMessage, Function : sendAccountActivationSms, Message : Invalid user name or phone number provided for sending SMS For Risk Profile, AgeRange Change *****');
        }
    }

/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : AppAddInvestor
|   DATE : 18/10/2016
|   COMMENT :  This Function is Used To get Data From Moibile Appition for First Registration Form
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/
    function appAddInvestor($app = 0)
    {


      $data = json_decode(file_get_contents("php://input"));
        $name=$this->encrypt->encode(handleString($data->name));
        $email=$data->email;
        $phone=$this->encrypt->encode($data->phone);
        $tokenImagePath = $data->tokenImagePath; // enhanced security token image path
        $tokenImageName = $data->tokenImageName; // enhanced securuty token image name given by user
        $this->load->helper('string');
        $password = $data->password;
        
        $group = array('1'); // Sets user to admin.

        $additional_data = array(
            'first_name' => $name,
            'phone' => $phone,
            "email"=>$email,
            "device_use" => "Mobile Application"
            );

        $id = $this->ion_auth->register($name, $password, $email, $additional_data,$group);

        if($id)
        {
  
            $data=array(

                        "login_id"=>$id,
                        "token_image_path"=>$tokenImagePath,
                        "token_image_name"=>$tokenImageName
                        );

            $result = $this->registration_model->addInvestor($data);

            if($result)
            {
                $investor_id=$result;
              
                $this->addInvestorStatus($investor_id);
                $ip_address=$this->input->ip_address();
        
				$email = $email;
				$name = $this->encrypt->decode($name);
				$phone = $this->encrypt->decode($phone);
				$result = $this->sendConfirmationEmail($email,$name,$investor_id,$phone);
				$this->sendAccountActivationSms($name,$phone);
                notificationAlert('New Registration',$name.' Create new account on investocafe. email id '.$email.' phone number '.$phone,$investor_id);
				$this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Your Registration Successfully Done Please Varify Your Email </p>');

				echo '{"success":"true","response":"added" ,"InvestorId" : "'.$investor_id.'"}';

            }
            else
            {
                echo '{"success":"false","response":"error"}';
            }
      //Add Verification Mail
        }
        else
        {
            echo '{"success":"false","response":"already exists "}';
        }
    }

/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : AppCheckEmailExists
|   DATE : 18/10/2016
|   COMMENT :  This function is used to check if email already exist
|   CHECK STATUS :
------------------------------------------------------------------------------------------------------------
*/
    public function appCheckEmailExists()
    {
        $data = json_decode(file_get_contents("php://input"));
        $email=$data->email;
        $check_email=$this->registration_model->checkUserExistingInfo($email);
		
        if($check_email)
        {
            echo '{"success":"true","response":"already registered"}';
			log_message('info', '***** Controller : registration, Function : checkEmailExists, Message : Email id '.$email.' already registered *****');
        }
        else
        {
            echo '{"success":"false","response":"new registration"}';
			log_message('info', '***** Controller : registration, Function : checkEmailExists, Message : New email id '.$email.' *****');
        }
    }

  	
	/*
-----------------------------------------------------------------------------------------------------
*/

	public function checkRiskProfileExist()
	{
		$data = json_decode(file_get_contents('php://input'));
		$email = $data->email;
		if($email)
		{
			$res = $this->db->from("temp_users")
					 ->where("temp_user_email",$email)
					 ->get();
			if($res->num_rows() > 0 )
			{
				echo '{"success":"true" ,"msg" : "i have email :)"}';
			}
			else
			{
				echo '{"success":"false" ,"msg" : "do not have email :("}';
			}
		}
		else
		{
			echo '{"success":"false" ,"msg" : "please send me a email :("}';
		}
	}

	
}
