<?php

class ApiHdfcEMandate extends CI_Controller{

	function __construct()
	{
		parent::__construct();
		$this->load->model('api_model/api_my_profile_model');
	}
	
	public function mandate(){
		if(checkToken()){
	            if(methodCheck() == 'POST'){
	                $post = (object) $this->input->post();
	                if(!empty($post)){
	                    if(isset($post->login_token)){
	                        if(decode($post->login_token)){
	                        	$user_data = json_decode(decode($post->login_token));
	                        	$response = $this->api_my_profile_model->getUserInfo($user_data->investor_id);
	                        	if($response){
	                        		$response->username = decode($response->username);
	                        		$response->pan = decode($response->pan);
	                        		$response->account_holder_name = decode($response->account_holder_name);
	                        		$response->account_number = decode($response->account_number);
	                        		$response->phone = decode($response->phone);
	                        		$response->investor_id =$user_data->investor_id;
	                        		$response->batch =$this->batch($user_data->investor_id);
	                        		response(['user_data'=>$response]);
	                        	}else{
	                        		$error[] = "Please first complete your registration";
	                            	errorResponse($error,404);
	                        	}
	                        }else{
								$error[] = "Invalid login token";
	                            errorResponse($error,404);
							}
	                    }else{
	                        $error[] = "Key login_token not receive";
	                        errorResponse($error,404);
	                    }
	                }else{
	                    $error[] = "post data empty";
	                    errorResponse($error,404);
	                }
	            }else{
	                $error[] = methodCheck()." Method not allowed";
	                errorResponse($error,404);
	            }
	        }else{
	            $error[] = "Invalid token";
	            errorResponse($error,404);
	        }
	}
	

	public function batch($investor_id)
	{
		$res = $this->db->insert('emandate_batch',['investor_id' => $investor_id]);
		if($res)
		{
			return $this->db->insert_id();
		}
		else
		{
			return false;
		}
	}
}