<?php

class ApiRiskProfile extends CI_Controller{
	
	public function getInfoAboutRiskProfile()
	{
		if(checkToken()){
            if(methodCheck() == 'POST'){
                $post = (object) $this->input->post();
                if(!empty($post)){
                    if(isset($post->login_token)){
                        if(decode($post->login_token)){
                        	$user_data = json_decode(decode($post->login_token));
                        	// print_r($user_data);
                        	response([
                        				'step_one'  => [
			                        		'name',
			                        		'email',
			                        		'phone'
			                        	],
			                        	'step_two'  => [
			                        		'age',
			                        		'monthly_saving',
			                        		'dependents'
			                        	],
			                        	'step_three'=> [
			                        		'horizonRange' => [
			                        			"<3yrs",
			                        			">3yrs"
			                        		],
			                        		'downsideRange' =>[
			                        			"REMAIN INVESTED",
			                        			"INVEST MORE",
			                        			"REDEEM PARTIALLY",
			                        			"REDEEM COMPLETELY"
			                        		]
			                        	]
                        			]);

                        }else{
							$error[] = "Invalid login token";
                            errorResponse($error,404);
						}

                    }else{
                        $error[] = "Key login_token not receive";
                        errorResponse($error,404);
                    }

                }else{
                    $error[] = "post data empty";
                    errorResponse($error,404);
                }

            }else{
                $error[] = methodCheck()." Method not allowed";
                errorResponse($error,404);
            }

        }else{
            $error[] = "Invalid token";
            errorResponse($error,404);
        }
	}
}