<div class="row">
	<div class="col-md-12" id="dashboard-nav">
		<ul>
		  <li><a class="active" href="<?= base_url('Dashboard') ?>">Mutual Fund</a></li>
		</ul>
	</div>
	<div style="clear: both;"></div>
	<br />
	<div class="col-md-9">
		<div class="row">
			<div class="col-md-12">
				<div class="tab-content">
                        <div class="panel panel-default">
                        <?php if($data->nominees): ?>
                            <div class="panel-body">
                                
                                <div id="portfolio" class="tab-pane fade in active" style="padding: 0% 0% 5% 0%">
                                	    <div class="row"><div class="col-md-12"><h3>Change Nominee detail</h3><hr/></div></div>
                                        <?php $i=0; foreach($data->nominees as $nominee): $i++;?>
                                        <fieldset>
                                        <legend>Nominee <?= $i ?>:</legend>
                                        <?php if($nominee->status == 0) echo "<h4 class='w3-red'>This is under review please sign and send nominee change pdf to our head office address</h4>"; ?>
                                	    <div class="row">
                                            <div class="form-group col-md-6">
                                                <input type="hidden" class="nominee_details_id" value="<?= $nominee->nominee_details_id ?>">
                                                <label>Nominee Name</label>
                                                <input type="text" class="form-control nominee_name"  value="<?= $nominee->name ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label>Relation with nominee</label>
                                                <input type="text" class="form-control relation_with_investor" value="<?= $nominee->relation_with_investor ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="form-group col-md-6">
                                                <label>Percentage</label>
                                                <input type="text" class="form-control percentage" value="<?= $nominee->percentage ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <?php $date = explode('-', $nominee->date_of_birth); ?>
                                                <label>Date of birth</label>
                                                <div class="input-group name-addon">
                                                    <span class="input-group-addon">
                                                        <input type="text" class="form-control first-input dd" placeholder="DD" value="<?= $date[2] ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                                    </span>
                                                    <input type="text" class="form-control first-input mm"  placeholder="MM" value="<?= $date[1] ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                                    <span class="input-group-addon">
                                                        <input type="text" class="form-control last-input yyyy" placeholder="YYYY" value="<?= $date[0] ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                                    </span>
                                                 </div>
                                            </div>
                                        </div>
                                        <div class="row gurdian_div" style="display: none" >
                                            <div class="form-group col-md-6">
                                                <label>Gurdian Name</label>
                                                <input type="text" class="form-control gurdian_name" value="<?= $nominee->guardian_name ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label>Relation with guradian</label>
                                                <input type="text" class="form-control relation_with_guradian" value="<?= $nominee->relation_with_guardian ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="form-group col-md-6">
                                                <label>Address 1</label>
                                                <input type="text" class="form-control Address_1" value="<?= $nominee->address ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label>Pincode</label>
                                                <input type="text" class="form-control pincode" value="<?= $nominee->pin_code ?>" <?php if($nominee->status == 0) echo "disabled='disabled'"; ?>>
                                            </div>
                                        </div>
                                        <?php if($nominee->status != 0): ?>
                                        <button type="button" class="btn btn-info pull-right nominee_submit">Update</button>
                                        <?php endif; ?>
                                        <div style="clear: both;"></div>
                                        </fieldset>
                                        <?php endforeach; ?>
                                        <br />
                                        <br />
                                        <button id="add_nominee" class="btn btn-info btn-block">Add Nominee</button>
                                        <a href="<?= base_url('MyProfile') ?>">
                                </div>
                               
                           	</div>
                           
                        <?php endif; ?>
                      </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
			<?php  $this->load->view('public/view/side_bar'); ?>
	</div>
</div>

<script type="text/javascript">

    function createDate(year, month, date) {
          month = (month-1);
      var d = new Date(year, month, date);
      if (d.getFullYear() != year 
        || d.getMonth() != month
        || d.getDate() != date) {
        return false;
      }
      return d;
    }

    function getAge(DOB) {
        var today = new Date();
        var birthDate = new Date(DOB);
        var age = today.getFullYear() - birthDate.getFullYear();
        var m = today.getMonth() - birthDate.getMonth();
        if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
            age--;
        }    
        return age;
    }

    $(document).on("keyup",".dd",function(){
        $this = $(this).parent().parent().parent().closest('fieldset');
        getDates($this);
    });
    $(document).on("keyup",".mm",function(){
        $this = $(this).parent().parent().parent().closest('fieldset');
        getDates($this);
    });
    $(document).on("keyup",".yyyy",function(){
        $this = $(this).parent().parent().parent().closest('fieldset');
        getDates($this);
    });

    function getDates($this){
        var dd =$this.find('.dd').val();
        var mm =$this.find('.mm').val();
        var yyyy =$this.find('.yyyy').val();
        console.log(dd);
        // var dd = $("#dd").val();
        // var mm = $("#mm").val();
        // var yyyy = $("#yyyy").val();
        var date_of_birth = null;
        if(dd==""){
        }else if(mm==""){
        }else if(yyyy==""){
        } else if(!createDate(yyyy, mm, dd)){
        }else{
            date_of_birth = yyyy+"/"+mm+"/"+dd;
            if(getAge(date_of_birth) < 18){
                $this.find(".gurdian_div").show();
            }else{
                $this.find(".gurdian_div").hide();
            }
        }
    }
    $(document).on("click",".nominee_submit",function(){
        $this = $(this).parent().closest('fieldset');
        var error = 0;
        $this.find(".error").remove();
        var nominee_name = $this.find(".nominee_name").val();
        var relation_with_investor = $this.find(".relation_with_investor").val();
        var percentage = $this.find(".percentage").val();
        var dd = $this.find(".dd").val();
        var mm = $this.find(".mm").val();
        var yyyy = $this.find(".yyyy").val();
        var gurdian_name = $this.find(".gurdian_name").val();
        var relation_with_guradian = $this.find(".relation_with_guradian").val();
        var Address_1 = $this.find(".Address_1").val();
        var Address_2 = $this.find(".Address_2").val();
        var state = $this.find(".state").val();
        var pincode = $this.find(".pincode").val();
        var nominee_details_id = $this.find(".nominee_details_id").val();
        if(nominee_name == ""){
            $this.find(".nominee_name").after("<span class='error'>Nominee name is mandatory</span>");
            error +=1;
        }

        if(relation_with_investor == ""){
            $this.find(".relation_with_investor").after("<span class='error'>Relation with investor is mandatory</span>");
            error +=1;
        }

        console.log(percentage);
        if(percentage == ""){
            $this.find(".percentage").after("<span class='error'>percentage is mandatory</span>");
            error +=1;
        }
        else if(parseInt(percentage) < 0 || parseInt(percentage) > 100)
        {
            $this.find(".percentage").after("<span class='error'>Invalid percentage</span>");
            error +=1;
        }

        var date_of_birth = null;
        if(dd==""){
            $this.find(".name-addon").after("<span class='error'>Please enter date</span>");error +=1;
        }else if(mm==""){
            $this.find(".name-addon").after("<span class='error'>Please enter month</span>");error +=1;
        }else if(yyyy==""){
            $this.find(".name-addon").after("<span class='error'>Please enter year</span>");error +=1;
        } else if(!createDate(yyyy, mm, dd)){
            $this.find(".name-addon").after("<span class='error'>Invalid Date of birth</span>");error +=1;
        }else{
            date_of_birth = yyyy+"-"+mm+"-"+dd;
            if(parseInt(getAge(date_of_birth)) < 0){
                $this.find(".name-addon").after("<span class='error'>Invalid Date of birth</span>");error +=1;
            }else if(getAge(date_of_birth) < 18){
                if(gurdian_name == ""){
                    $this.find(".gurdian_name").after("<span class='error'>Gurdian name is mandatory</span>");
                    error +=1;
                }

                if(relation_with_guradian == ""){
                    $this.find(".relation_with_guradian").after("<span class='error'>Gurdian name is mandatory</span>");
                    error +=1;
                }
            }
        }

        if(Address_1 == ""){
            $this.find(".Address_1").after("<span class='error'>Address 1 is mandatory</span>");
            error +=1;
        }
        if(Address_2 == ""){
            $this.find(".Address_2").after("<span class='error'>Address 2 is mandatory</span>");
            error +=1;
        }

        if(state == ""){
            $this.find(".state").after("<span class='error'>state is mandatory</span>");
            error +=1;
        }

        if(pincode == ""){
            $this.find(".pincode").after("<span class='error'>pincode is mandatory</span>");
            error +=1;
        }

        if(pincode == ""){
            error +=1;
            $this.find(".pincode").after("<span class='error'>Pincode is mandatory</span>");
        }else if(!$.isNumeric(pincode)){
            error +=1;
            $this.find(".pincode").after("<span class='error'>Invalid Pincode</span>");
        }else if(pincode.length != 6){
            error +=1;
            $this.find(".pincode").after("<span class='error'>Invalid Pincode</span>");
        }

        console.log(error);
        if(error == 0){
            $("#wait").show();
            var data = {
                "nominee_name":nominee_name,
                "relation_with_investor":relation_with_investor,
                "percentage":percentage,
                "date_of_birth":date_of_birth,
                "guardian_name":gurdian_name,
                "relation_with_guardian":relation_with_guradian,
                "address":Address_1,
                "state":state,
                "pin_code":pincode,
                "nominee_details_id":nominee_details_id
            };

            console.log(data);
            $.post(site_url+"MyProfile/saveNominee", data ,function(result){
                var result = eval('('+result+')');
                console.log(result);
                $("#wait").hide();
                if(result.success==true){
                    $this.find("input").attr('disabled','disabled');
                    swal("Success!", result.msg, "success").then(function(){
                        window.open(result.pdf);
                    });
                }else{
                    swal("Error!", result.msg, "error");
                }
            })
        }
    })

    $("#add_nominee").click(function(){
        $("#portfolio").append(`<fieldset>
           <legend>Nominee:</legend>
           <div class="row">
              <div class="form-group col-md-6">
                 <input type="hidden" class="nominee_details_id" value="0">
                 <label>Nominee Name</label>
                 <input type="text" class="form-control nominee_name" value="">
              </div>
              <div class="form-group col-md-6">
                 <label>Relation with nominee</label>
                 <input type="text" class="form-control relation_with_investor" value="">
              </div>
           </div>
           <div class="row">
              <div class="form-group col-md-6">
                 <label>Percentage</label>
                 <input type="text" class="form-control percentage" value="">
              </div>
              <div class="form-group col-md-6">
                 <label>Date of birth</label>
                 <div class="input-group name-addon">
                    <span class="input-group-addon">
                    <input type="text" class="form-control first-input dd" placeholder="DD" value="">
                    </span>
                    <input type="text" class="form-control first-input mm" placeholder="MM" value="">
                    <span class="input-group-addon">
                    <input type="text" class="form-control last-input yyyy" placeholder="YYYY" value="">
                    </span>
                 </div>
              </div>
           </div>
           <div class="row gurdian_div" style="display: none">
              <div class="form-group col-md-6">
                 <label>Gurdian Name</label>
                 <input type="text" class="form-control gurdian_name" value="">
              </div>
              <div class="form-group col-md-6">
                 <label>Relation with guradian</label>
                 <input type="text" class="form-control relation_with_guradian" value="">
              </div>
           </div>
           <div class="row">
              <div class="form-group col-md-6">
                 <label>Address 1</label>
                 <input type="text" class="form-control Address_1" value="">
              </div>
              <div class="form-group col-md-6">
                 <label>Pincode</label>
                 <input type="text" class="form-control pincode" value="">
              </div>
           </div>
           <button type="button" class="btn btn-info pull-right nominee_submit">Update</button>
           <div style="clear: both;"></div>
        </fieldset>`);
    })
</script>