<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : ApiAdditionalPurchaseCron
|   MODEL USE : api_model
|   DATE : 08/10/2016
|   AUTHOER : amit meena
|   COMMENT : This controller is used to get First purchase data from data base then create a xml or txt file 
|   for karvy and cams then call api to hit the cams or karvy server
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class ApiAdditionalPurchaseCronTest extends CI_Controller
{
/*
-----------------------------------------------------------------------------------------------------
|   USE : __construct
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS USED TO LOAD HELPER AND MODEL TO ALL FUNCTION
-----------------------------------------------------------------------------------------------------
*/
	function __construct()
	{
		parent::__construct();
		$this->load->config('config_cams');
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model');
		$this->load->helper('cams_helper');
		$this->load->helper('karvy_helper');
		$this->karvyFile = array();
	}

	function getAdditionalPurchasedList()
    {
        date_default_timezone_set('Asia/Calcutta');
        $todaysDate=date("Y-m-d");
        //DATE_FORMAT(`request_date`,'%Y-%m-%d')='$todaysDate' and
        $sql="SELECT * FROM `purchased_units` WHERE
        `request_status` = 0 and `is_first_purchase` = 0 and date_of_deposit<>'0000-00-00 00:00:00' and deposit_ref_no <>''	and DATE_FORMAT(`request_date`,'%Y-%m-%d')<='$todaysDate' AND purchased_units_id in(51520,51462,51567,51511,51556,51515,51508,51599,51501,51581,51539,51589,51593,51612,51461,51584,51586,51601,51573,51499,51516,51559,51579,51563,51505,51583,51591,51595,51463)";
		// echo $sql;
        $query = $this->db->query($sql);
        if ($query->num_rows() > 0)
        {
			$data = (array) $query->result();
			$data = json_encode($data);
            return $query->result();
        }
        else
        {
            return false;
        }
    }

	function cronAdditionalPurchase()
	{	
		$additionalPurchasedList = $this->getAdditionalPurchasedList();
		if(isset($additionalPurchasedList) && !empty($additionalPurchasedList))
		{
			foreach($additionalPurchasedList as $row)
			{
				$purchaseData=$row;
				$investorDetails = $this->api_model->getInvestorDetails($purchaseData->investor_id);
				$nriArr=array(10,21,11);
				$overseasDetails="";
				if(isset($investorDetails->Karvy_tax_code) )
				{
		   			if(in_array($investorDetails->Karvy_tax_code, $nriArr))
		   			{
		   				$overseasDetails = $this->api_model->getInvestorOverseasDetails($purchaseData->investor_id);
		   			}
		   		}

				$investorBankDetails = $this->api_model->getInvestorBankDetails($purchaseData->investor_id);
				$fundDetails = $this->api_model->getFundDetails($purchaseData->fund_id);
				$resultFolio=getLatestFolioNumber($purchaseData->AMC_CODE,$purchaseData->investor_id);
				$folioNumber="";
				if($resultFolio)
				{
            		$folioNumber=$resultFolio;
        		}

				$nomineeDetails = $this->api_model->getInvestorNomineeDetail($purchaseData->investor_id);
				if(isset($investorDetails) && !empty($investorDetails) && isset($fundDetails) && !empty($fundDetails) && isset($investorBankDetails) && !empty($investorBankDetails))
				{
					$this->config->load('config_karvy');
					$data["investorDetails"]=$investorDetails;
					$data["overseasDetails"]=$overseasDetails;
					$data["fundDetails"]=$fundDetails;
					$data["purchaseData"]=$purchaseData;
					$data["investorBankDetails"]=$investorBankDetails;
					$data["nomineeDetails"]=$nomineeDetails;
				
					if($fundDetails->api_type_id == 1 && $purchaseData->investment_plan_type != 'STP')
					{
						$getKarvyXML = $this->createAdditionalPurchaseKarvyXML($data);
					}
				}
			}

			// print_r($this->karvyFile);
			foreach($this->karvyFile as $key => $mfdata)
			{
				$str = '<?xml version="1.0" encoding="UTF-8"?><file>';
				foreach ($mfdata as  $value) {
					$str .=$value;
				}
				$str .= '</file>';
				echo "assets/uploads/Karvy/".date("dMY")."_additionalPurchase_".$key.".xml<br />";
				$myfile =fopen("assets/uploads/Karvy/".date("dMY")."_additionalPurchase_".$key.".xml", "w");
				$result=fwrite($myfile, $str);
				fclose($myfile);
			}
		}
	}


	function createAdditionalPurchaseKarvyXML($data)
	{
		$purchased_units_id = $data['purchaseData']->purchased_units_id;
		$AMC_code = $data['fundDetails']->AMC_code;
		$string = $this->load->view('amit_theme/purchase_cron/karvy_additional_purchase_xml_view_test', $data,true);
		
		if (!array_key_exists($AMC_code,$this->karvyFile))
		{
			$this->karvyFile[$AMC_code] = [];
		}
		array_push($this->karvyFile[$AMC_code], $string);
		// $myfile =fopen("assets/uploads/Karvy/".date("dMY")."_additionalPurchase_".$purchased_units_id.".xml", "w");
		// $result=fwrite($myfile, $string);
		// fclose($myfile);
		// if($result)
		// {
		
		// }
	}
}
