<?php

class ApiPurchaseCron extends CI_Controller{

	function __construct()
	{
		parent::__construct();
		$this->load->config('config_cams');
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model');
		$this->load->helper('cams_helper');
		$this->load->helper('karvy_helper');
	}

	public function getFirstPurchaseSIPTransection()
	{
			$firstPurchasedSIPList = $this->api_model->getFirstPurchasedSIPList();
			if(isset($firstPurchasedSIPList) && !empty($firstPurchasedSIPList))
			{
				foreach($firstPurchasedSIPList as $firstPurchaseSIP)
				{
					$investorDetails = $this->api_model->getInvestorDetails($firstPurchaseSIP->investor_id);
					$nriArr=array(10,21,11);
					$overseasDetails="";
					if(isset($investorDetails->Karvy_tax_code) )
					{
						if(in_array($investorDetails->Karvy_tax_code, $nriArr))
						{
							$overseasDetails = $this->api_model->getInvestorOverseasDetails($firstPurchaseSIP->investor_id);
						}
					}
					$investorBankDetails = $this->api_model->getInvestorBankDetails($firstPurchaseSIP->investor_id);
					$SIPMontlyDetails = $this->api_model->getMontlyInvestmentDetails($firstPurchaseSIP->purchased_units_id);
					$fundDetails = $this->api_model->getFundDetails($firstPurchaseSIP->fund_id);
				
					$resultFolio=getLatestFolioNumber($firstPurchaseSIP->AMC_CODE,$firstPurchaseSIP->investor_id);
					$folioNumber="";
			        if($resultFolio)
			        {
			            $folioNumber=$resultFolio;
			        }
					$nomineeDetails = $this->api_model->getInvestorNomineeDetail($firstPurchaseSIP->investor_id);						
					if(isset($investorDetails) && !empty($investorDetails) && isset($fundDetails) && !empty($fundDetails) && isset($investorBankDetails) && !empty($investorBankDetails))
					{

						$data["investorDetails"]=$investorDetails;
						$data["overseasDetails"]=$overseasDetails;
						$data["fundDetails"]=$fundDetails;
						$data["firstPurchaseSIP"]=$firstPurchaseSIP;
						$data["purchaseData"]=$firstPurchaseSIP;
						$data["investorBankDetails"]=$investorBankDetails;
						$data["nomineeDetails"]=$nomineeDetails;
						$data["folioNumber"]=$folioNumber;
						$data["SIPMontlyDetails"]=$SIPMontlyDetails;
						
						if($fundDetails->api_type_id == 2)
						{
							echo "run";
							$payoutMecCode = $this->api_model->getPayoutMechCodeForCams($fundDetails->AMC_code);
							$data["payoutMecCode"]=$payoutMecCode;
							$getCAMSTxt = $this->createFirstPurchaseSIPCamsTxt($data);
						}
					}
				}
			}
	}

	function createFirstPurchaseSIPCamsTxt($data)
	{
			$monthly_investment_id = $data['SIPMontlyDetails']->monthly_investment_id;
			$amc_code = $data['fundDetails']->AMC_code;
			$purchased_units_id = $data['firstPurchaseSIP']->purchased_units_id;
			echo "<pre>";
			print_r($data);
			// $string = $this->load->view('amit_theme/purchase_cron/cams_first_SIP_purchase_txt', $data, true);
			echo $string = $this->load->view('purchase_cron/cams_first_purchase_sip_168_txt', $data, true);
			$fileName = getFileName($amc_code, $purchased_units_id);
			$myfile =fopen("assets/uploads/CAMS/".$fileName.".txt", "w");
			$result=fwrite($myfile, $string);
			fclose($myfile);
			if($result)
			{
				$fileName = $fileName.".txt";
				$this->camsFiles[] = $string;
				$save_path = "assets/uploads/CAMS/".$fileName;
				$this->db->where('purchased_units_id',$purchased_units_id)->update('purchased_units',['feed_path' => $save_path]);
				// $this->api_model->update_request_status($purchased_units_id); 
			}
	}
}
