<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : ApiRedemptionCron
|   MODEL USE : api_model
|   DATE : 08/10/2016
|   AUTHOER : amit meena
|   COMMENT : this controller is used to create a Redemption feed of karvy and cams and hit it to there server
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class ChangePlan extends CI_Controller
{
/*
-----------------------------------------------------------------------------------------------------
|   USE : __construct
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS USED TO LOAD HELPER AND MODEL TO ALL FUNCTION
-----------------------------------------------------------------------------------------------------
*/
	function __construct()
	{
	   // Call the Model constructor
	   parent::__construct();
	   $this->load->model('dashboard/dashboard_model');
       $this->load->model('purchase/change_plan_model');
	}

/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : To load Index method
-----------------------------------------------------------------------------------------------------
*/
	public function index($fundTypeId=0)
	{
		log_message('info', '*****  Controller : ChangePlan, Function : index, Message : view load chnage plan controller *****');
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            if(isset($_SESSION["pageId"]) && !empty($_SESSION["pageId"]))
            {
                $pageId=($_SESSION["pageId"]);
                if(in_array("6", $pageId))
                {
                    $this->change($fundTypeId=0);
                }
                else
                {
					
                    redirect(base_url());
                }
            }
            else
            {
                redirect(base_url());
            }
        }
        else
        {
            redirect(base_url());
        }
	}
/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : showing all chageble plan by fund type 
-----------------------------------------------------------------------------------------------------
*/

    function change($fundTypeId=0)
    {
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $pageId=($_SESSION["pageId"]);
            if(in_array("6", $pageId))
            {
               $this->_loadView("amit_theme/purchase/change_plan_view",$fundTypeId);
               $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>"Visited Change/Modify plan page");
               addSystemLog($data); // helper function
			   
            }
            else
            {
                redirect(base_url());
            }
        }
        else
        {
            redirect(base_url());
        }
    }
/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadView
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : to load header and footer
-----------------------------------------------------------------------------------------------------
*/
    function _loadView($view,$fundTypeId=null)
    {
    	$userId=$_SESSION["userId"];

        $result=$this->dashboard_model->getprofileImageUrlByUserId($userId);
    	if($result)
    	{
    		$data["profileImageUrl"]=$result->profile_image_url;
            $data["incomplete_bank_detail"]=$result->is_incomplete_bank_detail;
            $data["is_do_not_reg_nominee"]=$result->is_do_not_reg_nominee;
            $data["is_verify"]=$result->is_verify;
			log_message('info', '*****  Controller : ChangePlan, Function : _loadView, Message : get profile data *****');
    	}
    	else
    	{
    		$data["profileImageUrl"]="";
    	}

        $investorId=$_SESSION["investor_id"];
        $resultChangeblePlan=$this->change_plan_model->getAllChangeblePlanByFundType($investorId,$fundTypeId);


        $data['changePlanList']=$resultChangeblePlan;

        //  get fund type name by fund type id
        $fundTypeName=$this->common_model->getFundTypeName($fundTypeId);

        $data["fundTypeName"]=$fundTypeName;
        $data["fundTypeId"]=$fundTypeId;

    	$data['jsFile'] ='changePlan.js';
        $this->load->view('amit_theme/common/header',$data);
        $this->load->view('amit_theme/dashboard/dashboard_header_view',$data);
        $this->load->view($view);
        $this->load->view('amit_theme/common/footer',$data );
    }
/*
-----------------------------------------------------------------------------------------------------
|   USE : cancelPlan
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : update is_cancel value (user cancle the purchased fund)
-----------------------------------------------------------------------------------------------------
*/
    function cancelPlan()
    {
        if(checkuser_session())
        {
            $batchId=$this->input->post("batchId");
            $result=$this->change_plan_model->cancelPlanByBatchId($batchId);
            if($result)
            {
                $message="Cancelled successfully one time investment !!";
                echo '{"success":true,"msg":"'.$message.'"}';
				$this->sendEmailANdSms($batchId);
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelPlan, Message : '.$message.' *****');
            }
            else
            {
                $message="Failed cancelled one time investment !!";
                echo '{"success":false,"msg":"'.$message.'"}';
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelPlan, Message : '.$message.' *****');
            }
        }
        else
        {
            echo '{"success":false,"session":"out"}';
			log_message('info', '***** Controller : changePlan, Function : cancelPlan, Message : Session expired while trying to cancel the plan *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
|   USE : cancelSIP
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :this  function is used to cancle the SIP
-----------------------------------------------------------------------------------------------------
*/
    function cancelSIP()
    {
        if(checkuser_session())
        {
            $batchId=$this->input->post("batchId");
            $result=$this->change_plan_model->cancelPlanByBatchId($batchId);
            $resultSip=$this->change_plan_model->cancelSipPlanByBatchId($batchId);


            if($result)
            {
                $message="Successfully cancelled monthly sip !!";
                echo '{"success":true,"msg":"'.$message.'"}';
				$this->sendEmailANdSms($batchId);
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelSIP, Message : '.$message.' *****');
            }
            else
            {
                $message="Failed cancelled monthly sip !!";
                echo '{"success":false,"msg":"'.$message.'"}';
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelSIP, Message : '.$message.' *****');
            }
        }
        else
        {
            echo '{"success":false,"session":"out"}';
			log_message('info', '***** Controller : changePlan, Function : cancelPlan, Message : Session expired while trying to cancel the SIP *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
|   USE : cancelWithdraw
|   DATE : 08/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : user cancle the withdraw requiest
-----------------------------------------------------------------------------------------------------
*/
    function cancelWithdraw()
    {
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $batchId=$this->input->post("batchId");
            $result=$this->change_plan_model->cancelWithdrawByBatchId($batchId);
            if($result)
            {
                $message="Successfully cancelled  withdrawal request !!";
                echo '{"success":true,"msg":"'.$message.'"}';
				$this->sendEmailANdSms($batchId);
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelWithdraw, Message : '.$message.' *****');
            }
            else
            {
                $message="Failed cancelled  withdrawal request !!";
                echo '{"success":false,"msg":"'.$message.'"}';
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelWithdraw, Message : '.$message.' *****');
            }
        }
        else
        {
            echo '{"success":false,"session":"out"}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : changePlan, Function : cancelPlan, Message : Session expired while trying to cancel the withdrawal *****');
        }
    }
	
	
	
	
	
	
	/*
-----------------------------------------------------------------------------------------------------
|   USE : appChange
|   DATE : 13/12/2016
|   AUTHOER : prakash
|   COMMENT : it is used to modify/cancel plan
-----------------------------------------------------------------------------------------------------
*/

/* public function checkFundsInvestedTest(){
	   $resultChangeblePlan=$this->change_plan_model->testCheckgetAllChangeblePlanByFundType(86,3);
		if($resultChangeblePlan){
			print_r($resultChangeblePlan);
		}

} */
    function appChange()
    {
		$get = json_decode(file_get_contents("php://input"));
		if(isset($get->fundTypeId))
		{
			$investorId = $get->investorId;
			$userId = $get->userId;
			$fundTypeId=$get->fundTypeId;
			$resultChangeblePlan=$this->change_plan_model->getAllChangeblePlanByFundType($investorId,$fundTypeId);
			$data['changePlanList']=$resultChangeblePlan;

			//  get fund type name by fund type id
			$fundTypeName=$this->common_model->getFundTypeName($fundTypeId);

			$data["fundTypeName"]=$fundTypeName;
			$data["fundTypeId"]=$fundTypeId;
			if($resultChangeblePlan == false)
			{
				$data["success"]="false";
				log_message('info', '*****  Controller : ChangePlan, Function : appChange, Message : app chnage plan faluar for investor '.$investorId.' *****');
			}
			else
			{
				$data["success"]="true";
				log_message('info', '*****  Controller : ChangePlan, Function : appChange, Message : app chnage plan successfull for investor '.$investorId.' *****');
			}
			
			$out = json_encode($data);
			echo $out;
		}
		else
		{
			 echo '{"success":"false","msg":"Send fund type details"}';
			 log_message('info', '*****  Controller : ChangePlan, Function : appChange, Message : data not get *****');
		}
    }
	
	/*
-----------------------------------------------------------------------------------------------------
|   USE : appCancelPlan
|   DATE : 13/12/2016
|   AUTHOER : prakash
|   COMMENT : update is_cancel value (user cancle the purchased fund)
-----------------------------------------------------------------------------------------------------
*/
    function appCancelPlan()
    {
       	$get = json_decode(file_get_contents("php://input"));
		if(isset($get->batchId))
        {
		    $investorId = $get->investorId;
		    $batchId=$get->batchId;
            $result=$this->change_plan_model->cancelPlanByBatchId($batchId);
            if($result)
            {
                $message="Cancelled successfully one time investment !!";
                echo '{"success":"true","msg":"'.$message.'"}';
                $data=array("investor_id"=>$investorId,"log_msg"=>$message);
                addSystemLog($data); // helper function
			     log_message('info', '***** InvestorId : '.$investorId.', Controller : changePlan, Function : appCancelPlan, Message : '.$message.' *****');
            }
            else
            {
                $message="Failed cancelled one time investment !!";
                echo '{"success":"false","msg":"'.$message.'"}';
                $data=array("investor_id"=>$investorId,"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$investorId.', Controller : changePlan, Function : appCancelPlan, Message : '.$message.' *****');
            }
        }
        else
        {
            echo '{"success":"false","session":"out"}';
			log_message('info', '***** Controller : changePlan, Function : appCancelPlan, Message : Session expired while trying to cancel the plan *****');
        }
    }
	
	
		/*
-----------------------------------------------------------------------------------------------------
|   USE : appCancelSIP
|   DATE : 13/12/2016
|   AUTHOER : prakash
|   COMMENT : this  function is used to cancle the SIP with app
-----------------------------------------------------------------------------------------------------
*/

   function appCancelSIP()
    {
        $get = json_decode(file_get_contents("php://input"));
		if(isset($get->batchId))
		{
			$investorId = $get->investorId;
			$batchId=$get->batchId;
			$result=$this->change_plan_model->cancelPlanByBatchId($batchId);
            $resultSip=$this->change_plan_model->cancelSipPlanByBatchId($batchId);
            if($result)
            {
                $message="Successfully cancelled monthly sip !!";
                echo '{"success":"true","msg":"'.$message.'"}';
                $data=array("investor_id"=>$investorId,"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$investorId.', Controller : appCancelSIP, Function : cancelSIP, Message : '.$message.' *****');
            }
            else
            {
                $message="Failed cancelled monthly sip !!";
                echo '{"success":"false","msg":"'.$message.'"}';
                $data=array("investor_id"=>$investorId,"log_msg"=>$message);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$investorId.', Controller : appCancelSIP, Function : cancelSIP, Message : '.$message.' *****');
            }
        }
        else
        {
            echo '{"success":"false","session":"out"}';
			log_message('info', '***** Controller : changePlan, Function : appCancelSIP, Message : Session expired while trying to cancel the SIP *****');
        }
    }
	
	
	public function sendEmailANdSms($batch_id)
	{
		$user_id = $_SESSION['userId'];
		$res = $this->db->query("select phone,username,email from users where id = ".$user_id."");
		
		$data['msg'] = "Thank you for choosing Investocafe. You're on your way to growing your wealth safely with us.<br /><br />Your instruction for the execution with respect to your investments in Mutual Funds to Investocafe has been received and will be executed. The details are as under: ";
		$res = $res->row();
		$first_name =  $this->encrypt->decode($res->username);
		$data['investor_name'] = $first_name;
		$email = $res->email;
		$Phone = $this->encrypt->decode($res->phone);
		$funds = $this->db->query("select purchased_units.fund_id ,funds.fund_name from purchased_units join funds on purchased_units.fund_id = funds.fund_id  where purchased_units.batch_id = ".$batch_id."")->result();
		$str = "";

		foreach($funds as $fund)
		{
			$str .= $fund->fund_name."<br />";
		}
		
		$data['fund_name'] = $str;
		$data['type_of_instruction'] = "cancel";
		$data['subject'] = "Confirmation mail for cancel transection";
		$this->sendMail($data,$email);
		$msg = "Dear $first_name, your transaction cancelled successfully. %20%0A%20%0ATeam%20Investocafe";
		$this->sendSms($Phone,$msg);
        $this->sendSms('9826625009',$msg);
	}
	
	function sendMail($data,$email ="")
    {
		if($email = "")
		{
			$email=$_SESSION["email"];
		}
        $html=$this->load->view('skip_update_stop_sip_mail', $data,true);
        $subject=$data['subject'];
		log_message('info', '*****  Controller : ChangePlan, Function : sendMail, Message : send email on '.$email.' *****');
		$out = sendEmail($email,$subject,$html);
		return $out;
    }
	
    // stop temp
	function sendSms($Phone,$msg)
    {
        if($Phone!="" && $msg!="")
        {
            $ch = curl_init();
            $url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$Phone."&message=".$msg."&sender=INCAFE&route=4";
            $url=str_replace(" ", "%20", $url1);
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$output = curl_exec($ch);
			$dbData = array ('phone'=>$Phone,'response'=>$output);
            $this->db->insert('msg_log',$dbData);
            curl_close($ch);
			if ( $output === FALSE)
            {
              $output=curl_error($ch); //echoes last session error
			  log_message('info', '*****  Controller : ChangePlan, Function : sendSms, Message : sms send failuar on '.$Phone.' *****');
              return false;
            }
            return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message("info", "***** InvestorId : ".$_SESSION['investor_id'].", Controller : Purchase,  Function : sendPurchaseSms, Messege : Invalid user name or phone number for send Sms For purchase funds. *****");
        }
    }
	
/*
-----------------------------------------------------------------------------------------------------
|   USE : appCancelWithdraw
|   DATE : 13/12/2016
|   AUTHOER : prakash
|   COMMENT : user cancel the withdraw request with app
-----------------------------------------------------------------------------------------------------
*/

    function appCancelWithdraw()
    {
        $get = json_decode(file_get_contents("php://input"));
        if(isset($get->batchId))
        {
            $investorId = $get->investorId;
            $batchId=$get->batchId;
            $result=$this->change_plan_model->cancelWithdrawByBatchId($batchId);
            if($result)
            {
                $message="Successfully cancelled  withdrawal request !!";
                echo '{"success":true,"msg":"'.$message.'"}';
                // $this->sendEmailANdSms($batchId);
                $data=array("investor_id"=>$investorId,"log_msg"=>$message);
                addSystemLog($data); // helper function
                log_message('info', '***** InvestorId : '.$investorId.', Controller : changePlan, Function : cancelWithdraw, Message : '.$message.' *****');
            }
            else
            {
                $message="Failed cancelled  withdrawal request !!";
                echo '{"success":false,"msg":"'.$message.'"}';
                $data=array("investor_id"=>$investorId,"log_msg"=>$message);
                addSystemLog($data); // helper function
                log_message('info', '***** InvestorId : '.$investorId.', Controller : changePlan, Function : cancelWithdraw, Message : '.$message.' *****');
            }
        }
        else
        {
            echo '{"success":false,"session":"out"}';
            log_message('info', '***** InvestorId : '.$investorId.', Controller : changePlan, Function : cancelPlan, Message : Session expired while trying to cancel the withdrawal *****');
        }
    }


}
