<?php if (!defined ('BASEPATH')) exit ('No direct access allowed');
class Export extends CI_Controller {
    function __construct()
    {
        parent::__construct();                        
        $this->load->model("dashboard_model");
        $this->load->library('PHPExcel/Classes/PHPExcel.php');          
    }
    function index()
    {
    	$this->newExcel();
	}

	function newExcel()
	{

		// Create new PHPExcel object
		$objPHPExcel = new PHPExcel();
		$objPHPExcel->getProperties()->setCreator("Maarten Balliauw")
							 ->setLastModifiedBy("Maarten Balliauw")
							 ->setTitle("Office 2007 XLSX Test Document")
							 ->setSubject("Office 2007 XLSX Test Document")
							 ->setDescription("Test document for Office 2007 XLSX, generated using PHP classes.")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Test result file");


		// Add some data
		$objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('A1', 'Id')
		            ->setCellValue('B1', 'Username')
		            ->setCellValue('C1', 'Email');
		            

		$data = $this->dashboard_model->download_to_excel();
		//print_r($data);
        $filename = "Output";

        

        $row_count = 2;
        foreach ($data as $row) {
        	$objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('A' . $row_count, $row->id);
            $objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('B' . $row_count, $row->username);
            $objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('C' . $row_count, $row->email);
            $row_count++;
        }            

		
		// Rename worksheet
		$objPHPExcel->getActiveSheet()->setTitle('Simple');


		// Set active sheet index to the first sheet, so Excel opens this as the first sheet
		$objPHPExcel->setActiveSheetIndex(0);


		// Redirect output to a client’s web browser (Excel5)
		header('Content-Type: application/vnd.ms-excel');
		header('Content-Disposition: attachment;filename="investor.xls"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');

		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0

		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter->save('php://output');
	}
}