<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class netbanking extends CI_Controller {

    function __construct()
    {
      // Call the Model constructor
       parent::__construct();
       $this->config->load('config_atom');
       //$this->load->model('netBanking_model');
       $this->data='';
    }

    public function index()
    {

      $this->_loadView('netBanking_view');
      /*$logged=$this->ion_auth->logged_in();
      if($logged)
      $logged=$this->ion_auth->logged_in();
          $this->_loadView('netBanking_view');
      }
      else
      {
          $this->_loadView('login_view');
      }*/
    }

    function _loadView($view)
      {
          $this->data['jsFile'] ='login.js';
          $this->load->view('includes/header',$this->data);
          $this->load->view($view,$this->data);
          $this->load->view('includes/footer',$this->data );
      }

      function requestMerchant(){
      //  print_r($_POST);die;
    		//$payment = new payment();
    		$datenow = date("d/m/Y h:m:s");
    		$modifiedDate = str_replace(" ", "%20", $datenow);

        $clientCode = 'UTI';
        $prodId = 'UFGP1';
    		$paymentUrl = $this->config->item('Url');
    		$postFields  = "";
    		$postFields .= "&login=".$this->config->item('Login');
    		$postFields .= "&pass=".$this->config->item('Password');
    		$postFields .= "&ttype=".$_POST['TType'];
    		$postFields .= "&prodid=".$prodId;
    		$postFields .= "&amt=".$_POST['amount'];
    		$postFields .= "&txncurr=".$this->config->item('TxnCurr');
    		$postFields .= "&txnscamt=".$this->config->item('TxnScAmt');
    		$postFields .= "&clientcode=".urlencode(base64_encode($clientCode));
    		$postFields .= "&txnid=".rand(0,999999);
    		$postFields .= "&date=".$modifiedDate;
    		$postFields .= "&custacc=".$_POST['AccountNo'];
    		$postFields .= "&ru=".$_POST['ru'];
    		// Not required for merchant
    		//$postFields .= "&bankid=".$_POST['bankid'];

    		$sendUrl = $paymentUrl."?".substr($postFields,1)."\n";

    		//$this->writeLog($sendUrl);
        log_message('info', '*****' . $sendUrl . ' *****');

    		$returnData = $this->sendInfo($postFields,$paymentUrl);
        log_message('info', '*****' . $returnData . ' *****');
    		//$this->writeLog($returnData."\n");
    		$xmlObjArray     = $this->xmltoarray($returnData);

    		$url = $xmlObjArray['url'];
    		$postFields  = "";
    		$postFields .= "&ttype=".$_POST['TType'];
    		$postFields .= "&tempTxnId=".$xmlObjArray['tempTxnId'];
    		$postFields .= "&token=".$xmlObjArray['token'];
    		$postFields .= "&txnStage=1";

    		$url = $paymentUrl."?".$postFields;
    		//$this->writeLog($url."\n");
        log_message('info', '*****' . $sendUrl . ' *****');
    		header("Location: ".$url);
    	}

    	function writeLog($data){
    		$fileName = "netBanking_".date("Y-m-d").".txt";
    		$fp = fopen("../logs/".$fileName, 'a+');
    		$data = date("Y-m-d H:i:s")." - ".$data;
    		fwrite($fp,$data);
    		fclose($fp);
    	}

    	function xmltoarray($data){
    		$parser = xml_parser_create('');
    		xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, "UTF-8");
    		xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
    		xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
    		xml_parse_into_struct($parser, trim($data), $xml_values);
    		xml_parser_free($parser);

    		$returnArray = array();
    		$returnArray['url'] = $xml_values[3]['value'];
    		$returnArray['tempTxnId'] = $xml_values[5]['value'];
    		$returnArray['token'] = $xml_values[6]['value'];

    		return $returnArray;
    	}

      function sendInfo($data,$paymentUrl){
    		$ch = curl_init();

    		curl_setopt($ch, CURLOPT_URL, $paymentUrl);
    		curl_setopt($ch, CURLOPT_HEADER, 0);
    		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    		curl_setopt($ch, CURLOPT_POST, 1);
    		curl_setopt($ch, CURLOPT_PORT , 443);
    		//curl_setopt($ch, CURLOPT_SSLVERSION,3);
    		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
    		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
    		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    		$returnData = curl_exec($ch);

    		curl_close($ch);
    			return $returnData;
    	}

      function response(){
        //print_r($_POST);die;

        if($_POST['f_code']=="Ok"){
          $this->data['msg'] = "Success : Your Transaction is been processed.";
        }else{
          $this->data['msg'] = "Failure : Your Transaction could not be processed.";
        }
        $this->_loadView('netBanking_response_view');
      }
}
