<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class TestAPI extends CI_Controller
{
	function __construct()
	{
		 parent::__construct();
		 $this->load->helper('karvy');
		 $this->load->helper('cams');
		 //$this->load->config('config_cams');

	}
	function index(){
		echo 'hi';
	}

	function camsCurlCommand($fileName){
		//$this->camsCurlExec($fileName);
		camsCurlCommand($fileName);
		$activityMsg="helper url hit".$fileName;
		log_message("info","*****".$activityMsg."*****");
		addActivityLog($activityMsg);
	}

	function cronAdditionalPurchase($amcCode, $fileName, $transactionId, $transactionType)
	{
			echo $filePath = $this->config->item('uploads_folder_path')."Karvy/";
			execKarvyJavaUrl($amcCode, $filePath.$fileName, $transactionId, $transactionType);
			$activityMsg="helper url hit".$fileName;
			log_message("info","*****".$activityMsg."*****");
			addActivityLog($activityMsg);
	}

	// test karvy api response
	function karvyResposeTest()
	{
		$response="Karvy API===RESPONSE===5===p===
		  <?xml version='1.0' standalone='yes'?>
		  <Services>
		      <Information>
		          <Return_Code>0</Return_Code>
		          <Return_Msg>File Uploaded Successfully</Return_Msg>
		      </Information>
		      <ReverseDetails>
		          <PortRemarks>Record saved successfully</PortRemarks>
		          <AMC_CODE>RMF</AMC_CODE>
		          <BROKE_CD>ARN-107383</BROKE_CD>
		          <SBBR_CODE />
		          <USER_CODE>IZ99</USER_CODE>
		          <USR_TXN_NO>12</USR_TXN_NO>
		          <APPL_NO>A2</APPL_NO>
		          <FOLIO_NO>0</FOLIO_NO>
		          <CK_DIG_NO />
		          <TRXN_TYPE>P</TRXN_TYPE>
		          <SCH_CODE>GFGP</SCH_CODE>
		          <FIRST_NAME>arvindpanchal</FIRST_NAME>
		          <JONT_NAME1 />
		          <JONT_NAME2 />
		          <ADD1>indore</ADD1>
		          <ADD2>.</ADD2>
		          <ADD3>.</ADD3>
		          <CITY>I1</CITY>
		          <PINCODE>452009</PINCODE>
		          <PHONE_OFF />
		          <MOBILE_NO>8103241526</MOBILE_NO>
		          <TRXN_DATE>05/11/2016</TRXN_DATE>
		          <TRXN_TIME>04:47:34</TRXN_TIME>
		          <UNITS>0.00</UNITS>
		          <AMOUNT>5000.00</AMOUNT>
		          <CLOS_AC_CH />
		          <DOB>0</DOB>
		          <GUARDIAN />
		          <TAX_NUMBER>AWPPV2013V</TAX_NUMBER>
		          <PHONE_RES />
		          <FAX_OFF />
		          <FAX_RES />
		          <EMAIL>investornri08@gmail.com</EMAIL>
		          <ACCT_NO>56200130100015800001</ACCT_NO>
		          <ACCT_TYPE>NRE</ACCT_TYPE>
		          <BANK_NAME>UnionBankofIndia</BANK_NAME>
		          <BR_NAME>MNCroad</BR_NAME>
		          <BANK_CITY>newyork</BANK_CITY>
		          <REINV_TAG>Z</REINV_TAG>
		          <HOLD_NATUR>SI</HOLD_NATUR>
		          <OCC_CODE>1</OCC_CODE>
		          <TAX_STATUS>21</TAX_STATUS>
		          <REMARKS />
		          <STATE>Madhya Pradesh</STATE>
		          <PAN_2_HLDR />
		          <PAN_3_HLDR />
		          <Guard_PAN />
		          <LOCATION>Indore</LOCATION>
		          <UINno />
		          <FORM6061 />
		          <FORM6061J1 />
		          <FORM6061J2 />
		          <PAY_MEC>I</PAY_MEC>
		          <RTGS_CD />
		          <NEFT_CD>UBIN0007580</NEFT_CD>
		          <MICR_CD />
		          <DEPBANK>HDFC</DEPBANK>
		          <DEP_ACNO>500350023380</DEP_ACNO>
		          <DEP_DATE>05/11/2016</DEP_DATE>
		          <DEP_RFNo />
		          <SUB_TRXN_T>Normal</SUB_TRXN_T>
		          <SIP_RFNO>0</SIP_RFNO>
		          <SIP_RGDT>01/01/1900</SIP_RGDT>
		          <NOM_NAME />
		          <NOM_RELA />
		          <KYC_FLG>Y</KYC_FLG>
		          <POA_STAT>Y</POA_STAT>
		          <MOD_TRXN>W</MOD_TRXN>
		          <SIGN_VF>Y</SIGN_VF>
		          <CUST_ID>7</CUST_ID>
		          <LOG_WT>11052016$05:02:22$122.168.86.15$184.168.27.158$2</LOG_WT>
		          <LOG_PE />
		          <DPID />
		          <CLIENTID />
		          <NRI_SOF>56200130100015800001</NRI_SOF>
		          <GUARD_RELA />
		          <PAN_VALI>Y</PAN_VALI>
		          <GPAN_VALI />
		          <J1PAN_VALI />
		          <J2PAN_VALI />
		          <NRI_ADD1>mncroad</NRI_ADD1>
		          <NRI_ADD2>.</NRI_ADD2>
		          <NRI_ADD3>.</NRI_ADD3>
		          <NRI_CITY>name</NRI_CITY>
		          <NRI_STATE>IL</NRI_STATE>
		          <NRI_COUN>Australia</NRI_COUN>
		          <NRI_PIN>6800201</NRI_PIN>
		          <NOM_DOB />
		          <NOM_PERC>0</NOM_PERC>
		          <NOM_ADD1 />
		          <NOM_ADD2 />
		          <NOM_ADD3 />
		          <NOM_CITY />
		          <NOM_STATE />
		          <NOM_COUN />
		          <NOM_PIN />
		          <NOM_EMAIL />
		          <NOM_MOB />
		          <NOM1_NAME />
		          <NOM1_RELA />
		          <NOM1_DOB />
		          <NOM1_PERC />
		          <NOM1_ADD1 />
		          <NOM1_ADD2 />
		          <NOM1_ADD3 />
		          <NOM1_CITY />
		          <NOM1_STATE />
		          <NOM1_COUN />
		          <NOM1_PIN />
		          <NOM1_EMAIL />
		          <NOM1_MOB />
		          <NOM2_NAME />
		          <NOM2_RELA />
		          <NOM2_DOB />
		          <NOM2_PERC />
		          <NOM2_ADD1 />
		          <NOM2_ADD2 />
		          <NOM2_ADD3 />
		          <NOM2_CITY />
		          <NOM2_STATE />
		          <NOM2_COUN />
		          <NOM2_PIN />
		          <NOM2_EMAIL />
		          <NOM2_MOB />
		          <FIRC_STA>N</FIRC_STA>
		          <SIP_STDT>01/01/1900</SIP_STDT>
		          <SIP_ENDT>01/01/1900</SIP_ENDT>
		          <SIP_NOINST />
		          <SIP_FREQ />
		          <EUIN>E145355</EUIN>
		          <EUIN_OPTIN>Y</EUIN_OPTIN>
		          <E1 />
		          <E2 />
		          <E3 />
		          <E4 />
		          <E5 />
		          <E6 />
		          <IHNO>391237499</IHNO>
		          <Transaction_Date>05/12/2016</Transaction_Date>
		      </ReverseDetails>
		  </Services>";
		karvyRespose($response);
	}
}
