<?php

class CustomerCurrentValTool extends CI_Controller{
	
	public function index()
	{
		$res = $this->db->query("SELECT users.username,users.phone, users.email,investor.address,investor.address_2,investor.original_city, investor.pincode ,  SUM( purchased_units.purchased_amount ) AS p_amount, purchased_units.investor_id FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE purchased_units.request_status = 1 and purchased_units.investor_id in(1371,
1957,
122,
717,
121,
2076,
2131,
2359,
1645,
2994,
1121,
3811,
3165,
3288,
683,
2354,
2872,
3164,
722,
461,
2824,
3197,
700,
146,
762,
3620,
526,
2070,
1954,
525,
152,
3999,
449,
2204,
128,
3772,
2891,
3875,
2162,
3770,
752,
3861,
1657,
778,
3895,
3628,
849) GROUP BY purchased_units.investor_id");
		if($res->num_rows()){
			$result = $res->result();
			$file = fopen("assets/customer_portfolio_data.csv","w");
			foreach ($result as $kk => $u) {
				$investor_id = $u->investor_id;
				// if($u->p_amount > 100000){
					$res_investment = $this->get_investment_detail($investor_id);
					// print_r($res_investment );
					// exit;
					// echo "<pre>";
					// print_r( $res_investment->total['all']['current_investment_value']);
					// exit;
// $u->address = str_replace(',', " ", $u->address);
// $u->address_2 = str_replace(',', " ", $u->address_2);
// $u->original_city = str_replace(',', " ", $u->original_city);

// $data =  $this->encrypt->decode($u->username).",".$u->email.",".round($res_investment->total['all']['current_investment_value']).",".$u->address.",".$u->address_2.",".$u->original_city.",".$u->pincode;
// fputcsv($file,explode(',',$data));
					// echo "<pre>";
					// print_r($res_investment);exit;
					foreach ($res_investment as $key => $value) {
						if($key != 'total'){
							foreach ($value as $k => $r) {
								if($r->current_amount>999){
									$data =  $this->encrypt->decode($u->username).",".$this->encrypt->decode($u->phone).",".$u->email.",".$r->fund_name.",".$r->units.",".$r->fund_id.",".$r->name.",".$r->current_investment_amount.",".$r->current_amount;
								    fputcsv($file,explode(',',$data));
								}
							}
						}
					}
				// }
			}
			
			fclose($file);
		}
	}

	public function get_investment_detail($investor_id)
	{
		$calculted_funds = [];
		$res_fund_amount = $this->db->query("SELECT funds.fund_name, SUM(unit_count) AS units, IFNULL( SUM(unit_count) -( SELECT SUM(unit_count) FROM sold_units WHERE fund_id = purchased_units.fund_id AND request_status = 1 AND investor_id = $investor_id ), SUM(unit_count) ) * fund_history.nav AS current_amount, purchased_units.fund_id, funds.fund_type_id, fund_type.name FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id JOIN fund_history ON purchased_units.fund_id = fund_history.fund_id JOIN fund_type ON fund_type.fund_type_id = funds.fund_type_id WHERE investor_id = $investor_id AND request_status = 1 AND fund_history.is_latest = 1 GROUP BY purchased_units.fund_id");
		if($res_fund_amount->num_rows() > 0)
		{
			$fund_amount = $res_fund_amount->result();
			foreach($fund_amount as $fs)
			{
				$current_invested_amount = $this->investmentCurrentValue($fs->fund_id,$investor_id);
				$investmentCurrentValueWithoudSTP = $this->investmentCurrentValueWithoudSTP($fs->fund_id,$investor_id);
				@$calculted_funds['total']['all']['current_investment_amount_without_stp'] += $investmentCurrentValueWithoudSTP;
				@$calculted_funds['total']['all']['current_investment_amount'] += $current_invested_amount;
				@$calculted_funds['total']['all']['current_investment_value'] += $fs->current_amount;
				@$calculted_funds['total'][$fs->fund_type_id]['current_investment_amount'] += $current_invested_amount;
				@$calculted_funds['total'][$fs->fund_type_id]['current_investment_value'] += $fs->current_amount;
				$fs->current_investment_amount = $current_invested_amount;
				$calculted_funds['key'.$fs->fund_type_id][] = $fs;
			}
		}

		return (object)$calculted_funds;
	}

	public function investmentCurrentValue($fund_id,$investor_id)
	{
		$res_purchase_fund = $this->db->query("SELECT * FROM purchased_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
		$res_unit_sum_sold_fund = $this->db->query("SELECT SUM(unit_count) as units FROM sold_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
		if($res_unit_sum_sold_fund->num_rows() > 0)
		{
			$purchase_fund = $res_purchase_fund->result();
			$total_sold_units =  $res_unit_sum_sold_fund->row()->units;
			$remaining_units =$total_sold_units;
			$current_amount = 0;
			foreach($purchase_fund as $pf)
			{
				$remaining_units = $remaining_units - $pf->unit_count;
				if($current_amount > 0)
				{
					$current_amount = $current_amount + $pf->purchased_amount;
				}

				if($remaining_units < 0 && $current_amount ==0)
				{
					$old_nav = $pf->purchased_amount/$pf->unit_count;
					$current_amount = $old_nav* abs($remaining_units);
				}
			}

			return round($current_amount);
		}
	}

	public function investmentCurrentValueWithoudSTP($fund_id,$investor_id)
	{
		$res_purchase_fund = $this->db->query("SELECT * FROM purchased_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id AND investment_plan_type != 'STP'");
		$res_unit_sum_sold_fund = $this->db->query("SELECT SUM(unit_count) as units FROM sold_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id AND withdraw_type !=4");
		if($res_unit_sum_sold_fund->num_rows() > 0)
		{
			$purchase_fund = $res_purchase_fund->result();
			$total_sold_units =  $res_unit_sum_sold_fund->row()->units;
			$remaining_units =$total_sold_units;
			$current_amount = 0;
			foreach($purchase_fund as $pf)
			{
				$remaining_units = $remaining_units - $pf->unit_count;
				if($current_amount > 0)
				{
					$current_amount = $current_amount + $pf->purchased_amount;
				}

				if($remaining_units < 0 && $current_amount ==0)
				{
					$old_nav = $pf->purchased_amount/$pf->unit_count;
					$current_amount = $old_nav* abs($remaining_units);
				}
			}

			return round($current_amount);
		}
	}
}