<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class GetUserData extends CI_Controller
{
    function __construct()
    {
       // Call the Model constructor
       parent::__construct();
		$this->load->model('dashboard/dashboard_model');
    }

    public function index()
    {
		$data=$this->dashboard_model->getAllData();
		if($data){
			$mainArray=array();
			foreach($data as $dt){
				$name = $this->encrypt->decode($dt->username);
				$first_name=$name;
				$last_name='';
				if (strpos($name, ' ') !== false) {
					$pieces = explode(" ", $name);
					$first_name=$pieces[0];
					$last_name=$pieces[1];
				}
				$phone = $this->encrypt->decode($dt->phone);
				$email=$dt->email;
				$investor_id=$dt->investor_id;
				$iArr=array($investor_id,$first_name,$last_name,$email,$phone);
				array_push($mainArray,$iArr);
			}
			$file_name="assets/uploads/users_data.csv";
			echo $file_name;
			if(file_exists($file_name)){
			$file = fopen($file_name,"w");
			foreach ($mainArray as $line)
			{
			// fputcsv($file,$line); uncomment to write
			}
			fclose($file);  
			}else{
			echo 'file not exists';
			}  
		} 
	}
	
}