<?php 

class Auth extends CI_Controller{

	function __construct()
	{
		parent::__construct();
		$this->load->model('gold/gold_auth_model','gam');
		$this->load->helper('gold');
	}

	public function index()
	{
		error_reporting(1);

			$curl = curl_init();

			curl_setopt_array($curl, array(
			  CURLOPT_URL => "https://dgsuat.mmtcpamp.com/digitalgold/rest/security/login",
			  CURLOPT_RETURNTRANSFER => true,
			  CURLINFO_HEADER_OUT => true,
			  CURLOPT_ENCODING => "",
			  CURLOPT_MAXREDIRS => 10,
			  CURLOPT_TIMEOUT => 30,
			  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			  CURLOPT_CUSTOMREQUEST => "GET",
			  CURLOPT_HTTPHEADER => array(
			    "authorization: Basic aW52ZXN0b3VzZXJAaW52ZXN0b2NhZmUuY29tOnRlc3QyJA==",
			    "cache-control: no-cache",
			    "partnerid: Investocafe",
			    "password: test2$",
			    "username: investouser@investocafe.com"
			  ),
			));
		$headers = [];

		curl_setopt($curl, CURLOPT_HEADERFUNCTION,
		    function ($curl, $header) use (&$headers) {

		        $len = strlen($header);

		        $header = explode(':', $header, 2);
		        if (count($header) < 2) // ignore invalid headers
		            return $len;

		        $headers[strtolower(trim($header[0]))][] = trim($header[1]);

		        return $len;
			}
		);

		echo "<pre>";
		$response = curl_exec($curl);
		print_r($response);
		$err = curl_error($curl);
		if ($err) {
		  echo "cURL Error #:" . $err;
		} else {

			$auth_token =  explode("=",explode(';',$headers['set-cookie'][0])[0])[1];
			print_r($auth_token);
		}

		curl_close($curl);
	}

	/*
	Regitration function to use register user on gold side
	and generate customer refrence number
	*/
	public function registration($investor_id)
	{
		$payload = $this->gam->userRegitrationData($investor_id);
		if($payload){
			$uri = "customer/createprofile";
			$payload = $payload;
			$cookie = get_token();
			$response = postfn($uri,$payload,$cookie);
			if($response){		
				$data = json_decode($response);	
				if(property_exists($data,'dgCustomerRefNo')){
					$saveRes = $this->gam->saveGdCustomerRef($investor_id,$data->dgCustomerRefNo);
					if($saveRes){
						echo '{"success":true,"msg":"successfully create new account"}';
					}else{
						echo '{"success":false,"msg":"problem in saving dgCustomerRefNo"}';
					}
				}else{
					if($data[0]->code=1){
						$saveRes = $this->gam->saveGdCustomerRef($investor_id,$data[0]->otherInfo->dgCustomerRefNo);
						if($saveRes){
							echo '{"success":true,"msg":"successfully create new account"}';
						}else{
							echo '{"success":false,"msg":"problem in saving dgCustomerRefNo"}';
						}
					}else{
						echo '{"success":false,"msg":"somthing went to wrong"}';
					}
				}
			}else{
				echo '{"success":false,"msg":"Response not recive from gold"}';
			}
		}else{
			echo '{"success":false,"msg":"user not found"}';
		}
	}
}