<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : InvestorDetail
|   MODEL USE : registration_model
|   DATE : 03/10/2016
|   AUTHOER : amit meena
|   COMMENT : THIS FUNCTION IS USED TO GET INVESTOR MORE DETAIL
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class InvestorDetail extends CI_Controller {

	function __construct()
	{
	  // Call the Model constructor
	   parent::__construct();
	   $this->load->model('registration/registration_model');
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS USED TO LAOD VIEW OF INVESRT FORM
-----------------------------------------------------------------------------------------------------
*/

	public function lookInvestor($investor_id)
	{
        
            $result=$this->registration_model->getInvestorDetail($investor_id);
			//print_r($result);
		
	}
	public function index()
	{
        $data=array();
        if(isset($_SESSION["investor_id"]) && isset($_SESSION["readyforUpdate"]))
        {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorDetail($invId);
            $resultBank=$this->registration_model->getInvestorBankAndPanDetail($invId);
            $data["investorStatus"]=$this->common_model->getInvestorStatus($invId);
            $data["bankData"]=$resultBank;
            $data["row"]=$result;

        }
		else 
        {
			log_message('info', '***** Controller : InvestorDetail, Function : index, Message : Investor details not available in session *****');
		}

        if(isset($_SESSION["investor_id"]) && !empty($_SESSION['investor_id']))
        {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
            $data["modifyRow"]=$result;
            $data["overseasDetails"]=$this->registration_model->getInvestorOverseasDetail($invId);
            $result=$this->registration_model->checkInvestorOverseasDetail($invId);
            $data["overseasAvailable"]=$result;
            $resultNominee=$this->registration_model->getInvestorNomineeDetail($invId);
            $data["nomineeData"]=$resultNominee;
        }

        $data["cityList"]=$this->registration_model->getCityList();
		$data["stateList"]=$this->registration_model->getStateList();
        $data["countryList"]=$this->registration_model->getCountyList();
        $data["addressProofList"]=$this->registration_model->getInvestorAddressProofList();
        $data["idProofList"]=$this->registration_model->getInvestorIdProofList();
        $data["familyStatusList"]=$this->registration_model->getInvestorFamilyStatusList();
        $data["occuptionList"]=$this->registration_model->getInvestorOccupationList();
        $data["bankAccountTypeList"]=$this->registration_model->getInvestorBankAccountTypeList();
		$data["bankMasterList"]=$this->registration_model->getbankMasterAll();
        $data["assistedEmpData"] = $this->registration_model->getAssistantEmpList();

        if(isset($_SESSION['investor_id']) && !empty($_SESSION['investor_id']))
        {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorDetail($invId);
            $data["invDetail"] = $result;
        }

        if(isset($_SESSION['investor_id']) && !empty($_SESSION['investor_id']))
        {
            // echo "<pre>";
            // print_r($data);
            // exit;
            $this->_loadView('amit_theme/registration/investor_detail_view',$data);
        }
        else
        {
            redirect('registration');
        }

        
    }



/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadView
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : this function is ussed to load common views 
-----------------------------------------------------------------------------------------------------
*/
    function _loadView($view,$data)
    {
        $data["page1"]=false;
        $data["page2"]=true;
        $data["page3"]=false;
        $this->load->view('amit_theme/common/header',$data);
        $data['jsFile'] ='registration/investorDetail.js';
        $this->load->view($view,$data);
        $this->load->view('amit_theme/common/footer',$data );
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : addInvestorDetail
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : addInvestorDetail is used to save investor detail to database
-----------------------------------------------------------------------------------------------------
*/
	function addInvestorDetail()
	{
		$pincode=$this->input->post("pincode");
        $address=handleString($this->input->post("address"));
        $address2=handleString($this->input->post("address2"));
        $city=$this->input->post("city");
		$original_city=$this->input->post("original_city");
        $panNo=$this->encrypt->encode(handleString($this->input->post("panNo")));
        $state=$this->input->post("state");

        $state = $this->registration_model->get_state_model($state);

        $address_proof=$this->input->post("address_proof");
        $id_proof=$this->input->post("id_proof");
        $status=$this->input->post("status");
        $name=handleString($this->input->post("name"));
        $occupation=$this->input->post("occupation");
        $income=handleString($this->input->post("income"));
        $doa=$this->input->post("doa");
        $politicallyExposed=$this->input->post("politicallyExposed");
        $relatedPoliticallyExposed=$this->input->post("relatedPoliticallyExposed");
        $politicallyExposedRemark=$this->input->post("politicallyExposedRemark");
        $assistedEmpCheckbox=$this->input->post("assistedEmpCheckbox");
        $assistedEmpName=$this->input->post("assistedEmpName");
        $investorId=$_SESSION["investor_id"];
        $applicationNumber=$investorId."APN".date("ymd");
        $updateInvdata=array(

                            "application_number"=>$applicationNumber,
                            "pan"=>$panNo,
                            "pincode"=>$pincode,
                            "address"=>$address,
                            "address_2"=>$address2,
                            "city_id"=>$city,
							"original_city" => $original_city,
                            "state_id"=>$state,
                            "investor_address_proof_id"=>$address_proof,
                            "investor_id_proof_id"=>$id_proof,
                            "investor_family_status_id"=>$status,
                            "father_spouse_name"=>$name,
                            "occupation_id"=>$occupation,
                            "income"=>$income,
                            "doa"=>$doa,
                            "politically_exposed"=>$politicallyExposed,
                            "related_politically_exposed"=>$relatedPoliticallyExposed,
                            "politically_exposed_remark"=>$politicallyExposedRemark,
                            "is_do_not_reg_nominee"=>1,
                            "is_incomplete_bank_detail"=>1,
                            "is_complete_inv_detail" =>1,
                            "is_assisted_by_emp"=>$assistedEmpCheckbox,
                            "assisted_emp_id"=>$assistedEmpName,
                            "agent_id"=>$assistedEmpName
                            );

        $updateInvResult=$this->registration_model->updateInvestorInfo($investorId,$updateInvdata);
        
        if($updateInvResult )
        {
            $this->registration_model->update_is_inv_colmn_in_investor_table($investorId);
            $this->updateInvestorstatus($investorId);
            $_SESSION["readyforUpdate"]=true;
            echo '{"success":true}';
           
        }
        else
        {
            echo '{"success":false}';
            log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : addInvestorDetail, Message : Failed to add personal details and bankdetails of the investor *****');
        }

	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : modifyInvestorDetail
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : this function is used to update investor detail
-----------------------------------------------------------------------------------------------------
*/

    function modifyInvestorDetail()
    {
        $pincode=$this->input->post("pincode");
        $address=handleString($this->input->post("address"));
        $address2=handleString($this->input->post("address2"));
        $city=$this->input->post("city");
		$original_city=$this->input->post("original_city");
        $state=$this->input->post("state");
        $state=$this->input->post("state");
        $state = $this->registration_model->get_state_model($state);
        $address_proof=$this->input->post("address_proof");
        $id_proof=$this->input->post("id_proof");
        $panNo=$this->encrypt->encode($this->input->post("panNo"));
        $status=$this->input->post("status");
        $name=handleString($this->input->post("name"));
        $occupation=$this->input->post("occupation");
        $income=$this->input->post("income");
        $doa=$this->input->post("doa");
        $politicallyExposed=$this->input->post("politicallyExposed");
        $relatedPoliticallyExposed=$this->input->post("relatedPoliticallyExposed");
        $politicallyExposedRemark=$this->input->post("politicallyExposedRemark");
        $assistedEmpCheckbox=$this->input->post("assistedEmpCheckbox");
        $assistedEmpName=$this->input->post("assistedEmpName");
		if($assistedEmpName == 'none')
		{
			$assistedEmpName=0;
		}
        if($politicallyExposed==1 || $relatedPoliticallyExposed==1)
        {
            $politicallyExposedRemark=$this->input->post("politicallyExposedRemark");
        }
        else
        {
            $politicallyExposedRemark="";
        }

        $investorId=$_SESSION["investor_id"];
        $applicationNumber=$investorId."APN".date("ymd");
        $updateInvdata=array(
							"application_number"=>$applicationNumber,
                            "pan"=>$panNo,
                            "pincode"=>$pincode,
                            "address"=>$address,
                            "address_2"=>$address2,
                            "city_id"=>$city,
							"original_city" => $original_city,
                            "state_id"=>$state,
                            "investor_address_proof_id"=>$address_proof,
                            "investor_id_proof_id"=>$id_proof,
                            "investor_family_status_id"=>$status,
                            "father_spouse_name"=>$name,
                            "occupation_id"=>$occupation,
                            "income"=>$income,
                            "doa"=>$doa,
                            "politically_exposed"=>$politicallyExposed,
                            "related_politically_exposed"=>$relatedPoliticallyExposed,
                            "politically_exposed_remark"=>$politicallyExposedRemark,
                            "is_do_not_reg_nominee"=>1,
                            "is_incomplete_bank_detail"=>1,
                            "is_complete_inv_detail" =>1,
                            "is_assisted_by_emp"=>$assistedEmpCheckbox,
                            "assisted_emp_id"=>$assistedEmpName,
                            "agent_id"=>$assistedEmpName
                            );
        $updateInvResult=$this->registration_model->updateInvestorInfo($investorId,$updateInvdata);

        if($updateInvResult)
        {
            $this->registration_model->update_is_inv_colmn_in_investor_table($investorId);
             $this->updateInvestorstatus($investorId);
            $_SESSION["readyforUpdate"]=true;
             //$this->createInvestorFormPdf($investorId);
			 log_message('info', '*****  Controller : addInvestor, Function : modifyInvestorDetail, Message : user add successfully '.$investorId.' *****');
            echo '{"success":true,"msg":"updated"}';
        }
        else
        {
			log_message('info', '*****  Controller : addInvestor, Function : modifyInvestorDetail, Message : problem to add user '.$investorId.' *****');
            echo '{"success":false}';
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : createInvestorFormPdf
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : createInvestorFormPdf is used to caretd investor pdf documnets
-----------------------------------------------------------------------------------------------------
*/
    function createInvestorFormPdf($investorId)
    {
        $result=$this->registration_model->getInvestorDetail($investorId);
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
        $resultInvStatus = $this->registration_model->getInvestorStatus($investorId);
        $data["addressProofList"]=$this->registration_model->getInvestorAddressProofList();
        $data["nomineeData"]=$resultNominee;
        $data["idProofList"]=$this->registration_model->getInvestorIdProofList();
        $data["bankData"]=$resultBank;
        $data["row"]=$result;
        $data["invStatus"]= $resultInvStatus;
        $pdfBody = $this->load->view('investor_form_pdf_view',$data,true);
        $this->load->library('mpdf60/mPDF');
        $pdfPath = '';
        try
        {
            $mpdf=new mPDF('win-1252','A4','','DejaVuSans',0,0,0,0,10,10,'');
            $mpdf->useOnlyCoreFonts = true;    // false is default
            $mpdf->SetProtection(array('print'));
            $mpdf->SetTitle("INVESTOR DETAILS");
            $mpdf->SetAuthor("Audit");
            $mpdf->showWatermarkText = true;
            $mpdf->SetDisplayMode('fullpage');
            $html=$pdfBody;
            $mpdf->WriteHTML($html);
            $fileName = 'investor'.$investorId.date('YmdHis', time()).'.pdf';
            $mpdf->Output(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName, 'F');
            $pdfPath = realpath(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName);
            $data=array("investor_pdf_form_url"=>$fileName);
			log_message('info', '*****  Controller : addInvestor, Function : createInvestorFormPdf, Message : successfully created pdf *****');
            $result=$this->registration_model->updateInvestorInfo($investorId,$data);
        }
        catch(Exception $e)
        {
            echo $e;die;
            exit;
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : getDetailsByIfscCode
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : getDetailsByIfscCode is used to ve
-----------------------------------------------------------------------------------------------------
*/
    function getDetailsByIfscCode()
    {
        $ifscCode=$this->input->post("ifscCode");
        $result=$this->registration_model->getDetailsByIfscCode($ifscCode);
        if($result)
        {
            $bankStateName=$result->bank_state_name;
            $bankBranchName=$result->bank_branch_name;
            $bankCityName=$result->bank_city_name;
            $bankMasterId=$result->bank_master_id;
            echo '{"success":true,"bankStateName":"'.$bankStateName.'","bankBranchName":"'.$bankBranchName.'","bankCityName":"'.$bankCityName.'","bankMasterId":"'.$bankMasterId.'"}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : getDetailsByIfscCode, Message : Successfully fetched details using ifsc code *****');
        }
        else
        {
            echo '{"success":false}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : getDetailsByIfscCode, Message : Failed to fetch details using ifsc code *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : getKycDetailsByPan
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function getKycDetailsByPan()
    {
        $panNo=$this->input->post("panNo");
        $this->load->helper('pan');
        $restult=getPanStatusCurl($panNo);
        $investorId=$_SESSION["investor_id"];
        if($restult==true)
        {
            $data=array("is_kyc_done"=>1,
                "is_kyc_done_date"=>date("Y-m-d h:i:s"));
            $result=$this->registration_model->updateKycStatusDone($investorId,$data);
            echo '{"success":true}';
            $data = array();
            $insertData = $panNo.' {"success":true, "message":"KYC complte"}';
            $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$insertData);
            addSystemLog($data); // helper function
        }
        else
        {
            $data=array("is_kyc_done"=>0,
                "is_kyc_done_date"=>date("0000-00-00 00:00:00"));
            $result=$this->registration_model->updateKycStatusDone($investorId,$data);
            echo '{"success":false}';
            $data = array();
            $insertData = $panNo.' {"success":true, "message":"Not KYC complte"}';
            $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$insertData);
            addSystemLog($data); // helper function
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : checkNomineePercentage
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function checkNomineePercentage()
    {
        $percentage=$this->input->post("percentage");
        $investorId=$_SESSION["investor_id"];
        $totalPercentage=$this->registration_model->checkNomineeTotalPercentage($investorId);
        $total=0;
        if($totalPercentage)
        {
            $total=$total+$totalPercentage->total_percentage;
            $balancePercentage=(100-$total);
            echo '{"success":true,"total":"'.$total.'","balance":"'.$balancePercentage.'"}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : checkNomineePercentage, Message : Successfully fetched total percentage of the nominee(s) added *****');
        }
        else
        {
            echo '{"success":false}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : checkNomineePercentage, Message : Failed to fetch total percentage of the nominee(s) added *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : addNomineeDatails
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function addNomineeDatails()
    {
        $nomineeName=$this->input->post("nomineeName");
        $relation=$this->input->post("relation");
        $percentage=$this->input->post("percentage");
        $dob=$this->input->post("dob");
        $guardianName=$this->input->post("guardianName");
        $nomineeAddress=handleString($this->input->post("nomineeAddress"));
        $investorId=$_SESSION["investor_id"];
        $nomineeData=array(
            "name"=>$nomineeName,
            "relation_with_investor"=>$relation,
            "percentage"=>$percentage,
            "date_of_birth"=>$dob,
            "guardian_name"=>$guardianName,
            "address"=>$nomineeAddress,
            "investor_id"=>$investorId
        );
        $noOfNominee=$this->registration_model->checkNoOfNominee($investorId);
        if($noOfNominee<3)
        {
            $resultAddNominee=$this->registration_model->addInvestorNomineeDetails($nomineeData);
            if($resultAddNominee)
            {
                $date=new DateTime($dob);
                $dob=$date->format('d M Y');
                echo '{"success":true,"nomineeId":"'.$resultAddNominee.'","dob":"'.$dob.'"}';
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : addNomineeDatails, Message : Successfully added new nominee id : '.$resultAddNominee.' *****');
            }else{
                echo '{"success":false","errorMsg":"Server error found"}';
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : addNomineeDatails, Message : Failed to add new nominee *****');
            }
        }
        else
        {
            echo '{"success":false,"errorMsg":"Maximum 3 nominee(s) allowed."}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : addNomineeDatails, Message : Maximum 3 nominee(s) allowed *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : removeNominee
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function removeNominee()
    {
        $nomineeId=$this->input->post("nomineeId");
        $result=$this->registration_model->removeNominee($nomineeId);
        if($result)
        {
            echo '{"success":true}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : removeNominee, Message : Successfully removed the nominee id : '.$nomineeId.' *****');
        }
        else
        {
            echo '{"success":false}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : removeNominee, Message : Failed to remove the nominee id : '.$nomineeId.' *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : editNominee
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function editNominee()
    {
        $nomineeData=array(
            "name"=>$nomineeName,
            "relation_with_investor"=>$relation,
            "percentage"=>$percentage,
            "date_of_birth"=>$dob,
            "address"=>$nomineeAddress,
            "investor_id"=>$investorId
        );
        $resultAddNominee=$this->registration_model->updateInvestorNomineeDetails($investorId,$nomineeData);
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : uploadCancelChequeImage
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function uploadCancelChequeImage()
    {
        $invId=$_SESSION["investor_id"];
        if(isset($_FILES))
        {
            $info = new SplFileInfo($_FILES["myfile0"]["name"]);
            $fileExt=strtolower($info->getExtension());
            $uploadFileName = $invId."_4_".date("dmyhis").".".$fileExt; // assign new name
            $type     = $_FILES["myfile0"]["type"];
            $tempName = $_FILES["myfile0"]["tmp_name"];
            $size     = $_FILES["myfile0"]["size"];
            $originalfileName = $_FILES["myfile0"]["name"];

            $pathAndName ="assets/uploads/cancelled_cheque/".$uploadFileName;
            if(move_uploaded_file($tempName, $pathAndName))
            {
                $docData= array(
                        'url'=> base_url().'assets/uploads/cancelled_cheque/'.$uploadFileName,
                        'original_name'=>$originalfileName,
                        'document_type_id'=>4,
                        'investor_id'=>$invId
                        );
                $docTypeId=4; // Default document type for cancelled cheque or last 6 month bank statement
                $result = $this->registration_model->addInvestorDocumentType($invId,$docData,$docTypeId);
                if($result)
                {
                    echo '{"success":true,"message":"file uploaded"}';
					log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : uploadCancelChequeImage, Message : Successfully updated cancelled cheque url *****');
                }
                else
                {
                    echo '{"success":false,"message":"failed to upload"}';
					log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : uploadCancelChequeImage, Message : Failed to update cancelled cheque *****');
                }
            }
            else
            {
                echo '{"success":false,"message":"server error"}';
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : uploadCancelChequeImage, Message : Failed to upload cancelled cheque *****');
            }
        }
        else
        {
            echo '{"success":false}';
			log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : uploadCancelChequeImage, Message : No file exists for uploading *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : checkExistingPanInfo
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
     function checkExistingPanInfo()
     {
        $panNo = $this->input->post("panNo");
        $PanNoList = $this->registration_model->getAllPanNoList();
        $investorIdSesssion=$_SESSION["investor_id"];
        if($PanNoList && $panNo)
        {
            $count=0;
            foreach ($PanNoList as $value)
            {
                $pan = $this->encrypt->decode($value->pan);
                $investorId=$value->investor_id;
                if($panNo==$pan && $investorIdSesssion!=$investorId)
                {
                    $count++;
                }
                else
                {
                    $count;
                }
            }
            if($count!=0)
            {
                echo '{"success":true, "message":"already registered"}';
                $data = array();
                $insertData = $panNo.' {"success":true, "message":"already registered"}';
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$insertData);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : checkExistingPanInfo, Message : PAN already registered *****');
            }
            else
            {
                echo '{"success":false, "message":"new pan registration"}';
                $data = array();
                $insertData = $panNo.' {"success":false, "message":"new pan registration"}';
                $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>$insertData);
                addSystemLog($data); // helper function
				log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : InvestorDetail, Function : checkExistingPanInfo, Message : New PAN used for registration *****');
            }
        }

    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : check_stat_code
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    public function check_stat_code()
    {
        $state = 'Madhya Pradesh';
         $state = $this->registration_model->get_state_model($state);
         print_r($state);
    }

    public function checkCityAvalble($cityname)
    {
        $city = $cityname;
        $city =  $this->registration_model->check_city_model($city);
        if($city)
        {
            echo '{"ResponseCode":1,"Data":[{"City":1,"id":'.$city.'}]}'; //responce 1 is represnte city is avilable 
        }
        else
        {
            // echo '{"ResponseCode":0,"Data":[{"City":1}]}';  //responce 0 is represnte city is avilable 
            echo '{"ResponseCode":1,"Data":[{"City":1,"id":115}]}';
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : get_nearest_city
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
	public function get_nearest_city($state)
	{ 
	    $state = urldecode($state) ;
		$state = strtolower($state);
		$state = ucwords($state);
		$city = get_neear_city($state);
	    if($state !="" ){
			$city = get_neear_city($state);			 
		    $this->checkCityAvalble($city);							
		}else{
			// echo '{"ResponseCode":0,"Data":[{"City":1}]}';  //responce 0 is represnte city is avilable 
            echo '{"ResponseCode":1,"Data":[{"City":1,"id":115}]}';
		}
	}

    public function teststate($state)
    {

        $state = urldecode($state) ;
        $state = strtolower($state);
        $state = strtoupper(ucwords(trim($state)));
        
        $city = get_neear_city($state);
        if($state !="" ){

            // $city = get_neear_city($state); 
            echo $city ;     

            $this->checkCityAvalble($city);                         
        }else{
            echo '{"ResponseCode":0,"Data":[{"City":1}]}';  //responce 0 is represnte city is avilable 
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : sendRiskProfileSms
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
    function sendRiskProfileSms($investorName,$phone)
    {
        if($investorName!="" && $phone!="")
        {
          $ch = curl_init();
          //Like us on bit.ly/eshpind----------------
          $msg = "Dear Rahul,".$investorName."has completed registration please activate to enable him/her for transaction";
		  
          $msg = str_replace(" ","%20" ,$msg);
          $url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$phone."&message=".$msg."&sender=INCAFE&route=4;";
          $url=str_replace(" ", "%20", $url1);
          //echo $url;
          curl_setopt($ch, CURLOPT_URL, $url);
          //echo "<a href=''".str_replace('','%20',$url)." target='blank'>click</a>";
          //return the transfer as a string
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
          //$output contains the output string
          $output = curl_exec($ch);
          $dbData = array ('phone'=>$phone,'response'=>$output);
          $this->db->insert('msg_log',$dbData);
          //close curl resource to free up system resources
          curl_close($ch);

          if ( $output === FALSE)
          {
              $output=curl_error($ch); //echoes last session error
              return false;
          }
          return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message('info', '***** Controller : SendMessage, Function : sendAccountActivationSms, Message : Invalid user name or phone number provided for sending SMS For Risk Profile, AgeRange Change *****');
        }
    }


/*
    public function appInvestorDetail($investorId)
    {
       
        $data=array();
        if(isset($investorId) && isset($investorId))
        {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorDetail($invId);
            $resultBank=$this->registration_model->getInvestorBankAndPanDetail($invId);
            $data["investorStatus"]=$this->common_model->getInvestorStatus($invId);
            $data["bankData"]=$resultBank;
            $data["row"]=$result;

        }
        else 
        {
            log_message('info', '***** Controller : InvestorDetail, Function : index, Message : Investor details not available in session *****');
        }

        if(isset($investorId) && !empty($investorId))
        {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
            $data["modifyRow"]=$result;
            $data["overseasDetails"]=$this->registration_model->getInvestorOverseasDetail($invId);
            $result=$this->registration_model->checkInvestorOverseasDetail($invId);
            $data["overseasAvailable"]=$result;
            $resultNominee=$this->registration_model->getInvestorNomineeDetail($invId);
            $data["nomineeData"]=$resultNominee;
        }

        $data["cityList"]=$this->registration_model->getCityList();
        $data["stateList"]=$this->registration_model->getStateList();
        $data["countryList"]=$this->registration_model->getCountyList();
        $data["addressProofList"]=$this->registration_model->getInvestorAddressProofList();
        $data["idProofList"]=$this->registration_model->getInvestorIdProofList();
        $data["familyStatusList"]=$this->registration_model->getInvestorFamilyStatusList();
        $data["occuptionList"]=$this->registration_model->getInvestorOccupationList();
        $data["bankAccountTypeList"]=$this->registration_model->getInvestorBankAccountTypeList();
        $data["bankMasterList"]=$this->registration_model->getbankMasterAll();
        $data["assistedEmpData"] = $this->registration_model->getAssistantEmpList();

        if(isset($investorId) && !empty($investorId))
        {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorDetail($invId);
            $data["invDetail"] = $result;
        }

        if(isset($investorId) && !empty($investorId))
        {
             $out = json_encode($data);
             echo $out;
        }
        else
        {
           echo "investor id not available";
        }

        
    }
	
	*/

     function updateInvestorstatus($investorId)
    {
        $today_date= date("Y-m-d H:i:s");
        $data=array(
                    "is_investor_form_complet_date"=>$today_date,
                    "is_investor_form_complet"=>1,
                   );
       $result=$this->registration_model->updateInvestorStatusSecontRegitration($investorId,$data);
           
    }
	
	

	
	
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : appInvestorDetail
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : this function is used to get data for mobile application when user is complte investor form
-----------------------------------------------------------------------------------------------------
*/

    public function appInvestorDetail()
    {
        $data = json_decode(file_get_contents("php://input"));
        $investorId = $data->investorId;

        $data=array();
        if(isset($investorId))
        {
            $invId=$investorId;
            $result=$this->registration_model->getInvestorDetail($invId);
            $resultBank=$this->registration_model->getInvestorBankAndPanDetail($invId);
            //$data["investorStatus"]=$this->common_model->getInvestorStatus($invId);
            //$data["bankData"]=$resultBank;
            $data["investor_type_id"]=$this->db->select("investor_type_id")->from("investor")->where("investor_id",$invId)->get()->row()->investor_type_id;
			if($data["investor_type_id"] == 9 || $data["investor_type_id"] == 11)
			{
				$res = $this->db->get("controlling_person_type");
				$data['controlling_person_type'] = $res->result();
				$data['entity_involve'] = ["1"=>"Foreign Exchange / Money Changer Services","2"=>"Gaming / Gambling / Lottery Services [e.g. casinos, betting syndicates","3"=>"Money laundering / Pawning","4"=>"Not applicable"];
				if($data["investor_type_id"] == 9){
				$data['type_of_company'] = ["1"=>"Private Ltd Co.","2"=>"Public Ltd Co."];
				}
				
				if($data["investor_type_id"] == 11){
					$data['type_of_company'] = ["1"=>"","2"=>"","3"=>"partnership","4"=>"partnership LLP"];
				}
			}
			

        }
        else 
        {
            log_message('info', '***** Controller : InvestorDetail, Function : index, Message : Investor details not available in session *****');
        }

        if(isset($investorId))
        {
            $invId=$investorId;
            $result=$this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
           // $data["modifyRow"]=$result;
           // $data["overseasDetails"]=$this->registration_model->getInvestorOverseasDetail($invId);
            $result=$this->registration_model->checkInvestorOverseasDetail($invId);
           // $data["overseasAvailable"]=$result;
            $resultNominee=$this->registration_model->getInvestorNomineeDetail($invId);
           // $data["nomineeData"]=$resultNominee;
        }

        $data["cityList"]=$this->registration_model->getCityList();
        $data["stateList"]=$this->registration_model->getStateList();
        //$data["countryList"]=$this->registration_model->getCountyList();
        $getInvestorAddressProofList=$this->registration_model->getInvestorAddressProofList();
		 if($data["investor_type_id"] == 9 || $data["investor_type_id"] == 11)
		{
			$showaddressarrayforsend = [];
			array_push($showaddressarrayforsend,$getInvestorAddressProofList[1]);
			array_push($showaddressarrayforsend,$getInvestorAddressProofList[7]);
			array_push($showaddressarrayforsend,$getInvestorAddressProofList[4]);
			array_push($showaddressarrayforsend,$getInvestorAddressProofList[5]);
			$data["addressProofList"]=$showaddressarrayforsend;
		}
		else
		{
			$data["addressProofList"]=$getInvestorAddressProofList;
		} 
	
        //$data["idProofList"]=$this->registration_model->getInvestorIdProofList();
        $data["familyStatusList"]=$this->registration_model->getInvestorFamilyStatusList();
        $data["occuptionList"]=$this->registration_model->getInvestorOccupationList();
       // $data["bankAccountTypeList"]=$this->registration_model->getInvestorBankAccountTypeList();
       // $data["bankMasterList"]=$this->registration_model->getbankMasterAll();
       // $data["assistedEmpData"] = $this->registration_model->getAssistantEmpList();

        if(isset($investorId))
        {
            $invId=$investorId;
            $result=$this->registration_model->getInvestorDetail($invId);
            //$data["invDetail"] = $result;
        }

        if(isset($investorId))
        {
             $out = json_encode($data);
             echo $out;
        }
        else
        {
           echo '{"success":false}';
        }
    }
	
	
/*
-----------------------------------------------------------------------------------------------------
|   USE : appCheckExistingPanInfo
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : 
-----------------------------------------------------------------------------------------------------
*/
   function appCheckExistingPanInfo()
   {
        $data = json_decode(file_get_contents("php://input"));
        $panNo = $data->panNo;
        $investorIdSesssion = $data->investorId;
        $PanNoList = $this->registration_model->getAllPanNoList();
        if($PanNoList && $panNo)
        {
            $count=0;
            foreach ($PanNoList as $value)
            {
                $pan = $this->encrypt->decode($value->pan);
                $investorId=$value->investor_id;
                if($panNo==$pan && $investorId !=$investorIdSesssion )
                {
                    $count++;
                }
                else
                {
                    $count;
                }
            }

			
            if($count!=0)
            {
                echo '{"success":true, "message":"Pan already registered."}';
                $data = array();
                $insertData = $panNo.' {"success":true, "message":"already registered mobile application"}';
                $data=array("investor_id"=>$investorIdSesssion,"log_msg"=>$insertData);
                addSystemLog($data); // helper function
            }
            else
            {
                $data = array();
                $insertData = $panNo.' {"success":false, "message":"new pan registration mobile application"}';
                $data=array("investor_id"=>$investorIdSesssion,"log_msg"=>$insertData);
                addSystemLog($data); // helper function
                $this->appGetKycDetailsByPan($panNo , $investorIdSesssion);
            }
        }

    }

    public function checkpantest()
    {
        $PanNoList = $this->registration_model->getAllPanNoList();
         foreach ($PanNoList as $value)
        {
            $pan = $this->encrypt->decode($value->pan);
            $investorId=$value->investor_id;
            echo $pan." ".$investorId."<br />";
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/
/*
-----------------------------------------------------------------------------------------------------
|   USE : appGetKycDetailsByPan
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : This function is used get detail of KYC
-----------------------------------------------------------------------------------------------------
*/
    function appGetKycDetailsByPan($panNo , $investorId)
    {
        $data = json_decode(file_get_contents("php://input"));
        $this->load->helper('pan');
        $restult=getPanStatusCurl($panNo);
        if($restult==true)
        {
            $data=array("is_kyc_done"=>1,
                "is_kyc_done_date"=>date("Y-m-d h:i:s"));
            $result=$this->registration_model->updateKycStatusDone($investorId,$data);
            echo '{"success":"false" ,"msg" : "Your are a KYC Compline"}';
            $data = array();
            $insertData = $panNo.' {"success":"true" ,"msg" : "Your are a KYC Compline Mobile App"}';
            $data=array("investor_id"=>$investorId,"log_msg"=>$insertData);
            addSystemLog($data); // helper function
        }
        else
        {
            $data=array("is_kyc_done"=>0,
                "is_kyc_done_date"=>date("0000-00-00 00:00:00"));
            $result=$this->registration_model->updateKycStatusDone($investorId,$data);
            echo '{"success":"false","msg" : "Oops !! Your KYC is not registered. Don\'t worry continue the process, we will help you in getting it done."}';
            $data = array();
            $insertData = $panNo.' {"success":"true" ,"msg" : "Your are not a KYC Compline Mobile App"}';
            $data=array("investor_id"=>$investorId,"log_msg"=>$insertData);
            addSystemLog($data); // helper function
        }
    }




/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : appInvestorDetail
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : this function is used to get data for mobile application when user is complte investor form
-----------------------------------------------------------------------------------------------------
*/

    function appModifyInvestorDetail()
    {
		$data = json_decode(file_get_contents("php://input"));
        $investorId = $data->investorId;
        $pincode = $data->pincode;
        $address = handleString($data->address);
        $address2 = handleString($data->address2);
        $city = $data->city;
        $state = $data->state;
        $address_proof = $data->address_proof;
        $id_proof = 6;
        $panNo=$this->encrypt->encode($data->panNo);
        $status = $data->status;
        $name = handleString($data->name);
        $occupation = $data->occupation;
        $income = $data->income;
        $doa = $data->doa;
        $politicallyExposed = $data->politicallyExposed;
        $relatedPoliticallyExposed = $data->relatedPoliticallyExposed;
        $politicallyExposedRemark = $data->politicallyExposedRemark;
        $assistedEmpCheckbox = $data->assistedEmpCheckbox;
        $assistedEmpName = $data->assistedEmpName;
		$assistedEmpName = 0;
        if($politicallyExposed==1 || $relatedPoliticallyExposed==1)
        {
            $politicallyExposedRemark =$data->politicallyExposedRemark;
        }
        else
        {
            $politicallyExposedRemark="";
        }

        $applicationNumber=$investorId."APN".date("ymd");
        $updateInvdata=array(
                            "application_number"=>$applicationNumber,
                            "pan"=>$panNo,
                            "pincode"=>$pincode,
                            "address"=>$address,
                            "address_2"=>$address2,
                            "city_id"=>$city,
                            "state_id"=>$state,
                            "investor_address_proof_id"=>$address_proof,
                            "investor_id_proof_id"=>$id_proof,
                            "investor_family_status_id"=>$status,
                            "father_spouse_name"=>$name,
                            "occupation_id"=>$occupation,
                            "income"=>$income,
                            "doa"=>$doa,
                            "politically_exposed"=>$politicallyExposed,
                            "related_politically_exposed"=>$relatedPoliticallyExposed,
                            "politically_exposed_remark"=>$politicallyExposedRemark,
                            "is_do_not_reg_nominee"=>1,
                            "is_incomplete_bank_detail"=>1,
                            "is_complete_inv_detail" =>1,
                            "is_assisted_by_emp"=>$assistedEmpCheckbox,
                            "assisted_emp_id"=>$assistedEmpName,
                            "agent_id"=>$assistedEmpName
                            );


        $updateInvResult=$this->registration_model->updateInvestorInfo($investorId,$updateInvdata);
        if($updateInvResult)
        {
            $this->registration_model->update_is_inv_colmn_in_investor_table($investorId);
            $this->updateInvestorstatus($investorId);
            echo '{"success":true,"msg":"updated"}';
        }
        else
        {
            echo '{"success":false}';
        }
    }
	
	public function getPartenerPercent()
	{
		$investor_id = $_SESSION['investor_id'];
		$res = $this->db->select("SUM(percent_of_beneficial) as percent_of_beneficial")->from("company_partners")->where("investor_id",$investor_id)->get();
		if($res)
		{
			$percent_of_beneficial = $res->row()->percent_of_beneficial;
			if($percent_of_beneficial)
			{
				$percent_of_beneficial = 100 -$percent_of_beneficial;
				echo '{"success":"true","percent_of_beneficial":"'.$percent_of_beneficial.'"}';
			}
			else
			{
				echo '{"success":"true","percent_of_beneficial":"100"}';
			}
		}
		else
		{
			echo '{"success":"true","percent_of_beneficial":"100"}';
		}
	}

	public function getPinCodeDetailApi($pincode)
	{
		// $paymentUrl = "https://pincode.saratchandra.in/api/pincode/".$pincode;
        $paymentUrl= "http://www.postalpincode.in/api/pincode/".$pincode;

        // $paymentUrl ="https://api.data.gov.in/resource/6176ee09-3d56-4a3b-8115-21841576b2f6?format=json&api-key=579b464db66ec23bdd00000169ef95d2000047aa67fc0493cb7f9bc5&filters[pincode]=".$pincode;
        $ch = curl_init();  
        curl_setopt($ch,CURLOPT_URL,$paymentUrl);
        curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
        $output=curl_exec($ch);
        $output = json_decode($output);
        // print_r($output);
        curl_close($ch);
		$final_data = array();
		$final_data['City'] = $final_data['State'] = '';
		if (count($output->PostOffice) > 0) {
			$final_data['City'] = trim(rtrim($output->PostOffice[0]->Taluk,"City"));
			$final_data['State'] = strtoupper($output->PostOffice[0]->State);
			$final_data['status'] = 200;
		}
		

		echo(json_encode($final_data));
	}

	public function getPinCodeDetail($pincode)
	{
		// $paymentUrl = "https://pincode.saratchandra.in/api/pincode/".$pincode;
		$paymentUrl= "http://www.postalpincode.in/api/pincode/".$pincode;

		// $paymentUrl ="https://api.data.gov.in/resource/6176ee09-3d56-4a3b-8115-21841576b2f6?format=json&api-key=579b464db66ec23bdd00000169ef95d2000047aa67fc0493cb7f9bc5&filters[pincode]=".$pincode;
		$ch = curl_init();  
		curl_setopt($ch,CURLOPT_URL,$paymentUrl);
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
		$output=curl_exec($ch);
   
		$output = json_decode($output);

        curl_close($ch);
		if (count($output->PostOffice) > 0) {
			$final_data['city'] = trim(rtrim($output->PostOffice[0]->Taluk,"City"));
			$final_data['state_name'] = $output->PostOffice[0]->State;
			$final_data['status'] = 200;
		} else {
            $final_data['city'] = '';
            $final_data['state_name'] = '';
            $final_data['status'] = 200;
        }
		

		echo(json_encode($final_data));
        if(isset($_SESSION["investor_id"])){
            $data = array();
            $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=> "Search pincode ".json_encode($final_data));
            addSystemLog($data); // helper function
        }
	}


	 function createInvestorFormPdfTest()
    {
		$this->load->helper('pan');
		echo getPanStatusCurl("ARLPC3312P");

		die;
		$investorId = 0;
        $data= array();
        $pdfBody = $this->load->view('investor_form_pdf_view',$data,true);
        $this->load->library('mpdf60/mPDF');
        $pdfPath = '';
        try
        {
            $mpdf=new mPDF('win-1252','A4','','DejaVuSans',0,0,0,0,10,10,'');
            $mpdf->useOnlyCoreFonts = true;    // false is default
            $mpdf->SetProtection(array('print'));
            $mpdf->SetTitle("INVESTOR DETAILS");
            $mpdf->SetAuthor("Audit");
            $mpdf->showWatermarkText = true;
            $mpdf->SetDisplayMode('fullpage');
            $html=$pdfBody;
            $mpdf->WriteHTML($html);
            $fileName = 'investor'.$investorId.date('YmdHis', time()).'.pdf';
            $mpdf->Output(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName, 'F');
            echo $pdfPath = realpath(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName);
           
			log_message('info', '*****  Controller : addInvestor, Function : createInvestorFormPdf, Message : successfully created pdf *****');
            
        }
        catch(Exception $e)
        {
            echo $e;die;
            exit;
        }
    }

    /*
-----------------------------------------------------------------------------------------------------
*/
/*
-----------------------------------------------------------------------------------------------------
|   USE : appGetKycDetailsByPan
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : This function is used get detail of KYC
-----------------------------------------------------------------------------------------------------
*/
    function appGetKycDetailsByPanAPIMobile($panNo)
    {
        $this->load->helper('pan');
        $restult=getPanStatusCurl($panNo);
        if($restult==true)
        {
            echo '{"success":"true" ,"msg" : "Your are a KYC Compline"}';
        }
        else
        {
            echo '{"success":"false","msg" : "Oops !! Your KYC is not registered."}';
        }
    }

    public function getCompanyPartners()
    {
        $investorId = $_SESSION['investor_id'];
        $res = $this->db->from('company_partners')->where(['investor_id'=>$investorId,'ext1' => 0])->get();
        if($res->num_rows() >0)
        {
            $data = $res->result();
            $str = "";
            foreach($data as $dt)
            {
                $str .= "<tr><td><input type='Checkbox' name='cpperson' class='cp' controlling_person_id='".$dt->company_partners_id."' style='height:14px'></td><td>".$dt->partner_name."</td><td>".$dt->partner_pan."</td><td>".$dt->partner_adhaar_no."</td><td>".$dt->partner_address_1." ".$dt->partner_address_2." ".$dt->partner_city." ".$dt->partner_state." ".$dt->company_partner_pincode."</td><td>".$dt->percent_of_beneficial."%</td><td><button class='btn btn-danger w3-padding-tiny' onclick='remove_partener(".$dt->company_partners_id.")'><i class='fa fa-times' aria-hidden='true'></i></button></td></tr>";
            }
            echo '{"success":true,"data":"'.$str.'"}';
        }
        else
        {
            echo '{"success":false}';
        }
    }

    public function updateControllerCompanyPerson($id)
    {
        $this->db->where('company_partners_id',$id)->update('company_partners',['controlling_account_person' => 1]);
        if($this->db->affected_rows() > 0)
        {
            echo '{"success":true}';
        }
        else
        {
            echo '{"success":false}';
        }
    }

    public function removePartner($company_partners_id)
    {
        $this->db->where("company_partners_id",$company_partners_id)->update("company_partners",['ext1'=>1]);
        echo '{"success":true}';
    }
}
