0<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class ApiFirstPurchaseSIPCron extends CI_Controller
{

	function __construct()
	{
		parent::__construct();
		$this->load->config('config_cams');
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model');
		$this->load->helper('cams_helper');
		$this->load->helper('karvy_helper');
	}

	public function index()
	{
		echo "run";
	}

	function cronFirstPurchaseSIP()
	{
		$firstPurchasedSIPList = $this->api_model->getFirstPurchasedSIPList();

		if(isset($firstPurchasedSIPList) && !empty($firstPurchasedSIPList))
		{
			foreach($firstPurchasedSIPList as $firstPurchaseSIP)
			{
				$investorDetails = $this->api_model->getInvestorDetails($firstPurchaseSIP->investor_id);
				$nriArr=array(10,21,11);
				$overseasDetails="";
				if(isset($investorDetails->Karvy_tax_code) )
				{
					if(in_array($investorDetails->Karvy_tax_code, $nriArr))
					{
						$overseasDetails = $this->api_model->getInvestorOverseasDetails($firstPurchaseSIP->investor_id);
					}
				}
				$investorBankDetails = $this->api_model->getInvestorBankDetails($firstPurchaseSIP->investor_id);
				$SIPMontlyDetails = $this->api_model->getMontlyInvestmentDetails($firstPurchaseSIP->purchased_units_id);
				$fundDetails = $this->api_model->getFundDetails($firstPurchaseSIP->fund_id);
			
				$resultFolio=getLatestFolioNumber($firstPurchaseSIP->AMC_CODE,$firstPurchaseSIP->investor_id);
				$folioNumber="";
		        if($resultFolio)
		        {
		            $folioNumber=$resultFolio;
		        }
				$nomineeDetails = $this->api_model->getInvestorNomineeDetail($firstPurchaseSIP->investor_id);
					
				if(isset($investorDetails) && !empty($investorDetails) && isset($fundDetails) && !empty($fundDetails) && isset($investorBankDetails) && !empty($investorBankDetails))
				{

					$data["investorDetails"]=$investorDetails;
					$data["overseasDetails"]=$overseasDetails;
					$data["fundDetails"]=$fundDetails;
					$data["firstPurchaseSIP"]=$firstPurchaseSIP;
					$data["purchaseData"]=$firstPurchaseSIP;
					$data["investorBankDetails"]=$investorBankDetails;
					$data["nomineeDetails"]=$nomineeDetails;
					$data["folioNumber"]=$folioNumber;
					$data["SIPMontlyDetails"]=$SIPMontlyDetails;
					
					if($fundDetails->api_type_id == 2)
					{
						$payoutMecCode = $this->api_model->getPayoutMechCodeForCams($fundDetails->AMC_code);
						$data["payoutMecCode"]=$payoutMecCode;
						$getCAMSTxt = $this->createFirstPurchaseSIPCamsTxt($data);
					}
				}
			}

			if(count($this->camsFiles))
			{

				//B0005000120180313130641.txt
				$camsFiles = $this->camsFiles;
				$num_records = "";
				$count_cams = count($camsFiles);

				if (count($camsFiles)<=9) {
					$num_records = "000".$count_cams;
				}
				if (count($camsFiles)<=99 && $num_records=="") {
					$num_records = "00".$count_cams;
				}		
				if (count($camsFiles)<=999 && $num_records=="") {
					$num_records = "0".$count_cams;
				}	
				if (count($camsFiles)<=9999 && $num_records=="") {
					$num_records = $count_cams;
				}

				$fileName = "B000".$num_records."0001".date("YmdHis").".txt";
				echo $fileName;
				$myfile =fopen("assets/uploads/CAMS/".$fileName, "w");
				foreach ($camsFiles as $key=>$camsFile) {
					
					if($key!=($count_cams-1))
						fwrite($myfile,$camsFile. "\r\n");
					else
						fwrite($myfile,$camsFile);
					
				}
				fclose($myfile);
				// $output =camsCurlCommandBulk($fileName);
				$output =camsCurlCommandBulkNew($fileName);
			}
		}
	
	}

	function createFirstPurchaseSIPCamsTxt($data)
	{					
		$amc_code = $data['fundDetails']->AMC_code;
		$purchased_units_id = $data['firstPurchaseSIP']->purchased_units_id;
		// $string = $this->load->view('amit_theme/purchase_cron/cams_first_SIP_purchase_txt', $data, true);
		$string = $this->load->view('purchase_cron/cams_first_purchase_sip_168_txt', $data, true);
		$fileName = getFileName($amc_code, $purchased_units_id);
		$myfile =fopen("assets/uploads/CAMS/".$fileName.".txt", "w");
		$result=fwrite($myfile, $string);
		fclose($myfile);
		if($result)
		{
	  	    echo $fileName = $fileName.".txt";
	  	    echo "<br />";
			$this->camsFiles[] = $string;
			$save_path = "assets/uploads/CAMS/".$fileName;
			$this->db->where('purchased_units_id',$purchased_units_id)->update('purchased_units',['feed_path' => $save_path]);
			$this->api_model->update_request_status($purchased_units_id); 
			 
		}
	}	
	
}
