<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : Login
|   MODEL USE : registration_model
|   DATE : 03/10/2016
|   AUTHOER : amit meena
|   COMMENT : This class is used to varify user ,using user name and password and also hepl to forget passwod 
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class Login extends CI_Controller {

	function __construct()
	{
	// Call the Model constructor
	   parent::__construct();
       $this->load->model('login/login_model');
       $this->load->model('dashboard/dashboard_model');
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS USED TO LAOD VIEW OF INVESRT FORM
-----------------------------------------------------------------------------------------------------
*/
	public function index()
	{
	//return redirect("https://www.investocafe.com/login");
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $pageId=(@$_SESSION["pageId"]);
            $defaultPage=(@$_SESSION["defaultPage"]);
            if(@in_array("6", $pageId))
            {
                redirect(base_url().$defaultPage);
            }
            else
            {
                $this->_loadView('amit_theme/login/login_view');
            }
        }
        else
        {
            $this->_loadView('amit_theme/login/login_view');
        }
	}
	
	public function testLogin()
	{
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $pageId=(@$_SESSION["pageId"]);
            $defaultPage=(@$_SESSION["defaultPage"]);
            if(@in_array("6", $pageId))
            {
                redirect(base_url().$defaultPage);
            }
            else
            {
                $this->_loadView('amit_theme/login/login_view');
            }
        }
        else
        {
            $this->_loadView('amit_theme/login/login_view');
        }
	}

	
	public function login_test()
	{
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $pageId=(@$_SESSION["pageId"]);
            $defaultPage=(@$_SESSION["defaultPage"]);
            if(@in_array("6", $pageId))
            {
                redirect(base_url().$defaultPage);
            }
            else
            {
                $this->_loadView('amit_theme/login/login_view_test');
            }
        }
        else
        {
            $this->_loadView('amit_theme/login/login_view_test');
        }
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : logout
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to destry session to logout user
-----------------------------------------------------------------------------------------------------
*/
    public function logout()
    {
        $this->ion_auth->logout();
        session_destroy();
        session_unset("userId");
        session_unset("email");
        session_unset("userName");
        session_unset("defaultPage");
        session_unset("pageId");
        session_unset("groupId");
        session_unset("investor_id");
        redirect('feedBack', 'refresh');
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : logoutInactive
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to logout when inactivity
-----------------------------------------------------------------------------------------------------
*/
	public function in()
    {
		$this->ion_auth->logout();
		session_destroy();
		session_unset("userId");
		session_unset("email");
		session_unset("userName");
		session_unset("defaultPage");
		session_unset("pageId");
		session_unset("groupId");
		session_unset("investor_id");
		echo '{"success":true}';
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : logoutInactiveView
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to load inactivity view
-----------------------------------------------------------------------------------------------------
*/
	public function logoutInactiveView()
	{
		$this->_loadView('logout_inactive_view');
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadView
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to load view of header and footer 
-----------------------------------------------------------------------------------------------------
*/
	function _loadView($view)
    {
        $data['jsFile'] ='login/login.js';
        $this->load->view('amit_theme/common/header',$data);
        $this->load->view($view,$data);
        $this->load->view('amit_theme/common/footer',$data );
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : signin
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to help to login user using io_auth libarary
-----------------------------------------------------------------------------------------------------
*/
    function signin()
    {
        $userName = trim($this->input->post('identity'));
        $password = trim($this->input->post('password'));
        $tokenImageName=trim($this->input->post('tokenImageName'));

        /** chack user is aurthorised or not by user token image name **/
        if(!$tokenImageName=="")
        {
            $result=$this->login_model->getTokenImageInfo($userName);
            if($result)
            {
                $dataBaseImageTokenName=trim($result->token_image_name);
                if($dataBaseImageTokenName==$tokenImageName)
                {
                    $recaptchaResponse = trim($this->input->post('g-recaptcha-response'));
                    //$recaptchaResponse =$_POST['g-recaptcha-response'];

                    $userIp=$this->input->ip_address();

                    // $secret='6Lc3RwcUAAAAAFgmGRhHm7xCtF16W7fSXs2Ag_Gi'; //local
                    $secret='6LeXbhQTAAAAAGGAymdFS4R7Qc8v89nx9VOS1Npn'; //staging
                    //$secret='6LeXbhQTAAAAAGGAymdFS4R7Qc8v89nx9VOS1Npn';
					// $secret='6Lc3RwcUAAAAAFgmGRhHm7xCtF16W7fSXs2Ag_Gi'; //local
                    $url="https://www.google.com/recaptcha/api/siteverify?secret=".$secret."&response=".$recaptchaResponse."&remoteip=".$userIp;

                    $response = $this->curl->simple_get($url);
                    $status= json_decode($response, true);

                    if($status['success'])
                    {
                        // check email is activated or not
                        $emailVerifyResult=$this->login_model->checkEmailVerication($userName);
                        $emailVerify=$emailVerifyResult->is_verify;
                        $investorId=$emailVerifyResult->investor_id;
                        if($emailVerify==1)
                        {
                            $this->form_validation->set_rules('identity', 'Identity', 'required');
                            $this->form_validation->set_rules('password', 'Password', 'required');

                            if ($this->form_validation->run() == true)
                            {
                                //check to see if the user is logging in
                                //check for "remember me"
                                $remember = (bool) $this->input->post('remember');

                                if ($this->ion_auth->login($this->input->post('identity'), $this->input->post('password'), $remember))
                                {
                                    //if the login is successful
                                    //redirect them back to the home page
                                    $this->session->set_flashdata('message', $this->ion_auth->messages());
                                    //redirect('/', 'refresh');
                                    $_SESSION["email"]=$this->input->post('identity');

                                    /******* get user info  *******/
                                    $userInfo=$this->ion_auth->user()->row();

                                    //print_r($userInfo);
                                    /******* set user name and required data in session *******/
                                    $userName=$userInfo->username;
                                    $_SESSION["userName"]=$userName;

                                    /****** Get user id ****/
                                    $userId=$userInfo->user_id;
                                    $_SESSION["userId"]=$userId;

                                    /** get investor id by user id  and investor id set in session **/
                                    $resultInvestorId=$this->login_model->getInvestorIdByUserId($userId);
                                    if($resultInvestorId)
                                    {
                                        $_SESSION["investor_id"]=$resultInvestorId->investor_id;
                                    }
                                    else
                                    {
                                        $_SESSION["investor_id"]="";
                                    }


                                    /********* get users grop detail  *****/
                                    $user_groups = $this->ion_auth->get_users_groups()->row();
                                    //print_r($user_groups);die;
                                    $groupId=$user_groups->id;
                                    $_SESSION["groupId"]=$groupId;
                                    //$defaultPage=$user_groups->default_page;
                                    //$_SESSION["defaultPage"]=$defaultPage;
                                    /********* Get visible pages according to permission by group id *******/
                                    $resultPageId= $this->login_model->getAllAccessiblePage($groupId);
                                    if($resultPageId)
                                    {
                                        $pageId = array();
                                        foreach($resultPageId as $row)
                                        {
                                            $pageId[] = $row->page_id;
                                        }
                                        $_SESSION['pageId'] = $pageId;
                                    }

                                    $this->load->model('dashboard_model');
                                        $userId=$_SESSION["userId"];
                                        $investorId=$_SESSION["investor_id"];
                                        $result=$this->dashboard_model->getprofileImageUrlByUserId($userId);
		
	                                   redirect(base_url('dashboard'));
                                            
                                        // if($result)
                                        // {
                                        //     $incomplete_bank_detail=$result->is_incomplete_bank_detail;
                                        //     $is_do_not_reg_nominee = $result->is_do_not_reg_nominee;
                                        //     $is_complete_inv_detail = $result->is_complete_inv_detail;
                                        // }

                                        // if(isset($incomplete_bank_detail) && isset($is_do_not_reg_nominee))
                                        //   {
                                            
                                        //     if($is_do_not_reg_nominee == 1 and $incomplete_bank_detail == 1 and $is_complete_inv_detail == 1)
                                        //     {
                                        //         redirect(base_url('AddBankAndNominiDatail'));
                                                
                                        //     }
                                        //     elseif($is_do_not_reg_nominee == 1 and $incomplete_bank_detail == 1)
                                        //     {
                                        //       redirect(base_url('dashboard/completeRegistration'));
                                               
                                        //     }
                                        //     else
                                        //     {
                                        //         redirect(base_url().$defaultPage);
                                        //     }
                                        //   }
                                        //   else
                                        //   {
                                        //     redirect(base_url().$defaultPage);
                                        //   }

                                }
                                else
                                {
                                    //if the login was un-successful
                                    //redirect them back to the login page
                                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">'.$this->ion_auth->errors().'</p>');
                                    redirect(base_url()."login"); //use redirects instead of loading views for compatibility with MY_Controller libraries
                                    //echo "Invalid user id";
							log_message('info', '***** Controller : login, Function : signin, Message : Failed in Login invalid id password *****');
                                }
                            }
                            else
                            {
                                //the user is not logging in so display the login page
                                //set the flash data error message if there is one
                                $this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');

                                $this->data['identity'] = array('name' => 'identity',
                                        'id' => 'identity',
                                        'type' => 'text',
                                        'value' => $this->form_validation->set_value('identity'),
                                );
                                $this->data['password'] = array('name' => 'password',
                                        'id' => 'password',
                                        'type' => 'password',
                                );

                                //$this->_render_page('auth/login', $this->data);
                                $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Recaptcha Verification Failed</p>');
                                redirect(base_url()."login");
																log_message('info', '***** Controller : login, Function : signin, Message : Failed in Login Recaptcha Verification *****');
                            }
                        }
                        else
                        {
                            $_SESSION["investor_id"]=$investorId;
                            $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Your email is not verified. Please click the verify link in the email to verify your email address.<br>If you did not receive the email <a href="'.base_url().'sendMessage?resend=true" style="color:#121510">Click Here</a> to resend the activation email."</p>');
                            redirect(base_url()."login");
														log_message('info', '***** Controller : login, Function : signin, Message : Email verification failed *****');
                        }
                    }
                    else
                    {
                        $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Recaptcha Verification Failed</p>');
                        redirect(base_url()."login");
												log_message('info', '***** Controller : login, Function : signin, Message : Failed in Login Recaptcha Verification *****');
                    }
                }
                else
                {
                    // server side and client side token image image name missmatch
                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Unauthorized Access</p>');
                    redirect(base_url()."login");
										log_message('info', '***** Controller : login, Function : signin, Message : Failed in Login server side and client side token image image name mismatch *****');
                }
            }
            else
            {
                // server side token image name not available or user not registored
                $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Unauthorized Access</p>');
                redirect(base_url()."login");
								log_message('info', '***** Controller : login, Function : signin, Message : Failed in Login server side token image name not available or user not registored *****');
            }
        }
        else
        {
            // sent blank token image name
            $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Unauthorized Access</p>');
            redirect(base_url()."login");
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : forgot_password
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :Show forget password view
-----------------------------------------------------------------------------------------------------
*/

    function forgot_password()
    {
        $this->_loadView('amit_theme/login/forgot_password_view');
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : sent_email_confirmation
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :Ofter successfully sent msg showing confirmation view 
-----------------------------------------------------------------------------------------------------
*/
    function sent_email_confirmation()
    {
        $this->_loadView('amit_theme/login/sent_email_confirm_view');
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : test
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :testing function
-----------------------------------------------------------------------------------------------------
*/
    function test()
    {
        $this->_loadView('auth/reset_password');
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : reset_password_confirmation
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :Ofter successfully sent msg showing confirmation view 
-----------------------------------------------------------------------------------------------------
*/
    function reset_password_confirmation()
    {
        $this->_loadView('amit_theme/login/reset_password_success_msg_view');
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : forgotten_password
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :Ofter successfully sent msg showing confirmation view 
-----------------------------------------------------------------------------------------------------
*/
    function forgotten_password()
    {
        $recaptchaResponse = trim($this->input->post('g-recaptcha-response'));
        //$recaptchaResponse =$_POST['g-recaptcha-response'];

        $userIp=$this->input->ip_address();

        //$secret='6LcbURQTAAAAAJWI3WoRTSNbCeEl2YSsUGxx-VJW'; //local
        $secret='	6LeXbhQTAAAAAGGAymdFS4R7Qc8v89nx9VOS1Npn'; //live

        $url="https://www.google.com/recaptcha/api/siteverify?secret=".$secret."&response=".$recaptchaResponse."&remoteip=".$userIp;

        $response = $this->curl->simple_get($url);
        $status= json_decode($response, true);

        if($status['success'] = true)
        {
            $this->form_validation->set_rules('email', $this->input->post('email'), 'required');
            if ($this->form_validation->run() == false)
            {
                //setup the input
                $this->data['email'] = array('name'    => 'email',
                                             'id'      => 'email',
                                            );
                //set any errors and display the form
                $this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');
                $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">'.$this->data['message'].'</p>');
                redirect(base_url()."login/forgot_password");
		log_message('info', '***** Controller : login, Function : forgotten_password, Message : Failed in forgot'.$this->data['message'].' *****');
            }
            else
            {
                $forgotten = $this->ion_auth->forgotten_password($this->input->post('email'));

                if ($forgotten)
                {
                    //if there were no errors
                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color">Password Reset Email Sent On Your Register Email Address</p>');
                    redirect(base_url()."login/sent_email_confirmation",'refresh');
                }
                else
                {
                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color">Password Reset Email Sent On Your Register Email Address</p>');
                    redirect(base_url()."login/sent_email_confirmation",'refresh');
		    /*
                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color">Sorry Invalid Email</p>');
                    redirect(base_url()."login/forgot_password",'refresh');
		    log_message('info', '***** Controller : login, Function : forgotten_password, Message : Failed in forgot Invalid Email *****');
            */    }
            }
        }
        else
        {
            $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Recaptcha Verification Failed</p>');
            redirect(base_url()."login/forgot_password",'refresh');
	    log_message('info', '***** Controller : login, Function : forgotten_password, Message : Failed in Recaptcha Verification Failed *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : forgotten_password
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : display image on login form
-----------------------------------------------------------------------------------------------------
*/

    function displayImage()
    {

      $email=$this->input->post("email");
	  if(trim($email) !="")
	  {
		  $result=$this->login_model->getTokenImageInfo($email);
		  if($result)
		  {
			  $token_image_name=$result->token_image_name;
			  $token_image_path=$result->token_image_path;
	
			  echo '{"success":true,"token_image_name":"'.$token_image_name.'","token_image_path":"'.$token_image_path.'"}';
						log_message('info', '***** Controller : login, Function : displayImage, Message : Successfully displayed token Image *****');
		  }
		  else
		  {
			  echo '{"success":false}';
						log_message('info', '***** Controller : login, Function : displayImage, Message : Failed to display token Image *****');
		  }
	   }else{
	        echo '{"success":false}';
						log_message('info', '***** Controller : login, Function : displayImage, Message : Failed to display token Image *****');
	   }	  
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : resetPassword
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : display image on login form
-----------------------------------------------------------------------------------------------------
*/
    function resetPassword($code=null)
    {
		
        if (!$code)
        {
            show_404();
        }
		$comingCode = str_replace("_slash_","/",$code);
		
        $user = $this->ion_auth->getUserInfo($comingCode); // own creation
        if($user)
        {
            // own creation method in ion auth
            $otpNumber=$this->randomNumber(6);
            $userId=$user->id;
            $userName=ucwords($this->encrypt->decode($user->username)).",";
            $userPhone=$this->encrypt->decode($user->phone);

            $this->login_model->updateOTPNumber($userId,$otpNumber);

            // send this generated otp code to the user phone
            $resultSendOTP=$this->sendOTPNumber($userName,$userPhone,$otpNumber);
			
            if($resultSendOTP)
            {

                redirect(base_url().'login/reset_password/'.$code);
            }
        }
        else
		{
            echo "Invalid request";
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : reset_password
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : reset password - final step for forgotten password
-----------------------------------------------------------------------------------------------------
*/
   
    public function reset_password($codecome = NULL)
    {
		
		$code = str_replace("_slash_","/",$codecome);
        $user = $this->ion_auth->forgotten_password_check($code);
        if($user)
        {
            //if the code is valid then display the password reset form

            $this->form_validation->set_rules('new', $this->lang->line('reset_password_validation_new_password_label'), 'required|min_length[6]|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');
            $this->form_validation->set_rules('new_confirm', $this->lang->line('reset_password_validation_new_password_confirm_label'), 'required');
            $this->form_validation->set_rules('otpCode', 'OTP Code', 'trim|required');

            if ($this->form_validation->run() == false)
            {

                //display the form
                //set the flash data error message if there is one
                //$this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');
                $this->session->set_flashdata('flashSuccess',validation_errors());

                $this->data['min_password_length'] =6;
                $this->data['new_password'] = array(
                    'name' => 'new',
                    'id'   => 'new',
                'type' => 'password',
                    'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
                );
                $this->data['new_password_confirm'] = array(
                    'name' => 'new_confirm',
                    'id'   => 'new_confirm',
                    'type' => 'password',
                    'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
                );
                $this->data['user_id'] = array(
                    'name'  => 'user_id',
                    'id'    => 'user_id',
                    'type'  => 'hidden',
                    'value' => $user->id,
                );
                //$this->data['csrf'] = $this->_get_csrf_nonce();
                $this->data['code'] = $codecome;

                //render

                $data['jsFile'] ='login/login.js';
                $this->load->view('amit_theme/common/header',$data);
                $this->load->view('auth/reset_password', $this->data);
                $this->load->view('amit_theme/common/footer',$data );
                //redirect(base_url().'auth/reset_password/' . $codecome);
            }
            else
            {

                // do we have a valid request?
                // remove $this->_valid_csrf_nonce() === FALSE
                if ($user->id != $this->input->post('user_id'))
                {
                    //something fishy might be up
                    // $this->ion_auth->clear_forgotten_password_code($code);
                    // show_error($this->lang->line('error_csrf'));
                    $this->session->set_flashdata('flashSuccess', $this->lang->line('error_csrf'));
                    redirect(base_url().'login/reset_password/' . $codecome);
                }
                else
                {
                    /** check recaptch **/
                    $recaptchaResponse = trim($this->input->post('g-recaptcha-response'));
                    //$recaptchaResponse =$_POST['g-recaptcha-response'];

                    $userIp=$this->input->ip_address();

                    //$secret='6LcbURQTAAAAAJWI3WoRTSNbCeEl2YSsUGxx-VJW'; //local
                    $secret='6LeXbhQTAAAAAGGAymdFS4R7Qc8v89nx9VOS1Npn'; //live

                    $url="https://www.google.com/recaptcha/api/siteverify?secret=".$secret."&response=".$recaptchaResponse."&remoteip=".$userIp;

                    $response = $this->curl->simple_get($url);
                    $status= json_decode($response, true);

                    if($status['success'])
                    {
                        // check otp code by user post
                        $otpCode=trim($this->input->post('otpCode'));
                        $userId=$user->id;

                        if($otpCode)
                        {

                            if($this->ion_auth->checkValidOTPCode($userId,$otpCode))
                            {
                                // finally change the password
                                $identity = $user->{$this->config->item('identity', 'ion_auth')};

                                $change = $this->ion_auth->reset_password($identity, $this->input->post('new'));

                                if ($change)
                                {
                                    //if the password was successfully changed
                                    //$this->session->set_flashdata('flashSuccess', $this->ion_auth->messages());
                                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color">Password Changed Successfully</p>');
                                    redirect(base_url()."login/reset_password_confirmation", 'refresh');
                                    $this->login_model->updateOTPNumber($userId,"");
                                }
                                else
                                {
                                    $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">'.$this->ion_auth->errors().'</p>');
                                    redirect(base_url().'login/reset_password/' . $codecome, 'refresh');
									log_message('info', '***** Controller : login, Function : reset_password, Message : Failed in reset password '.$this->ion_auth->errors().' *****');
                                }
                            }
                            else
                            {
						
                                $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color">Invalid OTP Code</p>');
                                redirect(base_url().'login/reset_password/' . $codecome, 'refresh');
								log_message('info', '***** Controller : login, Function : reset_password, Message : Failed in reset password Invalid OTP Code *****');
                            }
                        }
                        else
                        {
                            $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color">OPT Code must be required</p>');
                            redirect(base_url().'login/reset_password/' . $codecome, 'refresh');
							log_message('info', '***** Controller : login, Function : reset_password, Message : Failed in reset password OPT Code must be required *****');
                        }
                    }
                    else
                    {
                        $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">Sorry Recaptcha Verification Failed</p>');
                        redirect(base_url().'login/reset_password/' . $codecome, 'refresh');
					    log_message('info', '***** Controller : login, Function : reset_password, Message : Failed in reset password Recaptcha Verification *****');
                    }
                }
            }
        }
        else
        {
            //if the code is invalid then send them back to the forgot password page
            $this->session->set_flashdata('flashSuccess', '<p class="p_section_content p_color boldText">'.$this->ion_auth->errors().'</p>');
            redirect(base_url()."login/forgot_password");
			log_message('info', '***** Controller : login, Function : reset_password, Message : Failed in reset password '.$this->ion_auth->errors().' *****');
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : randomNumber
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This functtion is used to genrat random numer to get random number images
-----------------------------------------------------------------------------------------------------
*/
    function randomNumber($length)
    {
        $result = '';

        for($i = 0; $i < $length; $i++) {
            $result .= mt_rand(0, 9);
        }

        return $result;
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : sendOTPNumber
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :send otp code to user phone
-----------------------------------------------------------------------------------------------------
*/

    function sendOTPNumber($userName,$userPhone,$otpNumber)
    {
        $ch = curl_init();

        //Like us on bit.ly/eshpind----------------
        $url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$userPhone."&message=Dear Investor,your password reset OTP is ".$otpNumber." .Team Investocafe.&sender=INCAFE&route=4";
		
       
		$url=str_replace(" ", "%20", $url1);

        curl_setopt($ch, CURLOPT_URL, $url);
        //echo "<a href=''".str_replace('','%20',$url)." target='blank'>click</a>";

        //return the transfer as a string
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

        //$output contains the output string
        $output = curl_exec($ch);
		//echo $output;

        $dbData = array ('phone'=>$userPhone,'response'=>$output);
        $this->db->insert('msg_log',$dbData);
        //close curl resource to free up system resources
        curl_close($ch);

        if ( $output === FALSE)
        {
            $output=curl_error($ch); //echoes last session error
            return false;
        }
        return $output;
    }
	

	
	
	
		
	/*
-----------------------------------------------------------------------------------------------------
|   USE : appSignin
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to login via mobile application 
-----------------------------------------------------------------------------------------------------
*/

    function applogin()
    {
        $data = json_decode(file_get_contents("php://input"));
    
        $userName = trim($data->email);
        $password = trim($data->password);


            // check email is activated or not
            $emailVerifyResult=$this->login_model->checkEmailVerication($userName);

            @$emailVerify=$emailVerifyResult->is_verify;
            @$investorId=$emailVerifyResult->investor_id;
            if($emailVerify==1)
            {

                if ($this->ion_auth->login($userName, $password, NULL))
                {

                    $userdata["email"]=$userName;
                    $userInfo=$this->ion_auth->user()->row();
                    $userName=$userInfo->username;
                    $userdata["userName"]=$userName;
                    $userId=$userInfo->user_id;
                    $userdata["userId"]=$userId;
                    $resultInvestorId=$this->login_model->getInvestorIdByUserId($userId);
                    if($resultInvestorId)
                    {
                        $userdata["investor_id"]=$resultInvestorId->investor_id;
                    }
                    else
                    {
                        $userdata["investor_id"]="";
                    }

                    $userdata['userName'] = $this->encrypt->decode($userName);
                    $userdata['success'] = "true";
					$userdata['contact_save'] = "true";
                    $out = json_encode($userdata);
                    echo $out;      

                }
                else
                {
                    echo '{"success":false ,"msg" : "User name And Password Is incorrect"}';
                   
                }
                
            }
            else
            {
                 echo '{"success":false ,"msg" : "email not Verify"}';
            }
                     
    }
	
	/*
-----------------------------------------------------------------------------------------------------
|   USE : app_forgotten_password
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This Api For Forgot Password
-----------------------------------------------------------------------------------------------------
*/
    function app_forgotten_password()
    {
		$data = json_decode(file_get_contents("php://input"));
		
		if($data)
		{
		
			$forgotten = $this->ion_auth->forgotten_password($data->email);
			if($forgotten)
			{
				 echo '{"success":"true"}';
			}
			else
			{
				 echo '{"success":"false"}';
			}
		}
   
    }
/*
-----------------------------------------------------------------------------------------------------
*/
	

}
