<?php

class NachMap extends CI_Controller {

	function __construct()
	{
		Parent::__construct();
        $this->load->library('excel');
	}

	public function index()
	{
		$view = 'nach_map';
		$data =[];
		layout($data,$view);
	}

	public function getData()
	{
		$this->load->library('excel');
		if(isset($_FILES)) 
        {
        	foreach($_FILES  as $key){
		        $info = new SplFileInfo($key["name"]);
		        $fileExt=strtolower($info->getExtension());
		        $originalfileName =$key["name"];
		        $uploadFileName = date("ymdHis")."_".$originalfileName; // assign new name
		        $tempName=$key["tmp_name"];
		        $checkUrl = base_url();
		        $dirpath="assets/uploads/transection_uploads/".$uploadFileName;
		        if(move_uploaded_file($tempName, $dirpath)) 
		        {
			        $objPHPExcel = PHPExcel_IOFactory::load($dirpath);
			        $allDataInSheet = $objPHPExcel->getActiveSheet()->toArray(null,true,true,true);
			        $arrayCount = count($allDataInSheet);  // Here get total count of row in that Excel sheet
			        $insertionData = array();
			        $investor_id_array = [];
					$data ="";
			        for($i=2;$i <= $arrayCount; $i++ )
					{
						$sheetData = [
							"ACHTransactionCode" => $allDataInSheet[$i]['A'],
							"Control1" => $allDataInSheet[$i]['B'],
							"DestinationAccountType" =>	$allDataInSheet[$i]['C'],
							"LedgerFolioNumber"	 =>$allDataInSheet[$i]['D'],
							"Control2"	 =>$allDataInSheet[$i]['E'],
							"BeneficiaryAccountHoldersName"	 =>$allDataInSheet[$i]['F'],
							"Control3"	 =>$allDataInSheet[$i]['G'],
							"Control4"	 =>$allDataInSheet[$i]['H'],
							"UserName"	 =>$allDataInSheet[$i]['I'],
							"Control5"	 =>$allDataInSheet[$i]['J'],
							"Amount"	 =>$allDataInSheet[$i]['K'],
							"ACHItemSeqNo"	 =>$allDataInSheet[$i]['L'],
							"Checksum"	 =>$allDataInSheet[$i]['M'],
							"SuccessReturnFlag"	 =>$allDataInSheet[$i]['N'],
							"ReasonCode"	 =>$allDataInSheet[$i]['O'],
							"DestinationBankIFSC_MICR_IIN"	 =>$allDataInSheet[$i]['P'],
							"BeneficiaryBankAccountnumber"	 =>$allDataInSheet[$i]['Q'],
							"SponsorBankIFSC_MICR_IIN"	 =>$allDataInSheet[$i]['R'],
							"UserNumber"	 =>$allDataInSheet[$i]['S'],
							"TransactionReference"	 =>$allDataInSheet[$i]['T'],
							"ProductType"	 =>$allDataInSheet[$i]['U'],
							"BeneficiaryAadhaarNumber"	 =>$allDataInSheet[$i]['V'],
							"UMRN" =>$allDataInSheet[$i]['W'],
						];
						array_push($investor_id_array , $allDataInSheet[$i]['T']);
						$insertionData[$allDataInSheet[$i]['T']] = $sheetData;
					}

					$ides = implode(',', $investor_id_array);
					$date=date_create(date('Y-m-d 00:00:00'));
					$date2 = date('Y-m-d 00:00:00');
					date_sub($date,date_interval_create_from_date_string("7 days"));
					$date1 = date_format($date,"Y-m-d 00:00:00");
					$res = $this->db->query("SELECT purchased_units.purchased_units_id, amc_code.AMC as AMC_CODE, users.username, users.email, purchased_units.purchased_amount,purchased_units.investor_id FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id JOIN amc_code ON purchased_units.AMC_CODE = amc_code.AMC_code  WHERE purchased_units.investor_id in($ides) AND purchased_units.trans_upload_status = 0 AND purchased_units.request_status = 0 AND purchased_units.is_cancel = 0 AND purchased_units.nb_request = 0 AND purchased_units.request_date  BETWEEN '".$date1."' AND '".$date2."' ORDER BY purchased_units.`AMC_CODE`, purchased_units.purchased_units_id");
					// echo $this->db->last_query();
					$result_array = [];
					if($res->num_rows() > 0){
						// echo "<pre>";
						foreach($res->result() as $rs)
						{
							// print_r($rs);
							$resion = $insertionData[$rs->investor_id]['SuccessReturnFlag']==1?'success':$this->ReturnCode(trim($insertionData[$rs->investor_id]['ReasonCode']));
							array_push($result_array, [
								"<input type='checkbox' class='check_all' value='".$rs->purchased_units_id."' />",
								$rs->purchased_units_id,
								$rs->AMC_CODE,
								$this->encrypt->decode($rs->username),
								$rs->purchased_amount,
								$resion
							]);
							// print_r($insertionData[$rs->investor_id]);
						}
					}
					print_r(json_encode($result_array));
		        }
		        else
		        {
		          echo '{"uploaded":false,"error": {"message": "could not upload this image"}}';
		        }
	        }
        }
	}

	public function ReturnCode($index)
	{
		$arr = [
				"01"=>'Account Closed',
				"02"=>'No Such Account',
				"04"=>'Balance Insufficient',
				"05"=>'Not Arranged For/Amount Exceeding Limit set by A/c Holder',
				"06"=>'Payment Stopped by Drawer',
				"07"=>'Payment Stopped Under Court Order/Account Under Litigation',
				"11"=>'Invalid IFSC/MICR code',
				"12"=>'Mismatch in mandate frequency',
				"13"=>'Duplicate transaction - transaction already debited either under ACh or NACH debit(ECS)',
				"14"=>'Mandate Expired',
				"15"=>'Incorrect amount-Mismatch between mandate & transaction',
				"16"=>'Customer Name Mismatch',
				"17"=>'Returned as per customer request',
				"51"=>'Miscellaneous - KYC Documents Pending',
				"52"=>'Miscellaneous - Documents Pending for Account Holder Turning Major',
				"53"=>'Account inoperative',
				"54"=>'Dormant account',
				"55"=>'Miscellaneous - A/c in Zero Balance/No Transactions have Happened, First Transaction in Cash or Self Cheque',
				"56"=>'Small Account, first transaction to be from Base Branch',
				"57"=>'Miscellaneous - Amount exceeds limit set on account by bank for debit per transaction',
				"58"=>'Miscellaneous - Account reached maximum debit limit set on account by bank',
				"59"=>'Miscellaneous - Network Failure (CBS)',
				"60"=>'Account Holder Expired',
				"61"=>'Mandate Cancelled',
				"68"=>'Account Blocked / Frozen',
				"69"=>'Customer Insolvent / Insane',
				"70"=>'Customer to refer to the Branch',
				"95"=>'INITIAL REJECT',
				"98"=>'Extension'
			];
		return $arr[$index];
	}

	public function createXl()
	{
		if(isset($_POST))
		{
			$transection_key = implode(',', $_POST['transection_key']);
			// print_r($transection_key);
			// $res = $this->db->query("SELECT `purchased_units_id`, purchased_units.purchased_amount, users.username, users.email, amc_code.AMC FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id JOIN amc_code ON purchased_units.AMC_CODE = amc_code.AMC_code WHERE purchased_units_id IN($transection_key) ORDER BY purchased_units.AMC_CODE");
			$res = $this->db->query("SELECT `purchased_units_id`, purchased_units.purchased_amount, users.username, users.email, amc_code.AMC, purchased_units.folio_number, funds.scheme_code FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id JOIN amc_code ON purchased_units.AMC_CODE = amc_code.AMC_code JOIN funds ON funds.fund_id = purchased_units.fund_id WHERE purchased_units_id IN($transection_key) ORDER BY purchased_units.AMC_CODE");
			if($res->num_rows() > 0){
				$this->createEXL($res->result());
			}else{

			}
		}
	}

	public function createEXL($data)
    {
        $fileName = 'Transaction_File_'.date("d-m-Y");
        // Create new PHPExcel object
        $objPHPExcel = new PHPExcel();
        // // Set document properties
        $objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("My Excel Sheet")->setSubject("My Excel Sheet")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");
        // Set active sheet index to the first sheet, so Excel opens this as the first sheet
        $objPHPExcel->setActiveSheetIndex(0);
        // Add column headers
        $objPHPExcel->getActiveSheet()
                    ->setCellValue('A1', 'purchase Unit Id')
                    ->setCellValue('B1', 'Name')
                    ->setCellValue('C1', 'Email')
                    ->setCellValue('D1', 'Amount')
                    ->setCellValue('E1', 'AMC')
                    ->setCellValue('F1', 'SCHEME_CODE')
                    ->setCellValue('G1', 'Folio')
                    ->setCellValue('H1', 'Remark');

        // Put each record in a new cell
        $ii=2;
        $amc = '';
        $total_small = 0;
        $total_large = 0;
        foreach($data as $data){
        	$total_small =$total_small + $data->purchased_amount;
        	if($amc != $data->AMC AND $amc != ''){
        		$total_small = $total_small - $data->purchased_amount;
        		$objPHPExcel->getActiveSheet()->setCellValue('A'.$ii, '');
	            $objPHPExcel->getActiveSheet()->setCellValue('B'.$ii, '');
	            $objPHPExcel->getActiveSheet()->setCellValue('C'.$ii, 'Total');
	            $objPHPExcel->getActiveSheet()->setCellValue('D'.$ii, $total_small);
	            $objPHPExcel->getActiveSheet()->setCellValue('E'.$ii, '');
	            $objPHPExcel->getActiveSheet()->setCellValue('F'.$ii, '');
	            $objPHPExcel->getActiveSheet()->setCellValue('G'.$ii, '');
	            $objPHPExcel->getActiveSheet()->setCellValue('H'.$ii, '');
	            $ii++;
	            $total_small = $data->purchased_amount;
        	}
        	$amc =  $data->AMC;
            $objPHPExcel->getActiveSheet()->setCellValue('A'.$ii, $data->purchased_units_id);
            $objPHPExcel->getActiveSheet()->setCellValue('B'.$ii, $this->encrypt->decode($data->username));
            $objPHPExcel->getActiveSheet()->setCellValue('C'.$ii, $data->email);
            $objPHPExcel->getActiveSheet()->setCellValue('D'.$ii, $data->purchased_amount);
            $objPHPExcel->getActiveSheet()->setCellValue('E'.$ii, $data->AMC);
            $objPHPExcel->getActiveSheet()->setCellValue('F'.$ii, $data->scheme_code);
            $objPHPExcel->getActiveSheet()->setCellValue('G'.$ii, $data->folio_number);
            $objPHPExcel->getActiveSheet()->setCellValue('H'.$ii, '');
            $ii++;
        }
        $objPHPExcel->getActiveSheet()->setCellValue('A'.$ii, '');
        $objPHPExcel->getActiveSheet()->setCellValue('B'.$ii, '');
        $objPHPExcel->getActiveSheet()->setCellValue('C'.$ii, 'Total');
        $objPHPExcel->getActiveSheet()->setCellValue('D'.$ii, $total_small);
        $objPHPExcel->getActiveSheet()->setCellValue('E'.$ii, '');
        $objPHPExcel->getActiveSheet()->setCellValue('F'.$ii, '');
        $objPHPExcel->getActiveSheet()->setCellValue('G'.$ii, '');
        $objPHPExcel->getActiveSheet()->setCellValue('H'.$ii, '');
        // Set worksheet title
        $objPHPExcel->getActiveSheet()->setTitle($fileName);
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
        $objWriter->save('assets/uploads/report/'.$fileName.'.xlsx');
        $attachment_path =  '/var/www/html/investocafeadmin/assets/uploads/report'. $fileName . '.xlsx';
        $url = base_url("assets/uploads/report/". $fileName . ".xlsx");
        echo '{"success":true,"path":"'.$url.'"}';
    }

    public function updateReferenceNumber()
    {
    	$this->load->library('excel');
		if(isset($_FILES)) 
        {
        	foreach($_FILES  as $key)
        	{
		        $info = new SplFileInfo($key["name"]);
		        $fileExt=strtolower($info->getExtension());
		        $originalfileName =$key["name"];
		        $uploadFileName = date("ymdHis")."_".$originalfileName; // assign new name
		        $tempName=$key["tmp_name"];
		        $checkUrl = base_url();
		        $dirpath="assets/uploads/transection_uploads/".$uploadFileName;
		        if(move_uploaded_file($tempName, $dirpath)) 
		        {
			        $objPHPExcel = PHPExcel_IOFactory::load($dirpath);
			        $allDataInSheet = $objPHPExcel->getActiveSheet()->toArray(null,true,true,true);
			        $arrayCount = count($allDataInSheet);  // Here get total count of row in that Excel sheet
			        $insertionData = array();
			        $investor_id_array = [];
					$data ="";
					$ids_array = [];
					$number ='';
					echo "<pre>";
			        for($i=2;$i <= $arrayCount; $i++ )
					{
						if($allDataInSheet[$i]['A'] !='') {
							$number = $allDataInSheet[$i]['H'];
							array_push($ids_array, $allDataInSheet[$i]['A']);
						} else {
							echo $query =  "UPDATE purchased_units SET date_of_deposit='".DATE('Y-m-d 00:00:00')."',deposit_ref_no='".$number."',response=2 WHERE purchased_units_id in(".implode(',', $ids_array).")";
							// print_r($ids_array);
							if(count($ids_array)>0){
								$this->db->query($query);
							}
							$ids_array = [];
						    // echo '{"uploaded":true,"msg": {"message": "could not upload file"}}';
						}
					}
		        }
		        else
		        {
		          echo '{"uploaded":false,"error": {"message": "could not upload file"}}';
		        }
	        }
        }
    }

    public function checkCamsRes()
    {
    	$this->load->library('excel');
		if(isset($_FILES)) 
        {
        	foreach($_FILES  as $key)
        	{
        		$info = new SplFileInfo($key["name"]);
		        $fileExt=strtolower($info->getExtension());
		        $originalfileName =$key["name"];
		        $uploadFileName = date("ymdHis")."_".$originalfileName; // assign new name
		        $tempName=$key["tmp_name"];
		        $checkUrl = base_url();
		        $dirpath="assets/uploads/transection_uploads/".$uploadFileName;
		        if(move_uploaded_file($tempName, $dirpath)) 
		        {

		        }
        	}
        }
    }
}