<?php

class RelianceUnitsUpdateCron extends CI_Controller{
	
	function __construct()
    	{
		parent::__construct();
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model');
		$this->load->helper('karvy_helper');
    	}
	
	public function getDetail()
	{
		log_message("info", "***** Controller : RelianceUnitsUpdateCron,  Function : getDetail, Messege : run Reliance Units Update Cron *****");
		$res = $this->db->query("select SUM(unit_count) as all_units,folio_number,investor_id from purchased_units where fund_id = 9227 and folio_number !='' and investor_id != 55 and request_status = 1 group by folio_number");
		if($res->num_rows() > 0)
		{
			echo "<pre>";
			foreach($res->result() as $rs)
			{
				if($rs->folio_number == 499173437135)
				{
				$availableUnits = $this->getRedeemUnits($rs->folio_number);
				$investor_id = $rs->investor_id;
				$returnData = $this->relianceAPITwo($investor_id);
					if($returnData->Totalunits)
					{
					
						echo $investor_id."---".$returnData->Totalunits ." ". $rs->all_units ." ". $availableUnits."<br />";
						$remains =  $rs->all_units - $availableUnits - $returnData->Totalunits;
						echo $remains;
						//print_r($returnData);
						if($remains > 0.040)
						{
							log_message("info", "***** Controller : RelianceUnitsUpdateCron,  Function : update units for ".$investor_id." *****");
							  $dataArray = array(
									"unit_count" => $remains,
									"sold_amount" => $remains * $returnData->Nav,
									"date_of_sale" => date("Y-m-d") ,
									"investor_id" => $investor_id,
									"request_status" => 1,
									"request_date" => date("Y-m-d"),
									"fund_id" => 9227,
									"folio_number" => $rs->folio_number,
									"withdraw_type" => 5
							   ); 

							  print_r($dataArray);
							  // exit;
							  // $this->db->insert("sold_units",$dataArray);
						}
					}
				}
			}
		}
	}
	
	public function getRedeemUnits($folioNumber)
	{
		$res = $this->db->query("select SUM(unit_count) as allUnits,folio_number,investor_id from sold_units where fund_id = 9227 and folio_number = $folioNumber and investor_id != 55 and request_status = 1 group by folio_number");
		if($res->num_rows()>0)
		{
			return $res->row()->allUnits;
		}
		else
		{
			return 0;
		}
	}
	
	public function relianceAPITwo($investor_id)
	{
		if($investor_id)
		{
			$investorBankDetails = $this->api_model->getInvestorBankDetails($investor_id);
			$acno = $this->encrypt->decode($investorBankDetails->account_number);
			$fol = $this->db->query("select folio_number from purchased_units where investor_id = $investor_id and fund_id = 9227 and folio_number <> ''");
			 if($fol->num_rows() > 0)
			{
				$arncode = $this->config->item('arn_code');
				$branch  = $this->config->item('user_code');
				$apikey  = "32557515-5995-4b35-f3f3-f9518482e527";
				$sendData = "";
				$sendData .="acno=".$fol->row()->folio_number."&";
				$sendData .="scheme=LP&";
				$sendData .="plan=IG&";
				$sendData .="arncode=".$arncode."&";
				$sendData .="branch=".$branch."&";
				$sendData .="proxybranch=&";
				$sendData .="deviceid=PARTNERAPI&";
				$sendData .="appVersion=1.0.1&";
				$sendData .="appName=INVESTOCAFE&";
				$sendData .="apikey=".$apikey."";
				$url = $this->config->item('redemption_scheme_details');
				log_message("info", "***** Controller : RelianceUnitsUpdateCron,  Function :relianceAPITwo msg :  ".$sendData." *****");
				$responce = $this->sendInfo($sendData,$url);
				if($responce)
				{
					return json_decode($responce);
				}
			} 
		} 
		
	}
	
	function sendInfo($data,$url)
	{
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_PORT , 443);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$returnData = curl_exec($ch);
		curl_close($ch);
		return $returnData;
	}
}
