<?php defined('BASEPATH') OR exit('No direct script access allowed');
class social extends CI_Controller
{
    function __construct() 
	{
		parent::__construct();
		$this->load->model('social/user','social_user');
		$this->load->model('registration/registration_model','registration_model');
		$this->load->model('login/login_model');
		$this->load->model('dashboard/dashboard_model');
    }
    
      public function index()
	  {		
		return redirect(base_url('login'));
	  }
	
	  public function google()
	  {		
	 
		$this->checkAndLoginUsinggoogleLogin();
	  }
	
	 public function facebook()
	 {		
		$this->facebookLogin();
	 }
		
		
/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : googleLogin
|   DATE : 18/10/2016
|   COMMENT :  This Function is Used To get login with Google
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/

	function googleLogin()
	{
		// Include the google api php libraries
		include_once APPPATH."libraries/google-api-php-client/Google_Client.php";
		include_once APPPATH."libraries/google-api-php-client/contrib/Google_Oauth2Service.php";
		
		// Google Project API Credentials
		$clientId = '661377630564-5c3b12jum7j5kb3k6i7519hlhjoq158p.apps.googleusercontent.com';
        $clientSecret = 'dTqdE4Rw2paiOiD5mKFeovmu';
        $redirectUrl = base_url() . 'social/google/';
		//echo $redirectUrl; die;

		// Google Client Configuration
        $gClient = new Google_Client();
        $gClient->setApplicationName('Google Login');
        $gClient->setClientId($clientId);
        $gClient->setClientSecret($clientSecret);
        $gClient->setRedirectUri($redirectUrl);
        $google_oauthV2 = new Google_Oauth2Service($gClient);

		
        if (isset($_REQUEST['code'])) {
            $gClient->authenticate();
            $this->session->set_userdata('token', $gClient->getAccessToken());
            redirect($redirectUrl);
        }

        $token = $this->session->userdata('token');
		
        if (!empty($token)) {
            $gClient->setAccessToken($token);
        }
		
        if ($gClient->getAccessToken()) {
			
            $userProfile = $google_oauthV2->userinfo->get();
		 	/* echo "<pre>";
			print_r($userProfile);
			exit;  */
            // Preparing data for database insertion
			

            $userData['username'] = $userProfile['given_name'].' '.$userProfile['family_name'];
            $userData['email'] = $userProfile['email'];
			$userData['first_name']= $userProfile['given_name'].' '.$userProfile['family_name'];
			$userData['google_id']=$userProfile['id'];
			$userData['tokenImagePath']='10.jpg';
			$userData['tokenImageName']='google';
			$userData['picture'] = $userProfile['picture'];
			
			$additional_data = array(
			"first_name" => $userData['first_name'],
			"email"=>$userData['email'],
			'phone' => "",
			"google_id"=>$userData['google_id']
            );
			   
            // Preparing data for database insertion
			if(isset($_SESSION["userId"]))
			{
				$user_id = $_SESSION["userId"];
				$additional_data = array(
					"google_id"=>$userData['google_id']
				);
				$this->social_user->updateGoogleData($user_id,$additional_data);
				return redirect("dashboard");
				
			}
			
			$userRecord = $this->checkEmailExists($userData['email']);
			
			if($userRecord)
			{
				$user_id= $userRecord->id;
				$googleRecord=$this->social_user->checkEmailAndGooleExists($userData['email'],$userData['google_id']);
				if(!$googleRecord){
					//updating google id only
					$this->social_user->updateGoogleData($user_id,$additional_data);
				}
			}
			else
			{
				echo 'user not exist';
				//insert all social data'
				$user_id = $this->addInvestorSocialSite($userData);	
			
			}
			//echo 'redirecting to dashboard..';
			if($user_id)
			{
				$this->getUserProfile($user_id);
			}
			else
			{
				return redirect(base_url());
			}
			
            
			
        } else {
			//echo $gClient->createAuthUrl();
          redirect($gClient->createAuthUrl());
        }
	}
	
	
	function facebookLogin()
	{
		// Include the facebook api php libraries
		include_once APPPATH."libraries/facebook-api-php/facebook.php";
		// Facebook API Configuration
		$appId = '1838397286444722';
		$appSecret = 'e307f2b9cb3ddb9a794c1f12039d590a';
		$redirectUrl = base_url() . 'social/facebook/';
		$fbPermissions = 'email';
		//Call Facebook API
		$facebook = new Facebook(array(
		  'appId'  => $appId,
		  'secret' => $appSecret
		));
		$fbuser = $facebook->getUser();

        if($fbuser)
		{
			$userProfile = $facebook->api('/me?fields=user_id,first_name,last_name,email,gender,locale,picture');
			
			$userData['facebook_id'] = $userProfile['id'];
			$userData['first_name'] = $userProfile['first_name'].' '.$userProfile['last_name'];
            $userData['username'] = $userProfile['first_name'].' '.$userProfile['last_name'];
			if(isset($userProfile['email']))
			{
				$userData['email'] = $userProfile['email'];
			}
			else
			{
				$userData['email'] = "";
			}
            
			if(isset($userData['gender']))
			{
				$userData['gender'] = $userProfile['gender'];
			}
			else
			{
				$userData['gender'] = "";
			}
			
			$userData['locale'] = $userProfile['locale'];
            $userData['profile_url'] = 'https://www.facebook.com/'.$userProfile['id'];
            $userData['picture'] = 'https://graph.facebook.com/'.$userData['facebook_id'].'/picture?type=large';
			$userData['tokenImagePath']='11.jpg';
			$userData['tokenImageName']='facebook';
			$additional_data = array(
			"email"=>$userData['email'],
			"facebook_id"=>$userData['facebook_id']
            );

			$userRecord = $this->checkEmailExists($userData['email']);
			if($userRecord)
			{
				$user_id= $userRecord->id;
				$fbRecord=$this->social_user->checkEmailAndFacebookExists($userData['email'],$userData['facebook_id']);
				if(!$fbRecord){
					//updating facebook id only
					$this->social_user->updateFacebookData($user_id,$additional_data);
				}
			}
			else
			{
				$userid = $this->db->select('id')->from('users')->where('facebook_id',$userData['facebook_id'])->get()->id;
				if($userid)
				{
					$user_id = $userid;
				}
				else
				{
					$user_id = $this->addInvestorSocialSite($userData);	
				}
			}
			
			if($user_id)
			{
				//echo 'redirecting to dashboard..';
				$this->getUserProfile($user_id);
			}
			else
			{
				return redirect(base_url());
			}
			
			
        }else {
			$fbuser = '';
            $authUrl = $facebook->getLoginUrl(array('redirect_uri'=>$redirectUrl,'scope'=>$fbPermissions));
			redirect($authUrl);
        }
		
		
	}
	
	public function checkEmailExists($email)
    {
		
        $res=$this->social_user->checkEmailExists($email);
		if($res)
        {
           return $res;
        }
        else
        {
            return false;
        }
    }
	
	public function checkEmailAndGooleExists($email,$googleId)
    {

        $res=$this->social_user->checkEmailAndGooleExists($email,$googleId);
        if($res)
        {
           return $res;
        }
        else
        {
            return false;
        }
    }
	
/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : addInvestorSocialSite
|   DATE : 18/10/2016
|   COMMENT :  This Function is Used To get Data From Social login fb/google for First Registration Form
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/
    function addInvestorSocialSite($userData)
    {
  
		$name=$this->encrypt->encode(handleString($userData['username']));
		$email=$userData['email'];
		$first_name=$userData['first_name'];
		$this->load->helper('string');
		$password = "investorcafe";
        $group = array('1'); // Sets user to admin.
		$phone="";
        $additional_data = array(
            'first_name' => $name,
            'phone' => $phone,
            "email"=>$email
            );
		$id = $this->ion_auth->register($name, $password, $email, $additional_data,$group);
		
        if($id)
        {
            $_SESSION["userId"]=$id;
            $data=array(

                        "login_id"=>$id,
                        "token_image_path"=>$userData['tokenImagePath'],
                        "token_image_name"=>$userData['tokenImageName'],
						"is_verify" => 1,
						"profile_image_url" => $userData['picture']
                        );

            $result = $this->registration_model->addInvestor($data);

            if($result)
            {
                $_SESSION['investor_id']=$result;
                $investorId=$_SESSION['investor_id'];
                $this->addInvestorStatus($investorId);
                $ip_address=$this->input->ip_address();
				$this->sendRegistrationEmail($investorId , $password);
				return $id;
            }
            else
            {
                return false;
            }
    
        }else{
			echo 'error while inserting record';
			exit;
		}
        
    }
	
    function addInvestorStatus($investorId)
    {
        $today_date= date("Y-m-d H:i:s");
         $data=array(
                    "investor_id"=>$investorId,
                    "first_registration" => 1 ,
                    "first_registration_date" => $today_date
                   );
        $result=$this->registration_model->updateInvestorStatus($data);

		log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : registration, Function : addInvestorStatus, Message : Successfully added investor status *****');
    }
	

	
    public function getUserProfile($id)
    {
        $this->load->model('login/social_network_model','EditClient_model');
        $Tuser = $this->EditClient_model->getUserDetail($id);
		
        $_SESSION["email"]=$Tuser->email;
        $_SESSION["userName"]=$Tuser->username;
        $userId=$Tuser->id;
        $_SESSION["userId"]=$userId;
        $resultInvestorId=$this->EditClient_model->getInvestor($userId);

        if($resultInvestorId)
        {
            $_SESSION["investor_id"]=$resultInvestorId->investor_id;
        }
        else
        {
            $_SESSION["investor_id"]="";
        }

        
        $this->session->set_userdata('user_id',$id);
        $user_groups = $this->ion_auth->get_users_groups($id)->row();
		
        //print_r($user_groups);die;
        //print_r($user_groups);die;
        $groupId=$user_groups->id;
        $_SESSION["groupId"]=$groupId;
        //$defaultPage=$user_groups->default_page;
        //$_SESSION["defaultPage"]=$defaultPage;
		
        /********* Get visible pages according to permission by group id *******/
        $resultPageId= $this->EditClient_model->getAllAccessiblePage($groupId);
        if($resultPageId)
        {
            $pageId = array();
            foreach($resultPageId as $row)
            {
                $pageId[] = $row->page_id;
            }
            $_SESSION['pageId'] = $pageId;
        }
	
		
        redirect(base_url()."dashboard");
                   
                        
    }
	
	/*
-----------------------------------------------------------------------------------------------------
|   USE : sendRegistrationPdfEmail
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : send registration PDF  email TO CLIENT
-----------------------------------------------------------------------------------------------------
*/
    function sendRegistrationEmail($invId , $password)
    {

		$resultInfo=$this->registration_model->getInvestorDetail($invId);
		if(isset($resultInfo) && !empty($resultInfo))
		{
			$email=$resultInfo->email;
			$name=$this->encrypt->decode($resultInfo->name);
			$data=array();
			$data['name']=$name;
			$data['password'] = "your password is".$password;
			$today = date('d M Y h:i a', time());
			$html= $this->load->view('registration_pdf_email_view',$data,true);
			$this->email->set_newline("\r\n");
			$this->email->set_mailtype("html");
			$this->email->to($email);
			$this->email->bcc(""); 
			$this->email->from(" Investocafe Assistant<help@investocafe.com>", "Investocafe");
			$this->email->subject("Registration pdf");
			$this->email->message($html); 
			$result=$this->email->send();
			//echo $this->email->print_debugger();die;
		   
		}

    }
	
	function appLoginFacebook()
	{
		$userData = json_decode(file_get_contents('php://input'));
		if($userData)
		{
			$facebook_id = $userData->facebook_id;
			$email = $userData->email;
			$gmail_id = $userData->gmail_id;
			if($facebook_id != "")
			{
				$additional_data = array(
				 "facebook_id"=>$facebook_id
				);
				

				if(true)
				{
					$fbRecord= $this->db->from("users")->where("facebook_id",$facebook_id)->get();
					if($fbRecord->num_rows() ==0)
					{
						echo '{"success":"false","msg":"facebook ID not exist"}';
					}
					else
					{
						$user_id = $fbRecord->row()->id;
						$this->load->model('login/social_network_model','EditClient_model');
						$Tuser = $this->EditClient_model->getUserDetail($user_id);
						$resultInvestorId=$this->EditClient_model->getInvestor($user_id);
						$userName = $this->encrypt->decode($Tuser->username);
						echo '{"success":"true","user_id": '.$user_id.', "investor_id" :'.$resultInvestorId->investor_id.' , "email" : "'.$Tuser->email.'" , "userName" : "'.$userName.'" }';
					}
				}
				else
				{
					echo '{"success":"false","msg":"new registration"}';
				}
			}
			
			if($gmail_id!="")
			{
				if(true)
				{
					$googleRecord= $this->db->from("users")->where("google_id",$gmail_id)->get();
					if($googleRecord->num_rows() ==0)
					{
						echo '{"success":"false","msg":"google ID not exist"}';
					}
					else
					{
						$user_id = $googleRecord->row()->id;
						$this->load->model('login/social_network_model','EditClient_model');
						$Tuser = $this->EditClient_model->getUserDetail($user_id);
						$resultInvestorId=$this->EditClient_model->getInvestor($user_id);
						$userName = $this->encrypt->decode($Tuser->username);
						echo '{"success":"true","user_id": '.$user_id.', "investor_id" :'.$resultInvestorId->investor_id.' , "email" : "'.$Tuser->email.'" , "userName" : "'.$userName.'" }';
					}
				}
				else
				{
					echo '{"success":"false","msg":"new registration"}';
				}
			}
			
			
		
			
        }
	} 
	
	public function linked_account($receive = 0 )
	{
		
			include_once APPPATH."libraries/facebook-api-php/facebook.php";
			$appId = '1838397286444722';
			$appSecret = 'e307f2b9cb3ddb9a794c1f12039d590a';
			$redirectUrl = base_url() . 'social/facebook/';
			$fbPermissions = 'email';
			$facebook = new Facebook(array(
			  'appId'  => $appId,
			  'secret' => $appSecret
			));
			$fbuser = $facebook->getUser();
			if($fbuser)
			{
				$userProfile = $facebook->api('/me?fields=id,first_name,last_name,email,gender,locale,picture');
				$userData['facebook_id'] = $userProfile['id'];
				$additional_data = array(
					"facebook_id"=>$userData['facebook_id']
				);
				$user_id = $_SESSION["userId"];
				echo $user_id." ".$userData['facebook_id'];

				//$this->social_user->updateFacebookData($user_id,$additional_data);
			}
			//return redirect("dashboard");
		
		
		
	}
	
	public function checkIdAndFacebookLogin()
	{	
		$this->session->set_userdata("socialSession","set");
		include_once APPPATH."libraries/facebook-api-php/facebook.php";
		$appId = '1838397286444722';
		$appSecret = 'e307f2b9cb3ddb9a794c1f12039d590a';
		$redirectUrl = base_url().'social/checkIdAndFacebookLogin';
		$fbPermissions = 'email';
		$facebook = new Facebook(array(
		  'appId'  => $appId,
		  'secret' => $appSecret,
		  'default_graph_version' => 'v2.2',
		));
		$fbuser = $facebook->getUser();
		print_r($fbuser);
		exit;
        if($fbuser)
		{
			
			$userProfile = $facebook->api('/me?fields=id,first_name,last_name,email,gender,locale,picture');
			$userData['facebook_id'] = $userProfile['id'];
            $userData['first_name'] = $userProfile['first_name'].' '.$userProfile['last_name'];
            $userData['username'] = $userProfile['first_name'].' '.$userProfile['last_name'];
			if(isset($userProfile['email']))
			{
				$userData['email'] = $userProfile['email'];
			}
			else
			{
				$userData['email'] = "";
			}
            
			if(isset($userData['gender']))
			{
				$userData['gender'] = $userProfile['gender'];
			}
			else
			{
				$userData['gender'] = "";
			}
			
			$userData['locale'] = $userProfile['locale'];
            $userData['profile_url'] = 'https://www.facebook.com/'.$userProfile['id'];
            $userData['picture'] = 'https://graph.facebook.com/'.$userData['facebook_id'].'/picture?type=large';

			$userData['tokenImagePath']='11.jpg';
			$userData['tokenImageName']='facebook';
			$additional_data = array(
			"email"=>$userData['email'],
			"facebook_id"=>$userData['facebook_id']
            );
	
			$userRecord = $this->db->from("users")->where("facebook_id",$userData['facebook_id'])->get();
			if($userRecord->num_rows()>0)
			{
				$this->getUserProfile($userRecord->id);
			}
			else
			{
				$this->session->set_flashdata("verifyAcount","Your Investocafe account is not linked with facebook please log into your Investocafe account and link your facebook account with Investocafe");
				$this->session->set_userdata("socialSession","set");
				$this->session->set_userdata("facebookId",$userData['facebook_id']);
				return redirect("login");
			} 
			
			
			
        }
			$fbuser = '';
            $authUrl = $facebook->getLoginUrl(array('redirect_uri'=>$redirectUrl,'scope'=>$fbPermissions));
			redirect($authUrl);
        
		
	}
	
	public function redirectURL()
	{
		$this->session->set_userdata("socialSession","set");
		include_once APPPATH."libraries/facebook-api-php/facebook.php";
		$appId = '139425823286978';
		$appSecret = '5198e8e5c8e96847099138807ccc71f3';
		$redirectUrl = base_url() . 'social/checkIdAndFacebookLogin/';
		$fbPermissions = 'email';
		$facebook = new Facebook(array(
		  'appId'  => $appId,
		  'secret' => $appSecret,
		  'default_graph_version' => 'v2.2',
		));
		$fbuser = $facebook->getUser();
		
        if(true)
		{
			$userProfile = $facebook->api('/me?fields=id,first_name,last_name,email,gender,locale,picture');
			print_r($userProfile);
			exit;
			$userData['facebook_id'] = $userProfile['id'];
            $userData['first_name'] = $userProfile['first_name'].' '.$userProfile['last_name'];
            $userData['username'] = $userProfile['first_name'].' '.$userProfile['last_name'];
			if(isset($userProfile['email']))
			{
				$userData['email'] = $userProfile['email'];
			}
			else
			{
				$userData['email'] = "";
			}
            
			if(isset($userData['gender']))
			{
				$userData['gender'] = $userProfile['gender'];
			}
			else
			{
				$userData['gender'] = "";
			}
			
			$userData['locale'] = $userProfile['locale'];
            $userData['profile_url'] = 'https://www.facebook.com/'.$userProfile['id'];
            $userData['picture'] = 'https://graph.facebook.com/'.$userData['facebook_id'].'/picture?type=large';

			$userData['tokenImagePath']='11.jpg';
			$userData['tokenImageName']='facebook';
			$additional_data = array(
			"email"=>$userData['email'],
			"facebook_id"=>$userData['facebook_id']
            );
	
			$userRecord = $this->db->from("users")->where("facebook_id",$userData['facebook_id'])->get();
			if($userRecord->num_rows()>0)
			{
				$this->getUserProfile($userRecord->id);
			}
			else
			{
				$this->session->set_flashdata("verifyAcount","Your Investocafe account is not linked with facebook please log into your Investocafe account and link your facebook account with Investocafe");
				$this->session->set_userdata("socialSession","set");
				$this->session->set_userdata("facebookId",$userData['facebook_id']);
				return redirect("login");
			} 
			
			
			
        }
	}
	
	function checkAndLoginUsinggoogleLogin()
	{
		// Include the google api php libraries
		include_once APPPATH."libraries/google-api-php-client/Google_Client.php";
		include_once APPPATH."libraries/google-api-php-client/contrib/Google_Oauth2Service.php";
		
		// Google Project API Credentials
		$clientId = '661377630564-5c3b12jum7j5kb3k6i7519hlhjoq158p.apps.googleusercontent.com';
        $clientSecret = 'dTqdE4Rw2paiOiD5mKFeovmu';
        $redirectUrl = base_url() . 'social/google/';

		// Google Client Configuration
        $gClient = new Google_Client();
        $gClient->setApplicationName('Google Login');
        $gClient->setClientId($clientId);
        $gClient->setClientSecret($clientSecret);
        $gClient->setRedirectUri($redirectUrl);
        $google_oauthV2 = new Google_Oauth2Service($gClient);

		
        if (isset($_REQUEST['code'])) {
            $gClient->authenticate();
            $this->session->set_userdata('token', $gClient->getAccessToken());
            redirect($redirectUrl);
        }

        $token = $this->session->userdata('token');
		
        if (!empty($token)) {
            $gClient->setAccessToken($token);
        }
		
        if ($gClient->getAccessToken()) {
			
            $userProfile = $google_oauthV2->userinfo->get();
		 	/* echo "<pre>";
			print_r($userProfile);
			exit;  */
            // Preparing data for database insertion
			

            $userData['username'] = $userProfile['given_name'].' '.$userProfile['family_name'];
            $userData['email'] = $userProfile['email'];
			$userData['first_name']= $userProfile['given_name'].' '.$userProfile['family_name'];
			$userData['google_id']=$userProfile['id'];
			$userData['tokenImagePath']='10.jpg';
			$userData['tokenImageName']='google';
			$userData['picture'] = $userProfile['picture'];
			
			$additional_data = array(
			"first_name" => $userData['first_name'],
			"email"=>$userData['email'],
			'phone' => "",
			"google_id"=>$userData['google_id']
            );
			   
            // Preparing data for database insertion
			/*  if(isset($_SESSION["userId"]))
			{
				$user_id = $_SESSION["userId"];
				$additional_data = array(
					"google_id"=>$userData['google_id']
				);
				$this->social_user->updateGoogleData($user_id,$additional_data);
				return redirect("dashboard");
				
			} */
			
			$userRecord = $this->db->from("users")->where("google_id",$userData['google_id'])->get();

			if($userRecord->num_rows() > 0)
			{
				$this->getUserProfile($userRecord->row()->id);
			}
			else
			{
				$this->session->set_flashdata("verifyAcount","Your Investocafe account is not linked with google please log into your Investocafe account and link your google account with Investocafe");
				$this->session->set_userdata("socialSession","set");
				$this->session->set_userdata("googleId",$userData['google_id']);
				return redirect("login");
			} 
			
			
        } else {
			//echo $gClient->createAuthUrl();
          redirect($gClient->createAuthUrl());
        }
	}
	
	public function setsession()
	{
		$this->session->set_userdata("socialSession","set");
		echo $this->session->userdata("socialSession");
	}
	
	public function accountLinkdWithSocial()
	{
		$userid = $_SESSION['userId'];
		$id = $this->input->post("id");
		 if($id == 1)
		{
			$socialId = $this->session->userdata("facebookId");
			$data = array("facebook_id" => $socialId);
		}
		else
		{
			$socialId = $this->session->userdata("googleId");
			$data = array("google_id" => $socialId);
		}
		$this->db->where('id',$userid);
		$this->db->update('users',$data);
		
		echo '{"success":"true"}';
	}
	
	
	public function appAccountLinkdWithSocial()
	{
		$data = json_decode(file_get_contents('php://input'));
		$userid = $data->userId;
		$id = $data->id;
		if($id == 1)
		{
			$socialId = $data->socialId;
			$data = array("facebook_id" => $socialId);
		}
		else
		{
			$socialId = $data->socialId;
			$data = array("google_id" => $socialId);
		}
		$this->db->where('id',$userid);
		$this->db->update('users',$data);
		
		echo '{"success":"true"}';
	}
	
}
