<?php

class SoleProprietorship extends CI_Controller {

	function __construct()
	{
		parent::__construct();
		$this->load->model('registration/registration_model', 'registration_model');
	}

	public function index()
    {    	
        $logged = $this->ion_auth->logged_in();
        if (checkuser_session()) {
            $data = array();
            if (isset($_SESSION["investor_id"]) && !empty($_SESSION['investor_id'])) {
                if(isset($_SESSION["investor_id"]) && !empty($_SESSION['investor_id']))
		        {
		           $invId=$_SESSION["investor_id"];
		           $status = $this->registration_model->checkFirstRegitration($invId);
		           if($status)
		           {
		                $result=$this->registration_model->getInvestorDatailFirstStatpRegitration($invId);
		                $data["row"]=$result;
		           }
		           else
		           {
		               $result=$this->registration_model->getInvestorDetailInRegistrationForm($invId);
		               $data["row"]=$result;
		               $data["allTaxResidencies"]=$this->registration_model->getAllTaxResidencies($invId);
		           }
		        }
				
		        $data["investorTypeList"]=$this->registration_model->getAllInvestorType();
		        $data["countryList"]=$this->registration_model->getCountyList();
		        $data["allNationalities"]=$this->registration_model->getAllNationalities();
		        $data['jsFile']           = 'reg/soleProprietorship_registration.js';

                $this->layout('theme/registration/soleProprietorship_registration_view', $data);
            } else {
                return redirect('login');
            }
        } else {
            return redirect('login');
        }
    }


    // public function layout($view, $data)
    // {
    // 	$this->load->view('amit_theme/common/header', $data);
    //     $this->load->view($view, $data);
    //     $this->load->view('amit_theme/common/footer', $data);
    // }

    public function layout($view, $data)
    {
        $this->load->view('theme/common/header', $data);
        $this->load->view($view, $data);
        $this->load->view('theme/common/footer', $data);
    }

    public function investorDetail()
    {
        $data = array();
        if (isset($_SESSION["investor_id"]) && !empty($_SESSION['investor_id'])) {
            $invId                  = $_SESSION["investor_id"];
            $result                 = $this->registration_model->getInvestorDetail($invId);
            $resultBank             = $this->registration_model->getInvestorBankAndPanDetail($invId);
            $data["investorStatus"] = $this->common_model->getInvestorStatus($invId);
            $data["bankData"]       = $resultBank;
            $data["row"]            = $result;
            
            $result                    = $this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
            $data["modifyRow"]         = $result;
            $data["overseasDetails"]   = $this->registration_model->getInvestorOverseasDetail($invId);
            $result                    = $this->registration_model->checkInvestorOverseasDetail($invId);
            $data["overseasAvailable"] = $result;
            $resultNominee             = $this->registration_model->getInvestorNomineeDetail($invId);
            $data["nomineeData"]       = $resultNominee;
            
            $data["cityList"]            = $this->registration_model->getCityList();
            $data["stateList"]           = $this->registration_model->getStateList();
            $data["countryList"]         = $this->registration_model->getCountyList();
            $data["addressProofList"]    = $this->registration_model->getInvestorAddressProofList();
            $data["idProofList"]         = $this->registration_model->getInvestorIdProofList();
            $data["familyStatusList"]    = $this->registration_model->getInvestorFamilyStatusList();
            $data["occuptionList"]       = $this->registration_model->getInvestorOccupationList();
            $data["bankAccountTypeList"] = $this->registration_model->getInvestorBankAccountTypeList();
            $data["bankMasterList"]      = $this->registration_model->getbankMasterAll();
            $data["assistedEmpData"]     = $this->registration_model->getAssistantEmpList();
            $data['company_data']        = $this->registration_model->getCompanyAddrees($invId);
            
            $result            = $this->registration_model->getCompanyAddrees($invId);
            $data["invDetail"] = $result;
            $data['jsFile']    = 'reg/soleProprietorship_investor_detail.js';
            $this->layout('theme/registration/soleProprietorship_investor_detail_view', $data);
        } else {
            echo "Session Expired";
        }
    }

        // -----  -- -- -- bank Detail -- -- -- -- 
    
    public function bankAndNominee()
    {
        $data = array();
        if (isset($_SESSION['investor_id']) && !empty($_SESSION['investor_id'])) {
            $invId                       = $_SESSION["investor_id"];
            $result                      = $this->registration_model->getInvestorDetail($invId);
            $resultBank                  = $this->registration_model->getInvestorBankAndPanDetail($invId);
            $data["investorStatus"]      = $this->common_model->getInvestorStatus($invId);
            $data["bankData"]            = $resultBank;
            $data["row"]                 = $result;
            $invId                       = $_SESSION["investor_id"];
            $result                      = $this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
            $data["modifyRow"]           = $result;
            $data["overseasDetails"]     = $this->registration_model->getInvestorOverseasDetail($invId);
            $resultNominee               = $this->registration_model->getInvestorNomineeDetail($invId);
            $data["nomineeData"]         = $resultNominee;
            $data["bankMasterList"]      = $this->registration_model->getbankMasterAll();
            $invId                       = $_SESSION["investor_id"];
            $result                      = $this->registration_model->getInvestorDetail($invId);
            $data["invDetail"]           = $result;
            $data["bankAccountTypeList"] = $this->registration_model->getInvestorBankAccountTypeList();
            $data['jsFile']              = 'reg/soleProprietorship_individual_bank_and_nominee.js';
            $this->layout('theme/registration/soleProprietorship__bank_and_nominee_view', $data);
        } else {
            return redirect(base_url());
        }
    }
}