<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : Home
|   MODEL USE : registration_model
|   DATE : 08/10/2016
|   AUTHOER : amit meena
|   COMMENT : This function is used to load home view and show data from database
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class Testimonials extends CI_Controller {

  	function __construct()
  	{
  	    // Call the Model constructor
  	    parent::__construct();

        $this->load->model('submit_question_model');
        $this->load->model('registration_model');
        $this->load->model('home_model');
		$this->load->model('risk_profile_user_model', 'risk_model');
        $this->data = array();
  	}
    
/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS LOAD tdashboard view
-----------------------------------------------------------------------------------------------------
*/
  	public function index()
  	{
        $this->data['pageTitle'] = 'Investocafe';
        $this->_loadNewView('amit_theme/testimonials/testimonials_view');
  	}

/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadNewView
|   DATE : 13/02/2017
|   AUTHOER : prakash
|   COMMENT : This function is load header of footer view
-----------------------------------------------------------------------------------------------------
*/
    function _loadNewView($view)
    {
        $logged=$this->ion_auth->logged_in();
		$testimonial = $this->home_model->getTestimonial();
        $this->data['testimonial'] = $testimonial;
        $this->load->view($view,$this->data);
       
    }

  public function updateNAV()
  {
    $data = [
        [70, 47.6841, '2020-10-06'],
        [679, 201.8946, '2020-10-06'],
        [689, 42.1457, '2020-10-06'],
        [690, 14.1539, '2020-10-06'],
        [2836, 56.58, '2020-10-06'],
        [3511, 149.14, '2020-10-06'],
        [5253, 39.3858, '2020-10-06'],
        [6090, 31.3391, '2020-10-06'],
        [6314, 40.3938, '2020-10-06'],
        [6410, 13.2523, '2020-10-06'],
        [7356, 32.24, '2020-10-06'],
        [8367, 10.4327, '2020-10-06'],
        [9227, 2857.0494, '2020-10-06'],
        [9230, 11.9, '2020-10-06'],
        [9231, 35.1183, '2020-10-06'],
        [9240, 42.2071, '2020-10-06'],
        [9241, 35.595, '2020-10-06'],
        [9242, 49.055, '2020-10-06'],
        [9243, 54.85, '2020-10-06'],
        [9244, 2352.5548, '2020-10-06'],
        [9245, 3197.8929, '2020-10-06'],
        [9246, 2579.0361, '2020-10-06'],
        [9247, 11.3901, '2020-10-06'],
        [9248, 45.6835, '2020-10-06'],
        [9249, 51.73, '2020-10-06'],
        [9250, 45.97, '2020-10-06'],
        [9251, 433.944, '2020-10-06'],
        [9252, 2702.7292, '2020-10-06'],
        [9253, 144.0919, '2020-10-06'],
        [9254, 20.15, '2020-10-06'],
        [9255, 22.60, '2020-10-06'],
        [9256, 20.1924, '2020-10-06'],
        [9257, 21.0001, '2020-10-06'],
        [9258, 21.1026, '2020-10-06'],
        [9259, 362.34, '2020-10-06'],
        [9260, 107.6103, '2020-10-06'],
        [9261, 140.9724, '2020-10-06'],
        [9262, 11.3999, '2020-10-06'],
        [9263, 60.3096, '2020-10-06'],
        [9264, 505.5658, '2020-10-06'],
        [9265, 132.3315, '2020-10-06'],
        [9266, 15.43, '2020-10-06'],
        [9267, 16.22, '2020-10-06']
      ];
    foreach($data as $dt){
      $this->db->insert('fund_history',['nav_date'=>$dt[2],'nav'=>$dt[1],'purchase_price'=>$dt[1],'sale_price'=>$dt[1],'fund_id'=>$dt[0],'is_latest'=>1]);
    }

  }
	
}