<?php


class UpiRequest extends CI_Controller{
	
    function __construct()
    {
		// Call the Model constructor
		parent::__construct();
		$this->config->load('config_atom');
		$this->config->load('config_cams');
		$this->load->model('dashboard/dashboard_model');
		$this->load->model('purchase/purchase_model');
		$this->load->helper('transaction_helper');
		$this->load->helper('cams_helper');
    }

	public function index()
	{
		echo "run";
		$res = $this->db->query("SELECT purchased_units.* FROM `purchased_units` JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN bank_details ON bank_details.investor_id = investor.investor_id WHERE `request_date` BETWEEN '2020-01-01 00:00:00' AND '2020-01-01 23:59:00' AND is_cancel = 0 AND purchased_units.trans_upload_status = 0 AND investor.umrn = '' AND bank_details.upi_id != ''");
		if($res->num_rows() > 0)
		{
			$arrData = [];
			foreach($res->result() as $data)
			{
				// echo "<pre>";
				// print_r($data);
				if(!array_key_exists($data->investor_id, $arrData))
				{
					$arrData[$data->investor_id] = [];
				}
				array_push($arrData[$data->investor_id], $data->purchased_units_id);
			}

			foreach($arrData as $key => $dt)
			{
				// $arrData[$key] =  ;
				$this->db->insert('upi_payments',[
					'purchase_units_id' => implode(":", $dt),
					'investor_id' => $key
				]);
			}
			echo "<pre>";
			print_r($arrData);
		}
	}

	public function sendUPIRequest($upi_payments_id)
	{
		$this->db->WHERE(['upi_payments_id'=>$upi_payments_id])->update('upi_payments',['link_click'=>1]);
		$res = $this->db->where(['upi_payments_id'=>$upi_payments_id])->get('upi_payments');
		if($res->num_rows() > 0)
		{	
			$result = $res->row();
			$ids = str_replace(":", ",", $result->purchase_units_id);
			$ress = $this->db->query("SELECT * FROM purchased_units WHERE purchased_units_id in(".$ids.")");
			if($ress->num_rows() > 0){
				$array = [];
				foreach ($ress->result() as $key => $value) {
					array_push($array,[
						$value->fund_id,
						$value->purchased_amount
					]);
				}
				print_r();
				$transactionType = "P";
				$batchId = $upi_payments_id;
				$this->purchaseOneTimeInvestmentFundsUPI($transactionType,json_encode($array),$result->investor_id,$batchId);
			}
		}
		else
		{
		}
	}

	public function purchaseOneTimeInvestmentFundsUPI($transactionType,$json,$investorId,$batchId)
    {
			// $investorId=$_SESSION["investor_id"];
			// $transactionType=$this->input->post("transactionType");
			// $investmentDate=$this->input->post("investmentDate");
			// $json=$this->input->post("json");
			$fundTypeId=$this->input->post("fundTypeId");
			$jsonArray=json_decode($json,true);
			$netbankingFlag=1;
			// $batchId=$this->purchase_model->createNewPurchaseBatchId("purchase");
			$this->load->model('purchase_cron/api_model','api_model');
			$this->load->model('registration/registration_model','registration_model');
			$totalAmount = 0;
			$cnt=1;
			if(!empty($jsonArray))
			{
			    $prodStr = '<products>';
			    foreach($jsonArray as $fundDetails)
			    {
			        $totalAmount = $totalAmount+$fundDetails[1];
			        $fullFundDetails = $this->api_model->getFundDetails($fundDetails[0]);
			        $prodStr .= "<product>";
			        $prodStr .= "<id>".$cnt."</id>";
			        $prodStr .= "<name>".$fullFundDetails->atom_product_id."</name>";
			        $prodStr .= "<amount>".$fundDetails[1]."</amount>";
			        $prodStr .= "</product>";
			        $cnt=$cnt+1;
			    }
			    $prodStr .= '</products>';
			    $netbankingData['totalAmount'] = $totalAmount;
			    $netbankingData['investorId'] = $investorId;
			    $getInvestorBankDetails = $this->registration_model->getInvestorBankAndPanDetail($investorId);
			    $investorBankAccountNumber = $this->encrypt->decode($getInvestorBankDetails->account_number);
			    $netbankingData['bankid'] = $getInvestorBankDetails->atom_code;
			    $netbankingData['prodStr'] = $prodStr;
			    $netbankingData['investorBankAccountNumber'] = $investorBankAccountNumber;
			    $netbankingData['upiid'] = $getInvestorBankDetails->upi_id;
			    $getInvestorDetails = $this->registration_model->getInvestorDetail($investorId);
			    $netbankingData['investorName'] = $this->encrypt->decode($getInvestorDetails->name);
			    $netbankingData['investorEmail'] = $getInvestorDetails->email;
			    $netbankingData['investorMobile'] = $this->encrypt->decode($getInvestorDetails->phone);
			    $netbankingData['investorAddress'] = $getInvestorDetails->address;
			    $netbankingData['batchId'] = $batchId;
			    $transactionId = $this->purchase_model->insertTransactionStartData($netbankingData);
			    if($transactionId)
			    {
			        // $nb_request = '1';
			        // $nb_request_status = '0';
			        // $this->createPurchaseEntry($batchId,$fundTypeId,$jsonArray,$investmentDate,$transactionType,$nb_request,$nb_request_status,$transactionId);
			        $purchaseType = 'OneTime';
			        $netbankingResponse = $this->upiRequest($netbankingData,$transactionId,$purchaseType);
			        echo $netbankingResponse;
			        header("Location:".$netbankingResponse);
			    }
			    else
			    {
			        echo '{"success":false,"session":"unable to create transaction"}';
			    }
			}
			else
			{
			    echo '{"success":false,"session":"Empty json"}';
			}
    }

    function upiRequest($netbankingData,$transactionId,$purchaseType)
    {
        $resonceUrl = 'upiRequest/upiResponse';
        $investorId=$_SESSION["investor_id"];
        date_default_timezone_set("Asia/Kolkata");
        $datenow = date("d/m/Y");
        $paymentUrl = $this->config->item('MerchantURLUPI');
        $postFields  = "";
        $postFields .= "&login=".$this->config->item('LoginUPI');
        $postFields .= "&pass=".$this->config->item('PasswordUPI');
        $postFields .= "&ttype=".$this->config->item('ttype');
        $postFields .= "&prodid=".'Multi';
        $postFields .= "&amt=".$netbankingData['totalAmount'];
        $postFields .= "&txncurr=".$this->config->item('TxnCurr');
        $postFields .= "&txnscamt=".$this->config->item('TxnScAmt');
        $postFields .= "&clientcode=".urlencode(base64_encode($this->config->item('clientcodeUPI')));
        $postFields .= "&txnid=".$transactionId;
        $postFields .= "&date=".$datenow;
        $postFields .= "&custacc=".$netbankingData['investorBankAccountNumber'];
        $postFields .= "&mdd="."UP|SMSUPI|".$netbankingData['upiid'];
        $postFields .= "&mprod=".$netbankingData['prodStr'];
        $postFields .= "&udf1=".$netbankingData['investorName'];
        $postFields .= "&udf2=".$netbankingData['investorEmail'];
        $postFields .= "&udf3=".$netbankingData['investorMobile'];
        $postFields .= "&ru=".base_url().$resonceUrl;
        // $postFields .= "&udf9=purchaseTransaction";
        // $postFields .= "&bankid=".$netbankingData['bankid'];
        $str = $this->config->item('LoginUPI') . $this->config->item('PasswordUPI') . $this->config->item('ttype') . "Multi" . $transactionId . $netbankingData['totalAmount'] . "INR";
        $signature =  hash_hmac("sha512",$str,$this->config->item('reqHashKeyUPI'),false);
        $postFields .= "&signature=".$signature;
        $sendUrl = $paymentUrl."?".substr($postFields,1)."\n";
        $sendUrlNew = $paymentUrl."?".substr($postFields,1);
        return $sendUrlNew;
    }

    public function upiResponse()
    {
    	echo "<pre>";
    	print_r($_POST);
    	exit;
    	if(isset($_POST))
    	{
    		if($_POST['f_code']=='OK')
    		{
    			echo '<!DOCTYPE html> <html lang="en"> <head> <title>Transection failed</title> <meta charset="utf-8">  <meta name="viewport" content="width=device-width, initial-scale=1"> <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
					</head> <body> <div class="container"><br /><br /><br /><br /><br /><br /><br /><center><img src="https://www.investocafe.com/assets/icafe_assets/img/logo-white.png"></center><br /><br />
					  <div class="alert alert-success text-center"> <br /><strong>Success!</strong> Transection successfully done.<br /><br /></div>
					</div> </body> </html>';
    		}
    		else
    		{
    			echo '<!DOCTYPE html> <html lang="en"> <head> <title>Transection failed</title> <meta charset="utf-8">  <meta name="viewport" content="width=device-width, initial-scale=1"> <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
					</head> <body> <div class="container"><br /><br /><br /><br /><br /><br /><br /><center><img src="https://www.investocafe.com/assets/icafe_assets/img/logo-white.png"></center><br /><br />
					  <div class="alert alert-danger text-center"><br /> <strong>Failed!</strong> Your transection is failed.<br /><br /></div>
					</div> </body> </html>';
    		}
    	}
    	else
    	{
    		echo '<!DOCTYPE html> <html lang="en"> <head> <title>Transection failed</title> <meta charset="utf-8">  <meta name="viewport" content="width=device-width, initial-scale=1"> <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
					</head> <body> <div class="container"><br /><br /><br /><br /><br /><br /><br /><center><img src="https://www.investocafe.com/assets/icafe_assets/img/logo-white.png"></center><br /><br />
					  <div class="alert alert-danger text-center"><br /> <strong>Failed!</strong> Somthing went to wrong.<br /><br /></div>
					</div> </body> </html>';
    	}
    }
}