<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');


    function changDateFormatDBToKarvy($oldDateTime)
    {
        //yyyy-mm-dd h:i:s
        $oldDate = explode(' ', $oldDateTime);
        $arr = explode('-', $oldDate[0]);
        return $newDate = $arr[1].'/'.$arr[2].'/'.$arr[0];//yyyy/mm/dd
    }

    function changTimeFormatDBToKarvy($oldDateTime)
    {
        //yyyy-mm-dd h:i:s
        $oldDate = explode(' ', $oldDateTime);
        return $oldDate[1];//h:i:s
    }

    function changDobDateFormatDBToKarvy($oldDate)
    {
        $arr = explode('-', $oldDate);
        return $newDate = $arr[1].'/'.$arr[2].'/'.$arr[0]; //yyyy-mm-dd
    }
	
	function dateFormateForRelianceCard($date)
	{
		$arr = explode('-', $date);
        return $newDate = $arr[1].'/'.$arr[2].'/'.$arr[0]; //yyyy-mm-dd
	}

    function execKarvyJavaUrl($amc_code, $filePath, $transactionId, $transactionType)
    {
      $old_path = getcwd();
      chdir('/home/ec2-user/java/');
      $url = '/home/ec2-user/java/run.sh '.$amc_code.' '.$filePath.' '.$transactionId.' '.$transactionType;
      $activityMsg="URL to hit the Karvy java code - ".$url;
      log_message("info","*****".$activityMsg."*****");

      try
	  {
        exec($url ,$output, $return);
        chdir($old_path);
      }
	  catch(Exception $e)
	  {
        echo 'Caught exception: ',  $e->getMessage(), "\n";
      }
		
      if($return==0)
	  {
        $activityMsg=" Java Command executed successfully ";
        log_message("info"," ***** ".$activityMsg." ***** ");
		$output_data = implode(" ",$output);
		log_message("info"," ***** ".$output_data." ***** ");
		echo $output_data;
		return true;
      }
	  else
	  {
        $activityMsg="execution of Java Command failed";
        log_message("info","*****".$activityMsg."*****");
		return false;
      }
      
    }

    function karvyRespose($respose)
    {
      $CI =& get_instance();
      $respose=explode("===", $respose);
      //print_r($respose[4]);
      $stringData = str_replace("<?xml version='1.0' standalone='yes'?>","","$respose[4]");
      $xml = simplexml_load_string($stringData);
      $info=$xml->Information;
      $reverseDetails=$xml->ReverseDetails;

      if(isset($reverseDetails) && !empty($reverseDetails))
      {
        foreach ($reverseDetails as $row) 
        {
          $returnCode=$row->Return_Code;
          $tansDate=$row->Transaction_Date;
          $portRemarks=trim($row->PortRemarks);
          if($tansDate!="")
          {
            $arr = explode('/', $tansDate);
            $newDate = $arr[2].'-'.$arr[0].'-'.$arr[1]; //yyyy-mm-dd
          }
          
          $tansType=$row->TRXN_TYPE;
          $userTranNo=$row->USR_TXN_NO;
          $userTranNo = substr($userTranNo, 1);
          if($portRemarks=='Record saved successfully')
          {
              $data=array(
                "trans_upload_status"=>1,
                "trans_date"=>$newDate,
                "api_remarks"=>$portRemarks,
                "api_last_updation"=>date("Y-m-d h:i:s"),
              );
            
          }
		  else
          {
              $data=array(
              "api_remarks"=>$portRemarks,
              "api_last_updation"=>date("Y-m-d h:i:s"),
              );
          }

          if($tansType=="p" || $tansType=="P")
          {
            $CI->db->where('purchased_units_id',$userTranNo);
            $CI->db->update('purchased_units',$data);
          }
		  else
          {
            $CI->db->where('sold_units_id',$userTranNo);
            $CI->db->update('sold_units',$data);
          }

          if($CI->db->affected_rows()>0)
          {
            echo 'Updated successfully transaction id='.$userTranNo;
          }
		  else
		  {
            echo 'Failed transaction id ='.$userTranNo;
          }
        }
      }
    }

    function hitKarvyFeed($data,$purchased_units_id)
    {
      $curl = curl_init();
      curl_setopt_array($curl, array(
        // CURLOPT_URL => "https://cpupload.kfintech.com/STP/STPService.svc/TransactionUpload130",
        CURLOPT_URL => "https://cpservices.kfintech.com/STP/STPService.svc/TransactionUpload130",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => "$data",
        CURLOPT_HTTPHEADER => array(
          "Postman-Token: e85a3954-d25d-44bf-b4c3-96ea4bdc9905",
          "cache-control: no-cache"
        ),
      ));

      $response = curl_exec($curl);
      $err = curl_error($curl);
      curl_close($curl);
      if ($err) {
        echo "cURL Error #:" . $err;
      } else {
        
        $xml_file = simplexml_load_string($response);
        $ob= simplexml_load_string($xmlfile);
        $json  = json_encode($ob);
        $arr = json_decode($json, true);
        $str = "Karvy=RES=".$purchased_units_id."=p=".$arr['DtInformation']['RETURN_MSG']."=".$xml_file;
        $CI =& get_instance();
        $CI->db->insert('activity_log',['description'=>$str]);
      }
    }

    function hitKarvyFeed169($data,$purchased_units_id)
    {
      $curl = curl_init();
      curl_setopt_array($curl, array(
        // CURLOPT_URL => "https://cpupload.kfintech.com/STP/STPService.svc/TransactionUpload130",
        CURLOPT_URL => "https://cpservices.kfintech.com/STP/STPService.svc/TransactionUpload168",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => "$data",
        CURLOPT_HTTPHEADER => array(
          "Postman-Token: e85a3954-d25d-44bf-b4c3-96ea4bdc9905",
          "cache-control: no-cache"
        ),
      ));

      $response = curl_exec($curl);
      $err = curl_error($curl);
      curl_close($curl);
      if ($err) {
        echo "cURL Error #:" . $err;
      } else {
        
        $xml_file = simplexml_load_string($response);
        $ob= simplexml_load_string($xmlfile);
        $json  = json_encode($ob);
        $arr = json_decode($json, true);
        $str = "Karvy=RES=".$purchased_units_id."=p=168=".$arr['DtInformation']['RETURN_MSG']."=".$xml_file;
        $CI =& get_instance();
        $CI->db->insert('activity_log',['description'=>$str]);
      }
    }
