<?php 

class api_dashboard_model extends CI_Controller{

	public function get_fund_type()
	{
		$res = $this->db->where(['status'=>1,'remarks' =>1])->select('fund_type_id,name,ap_name')->get('fund_type');
		if($res->num_rows() > 0){
			return $res->result();
			// return false;
		}else{	
			return false;
		}
	}

	public function getInvestedFund($investor_id)
	{
		$res_fund_amount = $this->db->query("SELECT funds.fund_name, SUM(unit_count) AS units, IFNULL( SUM(unit_count) -( SELECT SUM(unit_count) FROM sold_units WHERE fund_id = purchased_units.fund_id AND request_status = 1 AND investor_id = $investor_id ), SUM(unit_count) ) * fund_history.nav AS current_amount, purchased_units.fund_id, funds.fund_type_id, fund_type.name FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id JOIN fund_history ON purchased_units.fund_id = fund_history.fund_id JOIN fund_type ON fund_type.fund_type_id = funds.fund_type_id WHERE investor_id = $investor_id AND request_status = 1 AND fund_history.is_latest = 1 GROUP BY purchased_units.fund_id");
		if($res_fund_amount->num_rows() > 0){
			return $res_fund_amount->result();
		}else{
			return false;
		}
	}

	public function purchaseFund($investor_id,$fund_id)
	{
		$res = $this->db->query("SELECT * FROM purchased_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}

	public function unitSumOfSoldUnits($investor_id, $fund_id)
	{
		$res = $this->db->query("SELECT SUM(unit_count) as units FROM sold_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
		if($res->num_rows() > 0){
			return $res;
		}else{
			return false;
		}
	}

	public function getAllSetGoal($investor_id)
	{
		$res = $this->db->query("SELECT goals.goal_id, goal_type.goal_title, goals.goal_timeline, goals.goal_amount, goals.monthly_saving_amount FROM goals JOIN goal_type ON goals.goal_type_id = goal_type.goal_type_id WHERE investor_id =$investor_id");
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}

	public function getActiveSIP($investor_id)
	{
		$res = $this->db->query("SELECT monthly_investment.monthly_investment_id, funds.fund_name, monthly_investment.amount, monthly_investment.sip_start_date, monthly_investment.sip_end_date, monthly_investment.next_investment_date, monthly_investment.no_of_months, monthly_investment.no_of_invested_months FROM monthly_investment JOIN funds ON funds.fund_id = monthly_investment.fund_id WHERE investor_id = $investor_id AND monthly_investment.is_stopped_sip = 0");
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}

	public function registrationStatus($investor_id)
	{
		$res = $this->db->query("SELECT * FROM bank_details WHERE investor_id =$investor_id");
		if($res->num_rows() > 0){
			return true;
		}else{
			return false;
		}
	}
}