<?php

class api_my_profile_model extends CI_Controller{

	public function getUserInfo($investorId)
	{
		$res = $this->db->query("SELECT
		users.username,
	    investor.date_of_birth,
	    investor_type.investor_type,
	    nationality.nationality,
	    investor.pan,
	    investor.father_spouse_name,
	    occupation.occupation,
	    investor.gender,
	    investor_family_status.family_status,
	    investor.politically_exposed,
	    investor.politically_exposed_remark,
	    bank_details.account_holder_name,
	    bank_details.account_number,
	    bank_details.ifsc_code,
	    bank_account_type.account_type,
	    bank_master.bank_name,
	    investor.address,
	    investor.address_2,
	    investor.pincode,
	    investor.original_city,
	    users.phone,
	    users.email
		FROM
	    investor JOIN users on users.id = investor.login_id
	    JOIN investor_type ON investor.investor_type_id = investor_type.investor_type_id
	    join nationality ON nationality.nationality_id = investor.nationality_id
	    JOIN occupation ON occupation.occupation_id = investor.occupation_id
	    JOIN investor_family_status ON investor.investor_family_status_id = investor_family_status.investor_family_status_id
	    JOIN bank_details ON bank_details.investor_id = investor.investor_id
	    JOIN bank_account_type ON bank_details.account_type_id = bank_account_type.account_type_id
	    JOIN bank_master ON bank_details.bank_master_id = bank_master.bank_master_id
		WHERE
	    investor.investor_id = $investorId");
	    if($res->num_rows() > 0){
	    	return $res->row();
	    }else{
	    	return false;
	    }
	}


	public function getNomineeDetail($investorId)
	{
		$res = $this->db->query("SELECT `name`,`relation_with_investor`,`date_of_birth`,`guardian_name`,`relation_with_guardian`,`address`,`pin_code`,`percentage` FROM nominee_details WHERE investor_id = $investorId AND STATUS = 1");
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}
}