<?php


class fixed_deposite_model extends CI_Model{

	public function get_users($investor_id)
	{
		$res = $this->db->query("SELECT mfusers.*, mfckycocupationmaster.CKYC_Occupation_Desc, mfckycstatecodemaster.CKYC_State_Desc FROM mfusers JOIN mfckycocupationmaster ON mfckycocupationmaster.CKYC_Occupation_Code = mfusers.mf_cocupation_id JOIN mfckycstatecodemaster ON mfckycstatecodemaster.CKYC_State_Code = mfusers.mf_residential_status_id WHERE mfusers.investor_id = $investor_id");
		if($res->num_rows() > 0)
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}

	public function create_CP_Trans_Ref_No($data)
	{
		$res = $this->db->insert('mf_save_lead_details',$data);
		if($res){
			return $this->db->insert_id();
		}else{
			return false;
		}
	}

	public function updateMF_SYS_REF_NO($mf_save_lead_details_id,$data)
	{
		$this->db->where('mf_save_lead_details_id',$mf_save_lead_details_id)
				 ->update('mf_save_lead_details',$data);
		if($this->db->affected_rows() > 0)
		{
			if(array_key_exists('Appl_No',(array) $data))
			{
				return $data->Appl_No;
			}
			else
			{
				return $data->MF_SYS_REF_NO;
			}
		}
		else
		{
			return false;
		}
	}

	public function getmfschemeconfigmaster($SchemeId)
	{
		$res = $this->db->where('MFSchemeConfigMasterId',$SchemeId)->get('mfschemeconfigmaster');
		if($res->num_rows())
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}

	public function getNomineeData($investor_id)
	{
		$res = $this->db->query("SELECT * FROM `mf_nominee_detail` WHERE investor_id = $investor_id");
		if($res->num_rows() > 0)
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}

	public function getBankData($investor_id)
	{
		$res = $this->db->query("SELECT * FROM `mf_bank_detail` WHERE investor_id = $investor_id");
		if($res->num_rows() > 0)
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}

	public function getPlanData()
	{
		$res = $this->db->query("SELECT * FROM `mfschemeconfigmaster` WHERE ActiveInActiveFlag = 1 order by Interest_Rate desc");
		if($res->num_rows() > 0)
		{
			return $res->result();
		}
		else
		{
			return false;
		}
	}

	public function getInfo($MFSchemeConfigMasterId)
	{
		$res = $this->db->query("SELECT MFSchemeConfigMasterId,`CompanyName`, `TenureMonthFrom`, `TenureMonthTo`, `MinDeposit`, `MaxDeposit`, `InterestFrequency`, `Interest_Rate`, `Multiples`, mfcategorymaster.Category_Name, mfschememaster.SchemeType_Name FROM `mfschemeconfigmaster` JOIN mfcategorymaster ON mfschemeconfigmaster.CustomerCategory = mfcategorymaster.Category_Code JOIN `mfschememaster` ON mfschememaster.SchemeType_Code = mfschemeconfigmaster.SchemeType_Code WHERE `MFSchemeConfigMasterId` = $MFSchemeConfigMasterId");
		if($res->num_rows() > 0){
			return $res->row();
		}else{
			return false;
		}
	}

	public function getLead($mf_save_lead_details_id)
	{
		$res = $this->db->where('mf_save_lead_details_id',$mf_save_lead_details_id)->get('mf_save_lead_details');
		if($res->num_rows() > 0)
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}

	// new view model


	public function getUserForOneClick($investor_id)
	{
		$data = [];
		$res = $this->db->query("SELECT * FROM `mfusers` WHERE investor_id = $investor_id");
		if($res->num_rows() > 0)
		{
			$data['user_data'] = $res->row();
		}
		else
		{
			$data['user_data'] = false;
		}

		return $data;
	}
}