<?php 

class Gold_auth_model extends CI_Model{

	public function userRegitrationData($investor_id)
	{

		error_reporting(1);
		$res = $this->db->query("SELECT investor_id, users.username, users.email, users.phone, investor.address, investor.address_2, state.state_name, state.fatca_code, investor.original_city, investor.pincode FROM investor JOIN users ON users.id = investor.login_id JOIN state ON state.id = investor.state_id WHERE investor.investor_id = $investor_id");
		if($res->num_rows() > 0){
			$row = $res->row();
			$data = [
				"customerRefNo"=>$row->investor_id,
				"fullName"=> decode($row->username),
				"emailAddress"=> $row->email,
				"billingAddress"=> [
					"line1"=> $row->address,
				    "line2"=>  $row->address_2,
				    "city"=>  $row->original_city,
				    "state"=> $row->state_name,
				    "zip"=> $row->pincode,
				    "country"=> "India",
				    "mobileNumber"=> decode($row->phone),
				    "statecode"=> $row->fatca_code
				],
				"deliveryAddress"=> [
					"line1"=> $row->address,
				    "line2"=>  $row->address_2,
				    "city"=>  $row->original_city,
				    "state"=> $row->state_name,
				    "zip"=> $row->pincode,
				    "country"=> "India",
				    "mobileNumber"=> decode($row->phone),
				    "statecode"=> $row->fatca_code
				],
				"mobileNumber"=> decode($row->phone),
				"KYCStatus"=> "V",
				"KYCInfo" => [
					"dob" => "",
					"nameProofType"=>  "",
					"nameProofDocNo"=>  "",
					"addressProofType"=>  "",
					"addressProofDocNo"=>  ""
				]
			];
			return json_encode($data);
		}else{
			return false;
		}
	}

	public function saveGdCustomerRef($investor_id,$ref)
	{
		$res = $this->db->insert('dg_info',['dg_customer_ref_no'=>$ref,'investor_id' => $investor_id]);
		if($res){
			return true;
		}else{
			return false;
		}
	}

	public function getGDPurchase($txn_number)
	{
		$res = $this->db->query("SELECT gold_purchase_units.*, dg_info.dg_customer_ref_no FROM `gold_purchase_units` JOIN dg_info ON dg_info.investor_id = gold_purchase_units.investor_id WHERE `gold_purchase_units_id` = $txn_number");
		if($res->num_rows() > 0){
			$row = $res->row();
			date_default_timezone_set("Asia/Kolkata");
			$gm = abs($row->gm);
			$payload = [
				  "quoteId" => $row->quoteId,
				  "transactionDate" => date("Y-m-d H:i:s").".123",
				  "transactionOrderID" => "$txn_number",
				  "quantity" => "$gm",
				  "preTaxAmount" => $row->prtax_amt,
				  "tax1Amt" => $row->tax1,
				  "tax2Amt" => $row->tax2,
				  "totalAmount" => $row->amount,
				  "calculationType" => "A",
				  "customerRefNo" => $row->investor_id
			];

			return json_encode($payload);
		}else{
			return false;
		}
	}

	public function getDashboardData()
	{
		$investor_id = $_SESSION['investor_id'];
		if($investor_id){
			$res = $this->db->where('investor_id',$investor_id)->get('dg_info');
			if($res->num_rows() > 0){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
	}

	public function getPortFolio($investor_id)
	{
		$res = $this->db->query("SELECT SUM(`gm`) as gm FROM `gold_purchase_units` WHERE investor_id = $investor_id AND `trans_upload_status` = 2");
		if($res->num_rows() > 0){
			return $res->row()->gm;
		}else{
			return '00.00';
		}

	}
} 