<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Home_model extends CI_Model
{
     function __construct()
     {
          // Call the Model constructor
          parent::__construct();
     }

     function saveTempUserData($data)
     {
        $this->db->insert("temp_users",$data);
        if($this->db->affected_rows()>0)
        {
           return $this->db->insert_id();
        }
        else
        {
           return false;
        }
     }
	 
	 function getTempUserData($id)
     {
        $result= $this->db->from('temp_users')
				 ->where('temp_users_id' , $id)
				 ->get();
        if($result->num_rows > 0)
        {
           return $result->row();
        }
        else
        {
           return false;
        }
     }
	 
	 

    function updateTempUserData($data,$email)
    {
        $this->db->where("temp_user_email", $email);
        $this->db->update("temp_users",$data);
        return true;
    }

    function updateAverageTempUserData($data,$temp_users_id)
    {
        $this->db->where("temp_users_id", $temp_users_id);
        $this->db->update("risk_profile",$data);
        return true;
    }

    function checkEmailExists($email)
    {
        $query=$this->db->where("temp_user_email",$email);
        $query=$this->db->get("temp_users");
        if($query->num_rows()>0)
        {
            return $query->row()->temp_user_email;
        }
        else
        {
            return false;
        }
    }

    function checkTempUserExists($temp_users_id)
    {
        $query=$this->db->where("temp_users_id",$temp_users_id);
        $query=$this->db->get("risk_profile ");
        if($query->num_rows()>0)
        {
            return $query->row()->temp_users_id;
        }
        else
        {
            return false;
        }
    }

    function updateStepTwo($data,$temp_users_id)
    {
      $this->db->where("temp_users_id", $temp_users_id);
      $this->db->update("risk_profile",$data);
      return true;
    }

    function insertStepTwo($data)
    {
        $this->db->insert("risk_profile",$data);
        if($this->db->affected_rows()>0)
        {
           return true;
        }
        else
        {
           return false;
        }
    }

    function updateHorizonRange($data,$temp_users_id)
    {
        $this->db->where("temp_users_id", $temp_users_id);
        $this->db->update("risk_profile",$data);
        return true;
    }

    function updateDownsideRange($data,$temp_users_id)
    {
        $this->db->where("temp_users_id", $temp_users_id);
        $this->db->update("risk_profile",$data);
        return true;
    }

    function getTempUserId($email)
    {
        $query=$this->db->where("temp_user_email",$email);
        $query=$this->db->get("temp_users ");
        if($query->num_rows()>0)
        {
            return $query->row()->temp_users_id;
        }
        else
        {
            return false;
        }
    }

    function getAllCompanyDetails()
    {
        $sql="select * from company_logo where status=1";
        $query=$this->db->query($sql);
        if($query->num_rows()>0)
        {
            return $query->result();
        }
        else
        {
            return false;
        }
    }

     //=======================================================================================================
                                              // TechnoUniverse Change
    // in this function we get testimonial from the testimonial database table from show on home of investocafe 

    public function getTestimonial()
    {
        $testimonial = $this->db->from('testimonial')
                     ->where('status',1)
                     ->get();
        return $testimonial->result();
    }

	public function get_popular_articles()
    {
        $res = $this->db->query("SELECT * FROM `blogs` WHERE `is_publish` = 1 limit 4");
        if($res->num_rows() > 0){
            return $res->result();
        }else{
            return false;
        }
    }
}
