<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_account_model extends CI_Model
{
    function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }

    function getAddress($userId)
    {
        $sql="SELECT investor.*, country.country_id, country.country_name FROM investor join country on investor.country=country.country_id WHERE `investor`.`login_id`= $userId";

        $query = $this->db->query($sql);
        // echo $this->db->last_query($sql); die;
        if ($query->num_rows() > 0)
        {
            return $query->row();
        }
        else
        {
            return false;
        }
    }

    function getBankDetails($userId)
    {
        $sql="select bank_details.account_holder_name, bank_details.account_number, bank_account_type.account_type,bank_details.ifsc_code, bank_master.bank_name from bank_details
        inner join bank_account_type
        on bank_account_type.account_type_id = bank_details.account_type_id
        inner JOIN bank_master
        on bank_details.bank_master_id = bank_master.bank_master_id
        inner join investor
        on bank_details.investor_id = investor.investor_id
        inner join users
        on investor.login_id = users.id
        where users.id = $userId";

        $query = $this->db->query($sql);

        if ($query->num_rows() > 0)
        {
            return $query->row();
        }
        else
        {
            return false;
        }
    }

    function getNomineeDetails($userId)
    {
        $sql = "select nominee_details.nominee_details_id, nominee_details.name, nominee_details.relation_with_investor,
        nominee_details.date_of_birth,nominee_details.guardian_name,nominee_details.address,nominee_details.percentage from investor
        inner join nominee_details
        on investor.investor_id = nominee_details.investor_id
        inner join users
        on users.id = investor.login_id
        where users.id = $userId and nominee_details.status=1";
        $query = $this->db->query($sql);
        // echo $this->db->last_query($sql); die;
        if ($query->num_rows() > 0)
        {
            return $query->result();
        }
        else
        {
            return false;
        }
    }

    function updateCommunicationAddress($userId,$new_address,$new_pincode,$new_city,$new_state,$new_country)
    {
        $sql = "update investor set address = '$new_address', pincode = '$new_pincode', city = '$new_city', state = '$new_state', country = '$new_country' where login_id = $userId";
        $query = $this->db->query($sql);
        //         echo $this->db->last_query($sql); die;
        if ($this->db->affected_rows() > 0)
        {
            return TRUE;
        }
        else
        {
            return false;
        }
    }

    function updateBankDetails($userId,$account_name,$account_number,$account_type,$ifsc_code,$bank_name,$branch_city,$branch_name)
    {
        $sql = 'update bank_details
        set bank_details.account_holder_name = "'.$account_name.'",
        bank_details.account_number = "'.$account_number.'",
        bank_details.account_type_id =
        (select bank_account_type.account_type_id from bank_account_type WHERE bank_account_type.account_type = "'.$account_type.'"),
        bank_details.ifsc_code = "'.$ifsc_code.'"
        where bank_details.investor_id =
        ( select investor.investor_id from investor where investor.login_id = "'.$userId.'")';
        $query = $this->db->query($sql);
        if($this->db->affected_rows() > 0)
        {
            return TRUE;
        }
        else
        {
            return false;
        }
    }

    function insertNomineeDetails($nomineeData)
    {
        $this->db->insert("nominee_details",$nomineeData);
        if($this->db->affected_rows()>0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    function savePdfUrlData($fileName,$userId)
    {
        $sql = "update nominee_details
        set nominee_details.pdf_name = '".$fileName."'
        where nominee_details.investor_id =
        (select investor.investor_id from investor
        where investor.login_id = $userId)";
        $query = $this->db->query($sql);
        if($this->db->affected_rows()>0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    function getUserData($userId)
    {
        $sql = "select investor.address, investor.pincode, investor.city, investor.state, investor.investor_id,bank_details.pan from users
        inner join investor
        on users.id = investor.login_id
        inner join bank_details
        on investor.investor_id = bank_details.investor_id
        where users.id = $userId";
        $query = $this->db->query($sql);
        if ($query->num_rows() > 0)
        {
            return $query->row();
        }
        else
        {
            return false;
        }
    }
}
