<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Risk_profile_age_check_model extends CI_Model
{
    function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }

    function getInvestorList()
    {
        $sql="SELECT investor.investor_id,temp_users.temp_users_id as tempUser_id, temp_users.temp_user_email as tempUser_email, temp_users.temp_user_phone as tempUser_phone,investor.date_of_birth, users.username FROM `users` inner join investor
        on users.id = investor.login_id
        inner join temp_users
        on users.email = temp_users.temp_user_email
        WHERE users.active = 1";

        $query = $this->db->query($sql);

        if ($query->num_rows() > 0)
        {
            return $query->result();
        }
        else
        {
            return false;
        }
    }

    function getRiskProfileData($investorId,$tempUserId)
    {
        // $sql="select * from temp_users where temp_users.email_phone = '$email'";
        $sql="select * from risk_profile where risk_profile.temp_users_id = $tempUserId and risk_profile.investor_id=$investorId";

        $query = $this->db->query($sql);

        if ($query->num_rows() > 0)
        {
           return $query->row();
        }
        else
        {
           return false;
        }
    }

    function updateNewRange($age_range,$new_age_range,$email)
    {
        $sql="update temp_users set temp_users.age_range='$new_age_range' WHERE
        temp_users.email_phone='$email' and temp_users.age_range='$age_range'";
        $query = $this->db->query($sql);
        if($this->db->affected_rows()>0)
        {
           return true;
        }
        else
        {
           return false;
        }
    }

    function updateAverage($current_average,$newAverage,$tempUserId,$investorId)
    {
        $sql="update risk_profile set risk_profile.average='$newAverage'
        where risk_profile.average='$current_average' and
        risk_profile.temp_users_id=$tempUserId and
        risk_profile.investor_id=$investorId";

        $query = $this->db->query($sql);
        //  echo $this->db->last_query(); die;
        if($this->db->affected_rows()>0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    function updateRiskProfileAge($tempUserId,$investorId,$newAge)
    {
        $sql="update risk_profile set age=$newAge where risk_profile.temp_users_id=$tempUserId and risk_profile.investor_id=$investorId";
        $query = $this->db->query($sql);
        //  echo $this->db->last_query(); die;
        if($this->db->affected_rows()>0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}
