<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class User extends CI_Model{
	
/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : checkUserExistingInfo
|   DATE : 04/10/2016
|   COMMENT :  check user email
|   TABLE : users
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/

    function checkEmailExists($email)
    {
        $this->db->where('email', $email);
        $query=$this->db->get("users");
	    if($query->num_rows()>0)
        {
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : User,  Function : checkEmailExists , email : ".email." Messege :  returning data : ".$data ." *****");
            return $query->row();
        }
        else
        {
			log_message("info", "***** Model : User,  Function : checkEmailExists , email : ".email." Messege : returning false in else condition *****");
            return false;
        }
    }
/*
------------------------------------------------------------------------------------------------------------
*/


/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : checkEmailAndGooleExists
|   DATE : 04/10/2016
|   COMMENT :  check user google id and email
|   TABLE : users
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/

    function checkEmailAndGooleExists($email, $googleId)
    {
        $this->db->where(['email' => $email, 'google_id' => $googleId]);
        $query=$this->db->get("users");
        if($query->num_rows()>0)
        {
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : User,  Function : checkEmailAndGooleExists , email : ".email." Messege :  returning data : ".$data ." *****");
            return $query->row();
        }
        else
        {
			log_message("info", "***** Model : User,  Function : checkEmailAndGooleExists , email : ".email." Messege : returning false in else condition *****");
            return false;
        }
    }
/*
------------------------------------------------------------------------------------------------------------
*/


/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : updateGoogleData
|   DATE : 04/10/2016
|   COMMENT :  update user google id only
|   TABLE : users
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/

  public function updateGoogleData($user_id,$data)
    {
        $this->db->where("id",$user_id);
        $this->db->update("users",array("google_id"=>$data['google_id']));
        if($this->db->affected_rows()>0)
        {
			log_message("info", "***** Model : User,  Function : checkEmailAndGooleExists , user_id : ".user_id." Messege : returning true in if condition *****");
            return true;
        }
        else
        {
			log_message("info", "***** Model : User,  Function : checkEmailAndGooleExists , user_id : ".user_id." Messege : returning false in else condition *****");
            return false;
        }
    } 
	
	
	/*
------------------------------------------------------------------------------------------------------------
*/




/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : checkEmailAndFacebookExists
|   DATE : 04/10/2016
|   COMMENT :  check user facebook id and email
|   TABLE : users
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/

    function checkEmailAndFacebookExists($email, $facebookId)
    {
        $this->db->where(['email' => $email, 'facebook_id' => $facebookId]);
        $query=$this->db->get("users");
        if($query->num_rows()>0)
        {
			log_message("info", "***** Model : User,  Function : checkEmailAndFacebookExists , email : ".email." Messege : returning true in if condition *****");
            return $query->row();
        }
        else
        {
			log_message("info", "***** Model : User,  Function : checkEmailAndFacebookExists , email : ".email." Messege : returning false in else condition *****");
            return false;
        }
    }
/*
------------------------------------------------------------------------------------------------------------
*/


/*
------------------------------------------------------------------------------------------------------------
|   FUNTION NAME : updateFacebookData
|   DATE : 04/10/2016
|   COMMENT :  update user facebook id only
|   TABLE : users
|   CHECK STATUS : TRUE
------------------------------------------------------------------------------------------------------------
*/

  public function updateFacebookData($user_id,$data)
    {
        $this->db->where("id",$user_id);
        $this->db->update("users",array("facebook_id"=>$data['facebook_id']));
        if($this->db->affected_rows()>0)
        {
			log_message("info", "***** Model : User,  Function : updateFacebookData , user_id : ".user_id." Messege : returning true in if condition *****");
            return true;
        }
        else
        {
			log_message("info", "***** Model : User,  Function : updateFacebookData , user_id : ".user_id." Messege : returning false in else condition *****");
            return false;
        }
    } 
	
	
	/*
------------------------------------------------------------------------------------------------------------
*/
	
	
}
