<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class test extends CI_Controller
{
	function __construct()
	{
        // Call the Model constructor
        parent::__construct();
        $this->config->load('config_atom');
        $this->config->load('config_cams');
        $this->load->model('dashboard/dashboard_model');
        $this->load->model('purchase/purchase_model');
        $this->load->helper('transaction_helper');
	   $this->load->helper('cams_helper');
	}
	
	
	public function index()
	{
		$this->load->library('encrypt');
		// $res = $this->db->query("SELECT purchased_units.investor_id, purchased_units.purchased_amount, monthly_investment.no_of_invested_months, users.username FROM monthly_investment JOIN monthly_investment_mapping ON monthly_investment_mapping.monthly_investment_id = monthly_investment.monthly_investment_id JOIN purchased_units ON purchased_units.purchased_units_id = monthly_investment_mapping.purchased_units_id JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE `is_stopped_sip` = 0 AND purchased_units.request_status = 0 AND purchased_units.request_date BETWEEN '2019-06-01' AND '2019-06-30'");
		// $res = $this->db->query("SELECT users.username, purchased_units.purchased_units_id, purchased_units.purchased_amount, monthly_investment.no_of_invested_months, monthly_investment.is_stopped_sip, purchased_units.request_date, purchased_units.investor_id FROM purchased_units JOIN monthly_investment_mapping ON monthly_investment_mapping.purchased_units_id = purchased_units.purchased_units_id JOIN monthly_investment ON monthly_investment_mapping.monthly_investment_id = monthly_investment.monthly_investment_id JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE purchased_units.is_monthly_sip = 1 AND purchased_units.request_date BETWEEN '2019-06-01' AND '2019-06-30' AND request_status = 0");
	$res = $this->db->query("SELECT users.username, users.phone, `purchased_units_id`, funds.fund_name, purchased_units.date_of_purchase, purchased_units.unit_count, purchased_units.purchased_amount FROM `purchased_units` JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id JOIN funds ON funds.fund_id = purchased_units.fund_id WHERE trans_upload_status = 0 AND `unit_count` > 0 AND `request_status` = 1");
		$result = $res->result();
		$file = fopen("assets/purchase_data.csv","w");
		foreach($result as $r)
		{
			$data =  $this->encrypt->decode($r->username).",".$this->encrypt->decode($r->phone).",".$r->purchased_units_id.",".$r->fund_name.",".$r->date_of_purchase.",".$r->unit_count.",".$r->purchased_amount;
			fputcsv($file,explode(',',$data));
			
		}
		fclose($file);
	}
	
	public function get()
	{
		$this->load->library('encrypt');
		$res = $this->db->query("select users.username , users.id,users.email,investor.investor_id,investor.pan,investor.address_2,investor.pincode,investor.original_city from users JOIN investor on users.id = investor.login_id where investor.investor_id = 152");
		$result = $res->result();
		foreach($result as $r)
		{
			echo $this->encrypt->decode($r->pan)." ".$r->id." ====================== ".$r->username."<br />";
		}
		echo $this->encrypt->encode("ALIPS2696D");
	}
	
	public function graphForMobile()
	{
		$data = json_decode(file_get_contents('php://input'));
		$this->load->view('mobile_graph_view',['amtMonth' => $data->amt]);
	}
	
	public function checkHTMLTemp()
	{
        $name=$this->encrypt->decode($_SESSION["userName"]);
        $today = date('d M Y h:i a', time());
        $data=array();
        $html=$this->load->view('auth/email/blog_mail', $data,true);
        $this->load->library("email");
        $this->email->set_newline("\r\n");
        $this->email->set_mailtype("html");
        $this->email->to("neha.joshi@investocafe.com");
    	//$recipients=array('amitmeena0206@gmail.com',"nehajoshi.scs@gmail.com");
        $this->email->bcc($recipients);
        $this->email->from("Investocafe Assistant<help@investocafe.com>", "Investocafe");
        $subject="Blog Tamplate Test";
        $this->email->subject($subject);
        $this->email->message($html);
        $result=$this->email->send();
        //echo $this->email->print_debugger();
        return $result;
	}
	
    public function appSaveContactNumber()
	{
		$get = json_decode(file_get_contents('php://input'));
		$check = $this->db->select('ext1')->from('investor_contacts')->where('ext1',$get->androidIMEI)->get();
		if($check->num_rows() == 0)
		{
			$con = array_unique($get->contactList);
			foreach($con as $contact)
			{
				$contact = str_replace(' ', '', $contact);
				$this->db->insert('investor_contacts',['contact_number' => $contact , 'investor_id' => $get->investorId,'ext1' => $get->androidIMEI]);
			}  
		}
		echo '{"success":"true"}';
	}
	
	public function relianceCheckCurrentValue()
	{
		$this->load->config('config_cams');
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model');
		$this->load->helper('cams_helper');
		$this->load->helper('karvy_helper');
		$investorDetails = $this->api_model->getInvestorDetails(55);
		$investorBankDetails = $this->api_model->getInvestorBankDetails(55);
		$email = $investorDetails->email;
		$phone = $this->encrypt->decode($$investorDetails->phone);
		$pan = $this->encrypt->decode($investorDetails->pan);
		$arncode = $this->config->item('arn_code');
		$dob = dateFormateForRelianceCard($investorDetails->date_of_birth);
		$IFSC = $investorBankDetails->ifsc_code;
		$ACTYPE = $investorBankDetails->account_type;
		$ACNUM = $this->encrypt->decode($investorBankDetails->account_number);
		$apikey = "XXXXXXXXXX";
		$sendData = "?";
		$sendData .= "arncode=".$arncode."&";
		$sendData .= "pan=".$pan."&";
		$sendData .= "scheme=LP&";
		$sendData .= "plan=IG&";
		$sendData .= "option=G&";
		$sendData .= "email=".$email."&";
		$sendData .= "mobile=".$phone."&";
		$sendData .= "dob=".$dob."&";
		$sendData .= "RI=Y&";
		$sendData .= "PEP=N&";
		$sendData .= "RPEP=N&";
		$sendData .= "PTI=Y&";
		$sendData .= "BII=Y&";
		$sendData .= "TAX=INDIVIDUAL&";
		$sendData .= "OCCUP=3&";
		$sendData .= "INCOME=1-5L&";
		$sendData .= "IFSC=".$IFSC."&";
		$sendData .= "ACTYPE=".$ACTYPE."&";
		$sendData .= "ACNUM=".$ACNUM."&";
		$sendData .= "deviceid=PARTNERAPI&";
		$sendData .= "appVersion=1.0.1&";
		$sendData .= "appName=INVESTOCAFE&";
		$sendData .= "apikey=".$apikey."";
		$this->sendInfo($sendData);
	}
	
	function sendInfo($data)
	{
		$url = $this->config->item('instant_redemption_API');
		/* $ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_PORT , 443);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$returnData = curl_exec($ch);
		curl_close($ch);
		return $returnData; */
	}
	
	
	function netbankingResponse()
	{
		echo "<pre>";
		$data['mmp_txn'] = "mmp_txn";
        $data['mer_txn'] = "mer_txn";
        $data['amt'] = "amt";
        $data['prod'] = "prod";
        $data['date'] = "date";
        $data['bank_txn'] = "bank_txn";
        $data['f_code'] = "Ok";
        $data['clientcode'] = "clientcode";
        $data['bank_name'] = "bank_name";
        $data['merchant_id'] = "merchant_id";
        $data['udf9'] = "udf9";
        $data['discriminator'] = "discriminator";
        $data['surcharge'] = "surcharge";
        $data['CardNumber'] = "CardNumber";
        $data['udf1'] = "udf1";
        $data['udf2'] = "udf2";
        $data['udf3'] = "udf3";
        $data['udf4'] = "udf4";
        $data['udf5'] = "udf5";
        $data['udf6'] = "udf6";
		//print_r($data);die;
		$response = $data;
		if($response['f_code']=="Ok"){
			$nb_request_status = '1';
			date_default_timezone_set("Asia/Kolkata");
			$dateOfDeposit = date('Y-m-d H:i:s');
			$depositRefNo = $response['mer_txn'];
			$updPurchaseRes = $this->purchase_model->updatePurchaseEntry($nb_request_status,$response['mer_txn'],$dateOfDeposit,$depositRefNo);
			if($updPurchaseRes){
				//log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : Purchase,  Messege : Purchased units table updated *****');
			} else {
				//log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : Purchase,  Messege : Error in updating Purchased units table *****');
			}

			//$updateResNetbanking = $this->purchase_model->updateNetbankingEntry($response);
			if($updateResNetbanking){
				//log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : Purchase,  Messege : Net banking table updated *****');
			} else {
				//log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : Purchase,  Messege : Error in updating Net banking table *****');
			}

			$investorId=$_SESSION["investor_id"];
			$totalAmount=$response['amt'];
			$jsonArray = $this->purchase_model->getPurchasedItemDetails($response['mer_txn']);
			$i=0;
			foreach($jsonArray as $fundArr)
			{
				$fundArr = array_values($fundArr);
				$fundId = $fundArr[0];
				$investmentDate=$fundArr[2];
				$i++;
				if(!empty($fundId)){break;}
			}
			$fundTypeName = $this->purchase_model->getFundTypeIdFromFundId($fundId);
			$actualFundTypeId=$this->purchase_model->getActualFundTypeIdFromFundId($fundId);
			$transactionType = 2;
			$newJsonArr = my_array_values_recursive($jsonArray);
			$this->sendEmailSMSToInvestor($investorId,$totalAmount,$investmentDate,$newJsonArr,$actualFundTypeId,$fundTypeName,$transactionType);
			//log_message("info", "***** InvestorId : ".$_SESSION['investor_id'].", Controller : Purchase,  Function : netbankingResponse, Messege : netbanking payment successfull.*****");
			redirect(base_url().'purchase/confirmationInvestedFunds');
		}else{
			$nb_request_status = '0';
			$this->purchase_model->updatePurchaseEntry();
			//log_message("info", "***** InvestorId : ".$_SESSION['investor_id'].", Controller : Purchase,  Function : netbankingResponse, Messege : netbanking payment could not be processed. *****");
			redirect(base_url());
		}
		redirect(base_url());
	}
	
	public function checkLinkedInLogin()
	{
		$this->load->view("link_view");
	}
	
	public function testKYCDetaiByPan()
	{
		echo "pan testing ...";
		$this->load->helper('pan');
		$panNo ="ARQPM1975D";
		$restult=getPanStatusCurl($panNo);
		print_r($restult);
	}
	
	function createDBFfile()
    {
            define ('BOOLEAN_FIELD','L');
            define ('CHARACTER_FIELD','C');
            define ('DATE_FIELD','D');
            define ('NUMBER_FIELD','N');
            define ('READ_ONLY','0');
            define ('WRITE_ONLY','1');
            define ('READ_WRITE','2');

			$Field1=122;
			$Field2="1";
			$Field3="107383ASDFF1234F";
			$Field4="";// optional
			$Field5="investocafe";//Broker code
			$Field6="ARN-107383";
			$Field7="";// optional
			$Field8="";// optional
			$Field9="Amit meena";
			$Field10="1";
			$Field11="N";
			$Field12="ON";
			$Field13="DBF";
			$Field14="ASDFF1234F";
			$Field15="55";
			$Field16="Y";

             $addData=array($Field1,$Field2,$Field3,$Field4,$Field5,$Field6,$Field7,$Field8,$Field9,$Field10,$Field11,$Field12,$Field13,$Field14,$Field15,$Field16);
            $def = array(
              array("Field1","C",20),
              array("Field2","N",15,0),
              array("Field3","C",15),
              array("Field4","C",3),
              array("Field5","C",20),
              array("Field6","C",20),
              array("Field7","C",15),
              array("Field8","C",18),
              array("Field9","C",70),
              array("Field10","C",1),
              array("Field11","C",1),
              array("Field12","C",2),
              array("Field13","C",30),
              array("Field14","C",10),
              array("Field15","C",20),
              array("Field16","C",1),
            );

            $datadir="assets/uploads/Franklin/";
            $fileName="DOC_55".date("dmy").".dbf";
            $path=base_url().$datadir.$fileName;
            if (dbase_create($datadir.$fileName, $def))
            {
                $id = dbase_open ($datadir.$fileName,2);
                dbase_add_record($id, $addData);
                echo '{"success":true,"url":"'.$path.'"}';
              
            }
			else
			{
                echo '{"success":false,"msg":"Failed try again server error found."}';
            }
        
    }
	
	
	function createDBFfileFeed()
    {
            define ('BOOLEAN_FIELD','L');
            define ('CHARACTER_FIELD','C');
            define ('DATE_FIELD','D');
            define ('NUMBER_FIELD','N');
            define ('READ_ONLY','0');
            define ('WRITE_ONLY','1');
            define ('READ_WRITE','2');

			$Field1=122;
			$Field2="1";
			$Field3="107383ASDFF1234F";
			$Field4="";// optional
			$Field5="investocafe";//Broker code
			$Field6="ARN-107383";
			$Field7="";// optional
			$Field8="";// optional
			$Field9="Amit meena";
			$Field10="1";
			$Field11="N";
			$Field12="ON";
			$Field13="DBF";
			$Field14="ASDFF1234F";
			$Field15="55";
			$Field16="Y";
			$Field17="";
			$Field18="";
			$Field19="";
			$Field20="";
			$Field21="";
			$Field22="";
			$Field23="";
			$Field24="";
			$Field25="";
			$Field26="";
			$Field27="";
			$Field28="";
			$Field29="";
			$Field30="";
			$Field31="";
			$Field32="";
			$Field33="";
			$Field34="";
			$Field35="";
			$Field36="";
			$Field37="";
			$Field38="";
			$Field39="";
			$Field40="";
			$Field41="";
			$Field42="";
			$Field43="";
			$Field44="";
			$Field45="";
			$Field46="";
			$Field47="";
			$Field48="";
			$Field49="";
			$Field50="";
			$Field51="";
			$Field52="";
			$Field53="";
			$Field54="";
			$Field55="";
			$Field56="";
			$Field57="";
			$Field58="";
			$Field59="";
			$Field60="";
			$Field61="";
			$Field62="";
			$Field63="";
			$Field64="";
			$Field65="";
			$Field66="";
			$Field67="";
			$Field68="";
			$Field69="";
			$Field70="";
			$Field71="";
			$Field72="";
			$Field73="";
			$Field74="";
			$Field75="";
			$Field76="";
			$Field77="";
			$Field78="";
			$Field79="";
			$Field80="";
			$Field81="";
			$Field82="";
			$Field83="";
			$Field84="";
			$Field85="";
			$Field86="";
			$Field87="";
			$Field88="";
			$Field89="";
			$Field90="";
			$Field91="";
			$Field92="";
			$Field93="";
			$Field94="";
			$Field95="";
			$Field96="";
			$Field97="";
			$Field98="";
			$Field99="";
			$Field100="";
			$Field101="";
			$Field102="";
			$Field103="";
			$Field104="";
			$Field105="";
			$Field106="";
			$Field107="";
			$Field108="";
			$Field109=""; 
			

       $addData=array(
			 $Field1,
			 $Field2,
			 $Field3,
			 $Field4,
			 $Field5,
			 $Field6,
			 $Field7,
			 $Field8,
			 $Field9,
			 $Field10,
			 $Field11,
			 $Field12,
			 $Field13,
			 $Field14,
			 $Field15,
			 $Field16,
			 $Field17,
			 $Field18,
			 $Field19,
			 $Field20,
			 $Field21,
			 $Field22,
			 $Field23,
			 $Field24,
			 $Field25,
			 $Field26,
			 $Field27,
			 $Field28,
			 $Field29,
			 $Field30,
			 $Field31,
			 $Field32,
			 $Field33,
			 $Field34,
			 $Field35,
			 $Field36,
			 $Field37,
			 $Field38,
			 $Field39,
			 $Field40,
			 $Field41,
			 $Field42,
			 $Field43,
			 $Field44,
			 $Field45,
			 $Field46,
			 $Field47,
			 $Field48,
			 $Field49,
			 $Field50,
			 $Field51,
			 $Field52,
			 $Field53,
			 $Field54,
			 $Field55,
			 $Field56,
			 $Field57,
			 $Field58,
			 $Field59,
			 $Field60,
			 $Field61,
			 $Field62,
			 $Field63,
			 $Field64,
			 $Field65,
			 $Field66,
			 $Field67,
			 $Field68,
			 $Field69,
			 $Field70,
			 $Field71,
			 $Field72,
			 $Field73,
			 $Field74,
			 $Field75,
			 $Field76,
			 $Field77,
			 $Field78,
			 $Field79,
			 $Field80,
			 $Field81,
			 $Field82,
			 $Field83,
			 $Field84,
			 $Field85,
			 $Field86,
			 $Field87,
			 $Field88,
			 $Field89,
			 $Field90,
			 $Field91,
			 $Field92,
			 $Field93,
			 $Field94,
			 $Field95,
			 $Field96,
			 $Field97,
			 $Field98,
			 $Field99,
			 $Field100,
			 $Field101,
			 $Field102,
			 $Field103,
			 $Field104,
			 $Field105,
			 $Field106,
			 $Field107,
			 $Field108,
			 $Field109);
            $def = array(
              array("AMC_CODE","C",20),//1
              array("BROKE_CD","N",15,0),//2
              array("SBBR_CODE","C",15),//3
              array("USER_CODE","C",3),//4
              array("USR_TXN_NO","C",20),//5
              array("APPL_NO","C",20),//6
              array("FOLIO_NO","C",15),//7
              array("CK_DIG_NO","C",18),//8
              array("TRXN_TYPE","C",70),//9
              array("SCH_CODE","C",1),//10
              array("FIRST_NAME","C",1),//11
              array("JONT_NAME1","C",2),//12
              array("JONT_NAME2","C",30),//13
              array("ADD1", "C",10),//14
              array("ADD2", "C",20),//15
              array("ADD3", "C",1),//16
			  array("CITY", "C",1),//17
			  array("PINCODE","C",1),//18
			  array("PHONE_OFF","C",1),//19
			  array("MOBILE_NO","C",1),//19
			  array("TRXN_DATE","C",1),//20
			  array("TRXN_TIME","C",1),//21
			  array("UNITS","C",1),//22
			  array("AMOUNT","C",1),//23
			  array("CLOS_AC_CH","C",1),//24
			  array("DOB","C",1),//25
			  array("GUARDIAN","C",1),//26
			  array("TAX_NUMBER","C",1),//27
			  array("PHONE_RES","C",1),//28
			  array("FAX_OFF","C",1),//29
			  array("FAX_RES","C",1),//30
			  array("EMAIL","C",1),//31
			  array("ACCT_NO","C",1),//32
			  array("ACCT_TYPE","C",1),//33
			  array("BANK_NAME","C",1),//34
			  array("BR_NAME","C",1),//35
			  array("BANK_CITY","C",1),//36
			  array("REINV_TAG","C",1),//37
			  array("HOLD_NATUR","C",1),//38
			  array("OCC_CODE","C",1),//39
			  array("TAX_STATUS","C",1),//40
			  array("REMARKS","C",1),//41
			  array("STATE","C",1),//42
			  array("SUB_TRXN_T","C",1),//43
			  array("DIV_PY_MEC","C",1),//44
			  array("ECS_NO","C",1),//45
			  array("BANK_CODE","C",1),//46
			  array("ALT_FOLIO","C",1),//47
			  array("ALT_BROKER","C",1),//48
			  array("LOCATION","C",1),//49
			  array("RED_PY_MEC","C",1),//50
			  array("PRICING","C",1),//51
			  array("PAN_2_HLDR","C",1),//52
			  array("PAN_3_HLDR","C",1),//53
			  array("NOM_NAME","C",1),//54
			  array("NOM_RELAT","C",1),//55
			  array("GUARDIAN_P","C",1),//56
			  array("INSTRMNO","C",1),//57
			  array("UINNO","C",1),//58
			  array("VALID_PAN","C",1),//59
			  array("GVALID_PAN","C",1),//60
			  array("JH1VALPAN","C",1),//61
			  array("JH2VALPAN","C",1),//62
			  array("FORM6061RE","C",1),//63
			  array("JH1F6061RE","C",1),//64
			  array("JH2F6061RE","C",1),//65
			  array("GF6061RE","C",1),//66
			  array("REG_DATE","C",1),//67
			  array("FH_MIN","C",1),//68
			  array("JH1_MIN","C",1),//69
			  array("JH2_MIN","C",1),//70
			  array("GH_MIN","C",1),//71
			  array("NEFT_CODE","C",1),//72
			  array("RTGS_CODE","C",1),//73
			  array("KYC_FLAG","C",1),//74
			  array("POA_STAT","C",1),//75
			  array("MOD_TRXN","C",1),//76
			  array("SIGN_VF","C",1),//77
			  array("LOG", "C",1),//78
			  array("Addl_Addr1","C",1),//79
			  array("Addl_Addr2","C",1),//80
			  array("Addl_Addr3","C",1),//81
			  array("Addl_City","C",1),//82
			  array("Addl_State","C",1),//83
			  array("AddCountry","C",1),//84
			  array("AddPincode","C",1),//85
			  array("Nom1_Appli","C",1),//86
			  array("Nom2_Name","C",1),//87
			  array("Nom2_Relat","C",1),//88
			  array("Nom2_Appli","C",1),//89
			  array("Nom3_Name","C",1),//90
			  array("Nom3_Relat","C",1),//91
			  array("Nom3_Appli","C",1),//92
			  array("Check_Flag","C",1),//93
			  array("TH_P_PYT", "C",1),//94
			  array("KYC", "C",1),//95
			  array("FIRC_STA","C",1),//96
			  array("INSTL_NO","C",1),//97
			  array("TOTAL_INST","C",1),//98
			  array("NEW_FLAG","C",1),//99
			  array("EUIN_status","C",1),//100
			  array("EUIN_No","C",1),//101
			  array("Fres_Exi","C",1),//102
			  array("Che_copy","C",1),//103
			  array("Mob_no","C",1),//104
			  array("Nomi_avbl","C",1),//105
			  array("KRA_Verified","C",1),//106
			  array("KRA_agency","C",1),//107
			  array("SUB_BROKER_ARN","C",1),//108
			  array("SIPREG_NUM","C",1),	//	109 
            );

            $datadir="assets/uploads/Franklin/";
            $fileName="DOC_86".date("dmy").".dbf";
            $path=base_url().$datadir.$fileName;
            if (dbase_create($datadir.$fileName, $def))
            {
                $id = dbase_open ($datadir.$fileName,2);
                dbase_add_record($id, $addData);
                echo '{"success":true,"url":"'.$path.'"}';
              
            }else{
                echo '{"success":false,"msg":"Failed try again server error found."}';
            }
        
    }
	
	public function testSendMail()
	{
		$this->load->helper("send");
		$data["name"]="amit meena";
		$data["investor_id"] = 55;
		$html=$this->load->view('accountVerificationMail_view', $data,true);
		$email ="rahul.gehlot@investocafe.com";
		$subject ="test email";
		//sendConfirmationEmail($email,$subject,$html);
		$out = echoing($email,$subject,$html);
		echo $out;
	}
	
	
	function sendEmail()
	{
		$email = "rahul.gehlot@investocafe.com";
		$subject = "attachment";
		$html=$this->load->view('accountVerificationMail_view', $data,true);
		$today = date('d M Y h:i a', time());
		$data=array();
		require_once 'Mail.php';
		//require_once "mime.php";
		$headers = array (
		  'From' => 'Investocafe Assistant<help@investocafe.com>',
		  'To' => $email,
		  'Bcc' => 'rahul.gehlot@investocafe.com',
		  'Subject' => $subject,
				  'Content-Type' => 'text/html',
				  'charset'=>'UTF-8',
				  'X-Priority' => '1',
				  'X-MSMail-Priority' => 'High',
				  'Importance' => 'High');
				  
		$smtpParams = array (
			  'host' => 'smtp.zoho.com',
			  'port' => '587',
			  'auth' => true,
			  'username' => 'anvesh.pandey@investocafe.com',
			  'password' => 'DiMTVTsPWiq7'
			);
		$mail = Mail::factory('smtp', $smtpParams);
		//$html=$this->load->view('accountVerificationMail_view', $data,true);
		$result = $mail->send($email, $headers, $html);
		
		if (PEAR::isError($result)) {
		  return false;
		} else {
		  return true;
		}
	}
	
	public function testEncrypt()
	{
		echo $this->encrypt->decode("CC8OH0moEyNjuLg0vLUjfr23smSoMxVT25HurFA5BxyTyEaDKWV8+LCQ7u56ynyG02uhRYKD+tFFCpaLAx9Jhw==");
	}
	
	
	
	public function test_cron()
	{
		$this->load->config('config_cams');
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model' ,'api_model');
		$this->load->helper('cams_helper');
		$this->load->helper('karvy_helper');
		echo "hello";
		
		//$getFirstPurchasedList = $this->api_model->getFirstPurchasedSIPList();
		$sql="SELECT investor_id, purchased_units_id, fund_id ,request_date,purchased_amount ,is_first_purchase ,amc_code,date_of_deposit,deposit_ref_no , investor_ip FROM `purchased_units` WHERE
        `request_status` = 0 and trans_upload_status=0 and is_first_purchase = 1 and investor_id = 55";
        $query = $this->db->query($sql);
        if ($query->num_rows() > 0)
        {
            $getFirstPurchasedList =  $query->result();
        }
        else
        {
            $getFirstPurchasedList = false;
        }
		
		log_message('info', '*****  Controller : ApiFirstPurchaseCron, Function : cronFirstPurchase, Message : get first purchased list *****');
		if(isset($getFirstPurchasedList) && !empty($getFirstPurchasedList))
		{
			foreach($getFirstPurchasedList as $firstPurchase)
			{
				$investorDetails = $this->api_model->getInvestorDetails($firstPurchase->investor_id);
				$overseasDetails="";
				$nriArr=array(10,21,11);
				if(isset($investorDetails->Karvy_tax_code) )
				{
					if(in_array($investorDetails->Karvy_tax_code, $nriArr))
		   			{
		   				$overseasDetails = $this->api_model->getInvestorOverseasDetails($firstPurchase->investor_id);
		   			}
				}
				$investorBankDetails = $this->api_model->getInvestorBankDetails($firstPurchase->investor_id);
				$fundDetails = $this->api_model->getFundDetails($firstPurchase->fund_id);
				$resultFolio=getLatestFolioNumber($firstPurchase->amc_code,$firstPurchase->investor_id);
				$folioNumber="";
		        if($resultFolio)
		        {
		            $folioNumber=$resultFolio;
		        }
				echo  $folioNumber."<br />";
				$nomineeDetails = $this->api_model->getInvestorNomineeDetail($firstPurchase->investor_id);
				if(isset($investorDetails) && !empty($investorDetails) && isset($fundDetails) && !empty($fundDetails) && isset($investorBankDetails) && !empty($investorBankDetails))
				{
					$data["investorDetails"]=$investorDetails;
					$data["overseasDetails"]=$overseasDetails;
					$data["fundDetails"]=$fundDetails;
					$data["firstPurchase"]=$firstPurchase;
					$data["investorBankDetails"]=$investorBankDetails;
					$data["nomineeDetails"]=$nomineeDetails;
					$data["folioNumber"]=$folioNumber;
					
					log_message('info', '*****  Controller : ApiFirstPurchaseCron, Function : cronFirstPurchase, Message : get data for investor '.$firstPurchase->investor_id.' *****');
					
					if($fundDetails->api_type_id == 1)
					{
						$payoutMecCode = $this->api_model->getPayoutMechCodeForCams($fundDetails->AMC_code);
						$data['payoutMecCode'] = $payoutMecCode;
						$this->createFirstPurchaseFranklinTxt($data);
					}
					elseif($fundDetails->api_type_id == 3)
					{
						
					}

				}

			}
		}
	}
	
	
	function createFirstPurchaseFranklinTxt($data)
	{	
		$amc_code = $data['fundDetails']->AMC_code;
		$purchased_units_id = $data['firstPurchase']->purchased_units_id;
		log_message('info', '*****  Controller : ApiFirstPurchaseCron, Function : craeting cams text file for purchased_units_id '.$purchased_units_id.' *****');
		$string = $this->load->view('amit_theme/purchase_cron/franklin_first_purchase_text', $data, true);
		$fileName = getFileNameFranklin($amc_code, $purchased_units_id);
		$myfile =fopen("assets/uploads/Franklin/".$fileName.".txt", "w");
		$result=fwrite($myfile, $string);
		fclose($myfile);
		if($result)
		{
		    $fileNamepath = "assets/uploads/Franklin/".$fileName.".txt";
		    echo $fileName;	
			$this->camsCurlCommand($fileName);
		}
	}
	
	function camsCurlCommand($fileName)
	{
        //$url = "https://ft.karvy.com/cpartnersstp/ResponseUpload.asp";
		$url = "https://ft.karvy.com/CPartnersSTP/ResponseUpload.asp";
        $Usrcode = "INVESTOCAFE1";
        $pass = "Welcome@123";
		//$fileName = "FTMF00001385520170613115327.txt";
        $Uploadfile ="/var/www/html/assets/uploads/Franklin/".$fileName.".txt";
        $url = "curl --referer 52.77.4.93 -k -X POST -F 'file=@$Uploadfile' -F 'Usrcode=$Usrcode' -F 'pass=$pass' '$url'";

		log_message("info","*****curl URL by Nikunj ".$url."*****");
        $output = shell_exec($url);
		log_message("info","*****".$output."*****");
		echo "<pre>";
		print_r($output);
		return $output;
		
	}
	
	public function getArrayFromXML()
	{
		$data = '<?xml version="1.0" standalone="yes"?>
	<Services>
		<Information>
			<Return_Code>56</Return_Code>
			<Return_Msg>File Uploaded Successfully</Return_Msg>
		</Information>
		<ReverseDetails>
			<PortRemarks>Record saved successfully</PortRemarks>
			<AMC_CODE>UTI</AMC_CODE>
			<BROKE_CD>ARN-107383</BROKE_CD>
			<SBBR_CODE />
			<USER_CODE>IZ99</USER_CODE>
			<USR_TXN_NO>103852</USR_TXN_NO>
			<APPL_NO>A3852</APPL_NO>
			<FOLIO_NO>599307855932</FOLIO_NO>
			<CK_DIG_NO />
			<TRXN_TYPE>P</TRXN_TYPE>
			<SCH_CODE>MFGP</SCH_CODE>
			<FIRST_NAME>ANUP SINDHU</FIRST_NAME>
			<JONT_NAME1 />
			<JONT_NAME2 />
			<ADD1>house no 4478</ADD1>
			<ADD2>Defence ColonyUrban Estate</ADD2>
			<ADD3>.</ADD3>
			<CITY>JIND</CITY>
			<PINCODE>126102</PINCODE>
			<PHONE_OFF />
			<MOBILE_NO>9467241255</MOBILE_NO>
			<TRXN_DATE>06/13/2017</TRXN_DATE>
			<TRXN_TIME>08:00:01</TRXN_TIME>
			<UNITS>0</UNITS>
			<AMOUNT>1000.00</AMOUNT>
			<CLOS_AC_CH />
			<DOB>0</DOB>
			<GUARDIAN />
			<TAX_NUMBER>ASLPA1431G</TAX_NUMBER>
			<PHONE_RES />
			<FAX_OFF />
			<FAX_RES />
			<EMAIL>anupsindhu.410@gmail.com</EMAIL>
			<ACCT_NO>32400581470</ACCT_NO>
			<ACCT_TYPE>SB</ACCT_TYPE>
			<BANK_NAME>State Bank of India</BANK_NAME>
			<BR_NAME>URBAN ESTATE, JIND</BR_NAME>
			<BANK_CITY>JIND</BANK_CITY>
			<REINV_TAG>Z</REINV_TAG>
			<HOLD_NATUR>SI</HOLD_NATUR>
			<OCC_CODE>1</OCC_CODE>
			<TAX_STATUS>1</TAX_STATUS>
			<REMARKS />
			<STATE>09</STATE>
			<PAN_2_HLDR />
			<PAN_3_HLDR />
			<Guard_PAN />
			<LOCATION>Others</LOCATION>
			<UINno />
			<FORM6061 />
			<FORM6061J1 />
			<FORM6061J2 />
			<PAY_MEC>N</PAY_MEC>
			<RTGS_CD />
			<NEFT_CD>SBIN0016670</NEFT_CD>
			<MICR_CD />
			<DEPBANK>HSBC</DEPBANK>
			<DEP_ACNO>UTIMFCHN6290IC</DEP_ACNO>
			<DEP_DATE>06/14/2017</DEP_DATE>
			<DEP_RFNo />
			<SUB_TRXN_T>Normal</SUB_TRXN_T>
			<SIP_RFNO />
			<SIP_RGDT>01/01/1900</SIP_RGDT>
			<NOM_NAME>JAGDISH CHANDER</NOM_NAME>
			<NOM_RELA>FATHER</NOM_RELA>
			<KYC_FLG>Y</KYC_FLG>
			<POA_STAT>Y</POA_STAT>
			<MOD_TRXN>W</MOD_TRXN>
			<SIGN_VF>Y</SIGN_VF>
			<CUST_ID>29</CUST_ID>
			<LOG_WT>14062017$12:03:40$52.77.4.93$52.77.4.93$3852</LOG_WT>
			<LOG_PE />
			<DPID />
			<CLIENTID />
			<NRI_SOF />
			<GUARD_RELA />
			<PAN_VALI>Y</PAN_VALI>
			<GPAN_VALI />
			<J1PAN_VALI />
			<J2PAN_VALI />
			<NRI_ADD1 />
			<NRI_ADD2 />
			<NRI_ADD3 />
			<NRI_CITY />
			<NRI_STATE />
			<NRI_COUN />
			<NRI_PIN />
			<NOM_DOB>01/20/1961</NOM_DOB>
			<NOM_PERC>100</NOM_PERC>
			<NOM_ADD1>house no 4478</NOM_ADD1>
			<NOM_ADD2>Defence ColonyUrban Estate</NOM_ADD2>
			<NOM_ADD3>.</NOM_ADD3>
			<NOM_CITY>JIND</NOM_CITY>
			<NOM_STATE />
			<NOM_COUN />
			<NOM_PIN />
			<NOM_EMAIL />
			<NOM_MOB />
			<NOM1_NAME />
			<NOM1_RELA />
			<NOM1_DOB />
			<NOM1_PERC />
			<NOM1_ADD1 />
			<NOM1_ADD2 />
			<NOM1_ADD3 />
			<NOM1_CITY />
			<NOM1_STATE />
			<NOM1_COUN />
			<NOM1_PIN />
			<NOM1_EMAIL />
			<NOM1_MOB />
			<NOM2_NAME />
			<NOM2_RELA />
			<NOM2_DOB />
			<NOM2_PERC />
			<NOM2_ADD1 />
			<NOM2_ADD2 />
			<NOM2_ADD3 />
			<NOM2_CITY />
			<NOM2_STATE />
			<NOM2_COUN />
			<NOM2_PIN />
			<NOM2_EMAIL />
			<NOM2_MOB />
			<FIRC_STA />
			<SIP_STDT />
			<SIP_ENDT />
			<SIP_NOINST />
			<SIP_FREQ />
			<EUIN>E145355</EUIN>
			<EUIN_OPTIN>Y</EUIN_OPTIN>
			<E1 />
			<E2 />
			<E3 />
			<E4 />
			<E5 />
			<E6 />
			<IHNO>567643195</IHNO>
			<Transaction_Date>06/14/2017</Transaction_Date>
		</ReverseDetails>
	</Services>';
		$parser = xml_parser_create('');
		xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, "UTF-8");
		xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
		xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
		xml_parse_into_struct($parser, trim($data), $xml_values);
		xml_parser_free($parser);
		$returnArray = array();
		echo "<pre>";
		$value = $xml_values[2]['value'];
		if($value != 0)
		{
			echo $xml_values[3]['value'];
		}
	}
	
	function sendRegistrationPdfEmail($investor_id)
    {
        if(isset($investor_id))
    	{		
    		echo $investor_id;
            $invId=$investor_id;
			$this->load->model('registration/registration_model');
            $resultInfo=$this->registration_model->getInvestorDetail($invId);
            if(isset($resultInfo) && !empty($resultInfo))
            {
                $email="amitmeena0206@gmail";
                $name=$this->encrypt->decode($resultInfo->name);
                $fileName = $resultInfo->investor_pdf_form_url;
				//$downloadFilePath = base_url().'assets/uploads/investor_form_pdf/'.$fileName;
                $data=array();
                $data['name']=$name;
				$data['FilePath'] = "";
                $today = date('d M Y h:i a', time());
                $html= $this->load->view('registration_pdf_email_view',$data,true);
                $subject = "Registration Confirmation";
				//$fileName = $resultInfo->investor_pdf_form_url;
				$PDFpath = realpath('assets/uploads/investor_form_pdf/'.$fileName);
				sendEmailWithPDF($email,$subject,$html,$PDFpath);
                if($out)
                {
                    log_message('info', '***** InvestorId : '.$invId.', Controller : SendMessage, Function : sendRegistrationPdfEmail, Message : Successfully sent registration pdf file to "'.$email.'" *****');
                }
                else
                {
                    log_message('info', '***** InvestorId : '.$invId.', Controller : SendMessage, Function : sendRegistrationPdfEmail, Message : Failed to send registration pdf file to "'.$email.'" *****');
                } 
            }
        }
    }
	
	
	public function testSession()
	{
		echo $this->encrypt->encode("Sundeep Khatri");
	}
	
	public function getFileData()
	{
		$res = $this->db->query("SELECT investor.investor_id,api_type.api_name,investor.pan,users.first_name from purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON investor.login_id = users.id JOIN funds ON purchased_units.fund_id = funds.fund_id JOIN api_type ON funds.api_type_id = api_type.id WHERE request_status = 1 AND unit_count != '0.00' GROUP BY purchased_units.investor_id,funds.api_type_id order by purchased_units.investor_id");
		echo "<table border='1'>";
		if($res->num_rows() > 0)
		{
			$i = 0;
			foreach($res->result() as $data)
			{
				$i++;
				echo "<tr>";
				echo "<td>$i</td>";
				echo "<td>".$data->investor_id."</td>";
				echo "<td>".$data->api_name."</td>";
				echo "<td>".$this->encrypt->decode($data->first_name)."</td>";
				echo "<td>".$this->encrypt->decode($data->pan)."</td>";
				echo "</tr>";
			}
		}
		echo "</table>";
	}
	

	public function getPinCodeDetailApi($pincode)
	{
		// $paymentUrl = "https://pincode.saratchandra.in/api/pincode/".$pincode;
		// $paymentUrl= "http://www.postalpincode.in/api/pincode/".$pincode;
		// // $paymentUrl ="https://api.data.gov.in/resource/6176ee09-3d56-4a3b-8115-21841576b2f6?format=json&api-key=579b464db66ec23bdd00000169ef95d2000047aa67fc0493cb7f9bc5&filters[pincode]=".$pincode;
		// $ch = curl_init();  
		// curl_setopt($ch,CURLOPT_URL,$paymentUrl);
		// curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
		// $output=curl_exec($ch);
		// $output = json_decode($output);
		// // print_r($output);
		// curl_close($ch);
		// $final_data = array();
		// $final_data['City'] = $final_data['State'] = '';
		// if (count($output->PostOffice) > 0) 
		// {
		// 	$final_data['City'] = trim(rtrim($output->PostOffice[0]->Taluk,"City"));
		// 	$final_data['State'] = strtoupper($output->PostOffice[0]->State);
		// 	$final_data['status'] = 200;
		// }
		// echo(json_encode($final_data));

		if($pincode)
		{
			$res = $this->db->query("SELECT * FROM `pin_data` WHERE pin_code = $pincode ORDER by office DESC");
			if($res->num_rows() > 0) { echo '{"State":"'.$res->row()->state_name.'","City":"'.$res->row()->district.'","status":200}';}
		} 
		else 
		{
			echo '{"State":"Madhya Pradesh","City":"INDORE","status":200}';
		}
	}


	function getPinCode($pincode)
	{
		$res = $this->db->query("SELECT * From pin_data WHERE pin_code = $pincode ORDER BY office DESC");
		if($res->num_rows() > 0)
		{
			echo "<pre>";
			print_r($res->result());
			$state_name = $res->row()->state_name;
			$city = $res->row()->district;
			echo '{"state":"'.$state_name.'","city":"'.$city.'","status":200}';
		}
		else
		{
			echo '{"State":"","City":"","status":200}';
		}
	}

	public function getPinByName($pincode)
	{
		$res = $this->db->query("SELECT * From pin_data WHERE pin_code = $pincode ORDER BY office DESC");
		if($res->num_rows() > 0)
		{
			$cities = [];
			$result = $res->result();
			if($result)
			{
				foreach($result as $r)
				{
					array_push($cities, $r->division_name);
				}
			}
			echo "<pre>";
			print_r($cities);
		} else { }
	}

	public function emandateTest()
	{
		$res = $this->db->query("SELECT users.username, users.email, users.phone, purchased_units.purchased_amount, purchased_units.request_date FROM investor_status JOIN investor ON investor.investor_id = investor_status.investor_id JOIN users ON users.id = investor.login_id JOIN purchased_units ON purchased_units.investor_id = investor.investor_id JOIN funds ON funds.fund_id = purchased_units.fund_id WHERE investor_status.investor_id > 1520");
		if($res->num_rows() > 0)
		{
			if($res->result())
			{
				echo "<pre>";
				foreach($res->result() as $r)
				{
					print_r($r);
				}
			}
		}
	}

	function emandate()
	{            
		$res = $this->db->query("SELECT users.username, users.phone, users.email, bank_details.* FROM investor JOIN bank_details ON investor.investor_id = bank_details.investor_id JOIN users ON users.id = investor.login_id WHERE investor.investor_id = 12");
		if($res->num_rows() > 0)
		{
			$data['r'] = $res->row();
			$data['start_date'] = date("Y-m-d");
			$this->load->view('theme/hdfc_e_madate_view2',$data);
		}

		// echo $this->encrypt_decrypt('encrypt', 'HDFC00022000001311');
	}


	function emandate2()
	{            
		$res = $this->db->query("SELECT users.username, users.phone, users.email, bank_details.* FROM investor JOIN bank_details ON investor.investor_id = bank_details.investor_id JOIN users ON users.id = investor.login_id WHERE investor.investor_id = 12");
		if($res->num_rows() > 0)
		{
			$data['r'] = $res->row();
			$data['start_date'] = date("Y-m-d");
			$this->load->view('theme/hdfc_e_madate_view',$data);
		}
	}

	function emandate3()
	{           
		$res = $this->db->query("SELECT users.username, users.phone, users.email, bank_details.* FROM investor JOIN bank_details ON investor.investor_id = bank_details.investor_id JOIN users ON users.id = investor.login_id WHERE investor.investor_id = 12");
		if($res->num_rows() > 0)
		{
			$data['r'] = $res->row();
			$data['start_date'] = date("Y-m-d");
			$this->load->view('theme/hdfc_e_madate_view3',$data);
		}
	}


	public function createDBfile()
	{
		define ('BOOLEAN_FIELD','L');
		define ('CHARACTER_FIELD','C');
		define ('DATE_FIELD','D');
		define ('NUMBER_FIELD','N');
		define ('READ_ONLY','0');
		define ('WRITE_ONLY','1');
		define ('READ_WRITE','2');

		$AMC_CODE 		=	"AXF";
		$BROKE_CD		=	"ARN-107383";
		$SBBR_CODE		=	"IZ99";
		$USER_CODE		=	"1050945";
		$USR_TXN_NO		=	"A50945";
		$APPL_NO		=	"";
		$FOLIO_NO		=	"";
		$CK_DIG_NO		=	"";
		$TRXN_TYPE		=	"P";
		$SCH_CODE		=	"TSGP";
		$FIRST_NAME 	=	"Manorama Kumari";
		$JONT_NAME1		=	"";
		$JONT_NAME2		=	"";
		$ADD1 			=	"A3 raj green colony";
		$ADD2 			=	"Azampur";
		$ADD3 			=	".";
		$CITY 			=	"Mathura";
		$PINCODE 		=	"281006";
		$PHONE_OFF 		=	"";
		$MOBILE_NO 		=	"9897963018";
		$TRXN_DATE 		=	"12/10/2019";
		$TRXN_TIME 		=	"01:23:47";
		$UNITS  		=	"";
		$AMOUNT  		=	"2000.00";
		$CLOS_AC_CH 	=	"";
		$DOB 			=	"07/03/2013";
		$GUARDIAN 		=	"Premvir Singh";
		$TAX_NUMBER 	=	"CEUPS0167L";
		$PHONE_RES 		=	"";
		$FAX_OFF 		=	"";
		$FAX_RES 		=	"";
		$EMAIL 			=	"manoramadoll2013@gmail.com";
		$ACCT_NO 		=	"31184108232";
		$ACCT_TYPE 		=	"SB";
		$BANK_NAME 		=	"State Bank of India";
		$BR_NAME 		=	"GONDA (NAGLA SABAL)";
		$BANK_CITY 		=	"ALIGARH";
		$REINV_TAG 		=	"Z";
		$HOLD_NATUR 	=	"SI";
		$OCC_CODE 		=	"1";
		$TAX_STATUS 	=	"2";
		$REMARKS 		=	"";
		$STATE 			=	"25";
		$PAN_2_HLDR     =	"";
		$PAN_3_HLDR 	=	"";
		$GUARD_PAN 		=	"CEUPS0167L";
		$LOCATION 		=	"O1";
		$UINNO 			=	"";
		$FORM6061 		=	"";
		$FORM6061J1 	=	"";
		$FORM6061J2 	=	"";
		$PAY_MEC 		=	"N";
		$RTGS_CD 		=	"";
		$NEFT_CD 		=	"SBIN0013160";
		$MICR_CD 		=	"";
		$DEPBANK 		=	"HDFC";
		$DEP_ACNO 		=	"602090003596";
		$DEP_DATE 		=	"12/10/2019";
		$DEP_RFNO 		=	"1";
		$SUB_TRXN_T 	=	"S";
		$SIP_RFNO 		=	"150944";
		$SIP_RGDT 		=	"12/12/2019";
		$NOM_NAME 		=	"Anju devi";
		$NOM_RELA 		=	"Mother";
		$KYC_FLG 		=	"Y";
		$POA_STAT 		=	"Y";
		$MOD_TRXN 		=	"W";
		$SIGN_VF 		=	"Y";
		$CUST_ID 		=	"3725";
		$LOG_WT	      	=	"19122019$03:40:10$27.5.3.16$52.77.4.93$50945";
		$LOG_PE 		=	"";
		$DPID 			=	"";
		$CLIENTID 		=	"";
		$NRI_SOF 		=	"";
		$GUARD_RELA 	=	"Father";
		$PAN_VALI 		=	"";
		$GPAN_VALI 		=	"Y";
		$J1PAN_VALI 	=	"";
		$J2PAN_VALI 	=	"";
		$NRI_ADD1 		=	"";
		$NRI_ADD2		=	"";
		$NRI_ADD3		=	"";
		$NRI_CITY		=	"";
		$NRI_STATE		=	"";
		$NRI_COUN		=	"";
		$NRI_PIN		=	"";
		$NOM_DOB 		=	"01/05/1990";
		$NOM_PERC 		=	"100";
		$NOM_ADD1 		=	"A3 raj green colony";
		$NOM_ADD2 		=	"Azampur";
		$NOM_ADD3 		=	".";
		$NOM_CITY 		=	"Mathura";
		$NOM_STATE 		=	"";
		$NOM_COUN 		=	"";
		$NOM_PIN 		=	"";
		$NOM_EMAIL 		=	"";
		$NOM_MOB 		=	"";
		$NOM1_NAME 		=	"";
		$NOM1_RELA 		=	"";
		$NOM1_DOB 		=	"";
		$NOM1_PERC 		=	"";
		$NOM1_ADD1 		=	"";
		$NOM1_ADD2 		=	"";
		$NOM1_ADD3 		=	"";
		$NOM1_CITY 		=	"";
		$NOM1_STATE 	=	"";
		$NOM1_COUN	 	=	"";
		$NOM1_PIN 		=	"";
		$NOM1_EMAIL 	=	"";
		$NOM1_MOB 		=	"";
		$NOM2_NAME 		=	"";
		$NOM2_RELA 		=	"";
		$NOM2_DOB 		=	"";
		$NOM2_PERC 		=	"";
		$NOM2_ADD1 		=	"";
		$NOM2_ADD2 		=	"";
		$NOM2_ADD3 		=	"";
		$NOM2_CITY 		=	"";
		$NOM2_STATE 	=	"";
		$NOM2_COUN 		=	"";
		$NOM2_PIN 		=	"";
		$NOM2_EMAIL 	=	"";
		$NOM2_MOB 		=	"";
		$FIRC_STA 		=	"";
		$SIP_STDT		=	"12/12/2019";
		$SIP_ENDT		=	"12/12/2029";
		$SIP_NOINST		=	"";
		$SIP_FREQ		=	"";
		$EUIN 			=	"E145355";
		$EUIN_OPTIN 	=	"Y";
		$E1 			=	"";
		$E2 			=	"";
		$E3 			=	"";
		$E4 			=	"";
		$E5 			=	"";
		$E6 			=	"";

		$addData=array(
			$AMC_CODE,
			$BROKE_CD,
			$SBBR_CODE,
			$USER_CODE,
			$USR_TXN_NO,
			$APPL_NO,
			$FOLIO_NO,
			$CK_DIG_NO,
			$TRXN_TYPE,
			$SCH_CODE,
			$FIRST_NAME,
			$JONT_NAME1,
			$JONT_NAME2,
			$ADD1,
			$ADD2,
			$ADD3,
			$CITY,
			$PINCODE,
			$PHONE_OFF,
			$MOBILE_NO,
			$TRXN_DATE,
			$TRXN_TIME,
			$UNITS,
			$AMOUNT,
			$CLOS_AC_CH,
			$DOB,
			$GUARDIAN,
			$TAX_NUMBER,
			$PHONE_RES,
			$FAX_OFF,
			$FAX_RES,
			$EMAIL,
			$ACCT_NO,
			$ACCT_TYPE,
			$BANK_NAME,
			$BR_NAME,
			$BANK_CITY,
			$REINV_TAG,
			$HOLD_NATUR,
			$OCC_CODE,
			$TAX_STATUS,
			$REMARKS,
			$STATE,
			$PAN_2_HLDR,
			$PAN_3_HLDR,
			$GUARD_PAN,
			$LOCATION,
			$UINNO,
			$FORM6061,
			$FORM6061J1,
			$FORM6061J2,
			$PAY_MEC,
			$RTGS_CD,
			$NEFT_CD,
			$MICR_CD,
			$DEPBANK,
			$DEP_ACNO,
			$DEP_DATE,
			$DEP_RFNO,
			$SUB_TRXN_T,
			$SIP_RFNO,
			$SIP_RGDT,
			$NOM_NAME,
			$NOM_RELA,
			$KYC_FLG,
			$POA_STAT,
			$MOD_TRXN,
			$SIGN_VF,
			$CUST_ID,
			$LOG_WT,
			$LOG_PE,
			$DPID,
			$CLIENTID,
			$NRI_SOF,
			$GUARD_RELA,
			$PAN_VALI,
			$GPAN_VALI,
			$J1PAN_VALI,
			$J2PAN_VALI,
			$NRI_ADD1,
			$NRI_ADD2,
			$NRI_ADD3,
			$NRI_CITY,
			$NRI_STATE,
			$NRI_COUN,
			$NRI_PIN,
			$NOM_DOB,
			$NOM_PERC,
			$NOM_ADD1,
			$NOM_ADD2,
			$NOM_ADD3,
			$NOM_CITY,
			$NOM_STATE,
			$NOM_COUN,
			$NOM_PIN,
			$NOM_EMAIL,
			$NOM_MOB,
			$NOM1_NAME,
			$NOM1_RELA,
			$NOM1_DOB,
			$NOM1_PERC,
			$NOM1_ADD1,
			$NOM1_ADD2,
			$NOM1_ADD3,
			$NOM1_CITY,
			$NOM1_STATE,
			$NOM1_COUN,
			$NOM1_PIN,
			$NOM1_EMAIL,
			$NOM1_MOB,
			$NOM2_NAME,
			$NOM2_RELA,
			$NOM2_DOB,
			$NOM2_PERC,
			$NOM2_ADD1,
			$NOM2_ADD2,
			$NOM2_ADD3,
			$NOM2_CITY,
			$NOM2_STATE,
			$NOM2_COUN,
			$NOM2_PIN,
			$NOM2_EMAIL,
			$NOM2_MOB,
			$FIRC_STA,
			$SIP_STDT,
			$SIP_ENDT,
			$SIP_NOINST,
			$SIP_FREQ,
			$EUIN,
			$EUIN_OPTIN,
			$E1,
			$E2,
			$E3,
			$E4,
			$E5,
			$E6,
		);

		$def = array(
			array("AMC_CODE","C",30),
			array("BROKE_CD","C",30),
			array("SBBR_CODE","C",30),
			array("USER_CODE","C",30),
			array("USR_TXN_NO","C",30),
			array("APPL_NO","C",30),
			array("FOLIO_NO","C",30),
			array("CK_DIG_NO","C",30),
			array("TRXN_TYPE","C",30),
			array("SCH_CODE","C",30),
			array("FIRST_NAME","C",30),
			array("JONT_NAME1","C",30),
			array("JONT_NAME2","C",30),
			array("ADD1","C",30),
			array("ADD2","C",30),
			array("ADD3","C",30),
			array("CITY","C",30),
			array("PINCODE","C",30),
			array("PHONE_OFF","C",30),
			array("MOBILE_NO","C",30),
			array("TRXN_DATE","C",30),
			array("TRXN_TIME","C",30),
			array("UNITS","C",30),
			array("AMOUNT","C",30),
			array("CLOS_AC_CH","C",30),
			array("DOB","C",30),
			array("GUARDIAN","C",30),
			array("TAX_NUMBER","C",30),
			array("PHONE_RES","C",30),
			array("FAX_OFF","C",30),
			array("FAX_RES","C",30),
			array("EMAIL","C",30),
			array("ACCT_NO","C",30),
			array("ACCT_TYPE","C",30),
			array("BANK_NAME","C",30),
			array("BR_NAME","C",30),
			array("BANK_CITY","C",30),
			array("REINV_TAG","C",30),
			array("HOLD_NATUR","C",30),
			array("OCC_CODE","C",30),
			array("TAX_STATUS","C",30),
			array("REMARKS","C",30),
			array("STATE","C",30),
			array("PAN_2_HLDR","C",30),
			array("PAN_3_HLDR","C",30),
			array("GUARD_PAN","C",30),
			array("LOCATION","C",30),
			array("UINNO","C",30),
			array("FORM6061","C",30),
			array("FORM6061J1","C",30),
			array("FORM6061J2","C",30),
			array("PAY_MEC","C",30),
			array("RTGS_CD","C",30),
			array("NEFT_CD","C",30),
			array("MICR_CD","C",30),
			array("DEPBANK","C",30),
			array("DEP_ACNO","C",30),
			array("DEP_DATE","C",30),
			array("DEP_RFNO","C",30),
			array("SUB_TRXN_T","C",30),
			array("SIP_RFNO","C",30),
			array("SIP_RGDT","C",30),
			array("NOM_NAME","C",30),
			array("NOM_RELA","C",30),
			array("KYC_FLG","C",30),
			array("POA_STAT","C",30),
			array("MOD_TRXN","C",30),
			array("SIGN_VF","C",30),
			array("CUST_ID","C",30),
			array("LOG_WT","C",50),
			array("LOG_PE","C",30),
			array("DPID","C",30),
			array("CLIENTID","C",30),
			array("NRI_SOF","C",30),
			array("GUARD_RELA","C",30),
			array("PAN_VALI","C",30),
			array("GPAN_VALI","C",30),
			array("J1PAN_VALI","C",30),
			array("J2PAN_VALI","C",30),
			array("NRI_ADD1","C",30),
			array("NRI_ADD2","C",30),
			array("NRI_ADD3","C",30),
			array("NRI_CITY","C",30),
			array("NRI_STATE","C",30),
			array("NRI_COUN","C",30),
			array("NRI_PIN","C",30),
			array("NOM_DOB","C",30),
			array("NOM_PERC","C",30),
			array("NOM_ADD1","C",30),
			array("NOM_ADD2","C",30),
			array("NOM_ADD3","C",30),
			array("NOM_CITY","C",30),
			array("NOM_STATE","C",30),
			array("NOM_COUN","C",30),
			array("NOM_PIN","C",30),
			array("NOM_EMAIL","C",30),
			array("NOM_MOB","C",30),
			array("NOM1_NAME","C",30),
			array("NOM1_RELA","C",30),
			array("NOM1_DOB","C",30),
			array("NOM1_PERC","C",30),
			array("NOM1_ADD1","C",30),
			array("NOM1_ADD2","C",30),
			array("NOM1_ADD3","C",30),
			array("NOM1_CITY","C",30),
			array("NOM1_STATE","C",30),
			array("NOM1_COUN","C",30),
			array("NOM1_PIN","C",30),
			array("NOM1_EMAIL","C",30),
			array("NOM1_MOB","C",30),
			array("NOM2_NAME","C",30),
			array("NOM2_RELA","C",30),
			array("NOM2_DOB","C",30),
			array("NOM2_PERC","C",30),
			array("NOM2_ADD1","C",30),
			array("NOM2_ADD2","C",30),
			array("NOM2_ADD3","C",30),
			array("NOM2_CITY","C",30),
			array("NOM2_STATE","C",30),
			array("NOM2_COUN","C",30),
			array("NOM2_PIN","C",30),
			array("NOM2_EMAIL","C",30),
			array("NOM2_MOB","C",30),
			array("FIRC_STA","C",30),
			array("SIP_STDT","C",30),
			array("SIP_ENDT","C",30),
			array("SIP_NOINST","C",30),
			array("SIP_FREQ","C",30),
			array("EUIN","C",30),
			array("EUIN_OPTIN","C",30),
			array("E1","C",30),
			array("E2","C",30),
			array("E3","C",30),
			array("E4","C",30),
			array("E5","C",30),
			array("E6","C",10)
		);

		$datadir="assets/uploads/Franklin/";
        $fileName="06JAN2020_firstPurchaseSIP_50945".date("dmy").".dbf";
        $path=base_url().$datadir.$fileName;
        if (dbase_create($datadir.$fileName, $def))
        {
            $id = dbase_open ($datadir.$fileName,2);
            dbase_add_record($id, $addData);
            echo '{"success":true,"url":"'.$path.'"}';
          
        }else{
            echo '{"success":false,"msg":"Failed try again server error found."}';
        }

	}

	public function testKarvy()
	{
		

		

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://cpupload.kfintech.com/STP/STPService.svc/TransactionUpload130",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<STPUpload>\r\n<Header>\r\n<Appid>TTmc7j2g9QuT71q++oStmA==</Appid>\r\n<Apppwd>f7W/+9Usn382cIMKpt2ZhwhTyYDYMt9/WzHRE63zgdc=</Apppwd>\r\n<AppIden>DISTRIBUTOR</AppIden>\r\n<AgentCode>ARN-107383</AgentCode>\r\n<BranchCode>IZ99</BranchCode>\r\n</Header>\r\n<Detail>\r\n  <Request_dtl>\r\n    <AMC_CODE>RMF</AMC_CODE>\r\n    <BROKE_CD>ARN-107383</BROKE_CD>\r\n    <SBBR_CODE></SBBR_CODE>\r\n    <USER_CODE>IZ99</USER_CODE>\r\n    <USR_TXN_NO>1051456</USR_TXN_NO>\r\n    <APPL_NO>A51456</APPL_NO>\r\n    <FOLIO_NO>499171280236</FOLIO_NO>\r\n    <CK_DIG_NO></CK_DIG_NO>\r\n    <TRXN_TYPE>P</TRXN_TYPE>\r\n    <SCH_CODE>LPIG3</SCH_CODE>\r\n    <FIRST_NAME>Rahul Gehlot</FIRST_NAME>\r\n    <JONT_NAME1></JONT_NAME1>\r\n    <JONT_NAME2></JONT_NAME2>\r\n    <ADD1>122 vishwakarma nagar</ADD1>\r\n    <ADD2> </ADD2>\r\n    <ADD3>.</ADD3>\r\n    <CITY>Indore</CITY>\r\n    <PINCODE>452009</PINCODE>\r\n    <PHONE_OFF></PHONE_OFF>\r\n    <MOBILE_NO>9826625009</MOBILE_NO>\r\n    <TRXN_DATE>12/20/2019</TRXN_DATE>\r\n    <TRXN_TIME>12:00:36</TRXN_TIME>\r\n    <UNITS></UNITS>\r\n    <AMOUNT>500.00</AMOUNT>\r\n    <CLOS_AC_CH></CLOS_AC_CH>\r\n    <DOB>12/13/1985</DOB>\r\n    <GUARDIAN></GUARDIAN>\r\n    <TAX_NUMBER>AOUPG8062Q</TAX_NUMBER>\r\n    <PHONE_RES></PHONE_RES>\r\n    <FAX_OFF></FAX_OFF>\r\n    <FAX_RES></FAX_RES>\r\n    <EMAIL>rahulsingh.gehlot@gmail.com</EMAIL>\r\n    <ACCT_NO>04041020000602</ACCT_NO>\r\n    <ACCT_TYPE>SB</ACCT_TYPE>\r\n    <BANK_NAME>HDFC Bank Ltd.</BANK_NAME>\r\n    <BR_NAME>INDORE-VIJAY NAGAR</BR_NAME>\r\n    <BANK_CITY>INDORE</BANK_CITY>\r\n    <REINV_TAG>Z</REINV_TAG>\r\n    <HOLD_NATUR>SI</HOLD_NATUR>\r\n    <OCC_CODE>2</OCC_CODE>\r\n    <TAX_STATUS>1</TAX_STATUS>\r\n    <REMARKS></REMARKS>\r\n    <STATE>14</STATE>\r\n    <PAN_2_HLDR></PAN_2_HLDR>\r\n    <PAN_3_HLDR></PAN_3_HLDR>\r\n    <GUARD_PAN></GUARD_PAN>\r\n    <LOCATION>I1</LOCATION>\r\n    <UINNO></UINNO>\r\n    <FORM6061></FORM6061>\r\n    <FORM6061J1></FORM6061J1>\r\n    <FORM6061J2></FORM6061J2>\r\n    <PAY_MEC>N</PAY_MEC>\r\n    <RTGS_CD></RTGS_CD>\r\n    <NEFT_CD>HDFC0000404</NEFT_CD>\r\n    <MICR_CD></MICR_CD>\r\n    <DEPBANK>Axis</DEPBANK>\r\n    <DEP_ACNO>0221IZ99</DEP_ACNO>\r\n    <DEP_DATE>12/20/2019</DEP_DATE>\r\n    <DEP_RFNO>935412140306</DEP_RFNO>\r\n    <SUB_TRXN_T>S</SUB_TRXN_T>\r\n    <SIP_RFNO>151456</SIP_RFNO>\r\n    <SIP_RGDT>12/20/2019</SIP_RGDT>\r\n                <NOM_NAME>Pradeep Gehlot</NOM_NAME>\r\n        <NOM_RELA>Father</NOM_RELA>\r\n            <KYC_FLG>Y</KYC_FLG>\r\n    <POA_STAT>Y</POA_STAT>\r\n    <MOD_TRXN>W</MOD_TRXN>\r\n    <SIGN_VF>Y</SIGN_VF>\r\n    <CUST_ID>12</CUST_ID>\r\n    <LOG_WT>26122019$12:42:53$171.61.26.49$52.77.4.93$51456</LOG_WT>\r\n    <LOG_PE></LOG_PE>\r\n    <DPID></DPID>\r\n    <CLIENTID></CLIENTID>\r\n        <NRI_SOF></NRI_SOF>\r\n    <EUIN>E145355</EUIN>\r\n    <EUIN_OPT>Y</EUIN_OPT>\r\n    <INCSLAB></INCSLAB>\r\n    <NET_WOR_></NET_WOR_>\r\n    <NETWOR_DT></NETWOR_DT>\r\n    <INCSLAB_J1></INCSLAB_J1>\r\n    <NET_WOR_J1></NET_WOR_J1>\r\n    <NETDATE_J1></NETDATE_J1>\r\n    <PEP_J1></PEP_J1>\r\n    <INCSLAB_J2></INCSLAB_J2>\r\n    <NET_WOR_J2></NET_WOR_J2>\r\n    <NETDATE_J2></NETDATE_J2>\r\n    <PEP_J2></PEP_J2>\r\n    <INCSLAB_J3></INCSLAB_J3>\r\n    <NET_WOR_J3></NET_WOR_J3>\r\n    <NETDATE_J3></NETDATE_J3>\r\n    <PEP_J3></PEP_J3>\r\n    <INCSLAB_GR></INCSLAB_GR>\r\n    <NET_WOR_GR></NET_WOR_GR>\r\n    <NETDATE_GR></NETDATE_GR>\r\n    <PEP_GR></PEP_GR>\r\n    <Forex_MCS></Forex_MCS>\r\n    <GAME_GABLE></GAME_GABLE>\r\n    <LS_ML_PA></LS_ML_PA>\r\n    <SIP_ST_DT>12/20/2019</SIP_ST_DT>\r\n    <SIP_END_DT>12/20/2029</SIP_END_DT>\r\n    <SIP_FQ>M</SIP_FQ>\r\n    <SIP_amt>500.00</SIP_amt>\r\n                <NRI_ADD1></NRI_ADD1>\r\n        <NRI_ADD2></NRI_ADD2>\r\n        <NRI_ADD3></NRI_ADD3>\r\n        <NRI_CITY></NRI_CITY>\r\n        <NRI_State></NRI_State>\r\n        <NRI_CON></NRI_CON>\r\n        <NRI_PIN></NRI_PIN>\r\n            <NOM2_NAME></NOM2_NAME>\r\n    <NOM2_REL></NOM2_REL>\r\n    <NOM3_NAME></NOM3_NAME>\r\n    <NOM3_REL></NOM3_REL>\r\n    <NOM_PER>100</NOM_PER>\r\n    <NOM2_PER></NOM2_PER>\r\n    <NOM3_PER></NOM3_PER>\r\n    <EMP_CODE></EMP_CODE>\r\n    <SUB_ARN></SUB_ARN>\r\n    <FATCA_FLAG>Y</FATCA_FLAG>\r\n    <Dummy1></Dummy1>\r\n    <Dummy2></Dummy2>\r\n    <Dummy3></Dummy3>\r\n    <Dummy4></Dummy4>\r\n    <Dummy5></Dummy5>\r\n    <Dummy6></Dummy6>\r\n    <Dummy7></Dummy7>\r\n    <Dummy8></Dummy8>\r\n    <Dummy9></Dummy9>\r\n    <Dummy10></Dummy10>\r\n    <Dummy11></Dummy11>\r\n  </Request_dtl>  \r\n  </Detail>\r\n</STPUpload>",
  CURLOPT_HTTPHEADER => array(
    "Postman-Token: e85a3954-d25d-44bf-b4c3-96ea4bdc9905",
    "cache-control: no-cache"
  ),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
	}

	public function testNewKarvy()
	{
		$data=array();
		$FundCode="UTI";
		$UserID="TTmc7j2g9QuT71q++oStmA==";
		$Password="f7W/+9Usn382cIMKpt2ZhwhTyYDYMt9/WzHRE63zgdc=";
		$Branch="001";
		$ARNCode="107383";

		  $xmlFilePath = $_SERVER["DOCUMENT_ROOT"].'/assets/CPUpload130Format Request.xml';
	    //	echo $xmlcontent=$this->load->view("uti_request_xml_view",$data,true);die;
		$fp = fopen($xmlFilePath, 'r');
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
		curl_setopt($ch, CURLOPT_URL, "https://mfs.kfintech.com/CP_STP_Service/STPService.svc");
		curl_setopt($ch, CURLOPT_USERPWD, $UserID.":".$Password);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_UPLOAD, true);
		curl_setopt($ch, CURLOPT_INFILE, $fp);
		curl_setopt($ch, CURLOPT_INFILESIZE, filesize($xmlFilePath));
		//curl_setopt($ch, CURLOPT_POSTFIELDS, "&FundCode=".$FundCode."&UserID=".$UserID."&Password=".$Password."&Branch=".$Branch."&ARNCode=".$ARNCode."&XMLFile".$xmlcontent);
		curl_setopt($ch, CURLOPT_POSTFIELDS, "&Appid=TTmc7j2g9QuT71q++oStmA==&Apppwd=f7W/+9Usn382cIMKpt2ZhwhTyYDYMt9/WzHRE63zgdc=&AppIden=Distributor&AgentCode=107383&BranchCode=001");
		$output=curl_exec($ch);
		print_r($output);
		if ( $output === FALSE)
		{
			$output=curl_error($ch); //echoes last session error
			print_r($output);
			return false;
		}
		return $output;
	}

	public function testEmandateP($investor_id)
	{
		$res = $this->db->query("SELECT users.username, users.phone, users.email, bank_details.* FROM investor JOIN bank_details ON investor.investor_id = bank_details.investor_id JOIN users ON users.id = investor.login_id WHERE investor.investor_id = $investor_id");
		if($res->num_rows() > 0)
		{
			$data['r'] = $res->row();
			$investor_id = $res->row()->investor_id;
			$data['start_date'] = date("Y-m-d");
			$data['emandate_batch_id'] = $this->batch($investor_id);
			// $this->load->view('amit_theme/common/header');
			$this->load->view('theme/hdfc_e_madate_view_test',$data);
			// $this->load->view('amit_theme/common/footer');
		}
		// $this->load->view('theme/');
	}

	public function batch($investor_id)
	{
		$res = $this->db->insert('emandate_batch',['investor_id' => $investor_id]);
		if($res)
		{
			return $this->db->insert_id();
		}
		else
		{
			return false;
		}
	}


	public function ifeame()
	{
		$this->load->view('theme/testview');
	}


	public function sarvagram(){
		$_SESSION['sarvagram_logo'] = "https://www.investocafe.com/assets/img/logo.png";
		$cookie_name = "sarvagram_logo";
		$cookie_value = "https://www.investocafe.com/assets/img/logo.png";
		setcookie($cookie_name, $cookie_value, time() + (86400 * 30), "/");
		return redirect('https://www.investocafe.com/loginRegistration');
		// return redirect('https://www.investocafe.com/test/testView');
	}


	public function testView()
	{
		echo $_COOKIE['sarvagram_logo'];
	}

	public function getsarvagram()
	{
		if(!isset($_COOKIE['sarvagram_logo'])) {
		} else {
		     echo "Value is: " . $_COOKIE['sarvagram_logo'];
		}
	}

	public function checkeurn()
	{
		echo getEURN(53425);
		echo "<br/>";
		echo getEURN(53147);
	}


	public function getAllCustomers()
	{
		$res = $this->db->query("SELECT users.username, users.email, users.phone, investor.investor_id, SUM(purchased_units.unit_count) as units, (SELECT sum(monthly_investment.amount) FROM monthly_investment WHERE monthly_investment.is_stopped_sip = 0 AND monthly_investment.investor_id = investor.investor_id) as monthly_investment, (SELECT users.username FROM users WHERE users.id = investor.agent_id) as agent FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE purchased_units.request_status = 1 GROUP BY purchased_units.investor_id");
		// $res = $this->db->query("SELECT users.username,users.email,users.phone,investor.investor_id, SUM(purchased_units.unit_count) FROM purchased_units JOIN investor on investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE purchased_units.request_status = 1 GROUP BY purchased_units.investor_id");
		$file = fopen("assets/portfolio_data.csv","w");
		foreach($res->result() as $r)
		{
			$total = $this->getPortFolio($r->investor_id);
			if($total>99999 || $r->monthly_investment > 4999){
				$data =  $this->encrypt->decode($r->username).",".$this->encrypt->decode($r->phone).",".$r->email.",".$total.",".$r->monthly_investment.",".$r->agent;
				fputcsv($file,explode(',',$data));
			}
		}
		fclose($file);
	}
	public function getPortFolio($investor_id)
	{
		$calculted_funds = 0;
		$fund_amount = $this->getInvestedFund($investor_id);
		if($fund_amount)
		{
			foreach($fund_amount as $fs)
			{
				@$calculted_funds += $fs->current_amount;
			}
		}
		return ($calculted_funds);
		
	}

	public function getInvestedFund($investor_id)
	{
		$res_fund_amount = $this->db->query("SELECT funds.fund_name, SUM(unit_count) AS units, IFNULL( SUM(unit_count) -( SELECT SUM(unit_count) FROM sold_units WHERE fund_id = purchased_units.fund_id AND request_status = 1 AND investor_id = $investor_id ), SUM(unit_count) ) * fund_history.nav AS current_amount, purchased_units.fund_id, funds.fund_type_id, fund_type.name FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id JOIN fund_history ON purchased_units.fund_id = fund_history.fund_id JOIN fund_type ON fund_type.fund_type_id = funds.fund_type_id WHERE investor_id = $investor_id AND request_status = 1 AND fund_history.is_latest = 1 GROUP BY purchased_units.fund_id");
		if($res_fund_amount->num_rows() > 0){
			return $res_fund_amount->result();
		}else{
			return false;
		}
	}

	public function smsWebHook()
	{
		$request = $_REQUEST["data"];
		$jsonData = json_decode($request,true);
		foreach($jsonData as $key => $value)
		{
		    $requestID = $value['requestId'];
		    $userId = $value['userId'];
		    $senderId = $value['senderId'];
		    foreach($value['report'] as $key1 => $value1)
		    {
		        $desc = $value1['desc'];
		        $status = $value1['status'];
		        $receiver = $value1['number'];
		        $date = $value1['date'];
		        $arr = [
		        	"request_id" => $requestID,
		        	"res_desc" => $desc,
		        	"status" => $status,
		        	"number" => $receiver,
		        	"date" =>$date
		        ];

		        $this->db->insert('sms_response',$arr);
		        // $query = "INSERT INTO mytable (request_id,user_id,sender_id,date,receiver,status,description) VALUES ('" . $requestID . "','" . $userId . "','" . $senderId . "','" . $date . "','" . $receiver . "','" . $status . "','" . $desc . "')";
		        // mysqli_query($link, $query);
		    }
		}
	}
}