        <!-- Start Account Statements Panel Section -->
        <div class="panel-group" id="accordion3" role="tablist" aria-multiselectable="true" style="display:block;">
          <div class="panel panel-default">
              <div class="panel-heading w3-blue" role="tab" id="headingOne-accordion3">
                  <h4 class="panel-title">
                    <a role="button" data-toggle="collapse" data-parent="#accordion3" href="#collapseOne-accordion3" aria-expanded="false" aria-controls="collapseOne-accordion3" class="collapsed collapseOne-accordion3 p_section_heading p_color_blue">
                      Investment History
                    </a>
                  </h4>
              </div>

              <div id="collapseOne-accordion3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne-accordion3">
                  <div class="panel-body">
                      <div class="" id="collapseOne-accordion3-allFields">
                          <div class="row">
                              <div class="col-md-12">
                                  <div class="row w3-padding">

                                    <div class="form-group col-md-3">
                                      <label class="p_msg p_color_blue boldText">From:</label>
                                      <input type="text" id="fromDate" class="form-control" style="float:left;margin-bottom: 0px!important;" data-provide="datepicker"/>
                                    </div>
                                   
                                    <div class="form-group col-md-3">
                                      <label class="p_msg p_color_blue boldText">To:</label>
                                      <input type="text" id="toDate" class="form-control" style="float:left;margin-bottom: 0px!important;" data-provide="datepicker"/>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label class="p_msg p_color_blue boldText">Select fund:</label>
                                        <select class="form-control p_section_content p_color_blue" id="selectFunds">
                                        <option value="all">All</option>
                                        <?php
                                          if(isset($investedFundNameList) && !empty($investedFundNameList))
                                          {
                                            foreach($investedFundNameList as $row)
                                            {
                                        ?>
                                        <option value="<?php echo $row->fund_id; ?>">
                                          <?php echo $row->name; ?>
                                        </option>
                                        <?php
                                            }
                                          }
                                        ?>
                                      </select>
                                    </div>
                                    <div class="form-group col-md-1 w3-padding">
                                        
                                        <button class="btn enjoy-css w3-blue w3-margin-top" id="fundHistoryBtn" type="button" style="display:inline;">GO</button>
                                        <button class="btn btn-success btn-success-loginView w3-margin-top" id="waitFundHistory" type="button" style="display:inline;">Waiting..</button>
                                    </div>

                                    <div class="col-md-4">
                                      <a id="exportPdf" style="display:none;" target="_blank">
                                        <img src="<?php echo base_url()?>assets/img/pdf-icon.png" class="excel_download_icon" style="float:left;" id="">
                                      </a>
                                    </div>
                                  </div>
                              </div>
                          </div>

                          <div>
                            <table class="table table-responsive" id="investmentHistoryTable" style="margin-top:20px;">
                              <thead  style="" class="w3-blue" id="investmentHistoryTableHead">
                                <th>Folio Number</th>
                                <th>Fund Name</th>
                                <th>Amount</th>
                                <th>Date</th>
                                <th>Purchased or Withdrawn</th>
                              </thead>
                              <tbody style="color:gray;" id="investmentDetailsBody">

                              </tbody>
                            </table>
                          </div>
                          <div class="row" style="float:right;margin-top:20px;margin-bottom:55%;margin-right:2px">
                             <a href="" class="enjoy-css2 btn-back" style="">BACK</a>
                          </div>
                      </div>
                  </div>
              </div>
          </div>

          <div class="panel panel-default">
                <div class="panel-heading w3-blue" role="tab" id="headingTwo-accordion3">
                  <h4 class="panel-title">
                    <a class="collapsed collapseTwo-accordion3 p_section_heading p_color_blue" role="button" data-toggle="collapse" data-parent="#accordion3" href="#collapseTwo-accordion3" aria-expanded="false" aria-controls="collapseTwo-accordion3">
                      Funds Invested
                    </a>
                  </h4>
                </div>
                <div id="collapseTwo-accordion3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo-accordion3">
                    <div class="panel-body">
                        <div class="" id="collapseTwo-accordion3-allFields">
                            <div class="row">
                              <div class="col-md-12">
                                    <p class="p_msg p_color_green boldText" style="float:right;"><b><i>As on <?php echo date("M d, Y") ?></i></b></p>
                              </div>
                              <div class="col-md-12">
                                  <p class="w3-text-indigo"><i>This is a statement of your investments by mutual fund scheme. You can verify this against the statement you receive directly from the mutual fund company. Please call us in case of any discrepancy.</i></p>
                              </div>
                            </div>
                            <!-- error message if no funds are available  -->

                            <div>
                              <table class="table table-responsive" id="fundsInvestedTable" style="margin-top:20px;">
                                <thead  style="" class="w3-blue" id="fundsInvestedTableHead">
                                  <th class="p_section_content">Fund Name</th>
                                  <th class="p_section_content">Invested Amount (Rs)</th>
                                  <th class="p_section_content">Current Value (Rs)</th>
                                </thead>
                                <tbody style="color:gray;" id="fundsInvestedBody">

                                </tbody>
                              </table>
                            </div>
                            <div class="row" style="float:right;margin-top:20px;margin-bottom:55%;margin-right:20px">
                                <a href="" class="enjoy-css2 btn-back" style="">BACK</a>
                            </div>
                        </div>
                    </div>
                </div>
          </div>

          <div class="panel panel-default">
            <div class="panel-heading w3-blue" role="tab" id="headingThree-accordion3">
              <h4 class="panel-title">
                <a class="collapsed collapseThree-accordion3 p_section_heading p_color_blue" role="button" data-toggle="collapse" data-parent="#accordion3" href="#collapseThree-accordion3" aria-expanded="false" aria-controls="collapseThree-accordion3">
                  Capital Gains
                </a>
              </h4>
            </div>
            <div id="collapseThree-accordion3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree-accordion3">
              <div class="panel-body">
                <div class="row">
                  <div class="col-md-12">
                      <!-- <p class="unrealised gain-loss-active" style="margin-right:10px;padding-right:10px;border-right:1px dotted black;float:left;">Unrealised Gain/Loss</p> -->
                      <!-- <p class="realised gain-loss" style="">Realised Gain/Loss</p> -->
                  </div>
                  <div class="col-md-12" id="unrealised-div">
                      <div class="col-md-12" style="height:20px;display:table;margin-bottom:10px;">
                          <p class="unrealised-div-desc p_msg p_color_green boldText" style="text-align:right;height:20px;display:table-cell;vertical-align:bottom;"><b><i>As on <?php echo date("M d, Y") ?></i></b></p>
                      </div>
                      <div class="col-md-12" style="height:auto;" >
							<ul style="margin-left:0px;padding-left:0px;list-style: square inside url('sqpurple.gif')">
								<li>Capital gains may refer to "investment income”. It is a profit that results from a sale of mutual funds, where the sale price exceeds the purchase price. The gain is the difference between a higher selling price and a lower purchase price. </li>
								<li>Depending on how long you held the funds, this Income may be classified as Long Term or Short Term. </li>
								<li>An unrealized profit or loss is a position that has yet to be cashed in. A gain or loss becomes realized once the position is closed for a profit or loss.</li>
								<li>A long-term capital gain or loss is a gain or loss from an investment owned for longer than a year. </li>
								<li>A short-term capital gain or loss is a gain or loss where an investment held for exactly one year or less. Short-term gains are taxed at the taxpayer's top marginal tax rate.</li>
							</ul>
                          <!-- <p class="unrealised-div-desc p_msg p_color_green text-justify boldText w3-text-indigo">
                             <i> Capital Gain is the Income earned by you when you sell your mutual funds. Depending on how long you held the funds, this Income may be classified as Long Term or Short Term.
                              As per current Income Tax rules, one year or more is defined as long term for Equity Funds and there is no tax on Long Term Capital Gain. (Please also consult your tax advisor).</i>
                          </p> -->
                          <p class="unrealised-div-desc p_msg p_color_green text-justify boldText">
                              Unrealised Capital Gain/ Loss shows you the classification of your current investments. Realised Capital Gain/ Loss is a statement for each financial year showing the classification of Income booked in that year (if any).
                          </p>
                      </div>
                      <div class="col-md-12 " style=" ">

                        
                          <input type="radio" name="capitalGainRadio" id="equityRadio" value="equity" style='outline: 2px;' class="w3-radio"> &nbsp;&nbsp;<b>Equity</b>
                          <br>
                          <input type="radio" name="capitalGainRadio" id="debtMipRadio" value="debtMip" style="outline: 0px;" class="w3-radio"> &nbsp;&nbsp;<b>Debt/MIP</b>
                      <br>
                          <input type="radio" name="capitalGainRadio" id="debtTaxRadio" value="taxSaving" style="outline: 0px;" class="w3-radio"> &nbsp;&nbsp;<b>Debt/MIP</b>
                      
 
                      </div>
                      <div class="col-md-12" style="margin-top:10px;">
                          <table class="table table-responsive" id="capitalGainsTable" style="margin-top:20px;">
                            <thead  class="w3-blue" id="capitalGainsTableHead">
                              <th class="p_section_content">Fund Name</th>
                              <th class="p_section_content">Present Unit Count</th>
                              <!-- <th class="p_section_content">Purchased or Withdrawn</th> -->
                            </thead>
                            <tbody  id="capitalGainsBody">

                            </tbody>
                          </table>
                      </div>

                      <div class="row" style="float:right;margin-top:20px;margin-bottom:55%;margin-right:20px;">
                        <a href="" class="enjoy-css2 btn-back" style="">BACK</a>
                      </div>
                  </div>
                  <div class="col-md-12" id="realised-div" >
                      <div class="row">
                          <div class="col-md-12">
                               <p>STATEMENT PERIOD</p>
                          </div>
                      </div>
                      <div class="row financial-year">
                          <div class="col-md-10">
                              <p class="p_section_content p_color_blue">Financial Year <?php echo date("Y") ?> - <?php echo date("y")+1 ?></p>
                          </div>
                          <div class="col-md-2">
                              <a><img src="<?php echo base_url()?>assets/img/ExcelDownloadIcon.png" class="excel_download_icon"></a>
                              <a href="<?php echo base_url()?>assets/download/InvestmentHistory.pdf"><img src="<?php echo base_url()?>assets/img/pdf-icon.png" class="excel_download_icon"></a>
                          </div>
                      </div>
                      <div class="row">
                          <div class="col-md-12" style="margin-top:10px;">
                              <p class="p_msg w3-text-green">Please note that, for tax-filing purposes, a statement with zero values will be provided if there are no withdrawals in a particular period.</p>
                          </div>
                      </div>
                      <div class="row" style="margin-top:50px;margin-bottom:55%;float:right!important;margin-right:20px;">
                          <a href="" class="enjoy-css2 btn-back" style="">BACK</a>
                      </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="panel panel-default">
            <div class="panel-heading w3-blue" role="tab" id="headingFive-accordion3">
              <h4 class="panel-title">
                <a class="collapsed collapseFive-accordion3 p_section_heading p_color_blue" role="button" data-toggle="collapse" data-parent="#accordion3" href="#collapseFive-accordion3" aria-expanded="false" aria-controls="collapseFive-accordion3">
                  Tax Saving Statements
                </a>
              </h4>
            </div>
            <div id="collapseFive-accordion3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingFive-accordion3">
              <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                      
                      <div class="form-group col-md-3">
                        <label class="p_msg p_color_blue boldText">From:</label>
                        <input type="text" id="fromDate1" class="form-control" style="float:left;margin-bottom: 0px!important;" data-provide="datepicker"/>
                      </div>
                      <div class="form-group col-md-3">
                        <label class="p_msg p_color_blue boldText">To:</label>
                        <input type="text" id="toDate1" class="form-control" style="float:left;margin-bottom: 0px!important;" data-provide="datepicker"/>
                      </div>
                      <div class="form-group col-md-4">
                          <label class="p_msg p_color_blue boldText">Select fund:</label>
                          <select class="form-control p_section_content p_color_blue" id="selectTaxFunds">
                            <option value="all">All</option>
                            <?php
                              if(isset($investedTaxSavingsFundList) && !empty($investedTaxSavingsFundList))
                              {
                                foreach($investedTaxSavingsFundList as $row)
                                {
                            ?>
                            <option value="<?php echo $row->fund_id; ?>">
                              <?php echo $row->name; ?>
                            </option>
                            <?php
                                }
                              }
                            ?>
                          </select>
                      </div>
                      <div class="form-group col-md-1 w3-padding">
                        <button class="btn enjoy-css w3-blue w3-margin-top" id="taxSavingsBtn" type="button" style="display:inline;">GO</button>
                        <button class="btn btn-success btn-success-loginView w3-margin-top" id="waitTaxSavings" type="button" style="display:inline;">Waiting..</button>
                      </div>

                      <div class="col-md-4">
                        <a id="exportTaxSavingsPdf" style="display:none;">
                          <img src="<?php echo base_url()?>assets/img/pdf-icon.png" class="excel_download_icon" style="float:right;" id="">
                        </a>
                      </div>
                    </div>
                </div>
                <div class="row" style="margin-top:20px;">
                  <div class="col-md-12">
                    <div class="col-md-3">
                      
                    </div>
                    <div class="col-md-6">
                      
                    </div>
                    <div class="col-md-3">
                        
                    </div>
                  </div>
                </div>
                <div>
                  <table class="table table-responsive" id="taxSavingsTable" style="margin-top:20px;">
                    <thead class="w3-blue" id="taxSavingsTableHead">
                      <th>Folio Number</th>
                      <th>Fund Name</th>
                      <th>Amount</th>
                      <th>Date</th>
                      <th>Purchased or Withdrawn</th>
                    </thead>
                    <tbody style="" id="taxSavingsBody">

                    </tbody>
                  </table>
                </div>
                <div class="row" style="margin-top:20px;margin-bottom:55%;float:right!important;margin-right:2px;">
                            <a href="" class="enjoy-css2 btn-back btn w3-blue" style="">BACK</a>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- End Account Statements Panel Section -->
    </div>
    </div>
   <?php include 'dashboard_right_section_view.php'; ?>
    <input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
    </div>
</div>
<?php auto_signout(); ?>