<div class="container">

<section id="fatca" class="header_padding splash">
	<div class="main-title welcome-main-title w3-padding-top">
				<div class="container">
				   <div class="row">
					  <div class="col-sm-12" style="margin-top: 30px;">
						 <div class="main-title-content text-center">

							<h2>FATCA Declaration</h2>
						 </div>
					  </div>
				   </div>
				</div>
			 </div>
	<div class="wrapper text-justify">
  		<div class="row">
    		<div class="col-md-12 w3-text-grey">
                <p class="p_msg p_color_blue p_justify boldText">
                   FATCA stands for the Foreign Account Tax Compliance Act, a U.S. tax initiative that requires all financial Institutes (including Indian Mutual Funds) to report financial transactions of US persons including entities in which U.S. persons hold a substantial ownership, etc. to the relevant tax authorities. It is introduced by the United States Department of Treasury and the US Internal Revenue Service (IRS), the purpose of FATCA is to encourage better tax compliance by preventing US persons from using financial institutions outside US to avoid US taxation on their income and assets.
                </p>
                <p class="p_msg p_color_blue p_justify boldText">
                    As part of FATCA and various ongoing tax and regulatory developments around the globe financial institutions are required to do an additional investor related due diligence. Towards compliance with FATCA, we would be required to seek additional personal, tax and beneficial owner information and certain certifications and documentation from our investors. Indian Mutual Funds are required to share financial account / asset information of accountholders who are tax residents of US.
                </p>
                <p class="p_msg p_color_blue p_justify boldText">
                    FATCA legislation will affect both individual and entities customers who are treated as a ‘US person’ for US tax purposes. The FATCA legislation will also affect certain types of entities with beneficial owners/ controlling persons from US.
                </p>
                <p class="p_msg p_color_blue p_justify boldText">
                    An account having U.S. indicia like U.S place of birth, U.S. address etc. does not necessarily mean that the account would be reported. However such accounts would be subjected to closer scrutiny.
                </p>
                <p class="p_msg p_color_blue boldText">
                    The term ‘US person’ means:
                </p>
                <ul>
                    <li class="p_msg p_color_blue boldText">
                        a citizen or resident of the United States
                    </li>
                    <li class="p_msg p_color_blue boldText">
                       a partnership created or organised in the United States or under the law of the United States or of any state, or the District of Columbia
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        a corporation created or organised in the United States or under the law of the United States or of any state, or the District of Columbia
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        any estate or trust other than a foreign estate or foreign trust
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        a person that meets the substantial presence test
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        any other person that is not a foreign person
                    </li>
                </ul>
                <p class="p_msg p_color_blue boldText">
                    The term ‘US citizen’ means:
                </p>
                <ul>
                    <li class="p_msg p_color_blue boldText">
                        an individual born in the United States
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        an individual who has a parent who is a US citizen
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        a former alien who has been naturalised as a US citizen
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        an individual born in Puerto Rico
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        an individual born in Guam
                    </li>
                    <li class="p_msg p_color_blue boldText">
                        an individual born in the US Virgin Islands
                    </li>
                </ul>
                <p class="p_msg p_color_blue p_justify boldText">
                    Investors are expected to provide details such as Country of Tax residence, Tax Identification Number from such country, Country of Birth, Country of Citizenship, etc. at the time of Initial Investment or opening of folio.
                </p>
                <p class="p_msg p_color_blue p_justify boldText">
                    Any change in the status or information or certification previously provided should also be intimated to Investocafe within 30 days.
                </p>
				<br>
				<br>
    		</div>
		</div>
	</div>
</section>


</div>