<!-- Start invest_more_in_funds -->
<div class="" id="invest_more_in_equity_funds">
   <div class="panel panel-default">
      <div class="panel-body" style="height:auto;margin-bottom:30px!important">
         <h2>Invest More in <?php echo $fundTypeName;?> Funds</h2>
         <hr>
         <div class="col-md-12">
            <?php
               if(isset($fundTypeId) && !empty($fundTypeId))
               {
                 $link="startInvestingMonthlySetupUPI/".$fundTypeId;
               }
               else
               {
                 $link="";
               }
               ?>
            <input type="hidden" id="fundTypeId" value="<?php echo $fundTypeId;?>" >
         </div>
         <div class="col-md-12" style="padding:10px;margin-bottom:20px;">
            <ul class="nav nav-pills purchaseNavTab" role="tablist">
               <li role="presentation" style="background: #9dbdd8" class="purchaseTab w3-round btn-info">
                  <a href="<?php echo  base_url().'purchase/'.$link;?>" ><span class="boldText"><b>Invest in One Click</b> <br>(recommended by investocafe)</small></span></a>
               </li>
               <li role="presentation" class="purchaseTab active">
                  <a><span class="boldText"><b>Do it yourself</b><br>(portfolio as per your convenience)</small></span></a>
               </li>
            </ul>
         </div>
         <div class="col-md-12 col-sm-12">
            <div class="row">
               <div class="col-md-6 col-sm-6">
                  <p class="p_section_content p_color_blue">I would like to invest as below on </p>
               </div>
               <div class="col-md-4 col-sm-4">
                  <input type="text" id="investmentDate2" class="form-control" placeholder="Select Date" data-provide="datepicker">
                  <span id="dateerorr"></span>
               </div>
               <div class="row col-md-12 col-sm-12">
                  <div class="col-md-1 col-sm-1">
                     <p class="p_msg p_color_blue boldText" style=""> for</p>
                  </div>
                  <div class="col-md-2 col-sm-2"><input type="text" id="noOfMonths" value="120" style="float:left;font-size:1em!important;font-weight:200!important;" class="form-control"></div>
                  <div class="col-md-8 col-sm-8">
                     <p class="p_msg p_color_blue boldText" style="">months into the following mutual fund schemes:</p>
                  </div>
               </div>
               <br>
               <div class="col-md-12 col-sm-12">
                  <p class="p_section_heading p_color_green"><b>Current Portfolio</b></p>
               </div>
               <div class="col-md-12 col-sm-12" style="margin-top:5px!important;">
                  <div class="table-responsive">
                     <table class="table table-responsive">
                        <thead>
                           <tr class="w3-blue">
                              <th  class="p_section_content">Mutual Fund Scheme</th>
                              <th  class="p_section_content">Minimum Amount</th>
                              <th  class="p_section_content">First Investment</th>
                           </tr>
                        </thead>
                        <tbody  id="suggestedFunds">
                           <?php
                              if(isset($radioFundDetails) && !empty($radioFundDetails))
                              {
                                $active=true;
                                $noOfInvestedFunds=count($radioFundDetails);// no of funds investment
                                ?> <input type="hidden" id="noOfInvestedFunds" value="<?php echo $noOfInvestedFunds;?>"><?php
                              $count=0;
                              foreach ($radioFundDetails as $key=>$row)
                              {
                                foreach($row as $amcDetails)
                                {
                                  // print_r($amcDetails->AMC_code);
                                  // print_r($amcDetails->scheme_description);die;
                                }
                                  ?>
                           <tr class="showfunds">
                              <td>
                                 <div class="row col-md-12 p_msg p_color_blue">
                                    <span class="row col-md-12 p_contant p_color_blue fundNameHover fundLoop<?php echo $count; ?>" fundIdData="<?php echo $amcDetails->fund_id; ?>" style="cursor:pointer">
                                    <?php echo $key;?>
                                    </span>
                                 </div>
                                 <div  class="row col-md-12 p_msg p_color_blue">
                                    <?php
                                       if(count($row)>1)
                                       {
                                         // implement radio button fuctionality
                                         if(isset($row["growthArr"]) && !empty($row["growthArr"]))
                                         {
                                           foreach ($row["growthArr"] as  $key=>$value)
                                           {
                                             $growth[$key]=$value;
                                           }
                                         }
                                         ?>
                                    <div class="row col-md-6">
                                       <span class="radio-label p_msg p_color_blue">
                                       <input  class="radio" onclick="checkedValueOneClick(this);" viewType="mo" type="radio" name="<?php echo $growth['AMC_code'];?>" fundId="<?php echo $growth['fund_id'];?>" minInvestment="<?php echo $growth['SIP_min_amount'];?>">
                                       <?php echo trim($growth['plan_option']);?>
                                       </span>
                                    </div>
                                    <?php
                                       if(isset($row["dividendArr"]) && !empty($row["dividendArr"]))
                                       {
                                         foreach ($row["dividendArr"] as  $key=>$value)
                                         {
                                           $dividend[$key]=$value;
                                         }
                                       }
                                       ?>
                                    <div class="col-md-6">
                                       <span class="radio-label p_msg p_color_blue">
                                       <input class="radio" onclick="checkedValueOneClick(this);" viewType="mo" type="radio" name="<?php echo $dividend['AMC_code'];?>" fundId="<?php echo $dividend['fund_id'];?>" minInvestment="<?php echo $dividend['SIP_min_amount'];?>">
                                       <?php echo trim($dividend['plan_option']);?>
                                       </span>
                                    </div>
                                    <?php
                                       }
                                       else
                                       {
                                         if(isset($row["regularPlan"]) && !empty($row["regularPlan"]))
                                         {
                                           foreach ($row["regularPlan"] as  $key=>$value)
                                           {
                                             $regularPlan[$key]=$value;
                                           }
                                         }
                                       }
                                       ?></span>
                              </td>
                              <td  class="align_right p_color_blue radio-btn-label"  id="minInvCol<?php if(isset($growth['AMC_code'])){echo $growth['AMC_code'];}else{ echo $regularPlan['AMC_code'];}?>"><?php if(isset($growth['SIP_min_amount'])){echo $growth['SIP_min_amount'];}else{ echo $regularPlan['SIP_min_amount'];}?></td>
                              <td> <input purchase_in_multiple_of="<?php if(isset($growth['purchase_in_multiple_of'])){echo $growth['purchase_in_multiple_of'];}else{ echo $regularPlan['purchase_in_multiple_of'];}?>" oninput="calculateTotalAmountMoreOptionRadio();" onblur="checkedValueMoreOption(this);" class="align_right p_color_blue firstInvestment radio-btn-label form-control"  id="invCol<?php if(isset($growth['AMC_code'])){echo $growth['AMC_code'];}else{ echo $regularPlan['AMC_code'];}?>" value="<?php if(isset($growth['SIP_min_amount'])){echo $growth['SIP_min_amount'];}else{ echo $regularPlan['SIP_min_amount'];}?>" minInvestment="<?php if(isset($growth['SIP_min_amount'])){echo $growth['SIP_min_amount'];}else{ echo $regularPlan['SIP_min_amount'];}?>" fundId="<?php if(isset($growth['fund_id'])){echo $growth['fund_id'];}else{ echo $regularPlan['fund_id'];}?>"></td>
                           </tr>
                           <?php
                              }
                              }
                              else
                              {
                              $active=false;
                              ?><tr class="table_mutual_fund_scheme">
                           <td  colspan="3">
                           <div class="list_style">
                           <p class="p_msg boldText p_color_blue"><?php echo "No ".$fundTypeName." funds available";?></p>
                           </div>
                           </td>
                           </tr>
                           <?php
                              }
                              ?>
                        </tbody>
                        <tfoot>
                        <tr class="w3-blue">
                        <td colspan="1"><span class="p_section_content"><b>Total Amount</b></span></td>
                        <td colspan="2" class="align_right"><span class="radio-btn-label" style="font-size:1.4em!important;font-weight:200!important;padding:10px;"> Rs. <span id="totalAmountRadio" class="radio-btn-label" style="font-weight:200!important;">00</span></span></td>
                        </tr>
                        </tfoot>
                     </table>
                     </div>
                  </div>
               </div>
               <div class=" row col-md-12" style="margin-top:5px!important;">
                  <div class="col-md-12" style="padding:5px;margin-top:5px!important;font-size:13px;">
                     <p class="p_msg p_color_blue p_justify"><i>On confirmation, your UPI address (UPI - <b style="color:#20a7e2;"><?php if(isset($investorBankDetails) && !empty($investorBankDetails)){ echo ($investorBankDetails->upi_id);} ?></b>) will be debited for the above amount using the bank mandate provided earlier by you.</i></p>
                  </div>
               </div>
               <div class="col-md-12" style="margin-left:-10px;margin-top:0px;">
                  <p class="p_msg p_color_blue boldText">
                     <input type="checkbox" name="" id="oneClick_bankCheckbox" value="1" class="nominee_checkbox">
                     <small><i>I am not using a third-party bank account to fund mutual fund investments.</i></small> 
                     <img src="<?php echo base_url(); ?>/assets/img/get_info_2.png" id="oneClick_BankInfo" style="width:28px;height:28px;opacity:0.5;outline:0px;display:inline;">
                  </p>
               </div>
               <div class="modal fade" id="oneClick_bankInfoModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                  <div class="modal-dialog" role="document">
                     <div class="modal-content">
                        <div class="modal-header">
                           <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                           <h4 class="modal-title " id="myModalLabel">Declaration</h4>
                        </div>
                        <div class="modal-body">
                           <p class="p_msg p_color_blue p_justify boldText">As per the SEBI guidelines Distributors are asked to ensure that investments in mutual funds are not funded by third party accounts, the exception to this is only be permitted in case of minor's account where parents are investing from their bank accounts.</p>
                        </div>
                        <div class="modal-footer">
                           <button type="button" class="btn enjoy-css2" data-dismiss="modal">Close</button>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-md-12" style="margin-left:-15px!important;">
                  <a href="<?php echo  base_url().'dashboard';?>"><input type="button" class="btn enjoy-css2" name="cancel" value="CANCEL"></a>
                  <?php if(isset($active) && !empty($active))
                     {
                       ?>
                  <input type="button" class="submitBtn btn enjoy-css" name="submit" value="SUBMIT" style="float:right;" disabled onclick="getSipFundsValueMoreOptionViewRadioUPI();">
                  <button class="btn enjoy-css waitLoader" style="display:none;float:right;" id="waitLoaderPurhcaseMO" disabled="disabled">Waiting</button>
                  <?php
                     }?>
               </div>
            </div>
            <div class="col-md-12" style="margin-left:-15px!important;margin-top:25px!important;font-size:13px;">
               <p class="p_msg p_color_blue p_justify boldText w3-text-grey" style="padding-left:20px;"><i> have read and understood the terms and contents of Offer Documents* of each scheme available by clicking on the scheme name above. I hereby agree to abide by the terms, conditions, rules and regulations of the relevant Scheme(s). I have understood the details of the Scheme(s) and I have not received nor been induced by any rebate or gifts, directly or indirectly, in making this investment. Investocafe has disclosed to me/us all the commissions, receivable by Investocafe. <br>*Offer Documents = Scheme Information Documents including addenda of the respective Scheme(s) and Statement of Additional Information</i></p>
            </div>
         </div>
      </div>
   </div>
   <!-- End invest_more_in_funds -->
</div>
</div>
<?php include dirname(__FILE__).'/../dashboard_right_section_view.php'; ?>
<input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
</div>
</div>
</div><br>
<script type="text/javascript">
   var HolliDate = [<?php foreach ($HolliDate as $Date) {  $date=date_create($Date->HollidayDate); echo "'".date_format($date,"M d Y")."',";  }?> ''];
</script>
