<?php

class Referals_model extends CI_Model
{
	public function investerFriends($investor_id)
	{
		$res = $this->db->where(['investor_id'=> $investor_id,'reg_status_id'=> 0])->from('referrals')->get();
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}

	public function acceptRefer($investor_id)
	{
		$accepted_users = $this->db->where(['investor_id'=> $investor_id,'reg_status_id >'=> 0])
								   ->from('referrals')->get();
		if($accepted_users->num_rows() > 0){
			return $accepted_users->result();
		}else{
			return false;
		}
	}

	public function checkEmailExist($investor_id,$email)
	{
		$res = $this->db->query("SELECT * FROM referrals WHERE investor_id = $investor_id AND email = '".$email."'");
		if($res->num_rows() > 0){
			return false;
		}else{
			return true;
		}
	}

	public function googledata($email,$investor_id)
	{
		$this->db->query("INSERT INTO `referrals` (`referrals_id`, `name`, `phone`, `email`, `investor_id`, `get_from`, `ts`) VALUES (NULL, NULL, NULL, '".$email."', '".$investor_id."','google-plus.png', CURRENT_TIMESTAMP)");
	}

	public function directReferalIsert($name,$email,$phone)
	{
		$emailver = $this->db->from('referrals')->where('email',$email)->get();
		if($emailver->num_rows() > 0){
			$this->db->where('referrals_id',$emailver->row()->referrals_id)->update('referrals',['name'=>$name,'phone'=>$phone , 'get_from' => 'mobile-icon.png','is_invited' => 1]);
		}else{
			$phonever = $this->db->from('referrals')->where('phone',$phone)->get();
			if($phonever->num_rows() > 0){
				$this->db->where('referrals_id',$emailver->row()->referrals_id)->update('referrals',['name'=>$name,'email'=>$email,'get_from' => 'mobile-icon.png','is_invited' => 1]);
			}else{
				$res = $this->db->insert('referrals_id',['name' => $name,'email' => $email , 'phone' => $phone , 'get_from' => 'mobile-icon.png','is_invited' => 1]);
				if($res){
					return true;
				}else{
					return false;
				}
			}
		}
		if($this->db->affected_rows() > 0){
			return true;
		}else{
			return false;
		}
	}

	public function getReferLinkModel($investor_id)
	{
	    $res = $this->db
					->select("users.username,investor.application_number")
					->from('users')
					->join('investor','investor.login_id=users.id')
					->where('investor.investor_id',$investor_id)
					->get();
		if($res->num_rows() > 0)
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}
}