<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : ConfirmRegistration
|   MODEL USE : registration_model
|   DATE : 04/10/2016
|   AUTHOER : amit meena
|   COMMENT : this controller class IS USED TO SHOW ALL DETAIL FILLED BY CLIENT
|   FUNCTION USE : ConfirmRegistration , _loadView , updateInvestorDocumentChecklist
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class ConfirmRegistration extends CI_Controller {

	function __construct()
	{
	   // Call the Model constructor
	   parent::__construct();
	   $this->load->model('registration/registration_model');
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS LOAD confirm_registration_view VIEW
-----------------------------------------------------------------------------------------------------
*/
	public function index()
	{
		if(isset($_SESSION["investor_id"]) && !empty($_SESSION['investor_id']))
		{
			$this->_loadView('amit_theme/registration/confirm_registration_view');
		}
		else
		{
			log_message('info', '*****  Controller : ConfirmRegistration, Function : index, Message : not set session  *****');
			redirect('registration');
		}
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : createInvestorFormPdf
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS USED HELP LOAD COMMON VIEW LIKE HEADER , FOOTER
-----------------------------------------------------------------------------------------------------
*/

	public function testNomineeData(){
		$resultNominee=$this->registration_model->getInvestorNomineeDetail(12);
		echo '<pre>';print_r($resultNominee);
	}
	
	function _loadView($view)
    {
        $data=array();
        if(isset($_SESSION["investor_id"]) && !empty($_SESSION["investor_id"]))
        {
			log_message('info', '*****  Controller : ConfirmRegistration, Function : _loadView, Message : load confirm regitration view *****');
        	$investorId=$_SESSION["investor_id"];
			$result=$this->registration_model->getInvestorDetail($investorId);
			$resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
			$resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
			$data['partnerDetail'] = $this->registration_model->getPartnerDetail($investorId);
			$data["nomineeData"]=$resultNominee;
			$data["bankData"]=$resultBank;
			$data["investorDetailRow"]=$result;
			$data["overseasDetails"]=$this->registration_model->getInvestorOverseasDetail($investorId);
			$data["investorStatus"]=$this->common_model->getInvestorStatus($investorId);
			$data["docTypeList"]=$this->registration_model->getdocumentTypeList();
		}

		$data["page1"]=false;
        $data["page2"]=false;
        $data["page3"]=true;
        $data['jsFile'] ='registration/confirmRegistration.js';

        $this->load->view('theme/common/header',$data);
		// $this->load->view('includes/signup_header',$data);
		$this->load->view($view,$data);
		$this->load->view('theme/common/footer',$data );
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : createInvestorFormPdf
|   DATE : 24/09/16
|   AUTHOER : AMIT MEENA
|   COMMENT : updateInvestorDocumentChecklist IS USED TO CHECK DOCUMNET NEEDED BY CLIENT
-----------------------------------------------------------------------------------------------------
*/
    function updateInvestorDocumentChecklist()
    {
    	if(isset($_SESSION["investor_id"]) && !empty($_SESSION["investor_id"]))
        {
	    	$json=$this->input->post("json");
	    	$jsonArray=json_decode($json,true);
	    	$investorId=$_SESSION["investor_id"];
	    	$result=$this->registration_model->updateInvestorDocumentChecklist($investorId,$jsonArray);
	    	print_r($result);
	    	if($result)
	    	{
				log_message('info', '*****  Controller : ConfirmRegistration, Function : updateInvestorDocumentChecklist, Message : successfully update Document Check list *****');
	    		echo '{"success":true}';
	    	}else{
				log_message('info', '*****  Controller : ConfirmRegistration, Function : updateInvestorDocumentChecklist, Message : problem to update  Document Check list *****');
	    		echo '{"success":false}';		
	    	}
	    }
    }
}
