            <!-- dashboard invest form -->
            <div class="" style="" id="dashboardInvestForm">
              <div class="panel panel-default" style="border:1px; border-style:solid; border-color: #E7E7E7; border-top:1px solid gray;">
                  <div class="panel-body">
                    <?php 
                        if($incomplete_bank_detail==1)
                        {
                          ?>
                            <p class="p_msg p_color_blue boldText">
                              Bank details are mandatory for investment please complete your bank details.
                            </p>
                          <?php
                        }else if($cancelChequeUrl->url==""){
                          ?>
                            <p class="p_msg p_color_blue boldText">
                              We have not received the cancelled cheque. Please send the cancelled cheque at investocafe's  registered address.
                            </p>
                          <?php
                        }else 
                        {
                      ?>
                      <h2 class="dashboard_title" style="color:#5FBEBA; margin-top:0px;">What would you like to do?</h2>
                      <hr class="divide">
                      <?php
                        if(isset($fundTypeId) && !empty($fundTypeId))
                        {
                          $link="howWouldLikeInvest/".$fundTypeId;
                          $siplink="howWouldLikeInvestSIP/".$fundTypeId;
                          $backlink="startInvestingInfo/".$fundTypeId;
                          $monthlySetupLink="startInvestingMonthlySetup/".$fundTypeId;
                        }
                        else
                        {
                          $link="";
                          $backlink="";
                          $monthlySetupLink="";
                        }
                      ?>
                      <p style="display:<?php if(isset($investorStatus) && !empty($investorStatus)){ if($investorStatus->fatca_verify==1){echo 'none';}}?>">

                        <input type="checkbox" class="nominee_checkbox" id="fatcaCheckbox" onchange="updateFatcaDeclaration(this);" <?php if(isset($investorStatus) && !empty($investorStatus)){ if($investorStatus->fatca_verify==1){echo 'checked';}}?>>
                        <a class="forgot_password_link boldText" id="fatca" style="cursor:pointer;"> I agree to FATCA declaration.</a>
                        <img src="<?php echo base_url(); ?>assets/img/wait-large.gif" id="waitLoaderFatca" style="display: none;">
                      </p>
                      <div class="row">
                          <p class="p_msg p_color_blue boldText" style="text-align:center;padding-top:10px;">Lump-sum</p>
                          <a href="<?php echo  base_url().'purchase/'.$link;?>" style="text-decoration:none;padding-left:33%;"><input type="button" class="btn enjoy-css" value="One Time Investment" style="width:250px; align:center; margin-bottom:25px;" id="oneTimeInvBtn" disabled="disabled"></a>

                      </div>

                      <div style=" text-align: center; height:0px;padding:20px 0 20px 0;">
                          <span class="p_msg p_color_green" style="position: relative; top: -0.7em; bottom: 0.7em;">
                            <b>OR</b>
                          </span>
                      </div>
                      <div class="row">
                        <p class="p_msg p_color_blue boldText" style="text-align:center;">Systematic investment plan</p>
                        <a <?php if($investorStatus->is_nach_enabled==1 && $investorStatus->is_mandate_received==1){echo 'href='.base_url().'purchase/'.$siplink;}?> style="text-decoration:none;padding-left:33%;"><input type="button" class="btn enjoy-css" value="Start a Monthly SIP" id="steupMonthlyInvBtn" style="width:250px; margin-top:0px;" disabled="disabled"></a>
                      </div>
                      <?php
                       }
                      ?>
                      <div class="col-md-12">
                          <a href="<?php echo  base_url().'dashboard';?>" class="enjoy-css2 equityInvestFormBackBtn" style="float:right;">BACK</a>
                      </div>
                      <!-- <hr style="border: 0; border-bottom: 1px dashed #ccc; background: #999; margin-top:50px;"> -->
                    
                  </div>
              </div>
            </div>
            <!-- End dashboard invest form -->
        </div>
        <?php include 'dashboard_right_section_view.php'; ?>
        <input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
        <input type="hidden" value="<?php echo $investorStatus->is_nach_enabled;?>" id="isNachDone">
        <input type="hidden" value="<?php echo $investorStatus->is_mandate_received;?>" id="isMandateReceived">
    </div>
</div>
<div class="modal fade" id="fatcaModalWindow" data-backdrop="static">
  <div class="modal-dialog modal-lg ">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Foreign Account Tax Compliance Act, a U.S.(FATCA)</h4>
      </div>
      <div class="modal-body">
        <p class="p_justify">FATCA stands for the Foreign Account Tax Compliance Act, a U.S.
        tax initiative that requires all financial Institutes (including Indian Mutual Funds) to report financial transactions of US persons including entities in which U.S. persons hold a substantial ownership, etc. to the relevant tax authorities.
        It is introduced by the United States Department of Treasury and the US Internal Revenue Service (IRS), the purpose of FATCA is to encourage better tax compliance by preventing US persons from using financial institutions outside US to avoid US taxation on their income and assets.</p>

        <p class="p_justify">As part of FATCA and various ongoing tax and regulatory developments around the globe financial institutions are required to do an additional investor related due diligence.
        Towards compliance with FATCA, we would be required to seek additional personal, tax and beneficial owner information and certain certifications and documentation from our investors.</p>
        <p class="p_justify">Indian Mutual Funds are required to share financial account / asset information of accountholders who are tax residents of US.
        FATCA legislation will affect both individual and entities customers who are treated as a ‘US person’ for US tax purposes. The FATCA legislation will also affect certain types of entities with beneficial owners/ controlling persons from US.</p>
        <p class="p_justify">An account having U.S. indicia like U.S place of birth, U.S. address etc. does not necessarily mean that the account would be reported.
        However such accounts would be subjected to closer scrutiny.</p>

        <p>The term ‘US person’ means:
          <br><span style="color:gray;">a citizen or resident of the United States </span>
          <br><span style="color:gray;">a partnership created or organised in the United States or under the law of the United States or of any state, or the District of Columbia</li>
          <br><span style="color:gray;">a corporation created or organised in the United States or under the law of the United States or of any state, or the District of Columbia</li>
          <br><span style="color:gray;">any estate or trust other than a foreign estate or foreign trust</li>
          <br><span style="color:gray;">a person that meets the substantial presence test</li>
          <br><span style="color:gray;">any other person that is not a foreign person.</li>
        </p>
        <p>The term ‘US citizen’ means:
          <br><span style="color:gray;">an individual born in the United States</span>
          <br><span style="color:gray;">an individual who has a parent who is a US citizen</span>
          <br><span style="color:gray;">a former alien who has been naturalised as a US citizen</span>
          <br><span style="color:gray;">an individual born in Puerto Rico</span>
          <br><span style="color:gray;">an individual born in Guam</span>
          <br><span style="color:gray;">an individual born in the US Virgin Islands.</span>
        </p>

        <p class="p_justify">Investors are expected to provide details such as Country of Tax residence, Tax Identification Number from such country, Country of Birth, Country of Citizenship, etc. at the time of Initial Investment or opening of folio.</p>

        <p class="p_justify">Any change in the status or information or certification previously provided should also be intimated to Investocafe within 30 days.</p>

        <p class="p_justify">I have read and provide correct and current details required for investing at investocafe and abide by the rules and regulations of mutual funds AMC,FATCA/IRS and AMFI.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-success btn-success-loginView pull-right" data-dismiss="modal" onClick="">Close</button>
        <!-- <button type="button" class="btn btn-danger" id="modalUploadContinueBtn">Delete Image</button> -->
      </div>
    </div>
  </div>
</div>
