<div style="padding:1% 1%;">
	<span style="font-size:12px;"><b>INVESTMENT SERVICES AGREEMENT<b></span><br><br>
	<span style="font-size:10px; margin-top:15px;"><b>A. I acknowledge that:</b><span>
	<ol style="font-size:10px;">
		<li>I have applied for an Investment Account after understanding the nature and scope of services ("Services") provided by Investocafe. </li>
		<li>This document is a legal contract between Investocafe and me ("Agreement"). </li>
		<li>The operation of my investment account and the execution of Instructions are subject to this Agreement, and the Offer Documents* of the re- spective Asset Management Company ("AMC"). </li>
		<li> My identity on the Website is authenticated by the use of my Login Credentials. Investocafe will consider Instructions authenticated by my Login Credentials to have originated from me. </li>
		<li>I have the right to transact directly with the AMC even in respect of the investments made through Investocafe. </li>
	</ol>

	<span style="font-size:10px;"><b>B. Under this Agreement, Investocafe's obligations are to provide Services as below:</b> </span>
	<ol style="font-size:10px;">
		<li>Offer scientifically selected mutual fund schemes.</li>
		<li> Facilitate subscription and redemption of mutual fund units by transmitting my money and instructions to the appropriate AMC,as per my instruc- tions.</li>
		<li>Securely and confidentially maintain a record of my personal information and my financial transactions.</li>
		<li>Promptly & efficiently respond to my queries relating to my online investment account. </li>
	</ol>

	<span style="font-size:10px;"><b>C. Under this Agreement, my obligations are to: </b> </span>
	<ol style="font-size:10px;">
		<li>Ensure that the money I invest is from my bank account (primary holder’s bank account in case of Investment Account held jointly),is from legiti- mate sources and is remitted through approved banking channels</li>
		<li>Keep my Login Credentials safe and secret. Promptly change my Login Credentials and inform Investocafe of any actual or suspected unautho- rised use of my Login Credentials. </li>
		<li> Make an informed investment decision by reading the Offer Documents* of the mutual fund schemes that I am investing in. </li>
		<li> Seek independent financial planning, legal, accounting, tax or other professional advice before investing or withdrawing.</li>
	</ol>

	<span style="font-size:10px;"><b>D. I further acknowledge and agree to the following:</b></span>
	<ol style="font-size:10px;">
		<li>I am aware that Investocafe is an AMFI registered distributor of mutual funds and receives commissions from AMCs, details of which are avail- able on the Website. </li>
		<li>My Investment Account will be activated after Investocafe verifies my personal information in accordance with the Know Your Client ("KYC") guidelines issued by the Securities and Exchange Board of India ("SEBI"). </li>
		<li>Investocafe does not, and is not obliged to, offer all mutual fund schemes for investment. By limiting the number of schemes on the Website, Investocafe does not make any representation as to the quality, bona fides or nature of any AMC or mutual fund scheme, or any other represen- tation, warranty or guaranty, express or implied. </li>
		<li>Investments using ECS/NACH/DirectDebit, Investocafe will first submit the fund transfer instruction(s)to my bank.My requestfor subscription will be sent to the AMC only after receiving confirmation of successful money transfer to the AMC's account. Consequently, there may be a lag
		between the date of debit to my account and date Investocafe submits my request to the AMC. </li>
		<li> Subject to point no. D.4, my Instructions will be processed the same day if received before the cut-off time(s) specified by Investocafe. Else, my Instructions will be processed on the next business day. Investocafe may specify cut-off time(s) earlier than the time(s) specified by the AMC/ SEBI. </li>
		<li>Investocafe will forward my Instructions to the AMC electronically and the AMC will process the transactions on the basis of such electronic instructions. AMCs are not obliged to accept my application for subscription to units of their mutual fund schemes in part or in full. </li>
		<li>For Investment Accounts held jointly, the mutual fund folios maintained by the concerned AMC will also be held jointly and all the individuals will have the same authority to operate those folios (Any or Survivor). </li>
		<li>The data and information provided on the Website does not constitute advice and shall not be relied upon by me while making investment deci- sions. </li>
		<li> In case I violate this agreement, or any local or international laws, Investocafe may, at any time and at its sole discretion, terminate my Invest- ment Account
		and/or prevent me from accessing the Website and/or Services at any time and at its sole discretion. </li>
		<li> Investocafe may modify these terms at any time by informing me. My continued use of the Services will imply my acceptance of the changes. </li>
	</ol>

	<span style="font-size:10px;"> <b> E. I will not dispute and/or hold Investocafe responsible for: </b><span>
	<ol style="font-size:10px;">
		<li> Any act that is not an obligation of Investocafe in this Agreement. </li>
		<li>Any disclosures made by Investocafe to any statutory body under any law. </li>
		<li> Any loss, notional or otherwise, incurred because of </li>
		<ol type="a">
			<li> delays either at the Bank, Registrar and Transfer Agency or AMC.</li>
			<li> rejection of my instructions by the Bank, Registrar and Transfer Agency or AMC</li>
			<li> processing of Instructions authenticated by my Login Credentials.</li>
			<li> non-availability or non-accessibility of the Website, telephone(s), or office(s) of Investocafe in case of circumstances beyond Investocafe’s control. </li>
		</ol>
	</ol>
	<div>
		<span style="font-size:10px;"><b>F. Governing laws </b></span>
		<p style="font-size:10px;">The laws of India govern this Agreement. All disputes are subject, firstly, to mediation, and then by Arbitration by a sole arbitrator appointed by Investocafe.
			The venue of arbitration will be Indore.
		</p>
	</div>

	<div>
	<span style="font-size:10px;"><b>G. SEBI Caution</b></span><br>
		<p style="font-size:10px;">Mutual Fund investments are subject to market risks, read all scheme-related documents carefully.</p>
		<span style="font-size:10px; margin-top:5px;">* Offer Documents: Collective term for Offer Document, Scheme Information Document, Statement of Additional Information, Key Information Memoran- dum, issued by the Asset Management Company that manages the mutual fund. 
          Investocafe.com 
       </span>
       <span style="font-size:10px; margin-top:5px;">B-302, Cross Roads, IDA mall, Behind G Sachanand, Vijay Nagar, Indore 452010, India.</span>
       <span style="font-size:10px; margin-top:5px;">To have your form collected, please call 0731-4043703</span>
	</div>
	
	<span>Sign Here</span>

	<div style="margin-top:20px">
		 <hr style="width:15%; border: 0 none; border-top: 2px dashed #322f32;background: none; height:0; position:relative; text-align:left;">
		<span style="font-size:12px;"><?php print_r(ucwords($this->encrypt->decode($row->name))); ?></span>
	</div>

</div>
