<!DOCTYPE html>
<html>
<head>
	<title>Rates View</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>
	<div class="container">
		<h2>FD rates</h2>
	<table class="table table-bordered">
		<thead>
			<tr>
				<td>Tenure Month</td>
				<td>Scheme Type</td>
				<td>Interest Frequency</td>
				<td>Interest Rate</td>
			</tr>
		</thead>
<?php
	foreach($data as $dt)
	{
		?>
			<tr>
				<td><?= $dt->TenureMonthFrom ?></td>
				<td><?php if($dt->SchemeType_Code=='NC'){echo'Non Cumulative';}else{echo 'Cumulative';} ?></td>
				<td><?= $dt->InterestFrequency ?></td>
				<td><?= $dt->Interest_Rate ?>%</td>
			</tr>
		<?php
	}
?>
</table>
</div>
</body>
</html>