<?php
	 
	 class Security {
	
	private $key = null;
	private $signKey = null;
 
	public function __construct($key = null, $signKey = null) {
		
		if(is_null($key)) {
			throw new \Exception('set sccret key please.');
		}
		if(is_null($signKey)) {
			throw new \Exception('set sign key please.');
		}
		$this->key = $key;
		$this->signKey = $signKey;
		
	}
 
	 
	public function sign($content) {
		
		return strtoupper(hash_hmac('sha256', $content, $this->signKey));
		
	}
 
	public function verify($content, $sign) {
		
		if($sign == $this->sign($content)) {
			return true;
		}
		return false;
		
	}
	 
	public function encrypt($input) {
		
		$size = mcrypt_get_block_size(MCRYPT_RIJNDAEL_128, MCRYPT_MODE_ECB);
		$input = $this->pkcs5_pad($input, $size);
		$td = mcrypt_module_open(MCRYPT_RIJNDAEL_128, '', MCRYPT_MODE_ECB, '');
		$iv = mcrypt_create_iv(mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
		mcrypt_generic_init($td, $this->key, $iv);
		$data = mcrypt_generic($td, $input);
		mcrypt_generic_deinit($td);
		mcrypt_module_close($td);
		$data = bin2hex($data);
		return $data;
		
	}
 
	private function pkcs5_pad($text, $blocksize) {
		
		$pad = $blocksize - (strlen($text) % $blocksize);
		return $text . str_repeat(chr($pad), $pad);
		
	}
 
	public function decrypt($sStr) {
		$decrypted= mcrypt_decrypt(MCRYPT_RIJNDAEL_128,$this->key,$this->hextobin($sStr), MCRYPT_MODE_ECB);
		$dec_s = strlen($decrypted);
		$padding = ord($decrypted[$dec_s-1]);
		$decrypted = substr($decrypted, 0, -$padding);
		return $decrypted;
	}
 
    private function createLinkString($para, $encode) {
		
    	ksort($para);    
    	$linkString = "";
    	while ( list ( $key, $value ) = each ( $para ) ) {
    		if ($encode) {
    			$value = urlencode ( $value );
    		}
    		$linkString .= $key . "=" . $value . "&";
    	}
     
    	$linkString = substr ( $linkString, 0, count ( $linkString ) - 2 );
    	return $linkString;
		
    }
		 public   function hextobin($hexstr) 
    { 
        $n = strlen($hexstr); 
        $sbin="";   
        $i=0; 
        while($i<$n) 
        {       
            $a =substr($hexstr,$i,2);           
            $c = pack("H*",$a); 
            if ($i==0){$sbin=$c;} 
            else {$sbin.=$c;} 
            $i+=2; 
        } 
        return $sbin; 
    }
}

$security = new Security('k2hLr4X0ozNyZByj5DT66edtCEee1x+6', 'k2hLr4X0ozNyZByj5DT66edtCEee1x+6');
	function enc($text)
	{
		return openssl_encrypt($text,"AES-256-CBC","k2hLr4X0ozNyZByj5DT66edtCEee1x+6");
	}

	function shaEnc($data)
	{
		return hash('sha512', $data);
	}
	

?>
<!DOCTYPE html>
<html>
<head>
	<title>E manadate</title>
</head>
<body>
<form method="post"  action="https://emandateut.hdfcbank.com/Emandate.aspx">
	CheckSum
	<input type="text" name="CheckSum" value="<?php echo shaEnc($this->encrypt->decode($r->username)."|".$start_date."|2050-12-31|50000.00|50000.00"); ?>"><br />
	Msgid
	<input type="text" name="Msgid" value="12"><br />
	Customer_Name 
	<input type="text" name="Customer_Name" value="<?php echo enc($this->encrypt->decode($r->username)); ?>"><br />
	Customer_Mobile 
	<input type="text" name="Customer_Mobile" value="<?php echo enc('9826625009') ?>"><br />
	Customer_TelphoneNo 
	<input type="text" name="Customer_TelphoneNo" value=""><br />
	Customer_EmailId 
	<input type="text" name="Customer_EmailId" value="<?php echo enc('rahulsingh.gehlot@gmail.com') ?>"><br />
	Customer_AccountNo 
	<input type="text" name="Customer_AccountNo" value="<?php echo enc('04041020000602') ?>"><br />
	Customer_StartDate
	<input type="text" name="Customer_StartDate" value="<?= $start_date ?>"><br />
	Customer_ExpiryDate
	<input type="text" name="Customer_ExpiryDate" value="2050-12-31"><br />
	Customer_DebitAmount
	<input type="text" name="Customer_DebitAmount" value="50000.00"><br />
	Customer_MaxAmount
	<input type="text" name="Customer_MaxAmount" value="50000.00"><br />
	Customer_DebitFrequency
	<input type="text" name="Customer_DebitFrequency" value="DAIL"><br />
	Customer_IFSCcode
	<input type="text" name="Customer_IFSCcode" value="HDFC0000404"><br />
	Short_code 
	<input type="text" name="Short_code" value="<?php echo enc('HDF') ?>"><br />
	Customer_SequenceType
	<input type="text" name="Customer_SequenceType" value="RCUR"><br />
	Merchant_Category_Code
	<input type="text" name="Merchant_Category_Code" value="MF"><br />
	Customer_Reference1 
	<input type="text" name="Customer_Reference1"><br />
	Customer_Reference2 
	<input type="text" name="Customer_Reference2"><br />
	Channel
	<input type="text" name="Channel" value="Debit"><br />
	UtilCode
	<input type="text" name="UtilCode" value="<?= enc('HDFC00022000001311') ?>"><br />
	Filler1
	<input type="text" name="Filler1"><br />
	Filler2
	<input type="text" name="Filler2"><br />
	Filler3
	<input type="text" name="Filler3"><br />
	Filler4
	<input type="text" name="Filler4"><br />
	Filler5
	<input type="text" name="Filler5"><br />
	Filler6
	<input type="text" name="Filler6"><br />
	Filler7
	<input type="text" name="Filler7"><br />
	Filler8
	<input type="text" name="Filler8"><br />
	Filler9
	<input type="text" name="Filler9"><br />
	Filler10
	<input type="text" name="Filler10"><br />
	<button type="submit">Submit</button>
</form>
</body>
</html>