<?php
class Security {
    
    private $key = null;
    private $signKey = null;
 
    public function __construct($key = null, $signKey = null) {
        
        if(is_null($key)) {
            throw new \Exception('set sccret key please.');
        }
        if(is_null($signKey)) {
            throw new \Exception('set sign key please.');
        }
        $this->key = $key;
        $this->signKey = $signKey;
    }
 
     
    public function sign($content) {
        return strtoupper(hash_hmac('sha256', $content, $this->signKey));
    }
 
    public function verify($content, $sign) {
        if($sign == $this->sign($content)) {
            return true;
        }
        return false;
    }
     
    public function encrypt($input) {
        $size = mcrypt_get_block_size(MCRYPT_RIJNDAEL_128, MCRYPT_MODE_ECB);
        $input = $this->pkcs5_pad($input, $size);
        $td = mcrypt_module_open(MCRYPT_RIJNDAEL_128, '', MCRYPT_MODE_ECB, '');
        $iv = mcrypt_create_iv(mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
        mcrypt_generic_init($td, $this->key, $iv);
        $data = mcrypt_generic($td, $input);
        mcrypt_generic_deinit($td);
        mcrypt_module_close($td);
        $data = bin2hex($data);
        return $data;
    }
 
    private function pkcs5_pad($text, $blocksize) 
    {
        $pad = $blocksize - (strlen($text) % $blocksize);
        return $text . str_repeat(chr($pad), $pad);
    }
 
    public function decrypt($sStr) 
    {
        $decrypted= mcrypt_decrypt(MCRYPT_RIJNDAEL_128,$this->key,$this->hextobin($sStr), MCRYPT_MODE_ECB);
        $dec_s = strlen($decrypted);
        $padding = ord($decrypted[$dec_s-1]);
        $decrypted = substr($decrypted, 0, -$padding);
        return $decrypted;
    }
 
    private function createLinkString($para, $encode) 
    {
        ksort($para);    
        $linkString = "";
        while ( list ( $key, $value ) = each ( $para ) ) {
            if ($encode) {
                $value = urlencode ( $value );
            }
            $linkString .= $key . "=" . $value . "&";
        }
        $linkString = substr ( $linkString, 0, count ( $linkString ) - 2 );
        return $linkString;
    }
    
    public   function hextobin($hexstr) 
    { 
        $n = strlen($hexstr); 
        $sbin="";   
        $i=0; 
        while($i<$n) 
        {       
            $a =substr($hexstr,$i,2);           
            $c = pack("H*",$a); 
            if ($i==0){$sbin=$c;} 
            else {$sbin.=$c;} 
            $i+=2; 
        } 
        return $sbin; 
    }
}

    function enc($text)
    {
        $security = new Security('k2hLr4X0ozNyZByj5DT66edtCEee1x+6', 'k2hLr4X0ozNyZByj5DT66edtCEee1x+6');
        return $value = "\x".$security->encrypt($text);
        // return openssl_encrypt($text,"aes-256-cbc","k2hLr4X0ozNyZByj5DT66edtCEee1x+6",OPENSSL_RAW_DATA,(''));
    }

    function shaEnc($data)
    {
        return hash('sha256', $data);
    }

?>

<!DOCTYPE html>
<html>
<head>
    <title>E MANDATE 3</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type="text/css">
        .bod {
    text-align: center;
    margin-top: 15%;
}
.box-gray {
    height: 60%;
}
.content {
    max-width: 500px;
    margin: 0px auto;
    margin-top: 5%;
    text-align: center;
    border: 1px solid #eee;
    padding: 23px;
    background: #eee;
    border-radius: 12px;
}
label {
    width: 100%;
    display: block;
}
select#Channel {
    width: 60%;
    height: 40px;
    border: 2px solid #848080;
    margin-top: 6px;
    margin-bottom: 16px;
    text-align: center;
    border-radius: 5px;
}
input#ButtonS {
    width: 170px;
    display: block;
    margin: 0px auto;
    height: 40px;
    background: #00a0e3;
    border: none;
    color: white;
    font-size: 21px;
    text-transform: uppercase;
    border-radius: 4px;
}

#dwnpdf{

    width: 170px;
    display: block;
    margin: 0px auto;
    height: 40px;
    background: #00a0e3;
    border: none;
    color: white;
    font-size: 21px;
    text-transform: uppercase;
    border-radius: 4px;

}
span#error_msg_show {
    display: block;
}
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body onload="myFunction()">
<div class="container">
    <div class="content">
        <!-- <h2>MerchantPost</h2> -->
        <div class="box-gray">
            <div class="fg-middle">
                <!-- <form method="post"  action="https://emandateut.hdfcbank.com/Emandate.aspx"> -->
                <!-- <form method="post"  action="https://emandate.hdfcbank.com/testingapi.aspx"> -->
                <form method="post"  action="https://emandate.hdfcbank.com/Emandate.aspx">
                <div class="fg-group">
                    <!-- <label>Utilcode *</label> -->
                    <input name="UtilCode" type="hidden" id="UtilCode" value="<?= enc('NACH00000000001748') ?>">
                </div>
                <div class="fg-group">
                    <!-- <label>Short Code *</label> -->
                    <input name="Short_Code" type="hidden" id="Short_Code" value="<?php echo enc('ITC') ?>">
                </div>
                <div class="fg-group">
                    <!-- <label>Merchant_PartyName</label> -->
                    <input name="Merchant_PartyName" type="hidden" id="Merchant_PartyName" value="Investocafe">
                </div>
                <div class="fg-group">
                    <!-- <label>Merchant_Category_Code *</label> -->
                    <input name="Merchant_Category_Code" type="hidden" maxlength="4" id="Merchant_Category_Code" value="M001">
                </div>
                <div class="fg-group">
                    <!-- <label>Merchant_Category_Desc</label> -->
                    <input name="Merchant_Category_Desc" type="hidden" id="Merchant_Category_Desc" value="Mutual fund">
                </div>
                <div class="fg-group">
                    <!-- <label>Merchant_CreditorName </label> -->
                    <input name="Merchant_CreditorName" type="hidden" value="MF">
                </div>
                <div class="fg-group">
                    <!-- <label>Merchant_CreditorAccountNo </label> -->
                    <input name="Merchant_CreditorAccountNo" type="hidden"  value="50200016282841">
                </div>
                <div class="fg-group">
                    <!-- <label>CheckSum *</label> -->
                    <input name="CheckSum" type="hidden" id="CheckSum" value="<?php echo shaEnc($this->encrypt->decode($r->account_number)."|".$start_date."|2050-12-31||".getMandateAMT()); ?>">
                    <!-- <?php echo ($this->encrypt->decode($r->account_number)."|".$start_date."|2050-12-31|50000.00|50000.00"); ?> -->
                    <!-- <input name="CheckSum" type="text" id="CheckSum" value="<?php echo shaEnc("50100100796920|".$start_date."|2050-12-31||50000.00"); ?>"> -->
                    <!-- <?php echo ($this->encrypt->decode($r->account_number)."|".$start_date."|2050-12-31||50000.00"); ?> -->
                </div>
                <div class="fg-group">
                    <!-- <label>MsgId *</label> -->
                    <input name="MsgId" type="hidden" id="MsgId" value="<?= $emandate_batch_id ?>">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_Name *</label> -->
                    <input name="Customer_Name" type="hidden" id="Customer_Name" value="<?php echo enc($this->encrypt->decode($r->username)); ?>">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_TelNo.</label> -->
                    <input name="Customer_TelphoneNo" type="hidden" id="Customer_TelphoneNo" >
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_Mobile </label> -->
                    <input name="Customer_Mobile" type="hidden" id="Customer_Mobile" value="<?php echo enc($this->encrypt->decode($r->phone)) ?>">
                    <!-- <input name="Customer_Mobile" type="text" id="Customer_Mobile" value="<?php echo enc(9256342548) ?>"> -->
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_EmailId</label> -->
                    <input name="Customer_EmailId" type="hidden" id="Customer_EmailId" value="<?php echo enc($r->email) ?>">
                </div>                            
                <div class="fg-group">
                    <!-- <label>Customer_AccountNo *</label> -->
                    <input name="Customer_AccountNo" type="hidden" id="Customer_AccountNo"  value="<?php echo enc($this->encrypt->decode($r->account_number)) ?>">
                    <!-- <input name="Customer_AccountNo" type="text" id="Customer_AccountNo"  value="<?php echo enc(50100100796920) ?>"> -->
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_StartDate *</label> -->
                    <input name="Customer_StartDate" type="hidden" id="Customer_StartDate" value="<?= $start_date ?>">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_ExpiryDate </label> -->
                    <input name="Customer_ExpiryDate" type="hidden" id="Customer_ExpiryDate" value="2050-12-31">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_DebitAmount *</label> -->
                    <input name="Customer_DebitAmount" type="hidden" id="Customer_DebitAmount" value="">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_MaxAmount</label> -->
                    <input name="Customer_MaxAmount" type="hidden" id="Customer_MaxAmount" value="<?= getMandateAMT() ?>">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_DebitFrequency *</label> -->
                    <input name="Customer_DebitFrequency" type="hidden" id="Customer_DebitFrequency" value="DAIL">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_SequenceType *</label> -->
                    <input name="Customer_SequenceType" type="hidden" id="Customer_SequenceType" value="RCUR">
                </div>
                <div class="fg-group">
                    <!-- <label>IFSC Code * </label> -->
                    <input name="Customer_InstructedMemberId" type="hidden" id="Customer_InstructedMemberId" value="<?= $r->ifsc_code ?>">
                </div>                            
                <div class="fg-group">
                    <!-- <label>Customer_Reference1</label> -->
                    <input name="Customer_Reference1" type="hidden" id="Customer_Reference1">
                </div>
                <div class="fg-group">
                    <!-- <label>Customer_Reference2 </label> -->
                    <input name="Customer_Reference2" type="hidden" id="Customer_Reference2">
                </div>
                <div class="fg-group col-md-4 col-md-offset-4">
                    <!-- <label>Channel *</label> -->
                    <!-- <input name="Channel" type="text" id="Channel" value="Net"> -->
                    <div class="img-holder">
                        <img src="https://www.investocafe.com/assets/administration/assets/theme_assets/image/logo.png">
                    </div>
                    <div class="form-group">
                        <label>Choose Mandate Method</label>
                        <select name="Channel" class="form-control" id="Channel">
                            <option value="Net">Net Banking</option>
                            <option value="Debit">Debit Card</option>
                            <option value="physical mendate">physical mandate</option>
                        </select>
                        <span id="error_msg_show"></span>
                    </div>
                </div>
                <div class="fg-group">
                    <input name="Filler1" type="hidden" value="<?= $r->investor_id ?>" id="Filler1">
                </div>
                <div class="fg-group">
                    <input name="Filler2" type="hidden" value="" id="Filler2">
                </div>
                <div class="fg-group">
                    <input name="Filler3" type="hidden" value="" id="Filler3">
                </div>
                <div class="fg-group">
                    <input name="Filler4" type="hidden" value="" id="Filler4">
                </div>
                <div class="fg-group">
                    <input name="Filler5" type="hidden" value="S" id="Filler5">
                </div>
                <div class="fg-group">
                    <input name="Filler6" type="hidden" value="" id="Filler6">
                </div>
                <div class="fg-group">
                    <input name="Filler7" type="hidden" value="" id="Filler7">
                </div>
                <div class="fg-group">
                    <input name="Filler8" type="hidden" value="" id="Filler8">
                </div>
                <div class="fg-group">
                    <input name="Filler9" type="hidden" value="" id="Filler9">
                </div>
                <div class="fg-group">
                    <input name="Filler10" type="hidden" value="" id="Filler10">
                </div>
                <div class="fg-group col-md-4 col-md-offset-4 text-center">
                    <input type="submit" name="ButtonS" value="Submit"  id="ButtonS" class="btn btn-info" disabled="disabled">  
                    <a href="https://investocafe.com/assets/downloads/MandateForm.pdf" id="dwnpdf" style="display: none" class="btn btn-info" download>Submit</a>
                    <!-- <a href="<?= base_url('dashboard')?>" class="btn btn-info" >Back</a>                          -->
                </div>
            </form>
            </div>
        </div>
    </div>
</div>
<!-- <div class="bod">
    <h3>Please wait....</h3>
</div> -->
</body>
</html>
<script type="text/javascript">
        function myFunction(){
        // document.getElementById("ButtonS").click();
        checkBanking();
        }
        var netBankingJson = {
            "KKBK":[1,1],
            "YESB":[1,1],
            "USFB":[1,1],
            "INDB":[1,1],
            "ESFB":[1,1],
            "ICIC":[1,1],
            "IDFB":[1,1],
            "HDFC":[1,1],
            "MAHB":[1,1],
            "UTIB":[1,1],
            "DBSS":[1,1],
            "KARB":[1,1],
            "CBIN":[1,0],
            "BARB":[1,1],
            "PUNB":[1,1],
            "JSFB":[1,1],
            "IBKL":[1,0],
            "TMBL":[1,1],
            "IOBA":[1,0],
            "RATN":[1,1],
            "DEUT":[1,1],
            "PYTM":[1,1],
            "HSBC":[1,0],
            "PSIB":[1,0],
            "KVBL":[1,0],
            "BDBL":[1,0],
            "FDRL":[1,1],
            "ANDB":[1,1],
            "SIBL":[1,1],
            "AUBL":[0,1],
            "SBIN":[1,1],
            "UTBI":[1,1],
            "DLXB":[1,1],
            "CNRB":[1,1],
            "BKID":[0,0],
            "ORBC":[1,0],
            "UCBA":[1,0],
            "IDIB":[1,0],
            "APGB":[1,0],
            "COSB":[1,0],
            "JIOP":[1,0],
            "VIJB":[0,0],
            "UBIN":[1,1],
            "SYNB":[1,0],
            "SCBL":[1,1],
            "ALLA":[0,0],
            "DCBL":[1,1],
            "CITI":[1,1]
        };
        
        $("#Channel").on("change",function(){
            checkBanking();
        })

        function checkBanking()
        {
            $("#error_msg_show").html("");
            var ifsc = $("#Customer_InstructedMemberId").val().slice(0, 4);
            var type = $("#Channel").val();
            $("#ButtonS").show();
            $("#dwnpdf").hide();
            // console.log(netBankingJson.ifsc);
            $.each(netBankingJson, function(bank,val) {
                if(ifsc == bank){
                    console.log(val);
                    if(type=='Debit' && val[1]==1){
                        $("#ButtonS").attr('disabled',false);
                    }else if(type=='Net' && val[0]==1){
                        $("#ButtonS").attr('disabled',false);
                    }else if(type=='Debit' && val[1]==0){
                        // alert("run");
                        $("#ButtonS").attr('disabled',true);
                        $("#error_msg_show").html("<span style='color:red'>Your Bank is not active for Debit mandate. choose Netbaning or go for physical mandate</span>")
                    }else if(type=='Net' && val[0]==0){
                        $("#ButtonS").attr('disabled',true);
                        $("#error_msg_show").html("<span style='color:red'>Your Bank is not active for Net banking mandate. choose Debit Card or go for physical mandate</span>")
                    }else if(type=='physical mendate'){
                        $("#ButtonS").hide();
                        $("#dwnpdf").show();
                    } else {
                        $("#ButtonS").attr('disabled',true);
                    }
                }
            });
        }

    
</script>