<div class="modal-body">
 <div class="form-group">
    <label for="username" class="control-label leftalign1">My target is (Rs.):</label>
    <input name="sipTarget" id="sipTarget" data-validate="required" type="text" placeholder="" class="form-control">
 </div>
 <div class="form-group">
    <label for="username" class="control-label leftalign1">Number of month(s):</label>
    <input name="sipNoOfMonths" id="sipNoOfMonths" data-validate="required" type="text" placeholder="" class="form-control">
 </div>
 <div class="form-group">
    <label for="username" class="control-label leftalign1">
       Expectation of annual return on investment (in percent, CAGR):
       <div class="tooltip">
          <i class="fa fa-question-circle" style="font-size: 16px"></i> 
          <span class="tooltiptext">
             The compound annual growth rate (CAGR) is the mean annual growth rate of an investment over a specified period of time longer than one year. The approximate CAGR of the MFs ranges from 9-11% in Debt Funds & 14-18% Equity funds over a period of 8-10 years
             <!-- table -->
             <table >
                <tr>
                   <th>Year</th>
                   <th>March’18</th>
                   <th>Feb’18</th>
                   <th>Jan’18</th>
                </tr>
                <tr>
                   <td>Inflation %</td>
                   <td>4.28</td>
                   <td>4.44</td>
                   <td>5.07</td>
                </tr>
             </table>
          </span>
       </div>
    </label>
    <input type="hidden" id="monthlySavings">
    <input name="sipCagrPer" id="sipCagRate" data-validate="required" value="15" type="text" placeholder="" class="form-control">
 </div>
	
<div class="form-group" id="user_goal_div_sip">
      <label for="user_email_goal" class="control-label leftalign1">Enter Your Email:</label>
      <input class="form-control" name="user_email_goal" id="user_email_goal" data-validate="required"/>

	  
   </div>
    <div class="form-group">
 <label style="margin-top: 10px;" for="user_email_check" class="control-label leftalign1"><input style="float: left;
    width: 25px;
	 height: 25px;
    border: none;
    margin: auto;" checked class="form-control" type="checkbox" name="user_goal_email_check" id="user_goal_email_check" data-validate="required"/> Subscribe me to the newsletter!
		</label>
   </div>
    <div class="form-group" id="user_email_div_sip">
      <label for="user_phone_goal" class="control-label leftalign1">Enter Your Phone</label>
      <input class="form-control" name="user_phone_goal" id="user_phone_goal" />

	  
   </div>
</div>

<div class="modal-footer">
	<div class="col-md-12 text-center">
	    <?php
	      if(isset($temp_user))
	      {
			if($temp_user=="yes")
	      	{
		    ?>
	        	<button  type="button" class="btn modalbtn" onClick="startInvestingButtonClick();">Start Investing</button>
	     	<?php
	 	 	}
		  }
	     ?>
		<button  type="button" class="btn modalbtn" onClick="calculateMyMonthlyInvestment();">Calculate</button>
    	<button  style="width:auto!important;margin-right:5px;" type="button" class="btn modalbtn" onClick="clerAllMyMonthlyCal();">Reset</button>
  		<button  type="button" class="btn modalbtn" id="loaderMyMonthlyInvestment" style="display:none;">Waiting..</button>
    	<span id="goalsAddedMsg"></span>
  	</div>
  	<div class="row text-left">
  <div style="display:none;" id="myMonthlyResponse"></div>
  <div class="col-md-12" id="myMonthlyOfterCalMsg">

  </div>
  <div class="col-md-12">
    <button type="button" class="btn modalbtn" id="addToMyMyMonthlyGoalsBtn" onClick="addToMyMyMonthlyInvestment();" style="display:none;">Add to My Goals</button>
  </div>
</div>
</div>
