            <!--Withdraw  funds-->
            <div class="" id="withdrawFunds" style="">
              <div class="panel panel-default panel_style">
                <div class="panel-body">
                <div>
                  <div class="row" style="margin-top:20px;">
                    <div class="col-md-12">
                      <div class="col-md-4">
                        <label class="p_msg p_color_blue boldText">Select Withdraw Type</label>
                      </div>
                      <div class="col-md-4">
                        <select class="form-control p_section_content p_color_blue" id="withdrawType">
                          <option value="1">Amount</option>
                          <option value="2">Units</option>
                          <option value="3">All</option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <div class="panel panel-default no_border" style="border: 5px solid rgb(195, 191, 185); height: auto; margin-bottom: 0px; margin-left: 3px;">
                      <div>
                        <table class="table table-responsive" id="investmentHistoryTable" style="margin-top:20px;">
                          <thead id="investmentHistoryTableHead">
                            <th class="p_section_content" style="width:50%">Mutual Fund Scheme</th>
                            <th class="p_section_content" style="width:15%">Current Value(Rs.)</th>
                            <th class="p_section_content" style="width:15%">Units</th>
                            <th class="p_section_content" style="width:20%">Withdrawn</th>
                          </thead>
                          <tbody style="color:gray;" id="withdrawDetailsBody">
                            <?php
                              if(isset($withdrawFunds) && !empty($withdrawFunds))
                              {
                                $count=0;
                                foreach ($withdrawFunds as $row)
                                {
                                  if($row["withdrawal_amount"]!=0)
                                  {
                                    $withdrawAmount=$row['withdrawal_amount'];
                                    $minAmount=$row['min_amount'];
                                    $withdrawUnits=$row['unit_count'];
                                    $minUnits=$row['redemption_min_units'];
                                  ?>
                                      <tr>
                                        <td><span class="p_section_content p_color_blue fundNameHover" fundIdData="<?php echo $row['fund_id']; ?>" style="cursor:pointer"><?php echo $row['fund_name'];?></span></td>
                                        <td>
                                          <span class="p_section_content p_color_blue"><?php echo $row["withdrawal_amount"];?></span><?php
                                            if($withdrawAmount>$minAmount)
                                            {?><br><span class="url amount" onClick="autoFillWithdrawValue('withdrawAmount<?php echo $row['fund_id'];?>',<?php echo $row["withdrawal_amount"];?>);"><b>All</b></span><?php } ?>
                                        </td>
                                        <td>
                                          <span class="p_section_content p_color_blue"><?php echo $row["unit_count"];?></span>
                                          <?php if($withdrawUnits>$minUnits)
                                            {?><br><span class="url unit" onClick="autoFillWithdrawValue('withdrawUnits<?php echo $row['fund_id'];?>',<?php echo $row["unit_count"];?>);"><b>All</b></span><?php } ?>
                                        </td>
                                        <td>
                                          <?php
                                            if($withdrawAmount<$minAmount)
                                            {
                                              ?><small style="font-weight:500;color:red" class="p_color_red amount">Minimum withdrawal amount should be more than or equal to Rs. <?php echo round($row['min_amount']);?> </small><?php
                                            }
                                            else
                                            {
                                              ?><input style="border:1px #1785b5 solid;" class="withdrawal form-control amount" type="text" id="withdrawAmount<?php echo $row['fund_id'];?>"  minAmount="<?php echo $row['min_amount'];?>" minUnits="<?php echo $row['redemption_min_units'];?>" withdrawAmount="<?php echo $row['withdrawal_amount'];?>" withdrawUnits="<?php echo $row['unit_count'];?>" onChange="checkMinValue(this);" value="" size="10" fundId="<?php echo $row['fund_id'];?>" oninput="checkInputValue('withdrawAmount<?php echo $row['fund_id'];?>');" onkeypress='return event.charCode >= 48 && event.charCode <= 57'>
                                                <small class="p_color_blue amount">Enter Amount OR Click a button</small>
                                             <?php
                                            }

                                            if($withdrawUnits<$minUnits)
                                            {
                                              ?><small style="font-weight:500;color:red" class="p_color_red unit">Minimum withdrawal units should be more than or equal to  <?php echo round($row['redemption_min_units']);?> </small><?php
                                            }
                                            else
                                            {
                                              ?><input style="border:1px #1785b5 solid;" class="withdrawal form-control unit" type="text" id="withdrawUnits<?php echo $row['fund_id'];?>"  minAmount="<?php echo $row['min_amount'];?>" minUnits="<?php echo $row['redemption_min_units'];?>" withdrawAmount="<?php echo $row['withdrawal_amount'];?>" withdrawUnits="<?php echo $row['unit_count'];?>" onChange="checkMinValue(this);" value="" size="10" fundId="<?php echo $row['fund_id'];?>" oninput="checkInputValue('withdrawUnits<?php echo $row['fund_id'];?>');" onkeypress='return event.charCode >= 48 && event.charCode <= 57'>
                                                <small class="p_color_blue unit">Enter Units OR Click a button</small>
                                             <?php
                                            }
                                          ?>
                                        </td>
                                      </tr>
                                    <?php
                                    $count++;
                                  }
                                }
                              }
                              else
                              {
                                ?>
                                  <tr>
                                    <td>
                                      <span class="p_msg p_red boldText">No Withdrawal funds available</span>
                                    </td>
                                  </tr>
                                <?php
                              }
                            ?>
                          </tbody>
                          <tfoot>
                            <tr style="background-color:rgba(32, 167, 226, 1);">
                              <td colspan="3"><span><b class="p_section_content">Total</b></span></td>
                              <td><span><b class="p_section_content" id="totalWithdrawal">0</b></span></td>
                            </tr>
                          </tfoot>
                        </table>
                      </div>
                      <input type="hidden" id="fundTypeId" value="<?php echo $fundTypeId;?>">
                      <div class="">
                        <div class="col-md-12">
                            <p>
                              <span class=" p_color_blue boldText">Click on 'ALL' button OR simply enter an amount.</span><br>
                              <span class=" p_color_blue boldText">If possible, limit your withdrawal to the amount shown as long term.</span>
                            </p>
                        </div>
                      </div>
                  </div>
                  <!-- <hr> -->

                  <div class="col-md-12">

                   <?php
                    if(isset($withdrawFunds) && !empty($withdrawFunds))
                    {
                      if($count!=0)
                      {
                        ?>
                          <a class="enjoy-css2 pull-right margin-left" onclick="clearAllWithdrawInputField();">Clear All</a>
                          <input type="button" class="btn enjoy-css" value="Continue to Withdraw" id="continueWithdrawBtn" style="float:right;!important;" onclick="getwithdrawFundsValue();">
                          <button class="btn enjoy-css" style="display:none;float:right;" id="waitLoaderWithdraw" disabled>Waiting...</button>

                        <?php
                      }
                    }
                  ?>
                  </div>
                  <div class="col-md-12">
                    <p class="p_msg p_color_green boldText">Important</p>
                    <p class="p_section_content p_color_blue">The amounts we display are approximate and based on the previous day's NAV.<br>The NAV that will apply to your withdrawal is for the date of withdrawal. This is only known at the end of the day and may be different.</p>
                    <hr style="border: 0; border-bottom: 1px dashed #ccc; background: #999;">
                    <a href="<?php echo  base_url()."withdraw/beforeWithdrawInfo/".$fundTypeId;?>" class="enjoy-css2 pull-right">BACK</a>
                  </div>
                </div>
              </div>
            </div>
            <!--Withdraw  funds Ends-->
        </div></div>
        <?php include 'dashboard_right_section_view.php'; ?>
        <input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
    </div>
</div>
<?php auto_signout(); ?>