<?php

class AumReport extends CI_Controller{

	function __construct()
	{
		Parent::__construct();
        $this->load->library('excel');
	}
	
	public function index()
	{
		$nav = $this->getFundHistory("2021-04-01","2021-04-09");
		$dates = $this->getDatesFromRange("2021-04-01","2021-04-09", $format = 'Y-m-d');
		$built_arr = [];
		foreach($dates as $dateStr){
			print_r($dateStr);
			echo "<br />";
			$res = $this->db->query("SELECT users.username, users.email, (SUM(`unit_count`) - IFNULL((SELECT SUM(unit_count) FROM sold_units WHERE fund_id = purchased_units.fund_id AND sold_units.investor_id = purchased_units.investor_id AND sold_units.request_status = 1 AND sold_units.date_of_sale < '".$dateStr."'),0)) as bal_units, `fund_id`, purchased_units.investor_id FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE purchased_units.date_of_purchase < '".$dateStr."' AND unit_count>0 AND purchased_units.investor_id in(60,
94,
105,
115,
121,
122,
146,
152,
212,
267,
449,
461,
526,
591,
683,
700,
717,
722,
752,
762,
778,
849,
862,
1121,
1371,
1657,
2020,
2076,
2131,
2142,
2162,
2204,
2310,
2354,
2359,
2417,
2614,
2694,
2708,
2824,
2871,
2872,
2891,
2918,
2994,
2999,
3067,
3115,
3116,
3164,
3165,
3167,
3194,
3197,
3230,
3274,
3288,
3428,
3459,
3620,
3628,
3759,
3770,
3772,
3801,
3811,
3861,
3895) GROUP BY purchased_units.investor_id, purchased_units.fund_id");
			if($res->num_rows() > 0){
				$result = $res->result();
				$investor_id = 0;
				foreach($result as $r){
					if($investor_id != $r->investor_id){
						$built_arr[$dateStr."_".$r->investor_id]['date'] = $dateStr;
						$built_arr[$dateStr."_".$r->investor_id]['name'] = decode($r->username);
						$built_arr[$dateStr."_".$r->investor_id]['email'] = ($r->email);
					}


					if($c_nav = $this->getFundNavDate($nav,$dateStr,$r->fund_id)){
						$c_val = round($r->bal_units*$c_nav,2)>0?round($r->bal_units*$c_nav,2):0;
						$built_arr[$dateStr."_".$r->investor_id][$r->fund_id] = $c_val;
					}else{
						$built_arr[$dateStr."_".$r->investor_id][$r->fund_id] = "";
					}
				}
			}
		}
		// echo "<pre>";
		// print_r($data);
		// exit;
		$this->createEx($built_arr);
	}

	public function getFundNavDate($arr,$date,$fund_id)
	{
		if(isset($arr[$date."_".$fund_id])){
			return $arr[$date."_".$fund_id];
		}else{
			$sdate = date('Y-m-d',(strtotime ( '-1 day' , strtotime ( $date) ) ));
			return $this->getFundNavDate($arr,$sdate,$fund_id);
		}
	}


	public function createEx($data)
	{
		$res = $this->db->query("SELECT fund_id,`fund_name` FROM funds");
		if($res->num_rows() > 0){
			$funds = $res->result();
			$fileName = 'AUM_File_'.date("dmYhis");
	        // Create new PHPExcel object
	        $objPHPExcel = new PHPExcel();
	        // // Set document properties
	        $objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("My Excel Sheet")->setSubject("My Excel Sheet")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");
	        // Set active sheet index to the first sheet, so Excel opens this as the first sheet
	        $objPHPExcel->setActiveSheetIndex(0);
	        // Add column headers
	        $preFix = "";
	        $last_char = "D";
	        $objPHPExcel->getActiveSheet()
	        			->setCellValue('A1', 'DATE')
	                    ->setCellValue('B1', 'Name')
	                    ->setCellValue('C1', 'Email');

	        foreach ($res->result() as $key => $value) {
	        	// print_r($value);
	        	echo $preFix.$last_char;
	        	echo "<br />";
	        	 $objPHPExcel->getActiveSheet()->setCellValue($preFix.$last_char."1", $value->fund_name);
	        	 if($preFix.$last_char=="Z"){
	        	 	$last_char = "A";
	        	 	$preFix = "A";
	        	 }elseif($preFix.$last_char=="AZ"){
	        	 	$last_char = "A";
	        	 	$preFix = "B";
	        	 }else{
	        	 	$last_char = chr(ord($last_char) + 1);
	        	 }
	        }

	        $ii = 2;
	        foreach($data as $dt){
		        $preFix = "";
		        $last_char = "D";
	        	$objPHPExcel->getActiveSheet()
	        			->setCellValue('A'.$ii, $dt['date'])
	                    ->setCellValue('B'.$ii, $dt['name'])
	                    ->setCellValue('C'.$ii, $dt['email']);
	        	foreach ($funds as $k => $v) {
	        		$units = isset($dt[$v->fund_id])?$dt[$v->fund_id]:0;
	        		$objPHPExcel->getActiveSheet()->setCellValue($preFix.$last_char.$ii, $units);
	        		if($preFix.$last_char=="Z"){
		        	 	$last_char = "A";
		        	 	$preFix = "A";
		        	 }elseif($preFix.$last_char=="AZ"){
		        	 	$last_char = "A";
		        	 	$preFix = "B";
		        	 }else{
		        	 	$last_char = chr(ord($last_char) + 1);
		        	 }
	        	}
	        	$ii++;	
	        }
	        echo "run";
	        $objPHPExcel->getActiveSheet()->setTitle($fileName);
	        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
	        $objWriter->save('assets/uploads/report/'.$fileName.'.xlsx');
	        $attachment_path =  '/var/www/html/investocafeadmin/assets/uploads/report'. $fileName . '.xlsx';
	        $url = base_url("assets/uploads/report/". $fileName . ".xlsx");
	        echo '{"success":true,"path":"'.$url.'"}';
	       
		}
	}

	function getDatesFromRange($start, $end, $format = 'Y-m-d')
	{
	    $array = array();
	    $interval = new DateInterval('P1D');

	    $realEnd = new DateTime($end);
	    $realEnd->add($interval);

	    $period = new DatePeriod(new DateTime($start), $interval, $realEnd);

	    foreach($period as $date) { 
	        $array[] = $date->format($format); 
	    }

	    return $array;
	}

	public function getFundHistory($sdate,$edate)
	{
		$sdate = date('Y-m-d',(strtotime ( '-5 day' , strtotime ( $sdate) ) ));
		$res = $this->db->query("SELECT DATE_FORMAT(`nav_date`, '%Y-%m-%d') as nav_date,fund_id, `nav` FROM fund_history WHERE fund_history.nav_date BETWEEN '".$sdate."' AND '".$edate."'");
		if($res->num_rows() > 0){
			$arr = [];
			foreach($res->result() as $n)
			{
				$arr[$n->nav_date."_".$n->fund_id] = $n->nav;
			}

			return $arr;
		}
	}
}