<?php 


class DummyFund extends CI_Controller{
	
	public function run()
	{
		if($_SESSION['investor_id'] == 4104){
			date_default_timezone_set("Asia/Kolkata");   //India time (GMT+5:30)
			$date =  date('Y-m-d');
			$res = $this->db->where(['folio_date'=> $date,'investor_id'=>$_SESSION['investor_id']])->get('dummy_port_folio');
			if($res->num_rows() == 0){
				$ids =[
					// [112210, 1, "Axis Liquid Fund Growth" ,6.165,15462],
					// [114564, 2, "Axis Midcap Fund Growth",1311.135,59715.14],
					// [113221, 3, "Canara Robeco bluechip Equity Fund (G)",3272.205,110145],
					// [109353, 4, "Can Robeco Liquid Fund Reg Plan. (G)",7.378,21639.34],
					// [112932, 5, "Mirae Asset Emerging Bluechip Fund",689.612,38998.93],
					// [112090, 6, "Kotak Standard Multicap Fund (G)",3424.283,115500],
					// [104685, 7, "ICICI Prudential Balance Fund - Growth",1503.769,56500],
					// [113135, 8, "Franklin India Low Duration Fund - Regular plan",352.177,7873.26],
					// [103347, 9, "DSP Liquidity Fund - Regular Plan - Growth",10.996,36134.09],
					// [100081, 10, "DSP Equity & Bond Fund - Regular Plan - Growth",460.772,90217.68]
				];
				$bunddle_Arr = "";
				$total = 0;
				$cTotal = 0;
				foreach ($ids as $key => $id) {
					$data =  file_get_contents("https://api.mfapi.in/mf/".$id[0]);
					if($data){
						$arr_data = json_decode($data);
						$bunddle_Arr .= "<tr><td class='col-md-4'>".$id[2]."</td><td>".$id[4]."</td><td>".round($id[3]*$arr_data->data[0]->nav,2)."</td></tr>";
						$total = $total + $id[4];
						$cTotal = $cTotal + round($id[3]*$arr_data->data[0]->nav,2);
					}
					
				}
				$this->db->insert('dummy_port_folio',[
					"dummy_data"=>$bunddle_Arr,
					"folio_date"=>$date,
					"investor_id"=>$_SESSION['investor_id'],
					"total"=>$total,
					"cTot"=>$cTotal
				]);
				echo '{"success":true,"data":"'.$bunddle_Arr.'","total":'.$total.',"cTot":'.$cTotal.'}';
			}else{
				$bunddle_Arr = $res->row()->dummy_data;
				$total = $res->row()->total;
				$cTotal = $res->row()->cTot;
				// echo '{"success":true,"data":"'.$bunddle_Arr.'","total":'.$total.',"cTot":'.$cTotal.'}';
			}
			
		}else{
			echo '{"success":false,"data":""}';;
		}
		
	}
}