<?php


class STPCients extends CI_Controller{
	
	public function index()
	{
		$res = $this->db->query("SELECT users.username, users.email, funds.fund_name, SUM(purchased_units.unit_count) as unit_count, (SELECT SUM(sold_units.unit_count) FROM sold_units WHERE investor_id = purchased_units.investor_id AND fund_id = purchased_units.fund_id AND sold_units.request_status = 1) as sold_units, purchased_units.investor_id, fund_history.nav FROM stp_frequency JOIN purchased_units ON purchased_units.investor_id = stp_frequency.investor_id JOIN investor ON investor.investor_id = stp_frequency.investor_id JOIN users ON users.id = investor.login_id JOIN fund_history ON fund_history.fund_id = purchased_units.fund_id JOIN funds ON funds.fund_id = purchased_units.fund_id WHERE purchased_units.fund_id in(9227,9244,9245,9246,9252,9258) AND fund_history.is_latest = 1 AND purchased_units.request_status = 1 GROUP BY purchased_units.fund_id, purchased_units.investor_id");
		if($res->num_rows() > 0){
			$file = fopen("assets/stp_client_list.csv","w");
			foreach ($res->result() as $key => $r) {
				$data =  $this->encrypt->decode($r->username).",".$r->email.",".$r->fund_name.",".$r->unit_count.",".$r->sold_units.",".$r->investor_id.",".$r->nav;
				fputcsv($file,explode(',',$data));
			}
			fclose($file);
		}
	}
}