<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class AboutUs extends CI_Controller
{
	function __construct()
	{
	   	// Call the Model constructor
	   	parent::__construct();
	 	$this->load->model('about_us_model');
	}

	public function index()
	{	
		$data = array();
		$this->data['pageTitle'] = 'About Investocafe';
		$allBankAssociatedCollaborators=$this->about_us_model->getAllBankAssociatedCollaborators();
		$this->data["bankAssociated"]=$allBankAssociatedCollaborators;
		$allAmcsOnBoardCollaborators=$this->about_us_model->getAllAmcsOnBoardCollaborators();
		$this->data["amcsOnBoard"]=$allAmcsOnBoardCollaborators;
  		$result = $this->about_us_model->getQuestionsDetail();
		$this->data["question"] = $result;
		$this->data['custom_css'] = 'allcss/about_us.css';
		$this->data['title'] = "About Us";
		$this->_loadNewView('theme/about/about_us');
	}

	function _loadNewView($view)
  	{
  		$this->data['jsFile'] = 'about_us/aboutus.js';
		$this->load->view('theme/common/header',$this->data);
        $this->load->view($view,$this->data);
        $this->load->view('theme/common/footer',$this->data);
  	}
	
		

	public function appColl()
	{

		$allBankAssociatedCollaborators=$this->about_us_model->getAllBankAssociatedCollaborators();

		$beta["bankAssociated"]=$allBankAssociatedCollaborators;

		$allAmcsOnBoardCollaborators=$this->about_us_model->getAllAmcsOnBoardCollaborators();

		$beta["amcsOnBoard"]=$allAmcsOnBoardCollaborators;

  		$result = $this->about_us_model->getQuestionsDetail();

		$beta["question"] = $result;

		$out = json_encode($beta);

        echo $out;

	}
	
	
	public function disclosures()
	{
		$data = [

						[
							["AmcName" => "UTI AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"],
							["AmcName" => "IDFC AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"],
							["AmcName" => "AXIS AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"],
							["AmcName" => "SBI AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"],
							["AmcName" => "TATA AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"],
							["AmcName" => "ICICI AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"],
							["AmcName" => "BIRLA SUNLIFE AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"1.1","TrailSecondYear"=>"1.1","name" => "TAX SAVING SCHEMES"]
						],
			            [
							["AmcName" => "UTI AMC" , "upFront" => "3" ,"TrailFirstYear"=>"1","TrailSecondYear"=>"1","name" => "HYBRID SCHEMES"],
							["AmcName" => "IDFC AMC" , "upFront" => "0.75" ,"TrailFirstYear"=>"0.75","TrailSecondYear"=>"0.75" ,"name" => "HYBRID SCHEMES"],
							["AmcName" => "AXIS AMC" , "upFront" => "0.7" ,"TrailFirstYear"=>"0.7","TrailSecondYear"=>"0.7","name" => "HYBRID SCHEMES"],
							["AmcName" => "SBI AMC" , "upFront" => "1" ,"TrailFirstYear"=>"0.5","TrailSecondYear"=>"0.5","name" => "HYBRID SCHEMES"],
							["AmcName" => "ICICI AMC" , "upFront" => "0.75" ,"TrailFirstYear"=>"0.5","TrailSecondYear"=>"0.5","name" => "HYBRID SCHEMES"],
							["AmcName" => "BIRLA SUNLIFE AMC" , "upFront" => "0.8" ,"TrailFirstYear"=>"0.7","TrailSecondYear"=>"0.7","name" => "HYBRID SCHEMES"]
						],
			            [
							["AmcName" => "UTI AMC" , "upFront" => "0.55" ,"TrailFirstYear"=>"0.75","TrailSecondYear"=>"0.75","name" => "DEBT SCHEMES"],
							["AmcName" => "IDFC AMC" , "upFront" => "0.25" ,"TrailFirstYear"=>"0.75","TrailSecondYear"=>"0.75","name" => "DEBT SCHEMES"],
							["AmcName" => "AXIS AMC" , "upFront" => "0.4" ,"TrailFirstYear"=>"0.5","TrailSecondYear"=>"0.5","name" => "DEBT SCHEMES"],
							["AmcName" => "SBI AMC" , "upFront" => "0.5" ,"TrailFirstYear"=>"0.65","TrailSecondYear"=>"0.65","name" => "DEBT SCHEMES"],
							["AmcName" => "TATA AMC" , "upFront" => "0.3" ,"TrailFirstYear"=>"0.85","TrailSecondYear"=>"0.85","name" => "DEBT SCHEMES"],
							["AmcName" => "ICICI AMC" , "upFront" => "Nil" ,"TrailFirstYear"=>"0.2","TrailSecondYear"=>"0.2","name" => "DEBT SCHEMES"],
							["AmcName" => "BIRLA SUNLIFE AMC" , "upFront" => "Nil" ,"TrailFirstYear"=>"0.2","TrailSecondYear"=>"0.2","name" => "DEBT SCHEMES"]
						],

			            [
							["AmcName" => "UTI AMC" , "upFront" => "0.85" ,"TrailFirstYear"=>"0.6","TrailSecondYear"=>"0.6","name" => "EQUITY SCHEMES"],
							["AmcName" => "IDFC AMC" , "upFront" => "0.75" ,"TrailFirstYear"=>"0.75","TrailSecondYear"=>"0.75","name" => "EQUITY SCHEMES"],
							["AmcName" => "AXIS AMC" , "upFront" => "0.7" ,"TrailFirstYear"=>"0.7","TrailSecondYear"=>"0.7","name" => "EQUITY SCHEMES"],
							["AmcName" => "SBI AMC" , "upFront" => "0.5" ,"TrailFirstYear"=>"0.65","TrailSecondYear"=>"0.65","name" => "EQUITY SCHEMES"],
							["AmcName" => "TATA AMC" , "upFront" => "0.65" ,"TrailFirstYear"=>"0.85","TrailSecondYear"=>"0.85","name" => "EQUITY SCHEMES"],
							["AmcName" => "ICICI AMC" , "upFront" => "0.75" ,"TrailFirstYear"=>"0.5","TrailSecondYear"=>"0.5","name" => "EQUITY SCHEMES"],
							["AmcName" => "BIRLA SUNLIFE AMC" , "upFront" => "0.8" ,"TrailFirstYear"=>"0.7","TrailSecondYear"=>"0.7","name" => "EQUITY SCHEMES"]
						]

		];

		echo json_encode($data);
	}
}
