<?php

class apiFundDetail extends CI_Controller{
	
	public function info()
	{
		$data = $this->get_fund_history();
		echo '{"success":true,"data":'.json_encode($data).'}';

	}

	public function get_fund_history()
	{
		$data = [];
		$res_fund_history = $this->db->query("SELECT fg.fund_history_id, funds.fund_name,funds.slug, DATE_FORMAT(fg.nav_date,'%d/%M/%Y') as nav_date, fg.nav, fg.purchase_price, fg.sale_price, fg.ts, fg.fund_id, fg.is_latest, (SELECT nav FROM fund_history WHERE `is_latest` = 0 AND fund_id = fg.fund_id ORDER BY fund_history_id DESC LIMIT 0,1) as last_nav, (SELECT nav_date FROM fund_history WHERE `is_latest` = 0 AND fund_id = fg.fund_id ORDER BY fund_history_id DESC LIMIT 0,1) as last_nav_date FROM fund_history AS fg JOIN funds ON fg.fund_id = funds.fund_id WHERE `is_latest` = 1");
		if($res_fund_history->num_rows() > 0){
			$data['fund_history'] = $res_fund_history->result();
		}else{
			$data['fund_history'] = false;
		}

		return $data;
	}
}