<?php

class ApiLogin extends CI_Controller{

	function __construct()
	{
		parent::__construct();
		$this->load->model('login/login_model');
	}

	// login api to login users and return necrypted string that having username, email, phone number, investor id and userid
	public function login()
	{
		// echo $this->uri->segment(1);
		if(checkToken()){
            if(methodCheck() == 'POST'){
                $post = (object) $this->input->post();
                if(!empty($post)){
					$error = [];
					$response = $post;
					if($response){
						$data = $response;
						if(!$data->email){
							$error[] = "email should not be blank";
						}else if(!filter_var($data->email, FILTER_VALIDATE_EMAIL)){
							$error[] = "email not valid";
						}
						else if(!$data->password){
							$error[] = "password should not be blank";
						}

						if(count($error) == 0){
							$remember = 0;
							$is_verify =  $this->db->query("SELECT investor.is_verify FROM investor JOIN users on users.id = investor.login_id WHERE users.email = '".$data->email."' and investor.is_verify = 1");
							if($is_verify->num_rows() > 0){
								if($this->ion_auth->login($data->email, $data->password, $remember))
								{
									$user = $this->ion_auth->user()->row();
									$resultInvestorId=$this->login_model->getInvestorIdByUserId($user->id);
									$userdata['username'] = $this->encrypt->decode($user->username);
									$userdata['email']	=	$user->email;
									$userdata['phone'] =  $this->encrypt->decode($user->phone);
									$userdata['investor_id'] = $resultInvestorId->investor_id;
									$userdata['user_id'] = $user->id;
									response(['login_token'=>$this->encrypt->encode(json_encode($userdata))]);
									// echo json_encode(['success'=>true]);
								}
								else
								{
									$error[]="Incorrect email or password";
									errorResponse($error,404);
								}
							} else {
								$error[]="email not varify";
								errorResponse($error,404);
							}
							
						}else{
							errorResponse($error,404);
						}
					}else{
						$error[]="please pass email and password";
						errorResponse($error,404);
					}
				}else{
                    $error[] = "post data empty";
                    errorResponse($error,404);
                }
            }else{
                $error[] = methodCheck()." Method not allowed";
                errorResponse($error,404);
            }
        }else{
            $error[] = "Invalid token";
            errorResponse($error,404);
        }
	}
}