<?php
/*
-----------------------------------------------------------------------------------------------------------
|	Author : Amit meena
|	Date : 19/11/2016
|	comment : This Class Use to get Responce When First Response OF Net Banking Failed 
-----------------------------------------------------------------------------------------------------------
*/
class Atom_requery_cron extends CI_Controller{
	
	function __construct()
	{
        // Call the Model constructor
        parent::__construct();
		$this->config->load('config_atom');
        $this->load->model('purchase/purchase_model');
        $this->load->helper('transaction_helper');
	}
/*
-----------------------------------------------------------------------------------------------------------
|	Author : Amit meena
|	Date : 19/11/2016
|	comment : This Fundtion Is Used to Get Date From DataBase That Failed To Get Response From Database
-----------------------------------------------------------------------------------------------------------
*/
	public function index()
	{
		date_default_timezone_set("Asia/Kolkata");

		$date = date('Y-m-d', mktime(0, 0, 0, date("m") , date("d") - 2, date("Y")));
		log_message('info', '*****  Controller : Atom_requery_cron, Function : index Run requery cron *****');
		echo "<pre>";
		$data = $this->purchase_model->get_nb_failur_data($date);

			if($data):
				foreach($data as $data)
				{
					$mer_txn = $data->mer_txn;
					$purchased_amount = $data->purchased_amount;
					$date=date_create($data->ts);
					$date = date_format($date,"Y-m-d");
					$merchantid = $this->config->item('Login');
					$url = "https://payment.atomtech.in/paynetz/vfts?merchantid=".$merchantid."&merchanttxnid=".$mer_txn."&amt=".$purchased_amount."&tdate=".$date."";
					$responce = $this->sendInfo($url);
					$responce = $this->xmltoarray($responce);
				    $final_responce = $responce[0]['attributes'];
					if($final_responce['VERIFIED'] == 'SUCCESS')
					{
						log_message('info', '*****  Controller : Atom_requery_cron, Function : index responce '.$final_responce['VERIFIED'].' *****');
						print_r($responce);
						$res = $this->purchase_model->getNetBankingSuccessUserDetai($mer_txn);
						if($res)
						{
							$username = $this->encrypt->decode($res->username);
							$phone = $this->encrypt->decode($res->phone);
							$amount = $final_responce['AMT'];
							$this->sendPurchaseSms($username,$phone,$amount);
						}
						$this->netbankingResponse($mer_txn,$responce);
					}  
				}
			endif;
	}
	
/*
-----------------------------------------------------------------------------------------------------------
|	Author : Amit meena
|	Date : 19/11/2016
|	comment : This Fundtion Is Used Hit API To ATOM Server To get Response That Failed First Time
-----------------------------------------------------------------------------------------------------------
*/	
	function sendInfo($paymentUrl)
	{
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $paymentUrl);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_PORT , 443);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		$returnData = curl_exec($ch);
		curl_close($ch);
		return $returnData;
	}
	
/*
-----------------------------------------------------------------------------------------------------------
|	Author : Amit meena
|	Date : 19/11/2016
|	comment : This Fundtion Is Used TO Convert XML Responce To Array
-----------------------------------------------------------------------------------------------------------
*/	
	function xmltoarray($data)
	{
		$parser = xml_parser_create('');
		xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, "UTF-8");
		xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
		xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
		xml_parse_into_struct($parser, trim($data), $xml_values);
		xml_parser_free($parser);
		return $xml_values;
	}
/*
-----------------------------------------------------------------------------------------------------------
|	Author : Amit meena
|	Date : 19/11/2016
|	comment : This Fundtion Is Used Update Database According To the Responce Change
-----------------------------------------------------------------------------------------------------------
*/		
	function netbankingResponse($mer_txn,$response)
	{
		$nb_request_status = '1';
		date_default_timezone_set("Asia/Kolkata");
		$dateOfDeposit = date('Y-m-d H:i:s');
		$depositRefNo = $response[0]['attributes']['BID'];
		$updPurchaseRes = $this->purchase_model->updatePurchaseEntry($nb_request_status,$mer_txn,$dateOfDeposit,$depositRefNo);
		$updateResNetbanking = $this->purchase_model->requery_updateNetbankingEntry($response);
	}
	
	
	function sendPurchaseSms($userName,$userPhone,$amount,$admin = 0)
    {
        if($userPhone!="" && $userName!="")
        {
            $ch = curl_init();
			if($admin==0)
			{
				 $url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$userPhone."&message=Dear%20".$userName."%2C%0AYour%20request%20for%20purchase%20of%20 mutual fund of Rs.%20".$amount."%20has%20been%20received%20at%20our%20end%2C%20It%20will%20be%20processed%20shortly.%20%0ATeam%20Investocafe.&sender=INCAFE&route=4";
            
			}
			
			$url=str_replace(" ", "%20", $url1);
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $output = curl_exec($ch);
            $dbData = array ('phone'=>$userPhone,'response'=>$output);
            $this->db->insert('msg_log',$dbData);
            curl_close($ch);
            if ( $output === FALSE)
            {
              $output=curl_error($ch); //echoes last session error
              return false;
            }
            return $output;
        }
    }
}