<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class CamsFatca extends CI_Controller
{
	function __construct()
	{
	  parent::__construct();
	}

	public function index()
	{
    
	}

	function createFatcaPDF()
    {
      	$data = "";
        $pdfBody = $this->load->view('cams_fatca_form_view.php',$data,true);
        $this->load->library('mpdf60/mPDF');
        $pdfPath = '';
        try
        {
            $mpdf=new mPDF('win-1252','A4','','DejaVuSans',5,5,5,5,10,10,'');
            $mpdf->useOnlyCoreFonts = true;    // false is default
            $mpdf->SetProtection(array('print'));
            $mpdf->SetTitle("FATCA FORM");
            $mpdf->SetAuthor("Audit");
            $mpdf->showWatermarkText = true;
            $mpdf->SetDisplayMode('fullpage');

            $html=$pdfBody;
            $mpdf->WriteHTML($html);

            $fileName = 'investor'.$investorId.date('YmdHis', time()).'.pdf';
            $mpdf->Output(APPPATH.'../assets/uploads/fatca_form_pdf/'.$fileName, 'F');
            $pdfPath = realpath(APPPATH.'../assets/uploads/fatca_form_pdf/'.$fileName);
        }
        catch(Exception $e)
        {
            echo $e;die;
            exit;
        }
    }
}