<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class CommonMail extends CI_Controller
{
	function __construct()
	{
	   // Call the Model constructor
	   parent::__construct();
	}

	public function index()
	{
	}

    /** Send risk profile email **/
    public function sendRiskProfileEmail()
    {
        $to = "";
        $from = "";
        $body    = $this->load->view("risk_profile_email_view",'',true);
        $subject = "Your Risk Profile";
        $replyTo = "";
        $this->commonMailSender($to, $from, $body, $subject, $replyTo);
    }

    /** Send registration confirmation email **/
    public function sendRegistrationConfirmationEmail()
    {
        $to = "";
        $from = "";
        $body  = $this->load->view("registration_confirmation_email_view",'',true);
        $subject = "Registration Confirmation";
        $replyTo = "";
        $this->commonMailSender($to, $from, $body, $subject, $replyTo);
    }

    /** Send mutual fund investment email **/
    public function sendMutualFundInvestmentEmail()
    {
        $to = "";
        $from = "";
        $body  = $this->load->view("invest_in_mutual_fund_email_view",'',true);
        $subject = "Invest in top Mutual Funds today!";
        $replyTo = "";
        $this->commonMailSender($to, $from, $body, $subject, $replyTo);
    }

    /** Send SIP email **/
    public function sendSipEmail()
    {
        $to = "";
        $from = "";
        $body  = $this->load->view("sip_email_view",'',true);
        $subject = "SMART SIP to reach your financial goal";
        $replyTo = "";
        $this->commonMailSender($to, $from, $body, $subject, $replyTo);
    }

    /** Send tax saving email **/
    public function sendTaxSavingEmail()
    {
        $to = "";
        $from = "";
        $body  = $this->load->view("tax_saving_email_view",'',true);
        $subject = "Save tax upto Rs 45000/- every year";
        $replyTo = "";
        $this->commonMailSender($to, $from, $body, $subject, $replyTo);
    }

    public function commonMailSender($to, $from, $body, $subject, $replyTo)
    {
        $this->email->set_mailtype("html");
        $this->email->to($to);
        $this->email->from($from);
        $this->email->subject($subject);
        $this->email->message($body);
        $result = $this->email->send();
        $this->email->reply_to($replyTo);
        //echo $this->email->print_debugger(); die;
        if($result)
        {
						log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : CommonMail, Function : commonMailSender, Message : Email created successfully *****');
        }
        else
        {
						log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : CommonMail, Function : commonMailSender, Message : Error while creating email *****');
        }
    }


}
