<?php

class Cval extends CI_Controller{
	
	function __construct()
	{
		parent::__construct();
		$this->load->model('api_model/api_dashboard_model');
	}


	public function getAnuData()
	{
		$res = $this->db->query("SELECT users.username, users.email, users.phone, investor.umrn,investor_id FROM investor JOIN users ON users.id = investor.login_id WHERE investor.investor_id in(121,
122,
146,
152,
449,
461,
526,
683,
717,
722,
752,
762,
1121,
1371,
1954,
2070,
2076,
2142,
2354,
2824,
2872,
2891,
2994,
2999,
3115,
3164,
3165,
3230,
3288,
3428,
3620,
3628,
3759,
3770,
3772,
3811) GROUP BY investor_id");
		$file = fopen("assets/stp_data_data.csv","w");
		foreach($res->result() as $r){
			// if($r->amt>195000){
				$response = $this->getPortFolio($r->investor_id);
				if(true){
					// foreach ($response->key as $key => $value) {
						$sp_data = $this->getMonthlyInvestment($r->investor_id);
						$data =  $this->encrypt->decode($r->username).",".$r->email.",".$this->encrypt->decode($r->phone).",".round($response->total['all']['investment_current_value'],2).",".$r->investor_id.",".$r->umrn.",".$sp_data[0].",".$sp_data[1];
						fputcsv($file,explode(',',$data));
					// }
				}
				
			// }
			
		}
		fclose($file);
	}

	// public function getdataList()
	// {
	// 	$res = $this->db->query("SELECT users.username,users.email,purchased_units.investor_id FROM purchased_units JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE investment_plan_type = 'STP' AND `request_date` BETWEEN '2020-03-02' AND '2020-04-20' AND request_date != '2020-04-01' AND request_status = 1 GROUP BY `investor_id`");
	// 	if($res->num_rows()){
	// 		echo "<pre>";
	// 		$file = fopen("assets/stp_fund_data.csv","w");
	// 		foreach($res->result() as $r){
	// 			$response = $this->getPortFolio($r->investor_id);
	// 			foreach($response->key9 as $fund){
	// 				$data =  $this->encrypt->decode($r->username).",".$r->email.",".$r->investor_id.",".$fund->fund_name.",".$fund->current_amount;
	// 				fputcsv($file,explode(',',$data));
	// 			} 
	// 		}
	// 		fclose($file);
	// 	}
	// }

	public function getPortFolio($investor_id)
	{
		$calculted_funds = [];
		$fund_amount = $this->api_dashboard_model->getInvestedFund($investor_id);
		if($fund_amount)
		{
			foreach($fund_amount as $fs)
			{
				$current_invested_amount = $this->investmentCurrentValue($fs->fund_id,$investor_id);
				@$calculted_funds['total']['all']['current_invested_amount'] += $current_invested_amount[0];
				@$calculted_funds['total']['all']['investment_current_value'] += $fs->current_amount;
				@$calculted_funds['total'][$fs->fund_type_id]['current_invested_amount'] += $current_invested_amount[0];
				@$calculted_funds['total'][$fs->fund_type_id]['investment_current_value'] += $fs->current_amount;
				// @$calculted_funds['total'][$fs->fund_type_id]['folio'] = $current_invested_amount[1];
				$fs->current_invested_amount = $current_invested_amount[0];
				$fs->folio = $current_invested_amount[1];
				$calculted_funds['key'][] = $fs;
			}
		}
		return $data['purchased'] = ((object)$calculted_funds);
	}

	public function getMonthlyInvestment($investor_id)
	{
		$res = $this->db->query("SELECT * from monthly_investment WHERE investor_id = $investor_id AND next_investment_date < '2021-04-08' and monthly_investment.no_of_invested_months > 1  GROUP BY investor_id");
		if($res->num_rows() > 0){
			$data = $res->row();
			if($data->no_of_months == $data->no_of_invested_months){
				$st = "Complete";
			}else{
				$st = "Stop";
			}
			return [
				$st,
				$data->next_investment_date
			];
		}else{
			return [
				"SIP Not Started",
				""
			];
		}

	}


	public function investmentCurrentValue($fund_id,$investor_id)
	{
		$res_purchase_fund = $this->api_dashboard_model->purchaseFund($investor_id,$fund_id);
		// echo "<pre>";
		// print_r($res_purchase_fund);
		// exit;
		$res_unit_sum_sold_fund = $this->api_dashboard_model->unitSumOfSoldUnits($investor_id, $fund_id);
		if($res_unit_sum_sold_fund->num_rows() > 0)
		{
			$purchase_fund = $res_purchase_fund;
			$total_sold_units =  $res_unit_sum_sold_fund->row()->units;
			$remaining_units =$total_sold_units;
			$current_amount = 0;
			foreach($purchase_fund as $pf)
			{
				$remaining_units = $remaining_units - $pf->unit_count;
				if($current_amount > 0)
				{
					$current_amount = $current_amount + $pf->purchased_amount;
				}

				if($remaining_units < 0 && $current_amount ==0)
				{
					$old_nav = $pf->purchased_amount/$pf->unit_count;
					$current_amount = $old_nav* abs($remaining_units);
				}
			}
			$camt =  round($current_amount);
			return [$camt,$res_purchase_fund[0]->folio_number];
		}
	}
}