<?php
class InvestorFollowUpCron extends CI_Controller{
	
/* 
 * this cron is used to send remoder email or sms to users that do not complted their registration
 * frequiency : one time in month
 */
	public function sendReminderEmail()
	{
		 $data = $this->db->query("select users.username,users.email,users.phone from investor join users on users.id = investor.login_id where is_do_not_reg_nominee = 1 and is_incomplete_bank_detail = 1"); 
		if($data->num_rows() > 0 )
		{
			$rows = $data->result();
			if($rows)
			{
				   foreach($rows as $row)
					{
						$name = $this->encrypt->decode($row->username);
						$email = $row->email;
						$phone = $this->encrypt->decode($row->phone);
						//Email send on second and fourth tuesday
						if($name && $email)
						{
							$data =[];
							$data['name'] = $name;
							$data['link'] = base_url("Login");
							$data['link_text'] = "login";
							$data['link2'] = "";
							$data['link_text2'] = "";
							$email = $email;
							$view = "auth/email/follow_up_email";
							$subject = "Investment Services Account INVESTOCAFE.";
							$data['contant'] = "Season Greetings from Investocafe !!!.<br /><br />Thank you for showing interest with Investocafe. We offer you Life Time free Investment Services Account, based on Robotics and Scientific process of Fund selection. Investing in Mutual Funds offers Inflation beating Returns in Long Term.";
							$this->sendRiskMail($email,$view,$data,$subject);
						}
						
					}
				
			} 
		} 
              
	}
	
/* 
 * this cron is used to send remoder sms or sms to users that do not complted their registration
 * frequiency : one time in month
 */
	public function sendReminderSms()
	{
		 $data = $this->db->query("select users.username,users.email,users.phone from investor join users on users.id = investor.login_id where is_do_not_reg_nominee = 1 and is_incomplete_bank_detail = 1"); 
		if($data->num_rows() > 0 )
		{
			$rows = $data->result();
			if($rows)
			{
				    foreach($rows as $row)
					{
						$name = $this->encrypt->decode($row->username);
						$email = $row->email;
						$phone = $this->encrypt->decode($row->phone);					    
						//sms send on second and fourth saturday	
						if($name &&  $phone)
						{
							$msg = "Dear ".$name.", log on to www.investocafe.com to complete your registration to start investing in a paperless and hassle free manner. Regards Team INVESTOCAFE.";
							$this->sendSms($name,$phone,$msg);
						}
					
					}
			} 
		} 
	}
/* 
 * this cron is used to send email to users 
 * frequiency : one time in month
 */
	public function setCronToSendEmailOnce()
	{
		$data = $this->db->query("select username,email,id,email_status from users");
		if($data->num_rows() > 0)
		{
			$rows = $data->result();
			if($rows)
			{
				foreach($rows as $row)
				{
					$name = $this->encrypt->decode($row->username);
				    $email = $row->email;
					$id  = $row->id;
					$email_status = $row->email_status;
					
					if($name && $email_status == 0 )
					{
						$data = [];
						$data['name'] = $name;
						$data['link'] = base_url("login");
						$data['link_text'] = "Complete your registration";
						$data['link2'] = base_url("login");
						$data['link_text2'] = "Begin Investing";
						$email = $email;
						$view = "auth/email/follow_up_email";
						$subject = "Save TAX upto 45000/- Along with Great Returns | Invest in ELSS today";
						$data['contant'] = "Investments in Equity Linked Savings Schemes (ELSS) or Tax-Saving funds not only save your tax upto Rs 45000/- , but also gives you handsome Returns in comparison to Investment in Bonds/ Provident Fund/ LIC policies etc . They help you take rebate on Income tax as much as Rs. 1.5 lakhs under Section 80C of the Income Tax Act. Generally ELSS have three years lock in period therefore the Returns are also great.The performance table of top ELSS in recent times:Returns Generated (in % annualized as on Oct 2015) <br />
						<table style='width:80%;margin:auto;border-collapse: collapse;' border='1' cellpadding='10'><tr><th>ELSS</th><th>3 years</th><th>5 years</th></tr><tr>
								<td>Axis Long Term Equity</td><td>30</td><td>19.1</td></tr><tr>
								<td>BNP Paribas Long Term Equity</td>
								<td>24.2</td><td>14.2</td></tr><tr><td>Franklin India Taxshield</td>
								<td>23.7</td><td>14.4</td></tr><tr><td>ICICI Prudential Long Term Equity Fund</td><td>22.5</td><td>12.2</td></tr><tr><td>IDFC Tax Advantage (ELSS)</td><td>22.7</td><td>11.3</td></tr><tr><td>Reliance Tax Saver (ELSS)</td><td>24.4</td><td>13.8</td></tr></table>";
						$this->sendRiskMail($email,$view,$data,$subject);
						$this->db->where('id',$id)->update('users',['email_status' => 1]);
						$this->load->view($view,$data);
					}
					
					if($name && $email_status == 1)
					{
						$data = [];
						$data['name'] = $name;
						$data['link'] = base_url("login");
						$data['link_text'] = "Complete your registration";
						$data['link2'] = base_url("login");
						$data['link_text2'] = "Begin Investing";
						$email = $email;
						$view = "auth/email/follow_up_email";
						$subject = "Systematic Investment Plan(SIP)-Small Savings building a huge Corpus";
						$data['contant'] ="A Systematic Investment Plan (SIP) is an Intelligent, Easy and Stress-free way to invest regularly in Mutual Funds and build Wealth without worrying about the volatile market. You can invest small sums of money (as low as Rs. 500) every month to acquire your Financial Goals. Take a look at suggested Financial Goals in the table below:<br />
									<table style='width:100%;margin:auto;border-collapse: collapse;' border='1' cellpadding='3'>
										<tr>
											<th>Future goal</th>
											<th>Minimum SIP(Approx in Rs)</th>
											<th>Period </th>
											<th>Average assumed </th>
											<th>returns Amount you get(Approx in Rs)</th>
										</tr>
										<tr>
											<td>Children higher education</td>
											<td>3250 </td>
											<td>15 years </td>
											<td>15 % </td>
											<td>20 lakh</td>
										</tr>
										<tr>
											<td>lakh Child Marriage</td>
											<td>3250</td>
											<td>15 years</td>
											<td>15 % </td>
											<td>20lakh</td>
										</tr>
										<tr>
											<td>SUV car </td>
											<td>14000 </td>
											<td>5 years </td>
											<td>15 % </td>
											<td>12 lakh </td>
										</tr>
										<tr>
											<td>Foreign trip </td>
											<td>11500</td>
											<td>5 years </td>
											<td>15 %</td>
											<td>10 lakh </td>
										</tr>
										<tr>
											<td>Retirement </td>
											<td>1800 </td>
											<td>30 years </td>
											<td>15 % </td>
											<td>1 Crore</td>
										</tr>
									</table>
										<br />
										<b>SIPs Benefits:</b><br />
										1. Disciplined stress free investment executed automatically every month.<br />
										2. You Invest across market phases, over long periods of time, thus beat the market volatility (ups & downs). For example, in the market fall of 2008, as well as during the recent fall in markets, SIPs would have ensured you bought more units in market lows. This helps in averaging the Cost of your Investment, and delivers superior Returns with fewer shocks over the Long Term.<br />
										3. You get the Inflation Beating Returns hence it makes your investments to reach comfortable state to afford your future requirements or Financial Goals.<br />";
						$this->sendRiskMail($email,$view,$data,$subject);
						$this->db->where('id',$id)->update('users',['email_status' => 2]);
						$this->load->view($view,$data);
					}
					
					if($name  && $email_status == 2)
					{
						$data = [];
						$data['name'] = $name;
						$data['link'] = base_url("login");
						$data['link_text'] = "Complete your registration";
						$data['link2'] = base_url("login");
						$data['link_text2'] = "Begin Investing";
						$email = $email;
						$view = "auth/email/follow_up_email";
						$subject = "Give Wings to your Child's Dream |It's Time to Plan for Higher Education";
						$data['contant'] ="An analysis on the increase in the fees of Higher Education indicates that the tution fees in Top Management Institutes have risen faster than Inflation.For education. For instance, cost of a course in today’s value is Rs 20,00,000 then considering inflation at 10% for 15 years hence (in 2032), the value of the same course would be around Rs 83,54,496 and to reach this goal @14% rate of return you just need to invest Rs 13,791 per month in Equity Mutual Fund for 15 years. Isn't it a Great News? Now your can be rest assured and comfortably reach the Financial Goal of your Child's Higher Education";
						$this->sendRiskMail($email,$view,$data,$subject);
						$this->db->where('id',$id)->update('users',['email_status' => 3]);
						$this->load->view($view,$data);
					}
				}
			}
		}
	}
	
	public function test()
	{
		
	    $data['name'] = "Neha joshi";
		$data['link'] = base_url("login");
		$data['link_text'] = "Log in to account";
		$data['contant'] ="Season Greetings from Investocafe !!! <br />As we search always to find means of our lives, similarly we have certain goals which require finances to meet them successfully. that can be a holiday around the world, your chilren's higher education or your own retirement. Investocafe smart tools help you to assess the write amount needed by you to meet such requirements in future.Future is bright with Investocafe. donot wait now, login to set your goals in life. ";
		//$email = "amitmeena0206@gmail.com";
		$view = "auth/email/follow_up_email";
		$subject = " Invest to acheive goals of your life.";
		//$this->load->view($view,$data);
		$this->sendRiskMail($email,$view,$data,$subject);
		
	}
	
/* 
 * this cron is used to send email and sms to users they do not add Goal 
 * frequiency : one time in month
 */
	public function setReminderTosetGoalCron()
	{
		$res = $this->db->query("SELECT users.username, users.phone, users.email, investor.investor_id FROM users JOIN investor ON users.id = investor.login_id WHERE investor.is_incomplete_bank_detail = 1 AND investor_id NOT IN( SELECT investor_id FROM goals )");
		$res = $res->result();
		foreach($res as $rs)
		{
			$name = $this->encrypt->decode($rs->username);
			$phone = $this->encrypt->decode($rs->phone);
			if($name != "amit meena" && $name != "Amit meena" && $name != "Amit Meena"  && $phone != 8962314514 && $phone != 9039569846)
			{
				$email = explode("@",$rs->email);
				$lenth = strlen($email[0]);
				if($lenth > 8)
				{
					$email = $rs->email;
					if($email && $name)
					{
						$data['name'] = $name;
						$data['link'] = base_url("login");
						$data['link_text'] = "Complete Your Registration to Begin Investing";
						$data['contant'] ="Season Greetings from Investocafe !!! <br /><br />Setting Short-term, Mid-term and Long-term Financial Goals is an important step toward becoming Financially secure. Financial planning helps you determine your Life Goals and create a balanced plan to meet those goals.<br />
							Investing with Investocafe secures your Financial well-being and helps you achieve your Life Goals, Be it your child's Higher Education or a Dream Vacation or building a Retirement corpus,our smart tool helps you to assess the right amount needed to meet future goals.Do Not Wait, Login to set your Goals Now!";
						$view = "auth/email/follow_up_email";
						$subject = "Complete Your Registration to Begin Investing & Be Financially Secure";
						//$this->load->view($view,$data);
						$this->sendRiskMail($email,$view,$data,$subject);
					}
					
					if($phone && $name)
					{
						$msg = "Dear ".$name.", Investing becomes more target oriented when you do it with specific goals in mind. Log in to your investocafe account to add goals and know write amount needed to achieve it.Team Investocafe";
						$this->sendSms($name,$phone,$msg);
					}
				}
			}
		}
	}

	public function sendSms($my_name,$userPhone,$msg)
	{
		if($my_name!="" && $userPhone!="")
        {
          $ch = curl_init();
          $msg = str_replace(" ","%20" ,$msg);
          $url="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AhFLcgCDmJF56b081c8&mobiles=".$userPhone."&message=".$msg."&sender=INCAFE&route=4";
          curl_setopt($ch, CURLOPT_URL, $url);
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
          $output = curl_exec($ch);
          $dbData = array ('phone'=>$userPhone,'response'=>$output);
          $this->db->insert('msg_log',$dbData);
          curl_close($ch);

          if ( $output === FALSE)
          {
              $output=curl_error($ch);
              return false;
          }
		  echo $my_name;
          return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message('info', '***** Controller : SendMessage, Function : sendAccountActivationSms, Message : Invalid user name or phone number provided for sending SMS For Risk Profile, AgeRange Change *****');
        }
	}
	
	function sendRiskMail($email,$view,$data,$subject)
    {
        $html=$this->load->view($view, $data,true);
		// $out = sendEmail($email,$subject,$html);
		$out = sendEmailAws($email,$subject,$html);
        return $out;
    } 

}
