<?php

class LoginRegistration extends CI_Controller{

    function __construct()
    {
        parent::__construct();
        $this->load->model('registration/registration_model', 'registration_model');
    }

	public function _loadview($view,$data)
	{
        $this->load->view('theme/common/header',$data);
        $this->load->view($view,$data);
        $this->load->view('theme/common/footer',$data);
	}

    public function index()
	{
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            redirect(base_url().'dashboard');
        }
        else
        {
        	$data = [];

			$data['referalid'] = '';
			if(isset($_GET['referalid']))
			{
				$data['referalid'] =$_GET['referalid'];
			}

            $data['jsFile'] ='registration_login/registration_login.js';
            $data["investorTypeList"] = $this->registration_model->getAllInvestorType();
            $data['title'] = "Login & Registration";
            $data['ogimage'] = "https://investocafe.com/assets/new/assets/tech-assets/investo-img/investo1.jpg";
            $data['ogDescription'] = "Investocafe is a World-Class Indian advising company in personal finance. The objective is to build sound customer franchises across distinct businesses so as to be the preferred service provider of financial products for target retail and corporate customer segments...";
            $this->_loadview('theme/login_registration/login_registration_view',$data);
        }
	}
}