<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
-------------------------------------------------------------------------------------------------------------
|   NAME OF CONTROLLER : Login
|   MODEL USE : registration_model
|   DATE : 03/10/2016
|   AUTHOER : amit meena
|   COMMENT : This class is used to varify user ,using user name and password and also hepl to forget passwod 
-------------------------------------------------------------------------------------------------------------
|
|   MODIFICATION FUNCTION NAME :
|   DATE : 
|   COMMENT : 
------------------------------------------------------------------------------------------------------------
*/
class MyProfile extends CI_Controller
{
	function __construct()
	{
	   // Call the Model constructor
	   parent::__construct();
	   $this->load->model('registration/registration_model' ,'registration_model');
       $this->load->model('common_model');
	}
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : index
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THIS FUNCTION IS USED TO LAOD VIEW OF INVESRT FORM
-----------------------------------------------------------------------------------------------------
*/
	public function index()
	{
		$logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            if(isset($_SESSION["pageId"]) && !empty($_SESSION["pageId"]))
            {
                $pageId=($_SESSION["pageId"]);
                if(in_array("6", $pageId))
                {
					// new profile view page with submenus
					$this->_loadView("amit_theme/dashboard/my_profile_view");
                    $data=array("investor_id"=>$_SESSION["investor_id"],"log_msg"=>"Visited my profile page");
                    addSystemLog($data); // helper function
                }
                else
                {
                    redirect(base_url());
                }
            }
            else
            {
                redirect(base_url());
            }
        }
        else
        {
            redirect(base_url());
        }
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadView
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to load view of header and footer 
-----------------------------------------------------------------------------------------------------
*/
    function _loadView($view)
    {
        $investorId=$_SESSION["investor_id"];
        $result=$this->registration_model->getInvestorDetail($investorId);
		$resultinvesto=$this->registration_model->getInvestorDetailforshowprofile($investorId);
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
        $data["nomineeData"]=$resultNominee;
        $data["bankData"]=$resultBank;
        $data["row"]=$result;
        $data["profileImageUrl"]=   @$resultinvesto->profile_image_url;
        $data['jsFile'] ='dashboard/preferences.js';
        $resultStatus=$this->common_model->getInvestorStatus($investorId);
        if($resultStatus)
        {
            $data["is_kyc_done"]=$resultStatus->is_kyc_done;
            $data["is_investor_registered"]=$resultStatus->is_investor_registered;
            $data["is_investor_form_complet"]=$resultStatus->is_investor_form_complet;
            $data["is_do_not_reg_nominee"]=$resultStatus->is_do_not_reg_nominee;
            $data["is_incomplete_bank_detail"]=$resultStatus->is_incomplete_bank_detail;
        }
		
        $this->load->view('amit_theme/common/header',$data);
        $this->load->view($view);
        $this->load->view('amit_theme/common/footer',$data );
    }
/*
-----------------------------------------------------------------------------------------------------
*/

/*
-----------------------------------------------------------------------------------------------------
|   USE : getInvestorDataForAdmin
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT : THis function is used to get data from user for admin
-----------------------------------------------------------------------------------------------------
*/
	function getInvestorDataForAdmin()
	{
		$investorId = $this->input->post("investorId");

		$result=$this->registration_model->getInvestorDetail($investorId);
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);

		$data["nomineeData"]=$resultNominee;
		$data["bankData"]=$resultBank;
		$data["bankData"]->account_holder_name = $this->encrypt->decode($resultBank->account_holder_name);
        $data["row"]=$result;

		$this->load->view("investor_json_data_for_admin_view", $data);
	}
	
	function convertData()
	{
		
		die;
		$result=$this->common_model->getInvestorDetailNew();
		$result_new = array();
		foreach ($result as $key=>$value) {

			$value['username'] = $this->encrypt->decode($value['username']);
            $value['pan'] = $this->encrypt->decode($value['pan']);
            if($value['api_type_id']==1)
                $value['api_type_id'] = "Karvy";
            else
                 $value['api_type_id'] = "Cams";

			
			$result_new[] = $value;
		}
		
		$this->array_to_csv($result_new,"/var/www/html/assets/InvestorNew.csv");
	}
	
	
    function array_to_csv($array, $download = "")
    {
		
       die;
        foreach ($array as $line)
        {
            $str = $str.implode(",", $line)."<br />";
        }

        echo $str;
       
    }

		
/*
-----------------------------------------------------------------------------------------------------
|   USE : _loadView
|   DATE : 04/10/2016
|   AUTHOER : AMIT MEENA
|   COMMENT :This function is used to load view of header and footer 
-----------------------------------------------------------------------------------------------------
*/
     function appMyProfileView()
    {
		$get = json_decode(file_get_contents("php://input"));
        $investorId = $get->investorId;
        $result=$this->registration_model->getInvestorDetail($investorId);
		$resultinvesto=$this->registration_model->getInvestorDetailforshowprofile($investorId);
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
        $data["nomineeData"]=$resultNominee=="false"?[]:$resultNominee;
		$data["bankData"]= $resultBank;
       // $data["row"]=$result;
		if($result){
		$data['investorDetails']->name=$this->encrypt->decode($result->name);
		$date=new DateTime($result->date_of_birth);
		$data['investorDetails']->date_of_birth=$date->format('d M Y');
		$data['investorDetails']->nationality=$result->nationality;
		$data['investorDetails']->investor_type=$result->investor_type;
		
		$data['kycDetails']->pan=$this->encrypt->decode($result->pan);
		$data['kycDetails']->father_spouse_name=$result->father_spouse_name;
		$data['kycDetails']->occupation=$result->occupation;
		$data['kycDetails']->gender=$result->gender;
		$data['kycDetails']->investor_family_status_id=$result->investor_family_status_id;
		$data['kycDetails']->politically_exposed=$result->politically_exposed;
		$data['kycDetails']->related_politically_exposed=$result->related_politically_exposed;
		
		 $data['bankData']->account_holder_name = $this->encrypt->decode($resultBank->account_holder_name);
		 $data['bankData']->name = $this->encrypt->decode($resultBank->name);
		 $data['bankData']->account_number = $this->encrypt->decode($resultBank->account_number);
		 		 
		 $data['address_of_correspondance']->address =$result->address;
		 $data['address_of_correspondance']->address_2 =$result->address_2;
		 $data['address_of_correspondance']->pincode =$result->pincode;
		 if($result->original_city !==''){
		 	$data['address_of_correspondance']->location_name =$result->original_city;
		 } else {
		 	$data['address_of_correspondance']->location_name =$result->location_name;
		 }
		 
		 $data['address_of_correspondance']->state_name =$result->state_name;
		 $data['address_of_correspondance']->country_name =$result->country_name;
		 
		 $data['address_of_correspondance']->phone =$this->encrypt->decode($result->phone);
		 $data['address_of_correspondance']->address_proof =$result->address_proof;
		$data['address_of_correspondance']->overseas_no =$this->encrypt->decode($result->overseas_no);
		}
		$data["profileImageUrl"]=   @$resultinvesto->profile_image_url;
		$resultStatus=$this->common_model->getInvestorStatus($investorId);
        if($resultStatus)
        {
            $data["is_kyc_done"]=$resultStatus->is_kyc_done;
            $data["is_investor_registered"]=$resultStatus->is_investor_registered;
            $data["is_investor_form_complet"]=$resultStatus->is_investor_form_complet;
            $data["is_do_not_reg_nominee"]=$resultStatus->is_do_not_reg_nominee;
            $data["is_incomplete_bank_detail"]=$resultStatus->is_incomplete_bank_detail;
        }
		
		
		 
		if(isset($get->nom_value))
		{
			$nom['nomineeData'] = $resultNominee;
			$out = json_encode($nom);
			log_message("info", "***** Controller : MyProfile,  Function : appMyProfileView, Messege : data $out *****");
			echo $out;
		}
		else{
			$out = json_encode($data);
			log_message("info", "***** Controller : MyProfile,  Function : appMyProfileView, Messege : data $out *****");
			echo $out;
		}
		

    }
	
	
}
