<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class MyRiskProfile extends CI_Controller
{
    function __construct()
    {
       // Call the Model constructor
       parent::__construct();
       $this->load->model('registration_model');
    }

    public function index()
    {
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
             
            $this->_loadView("my_risk_profile_view");       
        }
        else
        {
            redirect(base_url());
        }
    }

    function _loadView($view)
    {
        $investorId=$_SESSION["investor_id"];
        $result=$this->registration_model->getInvestorDetail($investorId);
        //print_r($result); die;
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
        $data["nomineeData"]=$resultNominee;
        $data["bankData"]=$resultBank;
        $data["row"]=$result;
        
        //$data['jsFile'] ='right.js';
        $data['jsFile'] ='dashboardRight.js';
        $this->load->view('includes/header',$data);
        $this->load->view($view);
        $this->load->view('includes/footer',$data );
    }

    function myGoals()
    {
        $this->_loadView("my_goals_view");
    }

    function myProgress()
    {
        $this->_loadView("my_progress_view");
    }

}