<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class NewSipDetail extends CI_Controller
{
	function __construct()
	{
	   // Call the Model constructor
	   parent::__construct();
	   $this->load->model('dashboard_model');
    }

	public function testCheck(){
		echo 'ok';
	}
	public function index($fundTypeId=0)
	{
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            if(isset($_SESSION["pageId"]) && !empty($_SESSION["pageId"]))
            {
                $pageId=($_SESSION["pageId"]);
                if(in_array("6", $pageId))
                {
                    $this->_loadView("sip_details_view",$fundTypeId);
                }
                else
                {
                    redirect(base_url());
                }
            }
            else
            {
                redirect(base_url());
            }
        }
        else
        {
            redirect(base_url());
        }
	}

    function _loadView($view,$fundTypeId)
    {
        $userId=$_SESSION["userId"];
        $investorId=$_SESSION["investor_id"];

        $result=$this->dashboard_model->getprofileImageUrlByUserId($userId);
        if($result)
        {
            $data["profileImageUrl"]=$result->profile_image_url;
            $data["incomplete_bank_detail"]=$result->is_incomplete_bank_detail;
            $data["is_do_not_reg_nominee"]=$result->is_do_not_reg_nominee;
            $data["is_verify"]=$result->is_verify;
        }
        else
        {
            $data["profileImageUrl"]="";
        }

        $resultGoalTypeList=$this->common_model->getAllGoalTypeList();
        if($resultGoalTypeList)
        {
            $data["goalTypeList"]=$resultGoalTypeList;
        }

        $data["fundTypeId"]=$fundTypeId;
        $fundTypeName=$this->common_model->getFundTypeName($fundTypeId);
        $data["fundTypeName"]=$fundTypeName;

        $data['jsFile'] ='sipDetail.js';

        $getSipListResult=$this->dashboard_model->getSipListByFundTypeId($fundTypeId,$investorId);
        $data["getSipListResult"]=$getSipListResult;

        $this->load->view('includes/header',$data);
        $this->load->view('dashboard_header_view',$data);
        $this->load->view($view);
        $this->load->view('includes/footer',$data);
    }

    function sip($fundTypeId=0)
    {
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $pageId=($_SESSION["pageId"]);
            if(in_array("6", $pageId))
            {
                $this->_loadView("sip_details_view",$fundTypeId);
            }
            else
            {
                redirect(base_url());
            }
        }
        else
        {
            redirect(base_url());
        }
    }

    function closeSIP()
    {
        $logged=$this->ion_auth->logged_in();
        if(checkuser_session())
        {
            $investorId=$_SESSION["investor_id"];
            $batchId=$this->input->post("batchId");
            $fundTypeId=$this->input->post("fundTypeId");
            $closeSipResult=$this->dashboard_model->closeSip($batchId,$investorId);
            if($closeSipResult)
            {
				    $userId=$_SESSION["userId"];
					$resultData=$this->common_model->getUseDetailsByUserId($userId);
					if($resultData)
					{
						$name=$this->encrypt->decode($resultData->username);
						$phone=$this->encrypt->decode($resultData->phone);
						$this->sendPurchaseSms($name,$phone,0,1);
					}
				
                echo '{"success":true,"location":"sipDetail/sip/"+"'.$fundTypeId.'"}';
            	log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : sipDetail, Function : closeSIP, Message : Successfully closed SIP for the batchId : '.$batchId.' for the investor id : '.$investorId.'  *****');
            }
            else
            {
                echo '{"success":false}';
            	log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : sipDetail, Function : closeSIP, Message : Failed to close SIP for the batchId : '.$batchId.' for the investor id : '.$investorId.'  *****');
            }
        }
        else
        {
            echo '{"success":false,"session":"out"}';
        	log_message('info', '***** Controller : sipDetail, Function : closeSIP, Message : Session expired while trying to close SIP for the batchId : '.$batchId.' for the investor id : '.$investorId.' *****');
        }
		log_message('info', '***** InvestorId : '.$_SESSION["investor_id"].', Controller : sipDetail, Function : closeSIP, Message : just_visited closed SIP for the batchId : '.$batchId.'');
    }
	
	function sendPurchaseSms($userName,$userPhone,$amount,$admin = 0)
    {
        if($userPhone!="" && $userName!="")
        {
            $ch = curl_init();
            //Like us on bit.ly/eshpind----------------
			
			
			$url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$userPhone."&message=Dear%20".$userName." Your Investment Plan Cancelled Successfully. Team%20Investocafe.&sender=INCAFE&route=4";
          
           $url=str_replace(" ", "%20", $url1);
            //echo $url;
            curl_setopt($ch, CURLOPT_URL, $url);
            //echo "<a href=''".str_replace('','%20',$url)." target='blank'>click</a>";

            //return the transfer as a string
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

            //$output contains the output string
            $output = curl_exec($ch);

            $dbData = array ('phone'=>$userPhone,'response'=>$output);
            $this->db->insert('msg_log',$dbData);
            //close curl resource to free up system resources
            curl_close($ch);

            if ( $output === FALSE)
            {
              $output=curl_error($ch); //echoes last session error
              return false;
            }
            return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message("info", "***** InvestorId : ".$_SESSION['investor_id'].", Controller : Purchase,  Function : sendPurchaseSms, Messege : Invalid user name or phone number for send Sms For purchase funds. *****");
        }
    }

}
