<?php

class NriRegistration extends CI_Controller
{
	function __construct()
    {
        parent::__construct();
        $this->load->model('registration/registration_model', 'registration_model');
    }

    function index()
    {
      $data=array();	
      $logged=$this->ion_auth->logged_in();
      if(checkuser_session())
      {
        if(isset($_SESSION["investor_id"]) && !empty($_SESSION['investor_id']))
        {
           $invId=$_SESSION["investor_id"];
           $status = $this->registration_model->checkFirstRegitration($invId);
           if($status)
           {
                $result=$this->registration_model->getInvestorDatailFirstStatpRegitration($invId);
                $data["row"]=$result;
           }
           else
           {
               $result=$this->registration_model->getInvestorDetailInRegistrationForm($invId);
               $data["row"]=$result;
               $data["allTaxResidencies"]=$this->registration_model->getAllTaxResidencies($invId);
           }
        }
  	
        $data["investorTypeList"]=$this->registration_model->getAllInvestorType();
        $data["countryList"]=$this->registration_model->getCountyList();
        $data["allNationalities"]=$this->registration_model->getAllNationalities();
  	    $res = $this->db->query("select users.id from users join investor on investor.login_id = users.id where investor.investor_id = ".$invId." ");
    		$dataSocial = $this->ion_auth->hash_password_db($res->row()->id,'investorcafe');
    		$data['is_social_regitration'] = $dataSocial;
    		$data['jsFile'] ='reg/nir_registration.js';
        // $this->layout('amit_theme/reg/nri_registration_view',$data);
        $this->layout('theme/registration/nri_registration_view',$data);
  		}else{
  			redirect(base_url());
  		}
    }

    // public function layout($view, $data)
    // {
    //     $this->load->view('amit_theme/common/header', $data);
    //     $this->load->view($view, $data);
    //     $this->load->view('amit_theme/common/footer', $data);
    // }

    public function layout($view, $data)
    {
        $this->load->view('theme/common/header', $data);
        $this->load->view($view, $data);
        $this->load->view('theme/common/footer', $data);
    }

    // investor -

    public function investorDetail()
    {
      $data=array();
      if(isset($_SESSION["investor_id"]))
      {
          $invId=$_SESSION["investor_id"];
          $result=$this->registration_model->getInvestorDetail($invId);
          $resultBank=$this->registration_model->getInvestorBankAndPanDetail($invId);
          $data["investorStatus"]=$this->common_model->getInvestorStatus($invId);
          $data["bankData"]=$resultBank;
          $data["row"]=$result;
          $invId=$_SESSION["investor_id"];
          $result=$this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
          $data["modifyRow"]=$result;
          $data["overseasDetails"]=$this->registration_model->getInvestorOverseasDetail($invId);
          $result=$this->registration_model->checkInvestorOverseasDetail($invId);
          $data["overseasAvailable"]=$result;
          $resultNominee=$this->registration_model->getInvestorNomineeDetail($invId);
          $data["nomineeData"]=$resultNominee;

          $data["cityList"]=$this->registration_model->getCityList();
          $data["stateList"]=$this->registration_model->getStateList();
          $data["countryList"]=$this->registration_model->getCountyList();
          $data["addressProofList"]=$this->registration_model->getInvestorAddressProofList();
          $data["idProofList"]=$this->registration_model->getInvestorIdProofList();
          $data["familyStatusList"]=$this->registration_model->getInvestorFamilyStatusList();
          $data["occuptionList"]=$this->registration_model->getInvestorOccupationList();
          $data["bankAccountTypeList"]=$this->registration_model->getInvestorBankAccountTypeList();
          $data["bankMasterList"]=$this->registration_model->getbankMasterAll();
          $data["assistedEmpData"] = $this->registration_model->getAssistantEmpList();

          $invId=$_SESSION["investor_id"];
          $result=$this->registration_model->getInvestorDetail($invId);
          $data["invDetail"] = $result;
          $data['jsFile'] ='reg/nri_investorDetail.js';
          $this->layout('theme/registration/nri_investor_detail_view',$data);
      }
      else
      {
          redirect('registration');
      }

      
    }

    function modifyInvestorDetail()
    {
        $pincode=$this->input->post("pincode");
        $address=handleString($this->input->post("address"));
        $address2=handleString($this->input->post("address2"));
        $city=$this->input->post("city");
        $original_city=$this->input->post("original_city");
        $state=$this->input->post("state");
        $state = $this->registration_model->get_state_model($state);
        $address_proof=$this->input->post("address_proof");
        $id_proof=$this->input->post("id_proof");
        $panNo=$this->encrypt->encode($this->input->post("panNo"));
        $status=$this->input->post("status");
        $name=handleString($this->input->post("name"));
        if($name == "undefined undefined undefined")
        {
          $name ="";
        }
        $occupation=$this->input->post("occupation");
        $income=$this->input->post("income");
        $doa=$this->input->post("doa");
        $politicallyExposed=$this->input->post("politicallyExposed");
        $relatedPoliticallyExposed=$this->input->post("relatedPoliticallyExposed");
        $politicallyExposedRemark=$this->input->post("politicallyExposedRemark");
        $assistedEmpCheckbox=$this->input->post("assistedEmpCheckbox");
        $assistedEmpName=$this->input->post("assistedEmpName");
        $guardain_name = $this->input->post("guardianName");
        $guardian_dob = $this->input->post("guardianDOB");
        $relation_with_guardian = $this->input->post("guardianRelation");
        $mother_name = $this->input->post("mother_name");
        $worthIncome = $this->input->post("worthIncome");
        if($mother_name == "undefined undefined undefined")
        {
        $mother_name = "";
        }
        if($assistedEmpName == 'none')
        {
        $assistedEmpName=0;
        }
        if($politicallyExposed==1 || $relatedPoliticallyExposed==1)
        {
            $politicallyExposedRemark=$this->input->post("politicallyExposedRemark");
        }
        else
        {
            $politicallyExposedRemark="";
        }

        $investorId=$_SESSION["investor_id"];
        $applicationNumber=$investorId."APN".date("ymd");
        $updateInvdata=array(
              "application_number"=>$applicationNumber,
              "pan"=>$panNo,
              "pincode"=>$pincode,
              "address"=>$address,
              "address_2"=>$address2,
              "city_id"=>$city,
              "original_city" => $original_city,
              "state_id"=>$state,
              "investor_address_proof_id"=>$address_proof,
              "investor_id_proof_id"=>$id_proof,
              "investor_family_status_id"=>$status,
              "father_spouse_name"=>$name,
              "occupation_id"=>$occupation,
              "income"=>$income,
              "doa"=>$doa,
              "politically_exposed"=>$politicallyExposed,
              "related_politically_exposed"=>$relatedPoliticallyExposed,
              "politically_exposed_remark"=>$politicallyExposedRemark,
              "is_do_not_reg_nominee"=>1,
              "is_incomplete_bank_detail"=>1,
              "is_complete_inv_detail" =>1,
              "is_assisted_by_emp"=>$assistedEmpCheckbox,
              "assisted_emp_id"=>$assistedEmpName,
              "guardain_name"=>$guardain_name,
              "guardian_dob"=>$guardian_dob,
              "relation_with_guardian"=>$relation_with_guardian,
              "mother_name"=>$mother_name,
              "worth_income" => $worthIncome,
              "worth_income_date" => $this->input->post("worthIncomeDate")
              );

        $updateInvResult=$this->registration_model->updateInvestorInfo($investorId,$updateInvdata);
  
        if($updateInvResult)
        {
            $this->registration_model->update_is_inv_colmn_in_investor_table($investorId);
            $this->updateInvestorstatus($investorId);
            if($this->input->post('isRequiredOverseas') == 1)
            {
              $overseasData = [
                "country_id" => $this->input->post('countryOfOverseas'),
                "address"    => $this->input->post('addressOverseas'),
                "city"       => $this->input->post('cityOverseas'),
                "state"      => $this->input->post('stateOverseas'),
                "pincode"    => $this->input->post('pincodeOverseas'),
                "overseas_address_proof_id " => $this->input->post('addressProofOverseas'),
                "investor_id" => $investorId
              ];
              $ovsRes = $this->db->from('investor_overseas_details')->where('investor_id',$investorId)->get();
              if($ovsRes->num_rows() > 0){
                $this->registration_model->updateInvestorOverseasDetails($overseasData,$investorId);
              }else{
                $this->registration_model->addInvestorOverseasDetails($overseasData);
              }
            }
            echo '{"success":true,"msg":"updated"}';
        }
        else
        {
            echo '{"success":false}';
        }
    }

    function updateInvestorstatus($investorId)
    {
        $today_date= date("Y-m-d H:i:s");
        $data=array(
                    "is_investor_form_complet_date"=>$today_date,
                    "is_investor_form_complet"=>1,
                   );
       $result=$this->registration_model->updateInvestorStatusSecontRegitration($investorId,$data);
           
    }

    public function addBankAndNominee()
    {
      $data=array();
      if(isset($_SESSION['investor_id']) && !empty($_SESSION['investor_id']))
      {
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorDetail($invId);
            $resultBank=$this->registration_model->getInvestorBankAndPanDetail($invId);
            $data["investorStatus"]=$this->common_model->getInvestorStatus($invId);
            $data["bankData"]=$resultBank;
            $data["row"]=$result;
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorRegistrationFormModifyDetail($invId);
            $data["modifyRow"]=$result;
            $data["overseasDetails"]=$this->registration_model->getInvestorOverseasDetail($invId);
            $resultNominee=$this->registration_model->getInvestorNomineeDetail($invId);
            $data["nomineeData"]=$resultNominee;
            $data["bankMasterList"]=$this->registration_model->getbankMasterAll();
            $invId=$_SESSION["investor_id"];
            $result=$this->registration_model->getInvestorDetail($invId);
            $data["invDetail"] = $result;
            $data["bankAccountTypeList"]=$this->registration_model->getInvestorBankAccountTypeList();
      }
      else
      {
        return redirect(base_url());
      }

      if(isset($_SESSION['investor_id']) && !empty($_SESSION['investor_id']))
      {
          $data['jsFile'] ='reg/nri_bank_and_nominee.js';
          $this->layout('theme/registration/nri_add_bank_and_nom_view',$data);
      }
      else
      {
          redirect('registration');
      }
       
    }

    public function modifyBankDetail()
    {
        $investorName=$this->encrypt->encode(handleString($this->input->post("investorName")));
        $accountNo=$this->encrypt->encode($this->input->post("accountNo"));
        $acctHolderName=$this->encrypt->encode(handleString($this->input->post("acctHolderName")));
        $bankMasterId=$this->input->post("bankMasterId");
        $accountType=$this->input->post("accountType");
        $ifscCode=$this->input->post("ifscCode");
        $branchName=$this->input->post("branchName");
        $cityName=$this->input->post("cityName");
        $stateName=$this->input->post("stateName");
        $investorId=$_SESSION["investor_id"];
        $bankData=array(
                        "name"=>$investorName,
                        "account_number"=>$accountNo,
                        "account_holder_name"=>$acctHolderName,
                        "bank_master_id"=>$bankMasterId,
                        "branch_name"=>$branchName,
                        "branch_city"=>$cityName,
                        "branch_state"=>$stateName,
                        "account_type_id"=>$accountType,
                        "ifsc_code"=>$ifscCode,
                        "investor_id"=>$investorId,
                        );

        $resultAddBankDetails=$this->registration_model->updateInvestorBankDetails($investorId,$bankData);

        if($resultAddBankDetails)
        {
            $result = $this->registration_model->update_is_inv_table($investorId);
            $this->createInvestorFormPdf($investorId);
            echo '{"success":true,"msg":"updated"}';
        }
        else
        {
            echo '{"success":false}';
        }
    }

    public function createInvestorFormPdf($investorId)
    {
        $result=$this->registration_model->getInvestorDetail($investorId);
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
        $resultInvStatus = $this->registration_model->getInvestorStatus($investorId);
        $data["addressProofList"]=$this->registration_model->getInvestorAddressProofList();
        $data["nomineeData"]=$resultNominee;
        $data["idProofList"]=$this->registration_model->getInvestorIdProofList();
        $data["investorOverseasDetail"]=$this->registration_model->getInvestorOverseasDetail($investorId);
        $data["taxResidencies"]=$this->registration_model->getAOneTaxResidencies($investorId);
        $data["bankData"]=$resultBank;
        $data["row"]=$result;
        $data["invStatus"]= $resultInvStatus;

        $pdfBody = $this->load->view('investorFormPDF/nri_investor_form_pdf_view',$data,true);
        
        $this->load->library('mpdf60/mPDF');
        $pdfPath = '';
        try
        {
            $mpdf=new mPDF('win-1252','A4','','DejaVuSans',0,0,0,0,10,10,'');
            $mpdf->useOnlyCoreFonts = true;    // false is default
            $mpdf->SetProtection(array('print'));
            $mpdf->SetTitle("INVESTOR DETAILS");
            $mpdf->SetAuthor("Audit");
            $mpdf->showWatermarkText = true;
            $mpdf->SetDisplayMode('fullpage');
            $html=$pdfBody;
            $mpdf->WriteHTML($html);
            $fileName = 'investor'.$investorId.date('YmdHis', time()).'.pdf';
            $mpdf->Output(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName, 'F');
            $pdfPath = realpath(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName);
            $data=array("investor_pdf_form_url"=>$fileName);
            $result=$this->registration_model->updateInvestorInfo($investorId,$data);
            //print_r($data);
            return $fileName;
      }
      catch(Exception $e)
      {
          echo $e;die;
          exit;
      }
  }
}