<?php

class OtpTemp extends CI_Controller{
	
	public function index()
	{
		$data['jsFile'] ='otptemp.js';
		$this->load->view('amit_theme/common/header',$data);
		$this->load->view("otp_temp");
		$this->load->view('amit_theme/common/footer',$data );
	}
	
	public function sendOTP($id)
	{
		//echo $id;
		$this->load->helper('string');
		$randomSTR =  random_string('numeric', 6);
		$this->db->where("id",$id)->update("users",["otp_code"=>$randomSTR]);
		$res = $this->db->select("username,phone,id")->from("users")->where("id",$id)->get()->row();
		$name =  $this->encrypt->decode($res->username);
		$phone =  $this->encrypt->decode($res->phone);
		$_SESSION['verify_id'] = $id;
		//echo $phone;
		$msgres = $this->sendAccountActivationSms($name,$phone,$randomSTR);
		//print_r($msgres);
		return redirect("otpTemp");
	}
	
	public function verifyNow()
	{

		$otp_code = $this->input->post('otp');
		$res = $this->db->select('otp_code')->from("users")->where("otp_code",$otp_code)->get();
		$id = $_SESSION['verify_id'];
		if($id)
		{
			$this->db->where("login_id",$id)->update("investor",['is_verify'=>1]);
			
			 $this->session->set_flashdata('successregistration', '<div id="id01" class="w3-modal" style="display:block"><div style="margin-top:100px;background-color:#90d3f1;color:black" class="w3-modal-content w3-animate-top w3-round-xlarge"><div class="w3-container"><span onclick="document.getElementById(\'id01\').style.display=\'none\'" class="w3-closebtn">&times;</span><h3 class="w3-center">CONGRATULATIONS !!!</h3><p>Your Registration is successful with Investocafe. We are glad to have you on board to your journey of Financial Independence. <br>If you do not find verification Email in your Inbox, do check your spam/junk box too.<br><i>Regards: Team Investocafe fostering your financial independence.</i></p></div></div></div>');
		}

		if($res->num_rows()>0)
		{
			 echo '{"success":true}';
		}
		else
		{
			echo '{"success":false}';
		}
		
	}
	
	
	function sendAccountActivationSms($userName,$userPhone,$otp)
    {
        if($userPhone!="" && $userName!="")
        {
			$ch = curl_init();
			$url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=".$userPhone."&message=Dear%20".$userName."%2C%0AYour%20investment%20account%20OTP%20is%20".$otp."%20verify%20and.%20%0ALog%20in%20to%20your%20investocafe%20account%20and%20start%20investing.%20%0ATeam%20Investocafe.&sender=INCAFE&route=4";
			$url=str_replace(" ", "%20", $url1);
			//echo $url;
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$output = curl_exec($ch);

			$dbData = array ('phone'=>$userPhone,'response'=>$output);
			$this->db->insert('msg_log',$dbData);
			curl_close($ch);

			if ( $output === FALSE)
			{
			$output=curl_error($ch); //echoes last session error
			return false;
			}
			return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message('info', '***** Controller : SendMessage, Function : sendAccountActivationSms, Message : Invalid user name or phone number provided for sending SMS For Risk Profile, AgeRange Change *****');
        }
    }
}