    public function createInvestorFormPdf($investorId)
    {
        $result=$this->registration_model->getInvestorDetail($investorId);
        $resultNominee=$this->registration_model->getInvestorNomineeDetail($investorId);
        $resultBank=$this->registration_model->getInvestorBankAndPanDetail($investorId);
        $resultInvStatus = $this->registration_model->getInvestorStatus($investorId);
        $data["addressProofList"]=$this->registration_model->getInvestorAddressProofList();
        $data["nomineeData"]=$resultNominee;
        $data["idProofList"]=$this->registration_model->getInvestorIdProofList();
        $data["bankData"]=$resultBank;
        $data["row"]=$result;
        $data["invStatus"]= $resultInvStatus;
		//$data['motherName'] = $result->mother_n;
		$motherName = spliteAndCheckName($result->mother_n);
		$data["mother_f_name"] = $motherName['name_first'];
		$data["mother_m_name"] = $motherName['name_middle'];
		$data["mother_l_name"] = $motherName['name_last'];
	 	/* echo "<pre>";
		print_r($motherName);
		exit; */ 
        $pdfBody = $this->load->view('investor_form_pdf_view',$data,true);
        $this->load->library('mpdf60/mPDF');
        $pdfPath = '';
        try
        {
            $mpdf=new mPDF('win-1252','A4','','DejaVuSans',0,0,0,0,10,10,'');
            $mpdf->useOnlyCoreFonts = true;    // false is default
            $mpdf->SetProtection(array('print'));
            $mpdf->SetTitle("INVESTOR DETAILS");
            $mpdf->SetAuthor("Audit");
            $mpdf->showWatermarkText = true;
            $mpdf->SetDisplayMode('fullpage');
            $html=$pdfBody;
            $mpdf->WriteHTML($html);
            $fileName = 'investor'.$investorId.date('YmdHis', time()).'.pdf';
            $mpdf->Output(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName, 'F');
            $pdfPath = realpath(APPPATH.'../assets/uploads/investor_form_pdf/'.$fileName);
            $data=array("investor_pdf_form_url"=>$fileName);
			echo base_url()."assets/uploads/investor_form_pdf/".$fileName;
            $result=$this->registration_model->updateInvestorInfo($investorId,$data);
        }
        catch(Exception $e)
        {
            echo $e;die;
            exit;
        }
    }