<?php 


class PushNotification extends CI_Controller{

	public function sendPushNow()
	{
		if($_POST){
			$title = $_POST['title'];
			$body = $_POST['msg'];
			$priority = 1;
			if($_POST['pushType']==1){
				$customers = $this->getCustomers();
				if($customers){
					foreach($customers as $cust){
						if($cust->investor_id==55){
							$token = $cust->device_id;
							$type = $_POST['pushType'];
							$extraParam = "";
							$this->sendPushNotification($title,$body,$token,$priority,$type,$extraParam);
						}
					}
				}
				
			}else if($_POST['pushType']==2){
				// blog
				$customers = $this->getCustomers();
				if($customers){
					foreach($customers as $cust){
						if($cust->investor_id==55){
							$token = $cust->device_id;
							$type = $_POST['pushType'];
							$extraParam = $_POST['extraParam'];
							$this->sendPushNotification($title,$body,$token,$priority,$type,$extraParam);
						}
					}
				}

			}else if($_POST['pushType']==3){
				// video
				$customers = $this->getCustomers();
				if($customers){
					foreach($customers as $cust){
						if($cust->investor_id==55){
							$token = $cust->device_id;
							$type = $_POST['pushType'];
							$extraParam = $_POST['extraParam'];
							$this->sendPushNotification($title,$body,$token,$priority,$type,$extraParam);
						}
					}
				}
				
			}else if($_POST['pushType']==4){
				
			}else if($_POST['pushType']==5){
				
			}else if($_POST['pushType']==6){
				
			}else{
				echo '{"success":false,"msg":"Invalid Push type ID"}';
			}
		}else{
			echo '{"success":false,"msg":"Push failed"}';
		}
	}

	function getCustomers(){
		$res = $this->db->query("SELECT users.username,investor.investor_id,push_notification.device_id FROM `push_notification` JOIN investor ON investor.investor_id = push_notification.investor_id JOIN users ON users.id = investor.login_id WHERE investor.investor_id NOT in(12,53)");
		if($res->num_rows() >0){
			return $res->result();
		}else{
			return false;
		}
	}

	function sendPushNotification($title,$body,$token,$priority,$type,$extraParam)
    {
        $url = "https://fcm.googleapis.com/fcm/send";
        $token = $token;
        $serverKey = 'AAAAzIuyOPo:APA91bHQF0ZP3CzHnSYIZ6OZNMyaNyxiqAfBA0kDa6ksRVm2fVDB5uVG4gm72NxEh5s4dvJdVdRLtx3Fappr2orFtNiN_JtWfGmAewlgjOk8D14y5pAz4tzf58OUCReZn2jVJ-MNmDbE';
        $title = $title;
        $body = $body;
        if($type==1){
            $data = ['type'=>$type,'msgHeader'=>$title,'discription'=>$body];
        }elseif ($type==2) {
            $data = ['type'=>$type,'blog_id'=>$extraParam];
        }elseif ($type==3) {
            $data = ['type'=>$type,'url'=>$extraParam];
        }else{
            $data = [];
        }
        $notification = array('title' =>$title , 'text' => $body, 'sound' => 'default', 'badge' => '1');
        $arrayToSend = array('to' => $token, 'notification' => $notification,'priority'=>$priority , 'data'=> $data);
        $json = json_encode($arrayToSend);
        $headers = array();
        $headers[] = 'Content-Type: application/json';
        $headers[] = 'Authorization: key='. $serverKey;
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST,
        "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
        curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
        $response = curl_exec($ch);
        if ($response === FALSE) {
        	die('FCM Send Error: ' . curl_error($ch));
        }
        curl_close($ch);
    }
}