<?php

class Refer extends CI_Controller{

	function __construct()
	{
		parent::__construct();
		$this->load->model('refer_model/referals_model','referals');
	}

	// public function index()
	// {
	// 	if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
	// 		$investor_id = $_SESSION['refer_investor_id'];
	// 		$data = [];
	// 		$this->getPointsFromPurchase();
	// 		$data['jsFile'] = 'refer/referfile.js';
	// 		$data['referrals'] = $this->referals->investerFriends($investor_id);
	// 		$data['acceptRefers'] = $this->referals->acceptRefer($investor_id);
	// 		$data['acceptReferComplte'] = $this->referals->acceptReferComplte($investor_id);
	// 		$data['points'] = $this->referals->getAllPoints($investor_id);
	// 		$this->load->view('amit_theme/common/header',$data);
	// 		$this->load->view('amit_theme/iRefer/irefer_view',$data);
	// 		$this->load->view('amit_theme/common/footer',$data );
	// 	}else{
	// 		return redirect('/refer/login');
	// 	}
	// }

	public function index()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$data = [];
			$this->getPointsFromPurchase();
			$data['jsFile'] = 'refer/referfile.js';
			$data['referrals'] = $this->referals->investerFriends($investor_id);
			$data['acceptRefers'] = $this->referals->acceptRefer($investor_id);
			$data['acceptReferComplte'] = $this->referals->acceptReferComplte($investor_id);
			$data['points'] = $this->referals->getAllPoints($investor_id);
			// echo "<pre>";
			// print_r($data);
			// exit;
			$this->load->view('theme/common/header',$data);
			$this->load->view('theme/refer/refer_view',$data);
			$this->load->view('theme/common/footer',$data );
		}else{
			return redirect('/refer/login');
		}
	}

	public function googleFatch()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$client_id='878517041402-f9kd0e3akq6geeprcs2307ge8cgf8hus.apps.googleusercontent.com';
			$client_secret='OtUECMkaqSXHgt8Nxo8SqJb-';
			$redirect_uri='https://www.investocafe.com/refer/googleFatch';
			$max_results = 50;
			$auth_code = $_GET["code"];
			
	            $fields=array(
	            'code'=>  urlencode($auth_code),
	            'client_id'=>  urlencode($client_id),
	            'client_secret'=>  urlencode($client_secret),
	            'redirect_uri'=>  urlencode($redirect_uri),
	            'grant_type'=>  urlencode('authorization_code')
	            );
	            $post = '';
	            foreach($fields as $key=>$value) { $post .= $key.'='.$value.'&'; }
	            $post = rtrim($post,'&');

	            $curl = curl_init();
	            curl_setopt($curl,CURLOPT_URL,'https://accounts.google.com/o/oauth2/token');
	            curl_setopt($curl,CURLOPT_POST,5);
	            curl_setopt($curl,CURLOPT_POSTFIELDS,$post);
	            curl_setopt($curl, CURLOPT_RETURNTRANSFER,TRUE);
	            curl_setopt($curl, CURLOPT_SSL_VERIFYPEER,FALSE);
	            $result = curl_exec($curl);
	            curl_close($curl);

	            $response =  json_decode($result);
			
	            $accesstoken = $response->access_token;

	            $url = 'https://www.google.com/m8/feeds/contacts/default/full?max-results='.$max_results.'&oauth_token='.$accesstoken;
				
	            $xmlresponse =  $this->curl_file_get_contents($url);
				
	            if((strlen(stristr($xmlresponse,'Authorization required'))>0) && (strlen(stristr($xmlresponse,'Error '))>0)) //At times you get Authorization error from Google.
	            {
	            	echo "<h2>OOPS !! Something went wrong. Please try reloading the page.</h2>";
	            	exit();
	            }
	            echo "<h3>Email Addresses:</h3>";
	            $xml =  new SimpleXMLElement($xmlresponse);
	            $xml->registerXPathNamespace('gd', 'http://schemas.google.com/g/2005');
	            $result = $xml->xpath('//gd:email');
		
				$email_date = [];
				foreach($result as $data){
					$email = $data->attributes()->address;
					if($email){
						$res = $this->referals->checkEmailExist($investor_id,$email);
						if($res){
							$this->referals->googledata($email,$investor_id);
						}
					}
				}

			return redirect('/refer');
		}else{
			return redirect('/refer/login');
		}
	}

	function curl_file_get_contents($url)
	{
		$curl = curl_init();
		$userAgent = 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)';
		curl_setopt($curl,CURLOPT_URL,$url);    //The URL to fetch. This can also be set when initializing a session with curl_init().
		curl_setopt($curl,CURLOPT_RETURNTRANSFER,TRUE); //TRUE to return the transfer as a string of the return value of curl_exec() instead of outputting it out directly.
		curl_setopt($curl,CURLOPT_CONNECTTIMEOUT,5);    //The number of seconds to wait while trying to connect.    
		curl_setopt($curl, CURLOPT_USERAGENT, $userAgent);  //The contents of the "User-Agent: " header to be used in a HTTP request.
		curl_setopt($curl, CURLOPT_FOLLOWLOCATION, TRUE);   //To follow any "Location: " header that the server sends as part of the HTTP header.
		curl_setopt($curl, CURLOPT_AUTOREFERER, TRUE);  //To automatically set the Referer: field in requests where it follows a Location: redirect.
		curl_setopt($curl, CURLOPT_TIMEOUT, 10);    //The maximum number of seconds to allow cURL functions to execute.
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);  //To stop cURL from verifying the peer's certificate.
		$contents = curl_exec($curl);
		curl_close($curl);
		return $contents;
	}


	// this is for yahoo
	public function getYahoo()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){

			$this->load->helper("yahoo");
			$callback = "https://www.investocafe.com/refer/socialRedirect";
			$retarr = get_request_token('dj0yJmk9dDd4b3dFSHNac2daJmQ9WVdrOVlYVnVNSFpMTXpZbWNHbzlNQS0tJnM9Y29uc3VtZXJzZWNyZXQmeD04NQ--', '42f8089bf1eeb7e3f5934416866a2f373bd92b21', $callback, false, true, true);
			print_r($retarr);
			if (! empty($retarr)){ 
			list($info, $headers, $body, $body_parsed) = $retarr; 

			if ($info['http_code'] == 200 && !empty($body)) { 
			$_SESSION['request_token']  = $body_parsed['oauth_token'];
			$_SESSION['request_token_secret']  = $body_parsed['oauth_token_secret']; 
			$_SESSION['oauth_verifier'] = $body_parsed['oauth_token']; 
			$url = urldecode($body_parsed['xoauth_request_auth_url']);

			return redirect($url);
			 } }
		}else{
			return redirect('/refer/login');
		}
	}

	public function socialRedirect()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$this->load->helper("yahoo");
			$request_token          =   $_SESSION['request_token'];
			$request_token_secret   =   $_SESSION['request_token_secret'];
			$oauth_verifier         =   $_GET['oauth_verifier']; 
			$retarr = get_access_token_yahoo('dj0yJmk9dDd4b3dFSHNac2daJmQ9WVdrOVlYVnVNSFpMTXpZbWNHbzlNQS0tJnM9Y29uc3VtZXJzZWNyZXQmeD04NQ--', '42f8089bf1eeb7e3f5934416866a2f373bd92b21', $request_token, $request_token_secret, $oauth_verifier, false, true, true); 
			if (! empty($retarr)) { 
			list($info, $headers, $body, $body_parsed) = $retarr;
			if ($info['http_code'] == 200 && !empty($body)) { 
			$guid    =  $body_parsed['xoauth_yahoo_guid'];
			$access_token  = rfc3986_decode($body_parsed['oauth_token']) ;
			$access_token_secret  = $body_parsed['oauth_token_secret']; 
			$retarrs = callcontact_yahoo('dj0yJmk9dDd4b3dFSHNac2daJmQ9WVdrOVlYVnVNSFpMTXpZbWNHbzlNQS0tJnM9Y29uc3VtZXJzZWNyZXQmeD04NQ--', '42f8089bf1eeb7e3f5934416866a2f373bd92b21', $guid, $access_token, $access_token_secret, false, true);

			$data['user_emails'] = $retarrs;
			$data['heading'] = "Yahoo !!";
			if(count($retarrs) > 0){
				foreach ($retarrs as $key => $email) {
					if(strpos($email,"@") > 0){
						if($email){
							$this->referals->addContactBySocials($email,$investor_id);
						}
					}
				}
			}

			}}
			return redirect('/refer');
		}else{
			return redirect('/refer/login');
		}
	}

	public function hotmail()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$client_id = '00000000481E2C3F';
			$client_secret = 'EDc8yWddNSAOiS5FekpHkLU';
			$redirect_uri = 'https://www.investocafe.com/refer/hotmail';
			$auth_code = $_GET["code"];
			$fields=array(
			'code'=>  urlencode($auth_code),
			'client_id'=>  urlencode($client_id),
			'client_secret'=>  urlencode($client_secret),
			'redirect_uri'=>  urlencode($redirect_uri),
			'grant_type'=>  urlencode('authorization_code')
			);
			$post = '';
			foreach($fields as $key=>$value) { $post .= $key.'='.$value.'&'; }
			$post = rtrim($post,'&');
			$curl = curl_init();
			curl_setopt($curl,CURLOPT_URL,'https://login.live.com/oauth20_token.srf');
			curl_setopt($curl,CURLOPT_POST,5);
			curl_setopt($curl,CURLOPT_POSTFIELDS,$post);
			curl_setopt($curl, CURLOPT_RETURNTRANSFER,TRUE);
			curl_setopt($curl, CURLOPT_SSL_VERIFYPEER,0);
			$result = curl_exec($curl);
			curl_close($curl);
			$response =  json_decode($result);
			$accesstoken = $response->access_token;
			//$accesstoken = $_SESSION['accesstoken'] ;//= $_GET['access_token'];
			$url = 'https://apis.live.net/v5.0/me/contacts?access_token='.$accesstoken.'&limit=2';
			$xmlresponse =  file_get_contents($url);
			$xml = json_decode($xmlresponse, true);
			$user_emails = $xml['data'];
			if(count($user_emails) > 0){
				foreach ($user_emails as $key => $email) {
					if(strpos($email,"@") > 0){
						if($email){
							$this->referals->addContactBySocials($email,$investor_id);
						}
					}
				}
			}
			return redirect('/refer');
		}else{
			return redirect('/refer/login');
		}
	}


	// send referals

	public function sendInvitetion()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$referalid = $this->input->get('referalid');
			if($referalid){
				$investor_id = $_SESSION['refer_investor_id'];
				$res = $this->db->from('referrals')->where('referrals_id',$referalid)->get();
				// echo "<pre>";
				// print_r($res->result());
				// exit;
				if($res->num_rows() > 0){
					$userData = $this->referals->sendInvitationModelToGetData($investor_id);
					// echo "<pre>";
					// print_r($userData);
					// exit;
					if($userData){
						$referal_email = base64_encode($userData->email);
						$link = "https://www.investocafe.com/Welcome?referalid=".$referal_email;
						$userData->friendName = $this->encrypt->decode($userData->username);
						$userData->phone      = $res->row()->phone;
						$userData->email      = $res->row()->email;
						$response = $this->linkSorten($link,$userData);
						if($response)
						{
							$this->db->where('referrals_id',$referalid)->update('referrals',['is_invited' => 1]);
							echo '{"success":true,"msg":"refer successfull"}';
						}
						else
						{
							echo '{"success":false,"msg":"some error"}';
						}
					}else{
						echo '{"success":false,"msg":"some error"}';
					}
				}
			}
		}else{
			echo '{"success":false,"msg":"session expire"}';
		}
	}
	

	public function linkSorten($link,$userData)
	{

		$stage_one = str_replace(":","%3A",$link);
		$stage_two = str_replace("/","%2F",$stage_one);
		$bitly_link ="https://api-ssl.bitly.com/v3/shorten";
		$bitly_token = "da3d4520516cb9602d7b93b3d86fbc25aae7f356";
		$longUrl = $stage_two;
		$data = "";
		$data .= "access_token=".$bitly_token."&";
		$data .= "longUrl=".$longUrl;
		$res = $this->sendInfo($data,$bitly_link);
		$res = json_decode($res);
		if($res->status_txt == "OK")
		{
			// echo $res->data->url;
			$userData->link = $res->data->url;
			$res = $this->sendReferalEmail($userData);
			$result = $this->sendSms($userData);
			if($res)
			{
				return true;
				echo '{"success":"true","msg":"refer successfull"}';
			}
			else
			{
				return false;
				echo '{"success":"false","msg":"some error"}';
			}
		}
	}

	function sendInfo($data,$url)
	{
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_PORT , 443);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$returnData = curl_exec($ch);
		curl_close($ch);
		return $returnData;
	}

	function sendReferalEmail($userData)
    {
        $today = date('d M Y h:i a', time());
        $data=array();
		$data['friendName'] = $userData->friendName;
		$data['link'] = $userData->link;
		$email=$userData->email;
        $html=$this->load->view('auth/email/refer_email', $data,true);
        $subject="Investocafe referal";
        // $email = "amit.meena@investocafe.com";
        return $out = sendEmailAws($email,$subject,$html);
        // $this->load->library("email");
        // $this->email->set_newline("\r\n");
        // $this->email->set_mailtype("html");
        // $this->email->to($email);
        // // $this->email->to("amitmeena0206@gmail.com");
        // $recipients=array('amitmeena0206@gmail.com');
        // $this->email->bcc($recipients);
        // $this->email->from("Investocafe Assistant<refer@investocafe.com>", "Investocafe");
        // $subject="Investocafe referal";
        // $this->email->subject($subject);
        // $this->email->message($html);
        // $result=$this->email->send();
        // //echo $this->email->print_debugger();
        // return $result;
    }

 //    // send sms
    public function sendSms($userData,$name=false)
	{
		if($userData->phone != "")
		{
			$ch = curl_init();
			$friendName = $userData->friendName;
			$link = $userData->link;
			$phone = $userData->phone;
			if($name){
				$sms = "Hello ".$name.",%0AYour friend $friendName on investocafe portal and get great return in mutual fund. you can also register with your friend referal link. click to link $link%20%0ATeam%20Investocafe.";
			}else{
				$sms = "Hello Sir,%0AYour friend $friendName on investocafe portal and get great return in mutual fund. you can also register with your friend referal link. click to link $link%20%0ATeam%20Investocafe.";
			}
			$url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=$phone&message=$sms&sender=INCAFE&route=4";
			$url=str_replace(" ", "%20", $url1);
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$output = curl_exec($ch);
			$dbData = array ('phone'=>$phone,'response'=>$output);
			$this->db->insert('msg_log',$dbData);
			curl_close($ch);
			if ( $output === FALSE)
			{
			  $output=curl_error($ch); //echoes last session error
			  return false;
			}
			return $output;
		}		
	}

	public function sendReferSMS()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$post = $this->input->post();
			$my_name = $post['friendname'];
			$userPhone = $post['friendmobile'];
			$useremail = $post['friendemail'];
			$userData->friendName = $post['friendname'];
			$this->directReferUsingSMS($userPhone,$my_name,$useremail);
			if($my_name!="" && $userPhone!="")
			{
			  $this->referals->directReferalIsert($my_name,$useremail,$userPhone);

			  echo '{"success":true}';
			}
		}else{
			echo '{"success":false,"msg":"session expire"}';
		}
	}

	public function directReferUsingSMS($phone,$name,$useremail)
	{
		$investor_id = $_SESSION['refer_investor_id'];
		$userData = $this->referals->sendInvitationModelToGetData($investor_id);
		if($userData){
			$referal_email = base64_encode($userData->email);
			$link = "https://www.investocafe.com/loginRegistration?referalid=".$referal_email;
			$sending_link = $this->linkSorten2($link);
			$userData->friendName = $this->encrypt->decode($userData->username);
			$userData->phone = $phone;
			$userData->link = $sending_link;
			$userData->email = $useremail;
			$this->sendSms($userData,$name);
			$this->sendReferalEmail($userData);
		}
	}

	public function linkSorten2($link)
	{
		$stage_one = str_replace(":","%3A",$link);
		$stage_two = str_replace("/","%2F",$stage_one);
		$bitly_link ="https://api-ssl.bitly.com/v3/shorten";
		$bitly_token = "da3d4520516cb9602d7b93b3d86fbc25aae7f356";
		$longUrl = $stage_two;
		$data = "";
		$data .= "access_token=".$bitly_token."&";
		$data .= "longUrl=".$longUrl;
		$res = $this->sendInfo($data,$bitly_link);
		$res = json_decode($res);
		if($res->status_txt == "OK")
		{
			return $res->data->url;	
		}
	}

	public function shareit($share)
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$res = $this->referals->getReferLinkModel($investor_id);
			if($res)
			{
				switch ($share) {
					case "fb":
			        	$application_number = base64_encode($res->email);
						$link  = 'https://www.facebook.com/share.php';
						$link .= '?u=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
						$link .= '&title=Investocafe refer friend';
						$link .= '&description=Investocafe is a online portal that use to get defrent prices and so on dot dot dot';
						$link .= '&picture=https://www.investocafe.com/assets/tech-assets/investo-img/investo1.jpg';
						return redirect($link);
			        	break;
			        case "google":
			        	$application_number = base64_encode($res->email);;
						$link  = 'https://plus.google.com/share?';
						$link .= 'url=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
						$link .= '&title=this is google title';
						$link .= '&picture=https://www.investocafe.com/assets/tech-assets/investo-img/investo1.jpg';
						return redirect($link);
			        	break;
			        case "twitter":
			        	$application_number = base64_encode($res->email);;
						$link  = 'http://twitter.com/share?';
						$link .= 'text=Investocafe refer friend';
						$link .= '&url=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
						return redirect($link);
			        	break;
			        case "ln":
			        	$application_number = base64_encode($res->email);;
						$link  = 'http://www.linkedin.com/shareArticle?mini=true';
						$link .= '&url=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
						$link .= '&title=this is a cutom title';
						$link .= '&summary=ths is description on linkedin';
						$link .= '&image=https://www.investocafe.com/assets/tech-assets/images/home-1-left-img.jpg';
						return redirect($link);
			        	break;
			        default:
			        	return redirect(base_url());
			    }

					// if($share == 'fb')
					// {
					// 	$application_number = base64_encode($res->email);
					// 	$link  = 'https://www.facebook.com/share.php';
					// 	$link .= '?u=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
					// 	$link .= '&title=Investocafe refer friend';
					// 	$link .= '&description=Investocafe is a online portal that use to get defrent prices and so on dot dot dot';
					// 	$link .= '&picture=https://www.investocafe.com/assets/tech-assets/investo-img/investo1.jpg';
					// 	return redirect($link);
					// }
					// elseif($share == 'google')
					// {
					// 	$application_number = base64_encode($res->email);;
					// 	$link  = 'https://plus.google.com/share?';
					// 	$link .= 'url=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
					// 	$link .= '&title=this is google title';
					// 	$link .= '&picture=https://www.investocafe.com/assets/tech-assets/investo-img/investo1.jpg';
					// 	return redirect($link);
					// }
					// elseif($share == 'twitter')
					// {
					// 	$application_number = base64_encode($res->email);;
					// 	$link  = 'http://twitter.com/share?';
					// 	$link .= 'text=Investocafe refer friend';
					// 	$link .= '&url=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
					// 	return redirect($link);
					// }
					// elseif($share == 'ln')
					// {
					// 	$application_number = base64_encode($res->email);;
					// 	$link  = 'http://www.linkedin.com/shareArticle?mini=true';
					// 	$link .= '&url=https://www.investocafe.com/loginRegistration?referalid='.$application_number;
					// 	$link .= '&title=this is a cutom title';
					// 	$link .= '&summary=ths is description on linkedin';
					// 	$link .= '&image=https://www.investocafe.com/assets/tech-assets/images/home-1-left-img.jpg';
					// 	return redirect($link);
					// }
					// else
					// {
					// 	return redirect(base_url());
					// }
				
				/* linkedin.com/shareArticle?mini=true&url=http://bit.ly/adaptxt-beta-android&title=http://bit.ly/adaptxt-beta-android&summary=http://bit.ly/adaptxt-beta-android&source=http://bit.ly/adaptxt-beta-android */
			}
			else
			{
				return redirect(base_url());
			}
		}else{
			return redirect(base_url('/'));
		}
	}

	// public function login()
	// {
	// 	$data = [];
	// 	$data['jsFile'] = 'refer/referLogin.js';
	// 	$this->load->view('amit_theme/common/header',$data);
	// 	$this->load->view('amit_theme/iRefer/login_view',$data);
	// 	$this->load->view('amit_theme/common/footer',$data );
	// }

	public function login()
	{
		$data = [];
		$data['jsFile'] = 'refer/referLogin.js';
		$data['title'] = "Refer your friend and win reward";
		$this->load->view('theme/common/header',$data);
		$this->load->view('theme/refer/login_view',$data);
		$this->load->view('theme/common/footer',$data );
	}

	public function auth(){
		$post = $this->input->post();
		if($post['email']){
			$email = $post['email'];
			$res = $this->db->from('users')->where('email',$email)->get();
			if($res->num_rows() > 0){
				$this->load->helper('string');
				$otp = random_string('numeric', 4);
				$this->db->where('id',$res->row()->id)->update('users',['otp_code'=>$otp ]);
				if($this->db->affected_rows() > 0){
					$phone = $this->encrypt->decode($res->row()->phone);
					$this->sendOTP($phone,$otp);
					$this->otpEmail($otp,$email);
					echo '{"success":true,"msg":"successfully genrate OTP"}';
				}else{
					echo '{"success":false,"msg":"somthing goes to wrong"}';
				}
			}else{
				echo '{"success":false,"msg":"Email address incorrect"}';
			}
		}
	}

	public function sendOTP($phone,$otp)
	{
		if($phone)
		{
			$ch = curl_init();
			$sms = "Your investocafe refer and reward OTP $otp %20%0ATeam%20Investocafe.";
			$url1="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AHlYUSa2ro5875f277&mobiles=$phone&message=$sms&sender=INCAFE&route=4";
			$url=str_replace(" ", "%20", $url1);
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$output = curl_exec($ch);
			curl_close($ch);
			if ( $output === FALSE)
			{
			  $output=curl_error($ch); //echoes last session error
			  return false;
			}
			return $output;
		}		
	}

	public function authOTP()
	{
		$post = $this->input->post();
		if($post['otp'] != ''){
			$email = $post['email'];
			$otp   = $post['otp'];
			$res = $this->referals->auth_otp_model($email,$otp);
			if($res){
				$data = $res;
				$_SESSION['refer_investor_id'] = $data->investor_id;
				$_SESSION['refer_id'] = $data->email;
				echo '{"success":true,"msg":"successfully login","url":"'.base_url("refer").'"}';
			}else{
				echo '{"success":false,"msg":"OTP is incorrect"}';
			}
		}else{
			echo '{"success":false,"msg":"Please enter OTP"}';
		}
	}


	public function getPointsFromPurchase()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$config = $this->db->from('referral_config')->where('referral_config_id',3)->get();
			$email = $_SESSION['refer_id'];
			$res = $this->referals->getPointsFromPurchaseModel($investor_id);
			if($res){
				$insert_array = [];
				$result = $res;
				foreach ($result as $key => $value) {
					array_push($insert_array,[
						'referral_code' => $email,
						'investor_id'   => $value->investor_id,
						'comment'  		=> 'purchase point',
						'points'		=> round($value->purchased_amount/1000)*$config->row()->referral_config_value,
						'points_type'	=> 2,
						'purchase_units_id'=> $value->purchased_units_id,
						'status' 		=> 1
					]);
				}
				if(count($insert_array) > 0){
					$this->db->insert_batch('referral_points', $insert_array);
				}
			}
		}else{
			return redirect('/refer/login');
		}
	}


	public function redeem()
	{
		if(isset($_SESSION['refer_investor_id']) &&  isset($_SESSION['refer_id'])){
			$investor_id = $_SESSION['refer_investor_id'];
			$data = [];
			$data['jsFile'] = 'refer/referfile.js';
			$data['points'] = $this->referals->getAllPoints($investor_id);
			$res = $this->db->from('referral_gifts')->where('is_active',1)->get();
			if($res->num_rows() > 0){
				$data['gifts'] = $res->result();
			}else{
				$data['gifts'] = false;
			}

			$this->load->view('amit_theme/common/header',$data);
			$this->load->view('amit_theme/iRefer/redeem_view',$data);
			$this->load->view('amit_theme/common/footer',$data );
		}else{
			return redirect('/refer/login');
		}
	}

	public function redeem_request()
	{
		$post = $this->input->post();
		$investor_id = $_SESSION['refer_investor_id'];
		if($post){
			$res = $this->db->from('referral_gifts')->where('referral_gift_id',$post['gift_id'])->get();
			$totalPoint = $this->referals->getAllPoints($investor_id);
			if($totalPoint >= $res->row()->redeem_points){
				if($res->num_rows() > 0){
					$response = $this->db->insert('referral_points',[
						'referral_code' => $_SESSION['refer_id'],
						'comment' => "Redeem - ".$res->row()->title,
						'points'  => $res->row()->redeem_points,
						'points_type' => 3,
						'status'	  => 2
					]);

					if($response){
						$userData = $this->referals->sendInvitationModelToGetData($investor_id);
						if($userData){
							$today = date('d M Y h:i a', time());
					        $data=array();
					        $data['name'] = $this->encrypt->decode($userData->username);
					        $data['title'] = $res->row()->title;
					        $data['phone'] = $this->encrypt->decode($userData->phone);
					        $html=$this->load->view('auth/email/email_to_admin', $data,true);
					        $this->load->library("email");
					        $this->email->set_newline("\r\n");
					        $this->email->set_mailtype("html");
					        // $this->email->to($email);
					        $this->email->to("info@investocafe.com");
					        $recipients=array('amitmeena0206@gmail.com');
					        $this->email->bcc($recipients);
					        $this->email->from("Investocafe Assistant<refer@investocafe.com>", "Investocafe");
					        $subject="Redeem Request";
					        $this->email->subject($subject);
					        $this->email->message($html);
					        $result=$this->email->send();
						}
						echo '{"success":true}';
					}else{
						echo '{"success":false,"msg":"Server Error"}';
					}
				}else{
					echo '{"success":false,"msg":"Offer not fount"}';
				}
			}else{
				echo '{"success":false,"msg":"you don\'t have enough point to get this deal"}';
			}
		}
	}

	//this is helper fundtion used in to get referal detail on registration proccess.. 
	public function checkHelper()
	{
		$name = "Raja Babu";
		$phone = "8962314514";
		$email = "deepaksignite@gmail.com";
		$investor_id = "12345";
		$friend_investor_id = "55";
		insertNewState($name,$phone,$email,$investor_id,$friend_investor_id);
	}

	// public function checkRegistrationComplte()
	// {
	// 	$res = $this->db->query("SELECT investor_id,is_do_not_reg_nominee,is_incomplete_bank_detail FROM investor WHERE investor_id in (SELECT `friend_investor_id` FROM referrals WHERE `reg_status_id` BETWEEN 1 and 3)");
	// 	if($res->num_rows() > 0){
	// 		echo "<pre>";
	// 		print_r($res->result());
	// 	}
	// }

	public function logout()
	{
		$this->session->sess_destroy();
		unset($_SESSION['refer_investor_id']);
		unset($_SESSION['refer_id']);
		session_destroy();
		return redirect('refer/login');
	}


	function otpEmail($otp,$email)
    {
        $today = date('d M Y h:i a', time());
        $data=array();
        $data['otp'] = $otp;
        $html=$this->load->view('auth/email/refer_otp_email', $data,true);
        $this->load->library("email");
        $this->email->set_newline("\r\n");
        $this->email->set_mailtype("html");
        $this->email->to($email);
        // $this->email->to("amitmeena0206@gmail.com");
        $recipients=array('amitmeena0206@gmail.com');
        $this->email->bcc($recipients);
        $this->email->from("Investocafe Assistant<refer@investocafe.com>", "Investocafe");
        $subject="Investocafe referal OTP";
        $this->email->subject($subject);
        $this->email->message($html);
        $result=$this->email->send();
        //echo $this->email->print_debugger();
        return $result;
    }

    public function statusUpdateCron()
    {
    	$date = date_format(date_add(date_create($date),date_interval_create_from_date_string("-30 days")),"Y-m-d");
    	$res = $this->db->query("SELECT * FROM `referrals` WHERE friend_investor_id > 0 AND `reg_status_id` < 4 and ts >'".$date."' ");
    	if($res->num_rows() > 0)
    	{
    		// echo "<pre>";
    		// print_r($res->result());
    		foreach($res->result() as $data)
    		{
    			if($data->reg_status_id ==1)
    			{
    				$avb = $this->db->query("SELECT * FROM investor WHERE investor_id = $data->friend_investor_id AND is_do_not_reg_nominee = 0 AND is_incomplete_bank_detail = 0");
    				if($avb->num_rows() > 0){
    					$this->db->WHERE('friend_investor_id',$data->friend_investor_id)->update('referrals',['reg_status_id'=>3]);
    					$data->reg_status_id =3;
    				}
    			}
    			if($data->reg_status_id ==3)
    			{
    				$pvb = $this->db->query("SELECT * FROM purchased_units WHERE investor_id = $data->friend_investor_id AND `request_status` = 1");
    				if($pvb->num_rows() > 0)
    				{
    					$this->db->WHERE('friend_investor_id',$data->friend_investor_id)->update('referrals',['reg_status_id'=>4]);
    				}
    			}
    		}
    	}
    }

}

