<?php
class RelianceCardCron extends CI_Controller{
	
	function __construct()
	{
		parent::__construct();
		$this->load->config('config_cams');
		$this->load->config('config_karvy');
		$this->load->model('purchase_cron/api_model');
		$this->load->model('purchase_cron/reliance_card_cron_model');
		$this->load->helper('cams_helper');
		$this->load->helper('karvy_helper');
	}
	
	public function applyForCard()
	{
		$result = $this->reliance_card_cron_model->get_card_data();
	
	
		log_message("info", "***** Controller : RelianceCardCron,  Function : applyForCard, Messege : run cron for apply card *****");
	    if($result)
		{
			log_message("info", "***** Controller : RelianceCardCron,  Function : applyForCard, Messege : Got result *****");
			foreach($result as $row)
			{
				$data = (array) $row;
				$data = json_encode($data);
				log_message("info", "***** Controller : RelianceCardCron,  Function : applyForCard, Messege : inside foreach, running for".$data." *****");
				if($row && $row->mother_name != ""  )
				{
					$DOB = dateFormateForRelianceCard($row->date_of_birth);
					$motherName = $row->mother_name;
					$name = $this->encrypt->decode($row->username);
					$folio_number = $row->folio_number;
					print_r("name".$name." ".$row->investor_id. "<br />"); 
					log_message("info", "***** Controller : RelianceCardCron,  Function : applyForCard, Messege : apply card for name ".$name." Investor Id ".$row->investor_id." *****");
					$responce = $this->apiCreateData($folio_number,$motherName,$name,$DOB);
					if($responce){
						print_r($responce);
						log_message("info", "***** Controller : RelianceCardCron,  Function : applyForCard, Messege : apply card for name ".$name." response ".$responce." *****");
						$this->reliance_card_cron_model->update_investor_status($row->investor_id);
					} 
				} 
				
			}
		} 
	}
	
	 public function apiCreateData($folio_number,$motherName,$name,$DOB)
	{

		//date of birth should be DD/MM/YYYY
		$apikey  = "32557515-5995-4b35-f3f3-f9518482e527";
		$data  = "";
		$data .= "Arncode=".$this->config->item('arn_code')."&";
		$data .= "Folio=".$folio_number."&";
		$data .= "Scheme=LP&";
		$data .= "Plan=IG&";
		$data .= "Option=G&";
		$data .= "MothersMaidenName=".$motherName."&";
		$data .= "NameOnCard=".$name."&";
		$data .= "DOB=".$DOB."&";
		$data .= "Branch=IZ99&";
		$data .= "EntBy=".$name."&";
		$data .= "deviceid=PartnerAPI&";
		$data .= "appVersion=1.0.1&";
		$data .= "appName=Investocafe&";
		$data .= "apikey=".$apikey."";
		log_message("info", "***** Controller : RelianceCardCron,  Function : apiCreateData, Messege : create data to send to reliance data : ".$data." *****");
		$res = $this->sendInfo($data);
		$url = $this->config->item("apply_for_ATM");
		/* echo "<pre>";
		print_r($res);
		print_r($url.$data); */
		log_message("info", "***** Controller : RelianceCardCron,  Function : apiCreateData, Messege : get responce : ".$res." *****");
		return $res;
	
	} 
	
	function sendInfo($data)
	{
		$url = $this->config->item("apply_for_ATM");
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_PORT , 443);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$returnData = curl_exec($ch);
		curl_close($ch);
		return $returnData; 
	}
	
	function testsendInfo($data)
	{
		$url = $this->config->item("apply_for_ATM");
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_PORT , 443);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$returnData = curl_exec($ch);
		curl_close($ch);
		return $returnData; 
	}
}