<?php 
class ReverseFeedUploadNotification extends CI_Controller{
	
	public function index()
	{
		$res = $this->db->query("select purchased_units.unit_count,purchased_units.batch_id,purchased_units.investor_id,purchased_units.purchased_amount,funds.fund_name,purchased_units.request_status,purchased_units.ts from purchased_units join funds on funds.fund_id = purchased_units.fund_id where purchased_units.trans_upload_status = 1 AND batch_id in(select batch_id from batch where update_reverse_feed = 0)");

		if($res->num_rows()>0)
		{
			$result = $res->result();
			$batch_id = 0;
			$group_array = [];
			$investor_id = 0;
			foreach($result as $rs)
			{
				$check_indicater = 1;
				if($batch_id == $rs->batch_id)
				{
					$investor_id =$rs->investor_id;
					array_push($group_array,$rs);
				}
				else
				{
					$str = "<ul>";
					foreach($group_array as $pursached_data)
					{
						if($pursached_data->unit_count =="0.00")
						{
							$batch_id = $rs->batch_id;
							$group_array = [];
							array_push($group_array,$rs);
							$check_indicater = 0;
							break;
						}
						$str .= "<li>".$pursached_data->purchased_amount." in ".$pursached_data->fund_name."</li>";
						
					}
					$str .= "</ul>";
					echo $str;
					if($check_indicater == 1)
					{
						$this->getNumberAndEmail($investor_id,$str);
						$this->db->where("batch_id",$batch_id)->update('batch',['update_reverse_feed' =>1]);
						$batch_id = $rs->batch_id;
						$group_array = [];
						array_push($group_array,$rs);
					}
				}
			}
		}
	}
	
	public function testFeed()
	{
		$res = $this->db->query("select purchased_units.unit_count,purchased_units.batch_id,purchased_units.investor_id,purchased_units.purchased_amount,funds.fund_name,purchased_units.request_status,purchased_units.ts from purchased_units join funds on funds.fund_id = purchased_units.fund_id where purchased_units.trans_upload_status = 1 AND batch_id in(select batch_id from batch where update_reverse_feed = 0)");
		if($res->num_rows() > 0)
		{
			//echo "<pre>";
			$result = $res->result();
			$array = [];
			$array2 = [];
			$ind = 0;
			$setReject = 0;
			foreach($result as $rs)
			{
				//echo $ind ."!=". $rs->batch_id."<br />";
				if($ind != $rs->batch_id && $ind != 0)
				{
					if($setReject == 0)
					{
						array_push($array2,$array);
					}
					else
					{
						$setReject = 0;
					}
					$array = [];
				}
				if($rs->unit_count == 0.00)
				{
					$setReject = 1;
				}
				$array[] = $rs;
				$ind = $rs->batch_id;
			}
			
			$this->getListFromArray($array2);
			
		}
	}
	
	public function getListFromArray($array2)
	{
		$lenth = count($array2);
		//print_r($array2);
		for($i =0; $i < $lenth;$i++)
		{
			$str = "";
			$str .="<ul>";
			foreach($array2[$i] as $rs)
			{
				$str .= "<li>".$rs->purchased_amount." in ".$rs->fund_name." ".$rs->batch_id."</li>";
			}
			$str .= "</ul>";
			
			$this->test($str);
			//exit;
		}
	}
	
	
	
	function getNumberAndEmail($investor_id,$str)
	{
		if($investor_id!=0)
		{
			$res = $this->db->query("select users.username ,users.phone ,users.email from users join investor on investor.login_id = users.id where investor.investor_id = $investor_id ");
			if($res->num_rows() == 1)
			{
				$res = $res->row();
				$name= $this->encrypt->decode($res->username);
				$phone= $this->encrypt->decode($res->phone);
				$email = $res->email;
				//echo $name." ".$phone." ".$email;
				$this->test($str);
				$msg="Dear ".$name.", your portfolio got updated with your recent purchase. Please log in to your account to check the same. Team Investocafe";
				//$this->sendSms($name,$phone,$msg);
				//exit;
			}
		}
	}
	
	public function test($str)
	{
		//print_r($str);
	    $data['name'] = "Neha joshi";
		$data['link'] = base_url("login");
		$data['link_text'] = "Log in to account";
		$data['contant'] ="Season Greetings from Investocafe !!! <br />Your recent purchase in mutual funds of amount 
		".$str."
		has been updated in your portfolio. You can check the same by logging in to your account.";
		$email = "rahul.gehlot@investocafe.com";
		$view = "auth/email/follow_up_email";
		$subject = "Portfolio update.";
		//echo $data['contant']."<br />";
		//$this->load->view($view,$data);
		$this->sendRiskMail($email,$view,$data,$subject);
	
	}
	
	function sendRiskMail($email,$view,$data,$subject)
    {
        $html=$this->load->view($view, $data,true);
		$out = sendEmail($email,$subject,$html);
        return $out;
    }
	
    public function sendSms($my_name,$userPhone,$msg)
	{
		if($my_name!="" && $userPhone!="")
        {
          $ch = curl_init();
          $msg = str_replace(" ","%20" ,$msg);
          $url="http://login.bulksms.bz/api/sendhttp.php?authkey=1568AhFLcgCDmJF56b081c8&mobiles=".$userPhone."&message=".$msg."&sender=INCAFE&route=4";
          curl_setopt($ch, CURLOPT_URL, $url);
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
          $output = curl_exec($ch);
          $dbData = array ('phone'=>$userPhone,'response'=>$output);
          $this->db->insert('msg_log',$dbData);
          curl_close($ch);

          if ( $output === FALSE)
          {
              $output=curl_error($ch);
              return false;
          }
		  echo "msg send";
          return $output;
        }
        else
        {
            echo "Invalid user name or phone number";
            log_message('info', '***** Controller : SendMessage, Function : sendAccountActivationSms, Message : Invalid user name or phone number provided for sending SMS For Risk Profile, AgeRange Change *****');
        }
	}
}