<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class RiskProfile extends CI_Controller
{
	function __construct()
	{
	   // Call the Model constructor
	   parent::__construct();
	    $this->load->model('risk_profile_user_model' ,'risk_model');
		$this->load->model('home_model','home_model');
      
	}

	public function index()
	{
		$this->data['pageTitle'] = 'Risk Profile';
		$this->_loadNewView('theme/home/risk_profile_view_remaining_part');
	}

	function _loadNewView($view)
	{
		$logged=$this->ion_auth->logged_in();
		$testimonial = $this->home_model->getTestimonial();
		$data['testimonial'] = $testimonial;
		if(checkuser_session())
		{
			$data['getGoing']="dashboard";
	
		}else{
			$data['getGoing']="registration";
		}
	  $data['jsFile'] = 'home/riskProfile.js';
	  $this->load->view('theme/common/header',$data);
	  $this->load->view($view,$data);
	  $this->load->view('theme/common/footer',$data );
	}
	
	
}
