<?php

class Robo extends CI_Controller{
	
	public function index()
	{
		$res = $this->db->query("SELECT goal_id, temp_users_id, investor_id, goal_timeline, goal_amount, monthly_saving_amount, goals.ts, goal_title, goal_description FROM `goals` JOIN goal_type ON goals.goal_type_id = goal_type.goal_type_id WHERE investor_id = 24");
		if($res->num_rows() > 0){
			// echo "<pre>";
			foreach($res->result() as $data){
				$dateA = $data->ts;
				$dateB = date("Y-m-d 00:00:00");
				$months = $this->dateSub($dateA,$dateB);
				if($months < $data->goal_timeline){
					// print_r($data);
					$amount = $data->monthly_saving_amount;
					$this->calculateIntrest($amount,$months);
				}
			}
		}
	}

	public function dateSub($dateA,$dateB)
	{
		$date1=date_create($dateA);
		$date2=date_create($dateB);
		$diff=date_diff($date1,$date2);
		return round($diff->format("%a")/30);
	}

	function calculateIntrest($amount,$time)
	{
		$total = 0;
		for($i=0;$i <=$time; $i++ )
		{
			$total += ($amount/100)+$amount;
		}

		echo $total;
	}
}