<?php

class SalesFunnel extends CI_Controller{

	function __construct()
	{
		parent::__construct();
		// $this->email = [
		// 	'anvesh.pandey@investocafe.com',
		// 	'rahul.gehlot@investocafe.com',
		// 	'manvijain@investocafe.com',
		// 	'aliasgar.arif@gmail.com',
		// 	'amit.meena@investocafe.com'
		// ];
	}

	/*
	1) Introduction and Invite Mailer
	ToDO: Create one action that will send an email to the all registered users.
	*/
	public function introAndInvite()
	{
		$res = $this->db->get('users');
		if($res->num_rows() > 0){
			$subject = "Introducing  Investo-PAL | An Oppurtunity to Refer and Earn unlimited Income for Lifetime!";
			$html = $this->load->view('sales_mail/invite_mail',true);
			foreach($res->result() as $data);
			{
				$email = $data->email;
				// $this->mail($email,$subject,$html);
				// sendEmailAws($email,$subject,$html);
			}

			// foreach ($this->email as $key => $value) {
			// 	$email = $value;
			// 	$this->mail($email,$subject,$html);
			// }
		}
	}

	public function introAndInviteNew()
	{
		$res = $this->db->get('users');
		if($res->num_rows() > 0){
			$subject = "Introducing  Investo-PAL | An Oppurtunity to Refer and Earn unlimited Income for Lifetime!";
			$html = $this->load->view('sales_mail/invite_mail',true);
			foreach($res->result() as $data);
			{
				$email = $data->email;
				// $this->mail($email,$subject,$html);
				// sendEmailAws($email,$subject,$html);
			}

			// foreach ($this->email as $key => $value) {
			// 	$email = $value;
			// 	$this->mail($email,$subject,$html);
			// }
		}
	}

	/*
	2) For Referer(jisne invite kiya)
	Reminder email 
	ToDo: Create a date field say "next_reminder_date" in database in which we will store the next date of reminder email. The email will be sent to the Referer(jisne invite kiya) whose next_reminder_date=current date. Under same action next_reminder_date will be set as current date+7 
	*/
	public function reminderMailerSubject($index)
	{
		 $subjects = [
			 			  1 => "An exciting oppurtunity knocking on your door!!! Just refer and Earn unlimited Income!",
			 			  2 => "Its time to help your Family and friends Grow together...Become an INVESTO-PAL Today!",
			 			  3 => "Earn Lifetime Income by just referring your Family and Friends | Become an Investo-PAL today!",
			 			  4 => "Become an Investo-PAL and help your friends and family grow together!",
			 			  5 => "Be your own BOSS and earn unlimited income | Become an Investo-PAL today!",
			 			  6 => "Earn upto Minimum Rs 2250* just by referring your Friends and Family!",
			 			  7 => "Have you become an Investo-PAL yet? Hurry,unlimited earnings waiting for you!",
			 			  8 => "Help your near and dear ones accomplish their dreams by Investing Right!",
			 			  9 => "Refer your family and friends and earn exciting Lifetime Income oppurtunity!",
			 			  10 =>"Assist your Family and friends to Invest Right and earn upto Minimum Rs 2250* !",
			 			  11 =>"Investo-PAL -An oppurtunity to earn extra money by just refering your Contacts!"
		 			];
		if(array_key_exists((int) $index, $subjects)){
			return $subjects[$index];
		}else{
			return false;
		}											
	}

	// fixed
	public function reminderMailer()
	{
		$date = date('Y-m-d');
		$three = date_format(date_add(date_create($date),date_interval_create_from_date_string("-90 days")),"Y-m-d");
		$seven = date_format(date_add(date_create($date),date_interval_create_from_date_string("-1 days")),"Y-m-d");
		$today = date_format(date_add(date_create($date),date_interval_create_from_date_string("0 days")),"Y-m-d");
		$expThree = explode('-', $three);
		$expSeven = explode('-', $seven);
		$today = explode('-', $today);
		$start_date =  mktime(0,0,0,$expThree[1],$expThree[2],$expThree[0]);
		$end_date = mktime(0,0,0,$expSeven[1],$expSeven[2],$expSeven[0]);
		$today = mktime(23,59,59,$today[1],$today[2],$today[0]);
		echo $updateDate = date_format(date_add(date_create($date),date_interval_create_from_date_string("+7 days")),"Y-m-d");
		$this->db->query("UPDATE users SET sate_funnel_date = '".$updateDate."' WHERE `sate_funnel_date` IS NULL AND created_on BETWEEN $end_date AND $today");
		$todaysDate = date('Y-m-d');
		$html = $this->load->view('sales_mail/reminder_mailer_mail','',true);
		$res = $this->db->query("SELECT username,email,phone,ts FROM `users` WHERE `sate_funnel_date` = '".$todaysDate."' AND created_on BETWEEN $start_date AND $end_date");
		// echo $this->db->last_query();
		// echo "SELECT username,email,phone,ts FROM `users` WHERE `sate_funnel_date` = '".$todaysDate."' AND created_on BETWEEN $start_date AND $end_date";
		// exit;
		if($res->num_rows() > 0)
		{
			$result = $res->result();
			foreach ($result as  $date) {
				echo $diff=round(date_diff(date_create($date->ts),date_create($todaysDate))->format("%a")/7);
				$subject = $this->reminderMailerSubject($diff);
				echo $subject;
				if($subject){
					$name = $this->encrypt->decode($date->username);
					$email= $date->email;
					// $this->mail($email,$subject,$html);
					echo $email." ".$subject;
					sendEmailAws($email,$subject,$html);
				}
			}

			// foreach ($this->email as $key => $value) {
			// 	$subject = "An exciting oppurtunity knocking on your door!!! Just refer and Earn unlimited Income!";
			// 	$email = $value;
			// 	// $this->mail($email,$subject,$html);
			// 	sendEmailAws($email,$subject,$html);
			// }
		}
		$update_date = date_format(date_add(date_create($todaysDate),date_interval_create_from_date_string("7 days")),"Y-m-d");
		$this->db->where('sate_funnel_date',$todaysDate)->update('users',['sate_funnel_date'=> $update_date]);
		
	}

	/*
	Thank you email
	ToDo: Create an action that will send an email to the Referer(jisne invite kiya) once Refree(kisko invite kiya) Registers 
	*/
	public function thankYouEmail()
	{
		// thnak you email
		$res = $this->db->query("SELECT users.username, users.email FROM `referrals` JOIN investor ON investor.investor_id = referrals.investor_id JOIN users ON users.id = investor.login_id WHERE `reg_status_id` = 4 AND `mail_st`=0");
		

		// $html = $this->load->view('sales_mail/thank_you_email','',true);
		if($res->num_rows() > 0)
		{
			$subject = "Congratulations! You have become an Investo-PAL|Thank you for referring!";
			
			foreach($res->result() as $data){
				$email = $data->email;
				$dt['name'] = $this->encrypt->decode($data->username);
				$html = $this->load->view('sales_mail/thank_you_email',$dt,true);
				// $this->mail($email,$subject,$html);
				sendEmailAws($email,$subject,$html);
			}
			// foreach ($this->email as $key => $value) {
			// 	$email = $value;
			// 	// $this->mail($email,$subject,$html);
			// 	sendEmailAws($email,$subject,$html);
			// }
			$this->db->query("update referrals set `mail_st`=1 WHERE `reg_status_id` = 4 AND `mail_st`=0");
		}
	}

	/*
	5-x Mail Registration 
	ToDo: Create an action that will send an email to the Referer(jisne invite kiya). Create a new field in the invitation table named "five_x_mail_date". The email will be sent to the Referer(jisne invite kiya) whose five_x_mail_date=current date.
	*/
	public function x5RegistrationMail()
	{
		$res = $this->db->query("SELECT COUNT(referrals.investor_id) AS c, investor.investor_id, users.username, users.phone, users.email FROM `referrals` JOIN investor ON investor.investor_id = referrals.investor_id JOIN users ON users.id = investor.login_id WHERE `reg_status_id` = 4 GROUP BY referrals.investor_id HAVING c = 5");
		if($res->num_rows() >0)
		{
			foreach($res->result() as $dt):
				$subject = "Congratulations! Your 5 have Registed Succesfully with Investocafe! Look how much you have Earned!";
				$data['referal_number'] = 5;
				$html = $this->load->view('sales_mail/5and15_view',$data,true);
				echo $email = $dt->email;
				echo sendEmailAws($email,$subject,$html);
			endforeach;
		}
		
		// $this->mail($email,$subject,$html);
		// sendEmailAws($email,$subject,$html);
		// foreach ($this->email as $key => $value) {
		// 	$email = $value;
		// 	// $this->mail($email,$subject,$html);
		// 	sendEmailAws($email,$subject,$html);

		// }
	}

	public function x10RegistrationMail()
	{
		// $subject = "Congratulations! Your 1/2/3/4 have Registed Succesfully with Investocafe! Look how much you have Earned!";
		// $html = $this->load->view('sales_mail/encash_earing','',true);
		// // $this->mail($email,$subject,$html);
		// sendEmailAws($email,$subject,$html);
		// foreach ($this->email as $key => $value) {
		// 	$email = $value;
		// 	// $this->mail($email,$subject,$html);
		// 	sendEmailAws($email,$subject,$html);
		// }
	}

	public function x15RegistrationMail()
	{
		$res = $this->db->query("SELECT COUNT(referrals.investor_id) AS c, investor.investor_id, users.username, users.phone, users.email FROM `referrals` JOIN investor ON investor.investor_id = referrals.investor_id JOIN users ON users.id = investor.login_id WHERE `reg_status_id` = 4 GROUP BY referrals.investor_id HAVING c = 5");
		if($res->num_rows() >0)
		{
			foreach($res->result() as $dt):
				$subject = "Congratulations! Your 15 have Registed Succesfully with Investocafe! Look how much you have Earned!";
				$data['referal_number'] = 15;
				$html = $this->load->view('sales_mail/5and15_view',$data,true);
				echo $email = $dt->email;
				echo sendEmailAws($email,$subject,$html);
			endforeach;
		}
	}

	/*
	5th & 15th   Registration Mail
	ToDo: Create an action that will send an email to the Referer(jisne invite kiya). I will explain you the logic later.
	*/
	public function registrationMail()
	{
		$subject = "";
		$html = "";
		$this->mail($email,$subject,$html);
	}

	/*
	Welcome email
	ToDo: Create an action that will send an email to the Referee(jisko invite kiya).
	*/
	public  function welcomeEmail(){
		$subject = "";
		$html = "";
		$this->mail($email,$subject,$html);
	}

	/*
	Reminder email
	ToDo: Create an action that will send an email to the Referee(jisko invite kiya). Create a field named "referee_next_reminder_date" in the user table. Set it current date +3 once the user registers. After that set it to current date +4.// 3rd and 7th
	*/
	public function reminderEmail(){
		// $todaysDate = date("Y-m-d");
		$date = date('Y-m-d');
		$three = date_format(date_add(date_create($date),date_interval_create_from_date_string("-4 days")),"Y-m-d");
		$seven = date_format(date_add(date_create($date),date_interval_create_from_date_string("-7 days")),"Y-m-d");
		$expThree = explode('-', $three);
		$expSeven = explode('-', $seven);
		$dayThreeFirst =  mktime(0,0,0,$expThree[1],$expThree[2],$expThree[0]);
		$dayThreeLast =  mktime(24,59,59,$expThree[1],$expThree[2],$expThree[0]);
		$daySevenFirst = mktime(0,0,0,$expSeven[1],$expSeven[2],$expSeven[0]);
		$daySevenLast = mktime(24,59,59,$expSeven[1],$expSeven[2],$expSeven[0]);
		$html = '';
		$res = $this->db->query("SELECT * from users WHERE created_on BETWEEN $dayThreeFirst AND $dayThreeLast OR created_on BETWEEN $daySevenFirst AND $daySevenLast");
		if($res->num_rows() > 0)
		{
			$result = $res->result();
			foreach ($result as  $date) {
				$name = $this->encrypt->decode($date->username);
				$email= $date->email;
				// $this->mail($email,$subject,$html);
				sendEmailAws($email,$subject,$html);
			}
		}
	}

	/*
	Thank you email(Referee)
	ToDo: Create an action that will send an email to the Referee(jisko invite kiya).
	*/
	public function thankYouEmailReferee()
	{
		$subject = "";
		$html = "";
		$this->mail($email,$subject,$html);
	}

	// 
	public function encashErning()
	{
		// $this->mail($email,$subject,$html);
	}

	// Do not Register
	public function retirementPlanningMailer()
	{

	}

	// Do not Register
	public function calculateYourSIPmailer()
	{

	}

	// Do not Register
	public function taxSavingsMailer()
	{

	}

	// Do not Register
	public function childEducationMailer()
	{

	}

	// Do not Register
	public function returnsOnMySIPMailer()
	{

	}

	// Do not Register
	public function emergencyFundsMailer()
	{

	}

	// Do not Register
	public function buyingANewCarMailer()
	{

	}

	// Do not Register
	public function buyingANewHouseMailer()
	{

	}


	public function mail($email,$subject,$html)
	{
		// $out = sendEmail($email,$subject,$html);
	}

	public function tscheck()
	{
		// echo gmdate('Y-m-d',$dayThree);
	}

	//1545640845
	//1545692400
	// not register
	// public function notRegistered()
	// {
	// 	$res = $this->db->query("SELECT * FROM `referrals` WHERE is_invited = 1 AND reg_status_id=0");
	// 	if($res->num_rows() > 0){
	// 		$subject = "";
	// 		$html = "";
	// 		foreach($res->result() as $data){
	// 			$email = $data->email;
	// 			// $out = sendEmail($email,$subject,$html);
	// 		}
	// 	}
	// } 

	public function partiallyRegistered()
	{
		$second_date = date('Y-m-d 00:00:00');
		$first_date = date_format(date_add(date_create($second_date),date_interval_create_from_date_string("-90 days")),"Y-m-d 00:00:00");
		$res = $this->db->query("SELECT * FROM `referrals` WHERE is_invited = 1 AND reg_status_id < 0 AND reg_status_id > 3 AND ts BETWEEN '".$first_date."' AND '".$second_date."'");
		// echo $this->db->last_query();
		if($res->num_rows() > 0){
			$subject = "";
			$html = "";
			foreach($res->result() as $data){
				$date1=date_create("$second_date");
				$date2=date_create("$data->ts");
				$diff=date_diff($date1,$date2);
				$fi_dif = $diff->format("%a")/7;
				// echo $data->ts."<br />";
				if(is_int($fi_dif)){
					$email = $data->email;
				    $out = sendEmail($email,$subject,$html);
				}
			}
		}
	}

	public function completelyRegisteredButNotInvested()
	{
		$second_date = date('Y-m-d 00:00:00');
		$first_date = date_format(date_add(date_create($second_date),date_interval_create_from_date_string("-90 days")),"Y-m-d 00:00:00");
		$this->db->query("SELECT * FROM `referrals` WHERE is_invited = 1 AND reg_status_id = 3 AND ts BETWEEN '".$first_date."' AND '".$second_date."'");
		if($res->num_rows() > 0){
			$subject = "";
			$html = "";
			foreach($res->result() as $data){
				$date1=date_create("$second_date");
				$date2=date_create("$data->ts");
				$diff=date_diff($date1,$date2);
				$fi_dif = $diff->format("%a")/7;
				// echo $data->ts."<br />";
				if(is_int($fi_dif)){
					$email = $data->email;
				    $out = sendEmail($email,$subject,$html);
				}
			}
		}
	} 

	// public function completelyRegisteredAndInvested()
	// {
	// 	$this->db->query("SELECT * FROM `referrals` WHERE is_invited = 1 AND reg_status_id = 4");
	// 	if($res->num_rows() > 0){
	// 		$subject = "";
	// 		$html = "";
	// 		foreach($res->result() as $data){
	// 			$email = $data->email;
	// 			// $out = sendEmail($email,$subject,$html);
	// 		}
	// 	}
	// } 

	// 5th & 15th   Registration Mail
	public function th5Andth15RegistrationMail()
	{
		$res = $this->db->query("SELECT users.username, users.email, users.phone, COUNT(referrals.*) AS number, referrals.investor_id FROM `referrals` JOIN investor ON investor.investor_id = referrals.investor_id JOIN users ON users.id = investor.login_id WHERE `reg_status_id` = 4 GROUP BY referrals.investor_id HAVING (number=4 OR number = 14)");
		if($res->num_rows() > 0){
			$subject = "";
			$html = "";
			foreach($res->result() as $data){
				$email = $data->email;
				// $out = sendEmail($email,$subject,$html);
				sendEmailAws($email,$subject,$html);
			}
		}
	}



}
