<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class dummyController extends CI_Controller
{

	public function index()
	{
		// $res = $this->db->query("SELECT monthly_investment.monthly_investment_id, users.username, users.email, users.phone, monthly_investment.next_investment_date, monthly_investment.amount, funds.fund_name FROM monthly_investment JOIN funds ON monthly_investment.fund_id = funds.fund_id JOIN investor ON investor.investor_id = monthly_investment.investor_id JOIN users ON users.id = investor.login_id WHERE monthly_investment.next_investment_date BETWEEN '2019-01-29' AND '2019-01-31' AND monthly_investment.investor_id != 55");
		$res = $this->db->query("SELECT `temp_user_name` as username, `temp_user_email` as email, `temp_user_phone` as phone FROM `temp_users` WHERE `temp_users_id` > 1598 AND `temp_user_email` NOT IN( SELECT email FROM users )");
		if($res->num_rows() > 0)
		{
			$file = fopen("assets/RiskProfile2018-11-15to2019-02-15.csv","w");
			foreach($res->result() as $r)
			{
				if($r->purchase_status == 'Not Invested'){
					$data =  $this->encrypt->decode($r->username).",".$this->encrypt->decode($r->phone).",".$r->email;
					fputcsv($file,explode(',',$data));
				}
			}
			fclose($file);
			echo "success";
		}
	}

	public function updatepan()
	{
		echo $this->encrypt->encode("kushvendra tyagi");
		echo "<br/> 2135<br/>";
		// echo $this->encrypt->encode("Deepak Singh Phartiyal");
		// echo $this->encrypt->decode("RdgGka/HqibMEXdujRJl6XKPGpW18OLM1X1wY4DmdOaaU6m89332nqClmNAZoT6LIIqnjdXd1Iv9LPEwcTCqhg==");
		// ICIC0000556
	}

	public function viewTm()
	{
		$data['name'] = "Amit meena";
		return $this->load->view("anniversary_template_view",$data);
	}

	public function get_investment_detail($investor_id)
	{
		$calculted_funds = [];
		$res_fund_amount = $this->db->query("SELECT funds.fund_name, SUM(unit_count) AS units, IFNULL( SUM(unit_count) -( SELECT SUM(unit_count) FROM sold_units WHERE fund_id = purchased_units.fund_id AND request_status = 1 AND investor_id = $investor_id ), SUM(unit_count) ) * fund_history.nav AS current_amount, purchased_units.fund_id, funds.fund_type_id, fund_type.name FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id JOIN fund_history ON purchased_units.fund_id = fund_history.fund_id JOIN fund_type ON fund_type.fund_type_id = funds.fund_type_id WHERE investor_id = $investor_id AND request_status = 1 AND fund_history.is_latest = 1 GROUP BY purchased_units.fund_id");
		if($res_fund_amount->num_rows() > 0)
		{
			$fund_amount = $res_fund_amount->result();
			foreach($fund_amount as $fs)
			{
				$current_invested_amount = $this->investmentCurrentValue($fs->fund_id,$investor_id);
				@$calculted_funds['total']['all']['current_investment_amount'] += $current_invested_amount;
				@$calculted_funds['total']['all']['current_investment_value'] += $fs->current_amount;
				@$calculted_funds['total'][$fs->fund_type_id]['current_investment_amount'] += $current_invested_amount;
				@$calculted_funds['total'][$fs->fund_type_id]['current_investment_value'] += $fs->current_amount;
				$fs->current_investment_amount = $current_invested_amount;
				$calculted_funds['key'.$fs->fund_type_id][] = $fs;
			}
		}

		$data =  (object)$calculted_funds;
		echo "<pre>";
		print_r($data);
	}


	public function checkemailTem()
	{
		$data['name'] = 'Arti Vatti';
		$this->load->view('email_templates/investocafe_anniversary_view',$data);
	}

	public function aadhartest()
	{
		$this->load->view('amit_theme/test/text');
	}

	public function checkRel($folio_number)
	{
		$rel_amnt = getCurrentRelianceAmountTest($folio_number);
		echo "<pre>";
		print_r($rel_amnt);
	}

	// public function investmentCurrentValue()
	// {
	// 	$fund_id = $_GET['fund_id'];
	// 	$investor_id = $_GET['investor_id'];
	// 	$res_purchase_fund = $this->db->query("SELECT * FROM purchased_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
	// 	$res_unit_sum_sold_fund = $this->db->query("SELECT SUM(unit_count) as units FROM sold_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
	// 	if($res_unit_sum_sold_fund->num_rows() > 0)
	// 	{
	// 		$purchase_fund = $res_purchase_fund->result();
	// 		$total_sold_units =  $res_unit_sum_sold_fund->row()->units;
	// 		$remaining_units =$total_sold_units;
	// 		$current_amount = 0;
	// 		foreach($purchase_fund as $pf)
	// 		{
	// 			$remaining_units = $remaining_units - $pf->unit_count;
	// 			if($current_amount > 0)
	// 			{
	// 				$current_amount = $current_amount + $pf->purchased_amount;
	// 			}
	// 			if($remaining_units < 0 && $current_amount ==0)
	// 			{
	// 				$old_nav = $pf->purchased_amount/$pf->unit_count;
	// 				$current_amount = $old_nav* abs($remaining_units);
	// 			}
	// 		}
	// 		echo round($current_amount);
	// 	}
	// }

	public function investmentCurrentValue($fund_id,$investor_id)
	{
		$res_purchase_fund = $this->db->query("SELECT * FROM purchased_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
		$res_unit_sum_sold_fund = $this->db->query("SELECT SUM(unit_count) as units FROM sold_units WHERE investor_id = $investor_id AND request_status = 1 AND fund_id = $fund_id");
		if($res_unit_sum_sold_fund->num_rows() > 0)
		{
			$purchase_fund = $res_purchase_fund->result();
			$total_sold_units =  $res_unit_sum_sold_fund->row()->units;
			$remaining_units =$total_sold_units;
			$current_amount = 0;
			foreach($purchase_fund as $pf)
			{
				$remaining_units = $remaining_units - $pf->unit_count;
				if($current_amount > 0)
				{
					$current_amount = $current_amount + $pf->purchased_amount;
				}

				if($remaining_units < 0 && $current_amount ==0)
				{
					$old_nav = $pf->purchased_amount/$pf->unit_count;
					$current_amount = $old_nav* abs($remaining_units);
				}
			}
			return round($current_amount);
		}
	}

	function checkAlert()
	{
		$title = 'This is alert Title';
		$msg = 'This is msg for new alert';
		$investor_id = '55';
		notificationAlert($title,$msg,$investor_id);
	}

	function createDBFfile()
    {
        define ('BOOLEAN_FIELD','L');
        define ('CHARACTER_FIELD','C');
        define ('DATE_FIELD','D');
        define ('NUMBER_FIELD','N');
        define ('READ_ONLY','0');
        define ('WRITE_ONLY','1');
        define ('READ_WRITE','2');
		$Field1='RMF';
		$Field2="499207522876";
		$Field3="ikbal khan";
		$Field4="MI";
		$Field5="ARN-107383";
		$Field6="change of bank detail";// optional
        $addData=array($Field1,$Field2,$Field3,$Field4,$Field5,$Field6);
        $def = array(
			          array("AMC_CODE","C",20),
			          array("FOLIO_NO","N",15,0),
			          array("INV_NAME","C",35),
			          array("SCH_CODE","C",3),
			          array("ARN_CODE","C",20),
			          array("Remarks","C",35),
		        	);

		$datadir="assets/uploads/Franklin/";
		$fileName="499207522876.dbf";
		$path=base_url().$datadir.$fileName;
		if (dbase_create($datadir.$fileName, $def))
		{
		    $id = dbase_open ($datadir.$fileName,2);
		    if(dbase_add_record($id, $addData)){
		    	echo '{"success":true,"url":"'.$path.'"}';
		    }else{
		    	echo '{"success":false,"msg":"file not created"}';
		    }
		}
		else
		{
		    echo '{"success":false,"msg":"Failed try again server error found."}';
		}
    }


    public function nft()
    {
    	$res = $this->db->query("SELECT purchased_units.investor_id, purchased_units.folio_number, funds.AMC_code, api_type.api_name, users.username FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id join api_type ON funds.api_type_id = api_type.id JOIN investor ON investor.investor_id= purchased_units.investor_id JOIN users ON users.id = investor.login_id WHERE purchased_units.investor_id = 18 AND folio_number != '' GROUP BY purchased_units.fund_id, investor_id");
    	if($res->num_rows() > 0)
    	{
    		echo "<pre>";
    		print_r($res->result());
    	}
    	else
    	{

    	}
    }

    function createDBFNFTCamsfile()
    {
    	$res = $this->db->query("SELECT purchased_units.investor_id, purchased_units.purchased_units_id, purchased_units.folio_number, funds.AMC_code, api_type.api_name, users.username, users.phone, users.email, bank_master.bank_name, bank_details.account_holder_name, bank_details.account_number, bank_account_type.account_type, bank_details.ifsc_code, bank_details.branch_city, bank_details.branch_state, bank_details.branch_name, investor.address, investor.address_2, investor.original_city, investor.pincode, state.state_name, country.country_name,funds.scheme_code FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id JOIN api_type ON funds.api_type_id = api_type.id JOIN investor ON investor.investor_id = purchased_units.investor_id JOIN users ON users.id = investor.login_id JOIN bank_details ON purchased_units.investor_id = bank_details.investor_id JOIN bank_account_type ON bank_details.account_type_id = bank_account_type.account_type_id JOIN country ON country.country_id = investor.country JOIN state ON state.id = investor.state_id JOIN bank_master ON bank_master.bank_master_id = bank_details.bank_master_id WHERE purchased_units.investor_id = 18 AND folio_number != '' GROUP BY purchased_units.fund_id,purchased_units.investor_id");
    	if($res->num_rows()>0)
    	{
    		// echo "<pre>";
    		// print_r($res->result());
    		// exit;
	    	/*
	    	SLNO	Service Type			TRXN_TYPE	Mode
			1		Change of Dividend		COD			Electronic
			2		Consolidation			COF			Electronic
			3		Change of Broker		COB			Physical
			4		Change of Address		COA			Physical
			5		Change of Bank Mandate	COM			Physical
			6		POA Registration		POA			Physical
			7		Transmission			TOF			Physical
			8		Nominee Registration	NOM			Physical
			*/
					
		   	$TRXN_TYPE = 'COM';
		   	$file_to_download = '';
			foreach($res->result() as $data)
			{
				if(count($folio) == 2){
					$FOLIO_NO = $folio[0];
					$CHK_DIG_NO = $folio[1];
				}else{
					$FOLIO_NO = $folio[0];
					$CHK_DIG_NO ='';
				}
				$nom_data = $this->db->query("SELECT * FROM nominee_details WHERE investor_id = 18 AND status = 1");
				if($nom_data->num_rows() > 0)
				{
					$n_data = $nom_data->result();
					$nominee_data = [];
					for($i=1; $i < 4 ;$i++)
					{
						if(count($n_data) >= $i){
							$nominee_data['NOM_NAME_'.$i] = $n_data[$i-1]->name;
							$nominee_data['NOM_RELATION_'.$i] = $n_data[$i-1]->relation_with_investor;
							$nominee_data['NOM_PERCENTAGE_'.$i] = $n_data[$i-1]->percentage;
							$nominee_data['NOM_DOB_'.$i] = $n_data[$i-1]->date_of_birth;
							$nominee_data['NOMINEE_GUARDIAN'.$i] =$n_data[$i-1]->guardian_name;
						}
						else
						{
							$nominee_data['NOM_NAME_'.$i] = '';
							$nominee_data['NOM_RELATION_'.$i] = '';
							$nominee_data['NOM_PERCENTAGE_'.$i] = '';
							$nominee_data['NOM_DOB_'.$i] = '';
							$nominee_data['NOMINEE_GUARDIAN'.$i] ='';
						}
					}


					if($data->api_name == 'CAMS')
					{
						$datadir="assets/uploads/Franklin/".$data->purchased_units_id.date("Ymdhis").".txt";
						$file_to_download .="<a href='".base_url().$datadir."' download>Download</a><br />";
						$myfile = fopen($datadir, "w") or die("Unable to open file!");	
						$folio = explode('/', $data->folio_number);
							$arr = [
								$data->AMC_code,//AMC Code
								$data->ifsc_code,//ISC Code
								$data->purchased_units_id,//ISC Trxn No
								'CAFEON',//BROKER_CODE
								$FOLIO_NO,//FOLIO_NO
								$CHK_DIG_NO,//CHK_DIG_NO
								$TRXN_TYPE,//TRXN_TYPE
								$this->encrypt->decode($data->username),//Investor First Name
								'',//Investor Middle Name
								'',//Investor Last Name
								$data->address,//ADD1
								$data->address_2,//ADD2
								'',//ADD3
								$data->original_city,//CITY
								$data->state_name,//STATE
								$data->country_name,//Country
								$data->pincode,//PINCODE
								'',//PHONEOffice
								'',//PHONE_RES
								'',//FAX_OFF
								'',//FAX_RES
								$data->email,//EMAIL
								'',//TAX_NUMBER
								'',//DIV_PAYOUT_MECHANISM
								'',//PAYMENT_MECHANISM
								'',//ECS_NO
								$data->scheme_code,//SCH_CODE
								$data->bank_name,//BANK_NAME
								$data->branch_name,//BRANCH
								$data->branch_city,//BANK_CITY
								$data->account_type,//ACCT_TYPE
								$this->encrypt->decode($data->account_number),//ACCT_NO
								'',//ALL SCHEMES
								$nominee_data['NOM_RELATION_1'],//NOM1_RELATION
								$nominee_data['NOM_DOB_1'],//Nominee1 DOB
								'',//Nomination Date
								$nominee_data['NOMINEE_GUARDIAN1'],//NOMINEE1 GUARDIAN
								'',//INVESTOR TAX STATUS
								'',//FHOLD_NATUR
								'',//REMARKS
								'',//REINVEST TAG
								'',//NOMINEE_COUNT
								$nominee_data['NOM_PERCENTAGE_1'],//NOM1_PERCENTAGE
								'',//STATUS
								'',//POA_NO
								'',//EFFECT_DATE
								'',//EXPIRY_DATE
								'',//POSTED_DATE
								'',//POA_REF
								'',//TITLE
								'',//ADDRESS_ID
								'',//PERSONAL_ID_NO
								'',//POA_ISSUED_BY
								'',//DATE_OF_BIRTH
								'',//GENDER
								'',//VALID_PAN
								'',//UPDATE_SERIAL
								'',//POA_PEP_FLAG
								'',//POA_OCCUPATION_CODE
								'',//POA_INCOME
								'',//POA_NET_WORTH
								'',//POA_NET_WORTH_DATE
								'',//POA_SAVINGS
								'',//POA_SOURCE_OF_FUNDS
								'',//POA_SOURCE_OF_WEALTH
								'',//COUNTRY_BIRTH
								'',//COUNTRY_CITIZEN
								'',//COUNTRY_TAXRESIDENCY1
								'',//TAX_PAYER_ID_NO1
								'',//COUNTRY_TAXRESIDENCY2
								'',//TAX_PAYER_ID_NO2
								'',//COUNTRY_TAXRESIDENCY3
								'',//TAX_PAYER_ID_NO3
								'',//AADHAAR
								'',//COUNTRY_OF_RESIDENCE
								'',//FOLIO_LIST
								'',//IMAGE_REF_NO
								$data->ifsc_code,//IFSC_CODE
								'',//RTGS_CODE
								'',//TARGET_BROKER_CODE
								$nominee_data['NOM_NAME_2'],//NOM2_NAME
								$nominee_data['NOM_RELATION_2'],//NOM2_RELATION
								$nominee_data['NOM_PERCENTAGE_2'],//NOM2_PERCENTAGE
								$nominee_data['NOM_NAME_3'],//NOM3_NAME
								$nominee_data['NOM_RELATION_3'],//NOM3_RELATION
								$nominee_data['NOM_PERCENTAGE_3']//NOM3_PERCENTAGE
							];
						// echo "<pre>";
						// print_r($arr);
						$str = implode('|', $arr)."\r\n";
						fwrite($myfile,$str);
						fclose($myfile);
					}
				}
			}
			echo $file_to_download ;
		}
    }

    
    // monthly investment goal
    public function mir()
	{
		$res = $this->db->query("SELECT * FROM ( SELECT CONCAT('-', SUM(`purchased_amount`)) AS amount, SUM(unit_count) AS real_unit, investor_id, batch_id, purchased_units.fund_id, 'purchase' AS 'state', date_of_purchase AS res_date FROM purchased_units JOIN fund_history ON purchased_units.fund_id = fund_history.fund_id WHERE request_status = 1 AND unit_count > 0.00 AND fund_history.is_latest = 1 AND investor_id = 18 GROUP BY fund_id, batch_id, investor_id UNION SELECT SUM(sold_amount) AS amount, CONCAT('-', SUM(unit_count)) AS real_unit, investor_id, batch_id, fund_id, 'sold' AS 'state', date_of_sale AS res_date FROM sold_units WHERE request_status = 1 AND investor_id = 18 GROUP BY fund_id, batch_id, investor_id ) AS a ORDER BY investor_id, batch_id");
		
		if($res->num_rows() > 0)
		{
			$result = $res->result();
			$data_array = [];
			foreach($result as $result)
			{
				$data_array[$result->investor_id]['amount'][] = $result->amount;
				$wtime = explode(' ', $result->res_date);
                $cdate = explode('-', $wtime[0]);
				$data_array[$result->investor_id]['date'][] = mktime(0,0,0,$cdate[1],$cdate[2],$cdate[0]);
				$data_array[$result->investor_id]['current_statue'][$result->fund_id][] = $result->real_unit;
			}
			// echo "<pre>";
			// print_r($data_array[368]);
			$big_data = $this->calculateXirr($data_array);
			echo "<pre>";
			print_r($big_data);
		}
	}

	public function calculateXirr($data)
	{
		$big_data_array = [];
		$this->load->helper('financial');
		foreach ($data as $key => $value) {
			$invested_amount = abs(array_sum($value['amount']));
			foreach ($value['current_statue'] as $current_key => $current_value) {
			
				$value['amount'][] =  array_sum($current_value)*$this->fund[$current_key];
				$cdate = explode('-', date("Y-m-d"));
				$value['date'][] = mktime(0,0,0,$cdate[1],$cdate[2],$cdate[0]);;
			}
			echo "<pre>";
			print_r($value);
			exit;			
		    $XIRR  = round(XIRR($value['amount'],$value['date'], 0.1)*100,2);
		    // $goal_data = $this->goals($key,$invested_amount);
		    $big_data_array[$key]['current_return'] = $XIRR;
		    $big_data_array[$key]['invested_amount'] = $invested_amount;
		    // $big_data_array[$key]['goal_data'] = $goal_data;
		}
		return $big_data_array;
		// $this->intelligence($big_data_array);
	}

	// public function graph()
	// {
	// 	$res = $this->db->query("SELECT * FROM ( SELECT `unit_count` AS units, `purchased_amount` AS amount, `date_of_purchase` AS dt, 'P' AS TYPE FROM
 //        purchased_units WHERE investor_id = 18 AND request_status = 1 AND fund_id = 9227 UNION SELECT `unit_count` AS units, `sold_amount` AS amount, `date_of_sale` AS dt, 'S' AS TYPE FROM sold_units WHERE investor_id = 18 AND request_status = 1 AND fund_id = 9227 ) AS t ORDER BY dt");
 //        if($res->num_rows() > 0){
 //        	$invested_val = 0;
 //        	$total_units = 0;
 //        	$current_value = 0;
 //        	$invested_arr = [];
 //        	$current_arr = [];
 //        	$sold_units = 0;
 //        	echo "<pre>";
 //        	foreach($res->result() as $data)
 //        	{
 //        		if($data->TYPE=='P')
 //        		{
 //        			$total_units +=  $data->units;
 //        			array_push($invested_arr, [$data->units,$data->amount]);
 //        			// $invested_val +=$data->amount;
 //        		}
 //        		else
 //        		{
 //        			// print_r($invested_arr);
 //        			$sold_units +=$data->units;
 //        			$total_units -=  $data->units;
 //        		}

 //        		$cr_val = $this->investmentCurrentValue2($invested_arr,$sold_units);
 //        		print_r($cr_val." $data->TYPE ".$data->amount." ".round($total_units*$data->amount/$data->units));
 //        		echo "<br/ >";
 //        		// echo $total_units." $data->TYPE ".round($total_units*$data->amount/$data->units)." <br />";
 //        		// array_push($invested_arr, $invested_val);
 //        		// $nav = $data->amount/$data->units;
 //        	}

 //        }else{

 //        }
	// }


	// public function investmentCurrentValue2($purchase_arr,$sold_units)
	// {
	// 	$res_purchase_fund = $purchase_arr;
	// 	$res_unit_sum_sold_fund = $sold_units;
	// 	if(count($res_purchase_fund) > 0)
	// 	{
	// 		$purchase_fund = $res_purchase_fund;
	// 		$remaining_units =$res_unit_sum_sold_fund;
	// 		$current_amount = 0;
	// 		foreach($purchase_fund as $pf)
	// 		{
	// 			$remaining_units = $remaining_units - $pf[0];
	// 			if($current_amount > 0)
	// 			{
	// 				$current_amount = $current_amount + $pf[1];
	// 			}

	// 			if($remaining_units < 0 && $current_amount ==0)
	// 			{
	// 				$old_nav = $pf[1]/$pf[0];
	// 				$current_amount = $old_nav* abs($remaining_units);
	// 			}
	// 		}
	// 		return round($current_amount);
	// 	}
	// }

	public function graph()
	{
		$res = $this->db->query("SELECT * FROM ( SELECT `unit_count` AS units, `purchased_amount` AS amount, `date_of_purchase` AS dt, 'P' AS TYPE FROM
        purchased_units WHERE investor_id = 18 AND request_status = 1 AND fund_id = 9227 UNION SELECT `unit_count` AS units, `sold_amount` AS amount, `date_of_sale` AS dt, 'S' AS TYPE FROM sold_units WHERE investor_id = 18 AND request_status = 1 AND fund_id = 9227 ) AS t ORDER BY dt");
        if($res->num_rows() > 0){
        	$invested_val = 0;
        	$total_units = 0;
        	$current_value = 0;
        	$invested_arr = [];
        	$current_arr = [];
        	$sold_units = 0;
        	echo "<pre>";
        	foreach($res->result() as $data)
        	{
        		if($data->TYPE=='P')
        		{
        			$total_units +=  $data->units;
        			array_push($invested_arr, [$data->units,$data->amount]);
        			// $invested_val +=$data->amount;
        		}
        		else
        		{
        			// print_r($invested_arr);
        			$sold_units +=$data->units;
        			$total_units -=  $data->units;
        		}

        		$cr_val = $this->investmentCurrentValue2($invested_arr,$sold_units);
        		print_r($cr_val." $data->TYPE ".$data->amount." ".round($total_units*$data->amount/$data->units));
        		echo "<br/ >";
        		// echo $total_units." $data->TYPE ".round($total_units*$data->amount/$data->units)." <br />";
        		// array_push($invested_arr, $invested_val);
        		// $nav = $data->amount/$data->units;
        	}

        }else{

        }
	}

	public function investmentCurrentValue2($purchase_arr,$sold_units)
	{
		$res_purchase_fund = $purchase_arr;
		$res_unit_sum_sold_fund = $sold_units;
		if(count($res_purchase_fund) > 0)
		{
			$purchase_fund = $res_purchase_fund;
			$remaining_units =$res_unit_sum_sold_fund;
			$current_amount = 0;
			foreach($purchase_fund as $pf)
			{
				$remaining_units = $remaining_units - $pf[0];
				if($current_amount > 0)
				{
					$current_amount = $current_amount + $pf[1];
				}

				if($remaining_units < 0 && $current_amount ==0)
				{
					$old_nav = $pf[1]/$pf[0];
					$current_amount = $old_nav* abs($remaining_units);
				}
			}
			return round($current_amount);
		}
	}


	public function graph2()
	{
		$nav_history = $this->db->query("SELECT DATE_FORMAT(`nav_date`,'%Y-%m-%d') as nav_date, `nav` FROM fund_history WHERE fund_history.fund_id = 9227");
		if($nav_history->num_rows() > 0)
		{
			$fund_arr = [];
			foreach($nav_history->result() as $data)
			{
				$fund_arr[$data->nav_date] = [$data->nav_date,$data->nav,0,0];
			}
			$this->purchase_and_sold($fund_arr);
		}
	}

	public function purchase_and_sold($fund_arr)
	{
		$res = $this->db->query("SELECT * FROM (SELECT purchased_units.`unit_count`, purchased_units.`purchased_amount` as amount, DATE_FORMAT(purchased_units.`date_of_purchase`, '%Y-%m-%d') AS t_date, 'P' as type FROM purchased_units WHERE investor_id = 18 AND fund_id = 9227 AND request_status = 1 UNION SELECT sold_units.unit_count, sold_units.sold_amount as amount, DATE_FORMAT(sold_units.date_of_sale,'%Y-%m-%d') as t_date, 'S' as type FROM sold_units WHERE investor_id = 18 AND fund_id = 9227 AND request_status = 1) as t ORDER BY t_date");
		if($res->num_rows() > 0){
			echo "<pre>";
			$invested_arr = [];
			$total_units = 0;
			$sold_units = 0;
			foreach($res->result() as $data)
			{
				if($data->type=='P')
        		{
        			$total_units +=  $data->unit_count;
        			array_push($invested_arr, [$data->unit_count,$data->amount]);
        			// $invested_val +=$data->amount;
        		}
        		else
        		{
        			// print_r($invested_arr);
        			$sold_units +=$data->unit_count;
        			$total_units -=  $data->unit_count;
        		}
        		$cr_val = $this->investmentCurrentValue2($invested_arr,$sold_units);

				if($fund_arr[$data->t_date])
				{
					$fund_arr[$data->t_date][2] = $cr_val;
					$fund_arr[$data->t_date][3] = $total_units;
				}
				else
				{
					$fund_arr[$data->t_date] = [$data->t_date,$data->amount/$data->unit_count,$cr_val,$data->unit_count];
				}

			}

			if(count($fund_arr) > 0)
			{
				ksort($fund_arr);
				$invested_amount = 0;
				$current_val = 0;
				$run_unit=0;
				$graph_arr = [];
				foreach($fund_arr as $arr)
				{
					if($arr[2] == 0)
					{
						array_push($graph_arr,[$arr[0],$invested_amount,$run_unit*$arr[1]]);
					}
					else
					{
						$invested_amount = $arr[2];
						$run_unit=$arr[3];
						array_push($graph_arr,[$arr[0],$invested_amount,$run_unit*$arr[1]]);
					}
				}

				print_r($graph_arr);
			}
		}
	}
}
