<?php 

function layout($data,$view)
{
    $CI =& get_instance();
    $CI->load->view('theme/gold/gold_layout',compact('data','view'));
    // $CI->load->view('theme/gold/gold_layout');
}

function postfn($uri,$payload,$cookie,$adHeaders='')
{
	$headers = array(
	    "cache-control: no-cache",
	    "content-type: application/json",
	    "cookie: ".$cookie
	  );
	if($adHeaders!=''){
		array_push($headers,$adHeaders);
	}
	$curl = curl_init();
	curl_setopt_array($curl, array(
	  CURLOPT_URL => "https://dgsuat.mmtcpamp.com/digitalgold/rest/".$uri,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => "",
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 30,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => "POST",
	  CURLOPT_POSTFIELDS => $payload,
	  CURLOPT_HTTPHEADER => $headers,
	));

	$response = curl_exec($curl);
	$err = curl_error($curl);
	curl_close($curl);

	if ($err) {
	  return  $err;
	} else {
	  return  $response;
	}
}

function get_token()
{
	$CI =& get_instance();
	date_default_timezone_set("Asia/kolkata");
	$datetime = date('Y-m-d H:i:s', time());;
	$res = $CI->db->where('is_latest',1)->get('gold_token');
	if($res->num_rows() > 0){
		$token_time = $res->row()->ts;
		$diff =  $difference_in_seconds = strtotime("$datetime") - strtotime("$token_time");
		$current_diff = $diff/60;
		if($current_diff < 13){
			// $CI->db->where('is_latest',1)->update('gold_token',['ts'=>$datetime]);
			return $res->row()->gt;
		}
	}

	$curl = curl_init();
	curl_setopt_array($curl, array(
	  CURLOPT_URL => "https://dgsuat.mmtcpamp.com/digitalgold/rest/security/login",
	  CURLOPT_RETURNTRANSFER => true,
	  CURLINFO_HEADER_OUT => true,
	  CURLOPT_ENCODING => "",
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 30,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => "GET",
	  CURLOPT_HTTPHEADER => array(
	    "authorization: Basic aW52ZXN0b3VzZXJAaW52ZXN0b2NhZmUuY29tOnRlc3QyJA==",
	    "cache-control: no-cache",
	    "partnerid: Investocafe",
	    "password: test2$",
	    "username: investouser@investocafe.com"
	  ),
	));
	$headers = [];

	curl_setopt($curl, CURLOPT_HEADERFUNCTION,
	    function ($curl, $header) use (&$headers) {
	        $len = strlen($header);
	        $header = explode(':', $header, 2);
	        if (count($header) < 2) // ignore invalid headers
	            return $len;

	        $headers[strtolower(trim($header[0]))][] = trim($header[1]);

	        return $len;
	    }
	);

	$response = curl_exec($curl);
	$err = curl_error($curl);			

	if ($err) {
		return false;
	} else {
		$token = $headers['set-cookie'][0];
		$CI->db->where('is_latest',1)->update('gold_token',['is_latest'=>0]);
		$CI->db->insert('gold_token',['gt' => $token,'ts'=>$datetime]);
		return $token;
	}

	curl_close($curl);
}