<?php 

class api_account_statment_model extends CI_Model{
	
	public function get_invested_fund_name($investor_id)
	{
		$res = $this->db->query("SELECT funds.fund_name,funds.fund_id FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id WHERE purchased_units.request_status = 1 AND investor_id = $investor_id GROUP BY funds.fund_name");
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}

	public function getFundDetail($investor_id,$fund_id,$startdate,$end_date)
	{
		// $res = $this->db->query("SELECT * FROM ( SELECT purchased_units.unit_count, purchased_units.purchased_amount AS amount, DATE_FORMAT( purchased_units.date_of_purchase, '%Y-%m-%d' ) AS request_date, 'Purchase' AS txn, (purchased_units.purchased_amount/purchased_units.unit_count) as nav FROM purchased_units WHERE investor_id = $investor_id AND fund_id = $fund_id AND purchased_units.request_status = 1 AND purchased_units.date_of_purchase BETWEEN '".$startdate."' AND '".$end_date."' UNION SELECT sold_units.unit_count, sold_units.sold_amount AS amount, DATE_FORMAT( sold_units.date_of_sale, '%Y-%m-%d' ) AS request_date, 'Redemption' AS txn, (sold_units.sold_amount/sold_units.unit_count) as nav FROM sold_units WHERE investor_id = $investor_id AND fund_id = $fund_id AND sold_units.request_status = 1 AND sold_units.date_of_sale BETWEEN '".$startdate."' AND '".$end_date."') AS t ORDER BY request_date");

		$res = $this->db->query("SELECT * FROM ( SELECT purchased_units.unit_count, purchased_units.purchased_amount AS amount, DATE_FORMAT( purchased_units.date_of_purchase, '%Y-%m-%d' ) AS request_date, 'Purchase' AS txn, (purchased_units.purchased_amount/purchased_units.unit_count) as nav FROM purchased_units WHERE investor_id = $investor_id AND fund_id = $fund_id AND purchased_units.request_status = 1  UNION SELECT sold_units.unit_count, sold_units.sold_amount AS amount, DATE_FORMAT( sold_units.date_of_sale, '%Y-%m-%d' ) AS request_date, 'Redemption' AS txn, (sold_units.sold_amount/sold_units.unit_count) as nav FROM sold_units WHERE investor_id = $investor_id AND fund_id = $fund_id AND sold_units.request_status = 1) AS t ORDER BY request_date");
		if($res->num_rows() > 0){
			return $res->result();
		}else{
			return false;
		}
	}

	public function getInvestedFund($investor_id,$fund_id)
	{
		$res_fund_amount = $this->db->query("SELECT funds.fund_name, SUM(unit_count) AS units, IFNULL( SUM(unit_count) -( SELECT SUM(unit_count) FROM sold_units WHERE fund_id = purchased_units.fund_id AND request_status = 1 AND investor_id = $investor_id ), SUM(unit_count) ) * fund_history.nav AS current_amount, purchased_units.fund_id, funds.fund_type_id, fund_type.name FROM purchased_units JOIN funds ON funds.fund_id = purchased_units.fund_id JOIN fund_history ON purchased_units.fund_id = fund_history.fund_id JOIN fund_type ON fund_type.fund_type_id = funds.fund_type_id WHERE investor_id = $investor_id AND request_status = 1 AND fund_history.is_latest = 1 AND purchased_units.fund_id = $fund_id GROUP BY purchased_units.fund_id");
		if($res_fund_amount->num_rows() > 0){
			return $res_fund_amount->row();
		}else{
			return false;
		}
	}

	public function getUserDetail($investor_id)
	{
		$res = $this->db->query("SELECT users.username, users.phone, users.email, investor.address, investor.address_2, investor.pincode, investor.original_city, state.state_name, bank_details.account_number, bank_details.ifsc_code, bank_master.bank_name, bank_account_type.account_type FROM investor JOIN users ON users.id = investor.login_id JOIN bank_details ON bank_details.investor_id = investor.investor_id JOIN state ON state.id = investor.state_id JOIN bank_master ON bank_details.bank_master_id = bank_master.bank_master_id JOIN bank_account_type on bank_details.account_type_id = bank_account_type.account_type_id WHERE investor.investor_id = $investor_id");
		if($res->num_rows() > 0){
			return $res->row();
		}else{
			return false;
		}
	}
}