<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Account_statement_model extends CI_Model
{
 	function __construct()
 	{
	  	// Call the Model constructor
	  	parent::__construct();
 	}

 	function getInvestmentHistory($selectDateRange,$fundType,$investorId)
	{
		if($selectDateRange==0 && $fundType==0)
		{
			// for 10 most recentaly invested funds all types funds
		   	$sql="SELECT SUM(purchased_units.purchased_amount) as amount,
				purchased_units.request_date, purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 GROUP BY batch_id
				ORDER BY `purchased_units`.`batch_id`  DESC   LIMIT 10";
		}
	  	else if( $selectDateRange==0 && $fundType!=0)
	  	{
		   // for 10 most recentaly invested funds by types of fund
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount,
				purchased_units.request_date, purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and funds.fund_type_id='$fundType' GROUP BY batch_id
				ORDER BY `purchased_units`.`batch_id`  DESC   LIMIT 10";
	  	}
	  	else if($selectDateRange==1 && $fundType==0)
	  	{
		   	// for last 3 month invested funds
		   	$sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and date_of_purchase >= now()-interval 3 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
	 	}
		else if($selectDateRange==1 && $fundType!=0)
		{
		   // for last 3 month by fund type id invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and funds.fund_type_id='$fundType' and date_of_purchase >= now()-interval 3 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==2 && $fundType==0)
		{
		   // for last 6 month all invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and date_of_purchase >= now()-interval 6 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==2 && $fundType!=0)
		{
		   // for last 6 month by fund type id invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and funds.fund_type_id='$fundType' and date_of_purchase >= now()-interval 6 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==3 && $fundType==0)
		{
		   // for last 9 month all invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and date_of_purchase >= now()-interval 6 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==3 && $fundType!=0)
		{
		   // for last 9 month by fund type id invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and funds.fund_type_id='$fundType' and date_of_purchase >= now()-interval 3 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==4 && $fundType==0)
		{
		   // for last 12 month all invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and date_of_purchase >= now()-interval 12 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==4 && $fundType!=0)
		{
			
		   // for last 12 month by fund type id invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and funds.fund_type_id='$fundType' and date_of_purchase >= now()-interval 12 month
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==5 && $fundType==0)
		{
		   // for begining all invested funds
		   $sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==5 && $fundType!=0)
		{
		   	// for begining  by fund type id invested funds
		   	$sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=1 and funds.fund_type_id='$fundType'
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==6 && $fundType==0)
		{
		   	// show all cancel all funds type
		   	$sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=0 and purchased_units.is_cancel=1
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}
		else if($selectDateRange==6 && $fundType!=0)
		{
		   	// show all cancel invested  funds by fund type id
		   	$sql="SELECT SUM(purchased_units.purchased_amount) as amount, purchased_units.request_date,
				purchased_units.batch_id, purchased_units.request_status,funds.fund_type_id,fund_type.name
				FROM purchased_units JOIN funds on purchased_units.fund_id=funds.fund_id
				JOIN fund_type on fund_type.fund_type_id=funds.fund_type_id
				WHERE purchased_units.investor_id='$investorId' and purchased_units.request_status=0 and purchased_units.is_cancel=1 and funds.fund_type_id='$fundType'
				GROUP BY batch_id ORDER BY `purchased_units`.`batch_id` DESC";
		}

		$query=$this->db->query($sql);
		//echo $this->db->last_query();die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : Account_statement_model,  Function :  getInvestmentHistory, InvestorId : ".$investorId." , Messege : get Investment History successfully with data ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : Account_statement_model,  Function :  getInvestmentHistory, Messege : data not found *****");
		   return false;
		}
 	}

 	// invested funds list showing on account statement page
 	function getAllInvestedFundsList($investorId)
 	{
		$todaysDate=date("Y-m-d");
		$sql="SELECT SUM(unit_count) as unit_count , SUM(purchased_amount) as purchased_amount,fund_type.name,
		purchased_units.fund_id ,fund_history.nav , fund_history.nav_date, SUM(unit_count)*fund_history.nav as current_total_amount,
		funds.fund_type_id,funds.fund_name FROM purchased_units
		join fund_history on fund_history.fund_id=purchased_units.fund_id
		join funds on purchased_units.fund_id=funds.fund_id
		join fund_type on fund_type.fund_type_id=funds.fund_type_id
		WHERE `request_status`=1 and purchased_units.is_cancel=0
		AND purchased_units.investor_id='$investorId'
		AND DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')='$todaysDate' group by fund_id";
		$query=$this->db->query($sql);
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : Account_statement_model,  Function :  getAllInvestedFundsList, InvestorId : ".$investorId." , Messege : get All Invested Funds List successfully with data ".$data ." *****");
		   	return $query->result();
		}
		else
		{
			log_message("info", "***** Model : Account_statement_model,  Function :  getInvestmentHistory, InvestorId : ".$investorId." , Messege : data not found *****");
		   	return false;
		}
 	}

	// calculate short terms investment value
	function calShortTermsCostValue($investorId)
	{
		/** get all purchase fund **/
		$sql="SELECT SUM(unit_count) as unit_count ,
		purchased_units.fund_id ,fund_history.nav , fund_history.nav_date,
		SUM(purchased_units.purchased_amount) as total_amount, funds.fund_type_id,
		funds.fund_name FROM purchased_units
		join fund_history on fund_history.fund_id=purchased_units.fund_id
		join funds on purchased_units.fund_id=funds.fund_id WHERE `request_status`=1
		AND purchased_units.investor_id='$investorId'
		AND DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')=purchased_units.date_of_purchase and  floor(datediff(curdate(),purchased_units.date_of_purchase) / 365) < 1 group by fund_id";
		$query1 = $this->db->query($sql);
		if ($query1->num_rows() > 0)
		{
			$data1 = (array) $query1->result();
			$data1 = json_encode($data1);
			log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCostValue, InvestorId : ".$investorId." , Messege : get Purchase Funds List successfully with data ".$data1 ." *****");
		   $resultPurchaseFunds=$query1->result();
		}

		$totalAmount=0;
		if(isset($resultPurchaseFunds) && !empty($resultPurchaseFunds))
		{
		   	foreach ($resultPurchaseFunds as $puchaseRow)
		   	{
				$fundName=$puchaseRow->fund_name;

				$purchaseFundId=$puchaseRow->fund_id;
				$purchaseAmount=$puchaseRow->total_amount;

				$totalAmount=round(($totalAmount+$purchaseAmount),0);
		   	}
			log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCostValue, InvestorId : ".$investorId." , Messege : return amount ".$totalAmount." *****");
			return $totalAmount;
		}
		else
		{
		   log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCostValue, InvestorId : ".$investorId." , Messege : return amount ".$totalAmount." *****");
		   return $totalAmount;
		}
	}

 	function calShortTermsCurrentValue($investorId)
 	{
		/** get all purchase fund **/
		$todaysDate=date("Y-m-d");
		$sql="SELECT SUM(unit_count) as unit_count ,
		purchased_units.fund_id ,fund_history.nav , fund_history.nav_date,
		SUM(unit_count)*fund_history.nav as total_amount,
		funds.fund_type_id,funds.fund_name FROM purchased_units
		join fund_history on fund_history.fund_id=purchased_units.fund_id
		join funds on purchased_units.fund_id=funds.fund_id
		WHERE `request_status`=1
		AND purchased_units.investor_id='$investorId'
		AND  DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')='$todaysDate' and floor(datediff(curdate(),purchased_units.date_of_purchase) / 365) < 1 group by fund_id";
		$query1 = $this->db->query($sql);
		if ($query1->num_rows() > 0)
		{
			$data1 = (array) $query1->result();
			$data1 = json_encode($data1);
			log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCurrentValue, InvestorId : ".$investorId." , Messege : get result Purchase Funds successfully with data ".$data1 ." *****");
			$resultPurchaseFunds=$query1->result();
		}

		// Note : change sold_units.request_date to sold_units.date of sale.
		$sql="SELECT SUM(unit_count) as unit_count ,
		sold_units.fund_id ,fund_history.nav , fund_history.nav_date,
		SUM(unit_count)*fund_history.nav as total_amount,
		funds.fund_type_id,funds.fund_name FROM sold_units
		join fund_history on fund_history.fund_id=sold_units.fund_id
		join funds on sold_units.fund_id=funds.fund_id
		WHERE `request_status`=1
		AND sold_units.investor_id='$investorId'
		AND  DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')='$todaysDate' and floor(datediff(curdate(),sold_units.request_date) / 365) < 1 group by fund_id";
		$query2 = $this->db->query($sql);
		if ($query2->num_rows() > 0)
		{
			$data2 = (array) $query2->result();
			$data2 = json_encode($data2);
			log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCurrentValue, InvestorId : ".$investorId." , Messege : get Sold Funds successfully with data ".$data2." *****");
		  	$resultSoldFunds=$query2->result();
		}

		$totalAmount=0;
		if(isset($resultPurchaseFunds) && !empty($resultPurchaseFunds))
		{
		   	foreach ($resultPurchaseFunds as $puchaseRow)
		   	{
				$fundName=$puchaseRow->fund_name;
				$purchaseFundId=$puchaseRow->fund_id;
				$purchaseUnits=$puchaseRow->unit_count;
				$nav=$puchaseRow->nav;
				/** check count fund is sold or not **/
				$soldCount=0;
				if(isset($resultSoldFunds) && !empty($resultSoldFunds))
				{
				 	foreach ($resultSoldFunds as $soldRow)
				 	{
						$soldFundId=$soldRow->fund_id;
						$soldUnits=$soldRow->unit_count;
						if($soldFundId==$purchaseFundId)
						{
							$balanceUnit=round(($purchaseUnits-$soldUnits),2);
							$soldCount++;
						}
				 	}
				}
				if($soldCount==0)
				{
					$balanceUnit=$purchaseUnits;
				}

				$balanceUnit;

				/** caluculate current amount by current nav**/
				$currentAmount=round(($balanceUnit*$nav),2);
				$totalAmount=round(($totalAmount+$currentAmount),2);
		   	}
			log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCurrentValue, if condition InvestorId : ".$investorId." , Messege : return amount ".$totalAmount." *****");
			return $totalAmount;
		}
		else
		{
		   log_message("info", "***** Model : Account_statement_model,  Function :  calShortTermsCurrentValue, else condition InvestorId : ".$investorId." , Messege : return amount ".$totalAmount." *****");
		   return $totalAmount;
		}
 	}

	// calculate Long terms investment value
	function calLongTermsCostValue($investorId)
	{
		/** get all purchase fund **/
		$sql="SELECT SUM(unit_count) as unit_count ,
		purchased_units.fund_id ,fund_history.nav , fund_history.nav_date,
		SUM(purchased_units.purchased_amount) as total_amount, funds.fund_type_id,
		funds.fund_name FROM purchased_units
		join fund_history on fund_history.fund_id=purchased_units.fund_id
		join funds on purchased_units.fund_id=funds.fund_id WHERE `request_status`=1
		AND purchased_units.investor_id='$investorId'
		AND DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')=purchased_units.date_of_purchase and  floor(datediff(curdate(),purchased_units.date_of_purchase) / 365) >=1 group by fund_id";
		$query1 = $this->db->query($sql);
		if ($query1->num_rows() > 0)
		{
			$data = (array) $query1->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCostValue, Messege : cal Long Terms Cost Value successfully with data ".$data ." *****");
		   $resultPurchaseFunds=$query1->result();
		}

		$totalAmount=0;
		if(isset($resultPurchaseFunds) && !empty($resultPurchaseFunds))
		{
		   	foreach ($resultPurchaseFunds as $puchaseRow)
		   	{
				$fundName=$puchaseRow->fund_name;
				$purchaseFundId=$puchaseRow->fund_id;
				$purchaseAmount=$puchaseRow->total_amount;
				$totalAmount=round(($totalAmount+$purchaseAmount),0);
		   	}

			log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCostValue, Messege : total amount in if condition ".$totalAmount." *****");
		   	return $totalAmount;
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCostValue, Messege : total amount in else condition ".$totalAmount." *****");
	   		return $totalAmount;
		}
 	}

 	function calLongTermsCurrentValue($investorId)
 	{
		/** get all purchase fund **/
		$todaysDate=date("Y-m-d");
		$sql="SELECT SUM(unit_count) as unit_count ,
		purchased_units.fund_id ,fund_history.nav , fund_history.nav_date,
		SUM(unit_count)*fund_history.nav as total_amount,
		funds.fund_type_id,funds.fund_name FROM purchased_units
		join fund_history on fund_history.fund_id=purchased_units.fund_id
		join funds on purchased_units.fund_id=funds.fund_id
		WHERE `request_status`=1
		AND purchased_units.investor_id='$investorId'
		AND  DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')='$todaysDate' and floor(datediff(curdate(),purchased_units.date_of_purchase) / 365) >=1 group by fund_id";
		$query1 = $this->db->query($sql);
		if ($query1->num_rows() > 0)
		{
			$data = (array) $query1->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCurrentValue, Messege : cal Long Terms Current Value successfully with data ".$data ." *****");
		   $resultPurchaseFunds=$query1->result();
		}

		// Note : change sold_units.request_date to sold_units.date of sale.
		$sql="SELECT SUM(unit_count) as unit_count ,
		sold_units.fund_id ,fund_history.nav , fund_history.nav_date,
		SUM(unit_count)*fund_history.nav as total_amount,
		funds.fund_type_id,funds.fund_name FROM sold_units
		join fund_history on fund_history.fund_id=sold_units.fund_id
		join funds on sold_units.fund_id=funds.fund_id
		WHERE `request_status`=1
		AND sold_units.investor_id='$investorId'
		AND  DATE_FORMAT(`fund_history`.`nav_date`,'%Y-%m-%d')='$todaysDate' and floor(datediff(curdate(),sold_units.request_date) / 365) >=1 group by fund_id";
		$query2 = $this->db->query($sql);
		if ($query2->num_rows() > 0)
		{
			$data = (array) $query2->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCurrentValue, Messege : result Sold Funds successfully with data : ".$data ." *****");
			$resultSoldFunds=$query2->result();
		}

		$totalAmount=0;
		if(isset($resultPurchaseFunds) && !empty($resultPurchaseFunds))
		{
		   foreach ($resultPurchaseFunds as $puchaseRow)
		   {
				$fundName=$puchaseRow->fund_name;

				$purchaseFundId=$puchaseRow->fund_id;
				$purchaseUnits=$puchaseRow->unit_count;
				$nav=$puchaseRow->nav;

				/** check count fund is sold or not **/
				$soldCount=0;

				if(isset($resultSoldFunds) && !empty($resultSoldFunds))
				{
					 foreach ($resultSoldFunds as $soldRow)
					 {
						  $soldFundId=$soldRow->fund_id;
						  $soldUnits=$soldRow->unit_count;
						  if($soldFundId==$purchaseFundId)
						  {
							$balanceUnit=round(($purchaseUnits-$soldUnits),2);
							$soldCount++;
						  }
					 }
				}
				if($soldCount==0)
				{
					$balanceUnit=$purchaseUnits;
				}

				$balanceUnit;

				/** caluculate current amount by current nav**/
				$currentAmount=round(($balanceUnit*$nav),2);
				$totalAmount=round(($totalAmount+$currentAmount),2);
		   }
		   log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCostValue, Messege : returning total amount in if condition ".$totalAmount." *****");
		   return $totalAmount;
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  calLongTermsCostValue, Messege : returning total amount in else condition ".$totalAmount." *****");
			return $totalAmount;
		}
	 }

	function getInvestedFundNameList($investorId)
	{
		$sql="SELECT distinct(purchased_units.fund_id), concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as name FROM `purchased_units`
		  inner join funds
		  on purchased_units.fund_id = funds.fund_id
		  where purchased_units.request_status = 1
		  and purchased_units.is_cancel=0 and purchased_units.investor_id = '$investorId'
		  order by purchased_units.fund_id";
			
		$query=$this->db->query($sql);
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestedFundNameList, Messege : get Invested Fund Name List successfully with data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestedFundNameList, Messege : Data not found returing false *****");
			return false;
		}
	}

 	function getInvestedTaxSavingsFundList($investorId)
 	{
		$sql="SELECT distinct(purchased_units.fund_id), concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as name FROM `purchased_units`
		inner join funds
		on purchased_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where purchased_units.request_status = 1
		and purchased_units.is_cancel=0
		and purchased_units.investor_id = '$investorId'
		and fund_type.fund_type_id=3
		order by purchased_units.fund_id";
		$query=$this->db->query($sql);
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestedTaxSavingsFundList, Messege : get Invested Tax Savings Fund List successfully with data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestedTaxSavingsFundList, Messege : Data not found returing false *****");
			return false;
		}
 	}

	function getInvestmentDetails($fromDate,$toDate,$fundSelected,$investorId)
	{
		$sql = "select purchased_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name, purchased_units.purchased_amount as amount, purchased_units.date_of_purchase as date,purchased_units.fund_id,  'Purchased' as 'purchased_withdrawn' FROM
		batch
		inner join purchased_units
		on batch.batch_id = purchased_units.batch_id
		inner join funds
		on purchased_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where purchased_units.investor_id = $investorId
		and purchased_units.date_of_purchase >= '$fromDate'
		and purchased_units.date_of_purchase <= '$toDate'
		and purchased_units.fund_id =$fundSelected
		and purchased_units.is_cancel = 0
		and purchased_units.request_status =1
		union
		select sold_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name,sold_units.sold_amount, sold_units.date_of_sale,sold_units.fund_id,'Withdrawn' as 'purchased_withdrawn' FROM
		sold_units
		inner join funds
		on sold_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where sold_units.investor_id = $investorId
		and sold_units.date_of_sale >= '$fromDate'
		and sold_units.date_of_sale <= '$toDate'
		and sold_units.fund_id =$fundSelected";

		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestmentDetails, Messege : get Investment Details successfully with data : ".$data ." *****");
		   	return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestmentDetails, Messege : Data not found returing false *****");
		   	return false;
		}
 	}

	 function getAllInvestmentDetails($fromDate,$toDate,$investorId)
	 {
		$sql = "select purchased_units.purchased_units_id as txn_number,purchased_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name, purchased_units.purchased_amount as amount, purchased_units.date_of_purchase as date,purchased_units.fund_id,  IF(purchased_units.investment_plan_type = 'STP','STP Purchased','Purchased') as 'purchased_withdrawn' FROM
		batch
		inner join purchased_units
		on batch.batch_id = purchased_units.batch_id
		inner join funds
		on purchased_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where purchased_units.investor_id = $investorId
		and purchased_units.date_of_purchase >= '$fromDate'
		and purchased_units.date_of_purchase <= '$toDate'
		and purchased_units.is_cancel = 0
		and purchased_units.request_status =1
		group by purchased_units.purchased_units_id
		union
		select sold_units.sold_units_id as txn_number,sold_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name,sold_units.sold_amount, sold_units.date_of_sale,sold_units.fund_id,IF(sold_units.withdraw_type =4,'STP Withdrawn','Withdrawn') as 'purchased_withdrawn' FROM
		sold_units
		inner join funds
		on sold_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where sold_units.investor_id = $investorId
		and sold_units.date_of_sale >= '$fromDate'
		and sold_units.date_of_sale <= '$toDate'
		and sold_units.is_cancel = 0
		and sold_units.request_status =1";

		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getAllInvestmentDetails, Messege : get ll Investment Details successfully returning data : ".$data ." *****");
		   return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getAllInvestmentDetails, Messege : data not found *****");
		   return false;
		}
 	}

	function getInvestorDetail($investorId)
	{
		$sql = "SELECT users.first_name as name, users.email,users.phone
		FROM investor
		JOIN investor_type
		on investor.investor_type_id=investor_type.investor_type_id
		JOIN investor_address_proof
		on investor.investor_address_proof_id=investor_address_proof.investor_address_proof_id
		JOIN users
		on users.id=investor.login_id
		where investor.investor_id='$investorId'";
		$query=$this->db->query($sql);
		if($query->num_rows()>0)
		{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestorDetail, InvestorId :  ".$investorId." , Messege : get Investor Detail successfully returning data : ".$data ." *****");
		  	return $query->row();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getInvestorDetail, Messege : data not found *****");
		  	return false;
		}
	}

	function getFundsInvestedDetails($investorId)
	{
		$sql = "SELECT SUM(unit_count) as unit_count ,
		purchased_units.fund_id , purchased_units.folio_number ,
		SUM(purchased_units.purchased_amount) as total_amount,
		concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,funds.fund_type_id as fund_type_id
		FROM purchased_units
		join funds on purchased_units.fund_id=funds.fund_id
		WHERE `request_status`=1
		and purchased_units.is_cancel=0
		AND purchased_units.investor_id='$investorId'
		group by fund_id";
		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsInvestedDetails, InvestorId :  ".$investorId." , Messege : get Investor Detail successfully returning data : ".$data ." *****");
			 return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsInvestedDetails, InvestorId :  ".$investorId." , Messege : data not found *****");
			 return false;
		}
 	}
	
	function getFundsIndevisualFundsInvestedDetails($investorId,$fundTypeId)
	{
		$sql = "SELECT SUM(unit_count) as unit_count ,
		purchased_units.fund_id , purchased_units.folio_number ,
		SUM(purchased_units.purchased_amount) as total_amount,
		concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,funds.fund_type_id as fund_type_id
		FROM purchased_units
		join funds on purchased_units.fund_id=funds.fund_id
		WHERE `request_status`=1
		and purchased_units.is_cancel=0
		AND purchased_units.investor_id='$investorId' and funds.fund_type_id = '$fundTypeId'
		group by fund_id";
		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsIndevisualFundsInvestedDetails , InvestorId :  ".$investorId." , Messege : get Funds Indevisual Funds Invested Details successfully returning data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsIndevisualFundsInvestedDetails, InvestorId :  ".$investorId." , Messege : data not found *****");
			return false;
		}
 	}

	function getPurchaseFundsReadytoPurchase($fund_id,$investorId)
 	{
	   	$sql = "SELECT SUM(unit_count) as unit_count , purchased_units.fund_id, purchased_units.folio_number,fund_history.nav , max(fund_history.nav_date),
		SUM(unit_count)*fund_history.nav as total_amount, funds.* FROM purchased_units
		join fund_history on fund_history.fund_id=purchased_units.fund_id join funds on purchased_units.fund_id=funds.fund_id
		WHERE fund_history.is_latest =1 and purchased_units.`request_status`=1
		and purchased_units.is_cancel=0
		AND purchased_units.investor_id='$investorId'
		AND purchased_units.fund_id=$fund_id";
		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getPurchaseFundsReadytoPurchase , InvestorId :  ".$investorId." , Messege : get Purchase Funds Ready to Purchase successfully returning data : ".$data ." *****");
		 	return $query->row();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getPurchaseFundsReadytoPurchase, InvestorId :  ".$investorId." , Messege : data not found *****");
		 	return false;
		}
 	}

	function getSoldFundsAfterSuccess($fund_id,$investorId)
	{
		$sql = "SELECT SUM(unit_count) as unit_count , sold_units.fund_id, fund_history.nav , max(fund_history.nav_date),
	   	SUM(unit_count)*fund_history.nav as total_amount, funds.* FROM sold_units
	   	join fund_history on fund_history.fund_id=sold_units.fund_id join funds on sold_units.fund_id=funds.fund_id
	   	WHERE fund_history.is_latest =1 and sold_units.is_cancel=0 and sold_units.`request_status`=1
	   	AND sold_units.investor_id='$investorId'
	   	AND sold_units.fund_id = $fund_id";
	 	$query=$this->db->query($sql);
	 	// echo $this->db->last_query(); die;
	 	if($query->num_rows()>0)
	 	{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getSoldFundsAfterSuccess , InvestorId :  ".$investorId." , Messege : get Sold Funds After Success successfully returning data : ".$data ." *****");
		  	return $query->row();
	 	}
	 	else
	 	{
			log_message("info", "***** Model : account_statment_model,  Function :  getSoldFundsAfterSuccess, InvestorId :  ".$investorId." , Messege : data not found *****");
		  	return false;
	 	}
	}

	function getFundsSoldDetails($investorId,$fund_id)
	{
		$sql = "SELECT SUM(unit_count) as unit_count ,
	   	sold_units.fund_id ,
	   	SUM(sold_units.sold_amount) as total_amount,
	   	concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name
	   	FROM sold_units
	   	join funds on sold_units.fund_id=funds.fund_id
	   	WHERE `request_status`=1
	   	AND sold_units.investor_id='$investorId'
	   	AND sold_units.fund_id=$fund_id
	   	AND sold_units.is_cancel=0
	   	group by fund_id";
	 	$query=$this->db->query($sql);
	 	if($query->num_rows()>0)
		{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsSoldDetails , InvestorId :  ".$investorId." , Messege : get Funds Sold Details successfully returning data : ".$data ." *****");
		  	return $query->row();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsSoldDetails, InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
		  	return false;
		}
	}

	function getFundsInvestedDetailsByFundType($investorId,$fundType)
	{
		if($fundType=="equity")
		{
		  	$sql = "SELECT SUM(unit_count) as unit_count ,
			purchased_units.fund_id ,
			SUM(purchased_units.purchased_amount) as total_amount,
			concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name, fund_type.name as fund_type
			FROM purchased_units
			join funds on purchased_units.fund_id=funds.fund_id
			join fund_type on funds.fund_type_id = fund_type.fund_type_id
			WHERE `request_status`=1
			and purchased_units.is_cancel=0
			AND purchased_units.investor_id='$investorId'
			AND fund_type.fund_type_id = 1
			group by funds.fund_id";
		}
		else if($fundType=="debtMip")
		{
		  	$sql = "SELECT SUM(unit_count) as unit_count ,
			purchased_units.fund_id ,
			SUM(purchased_units.purchased_amount) as total_amount,
			concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name, fund_type.name as fund_type
			FROM purchased_units
			join funds on purchased_units.fund_id=funds.fund_id
			join fund_type on funds.fund_type_id = fund_type.fund_type_id
			WHERE `request_status`=1
			AND purchased_units.is_cancel=0
			AND purchased_units.investor_id='$investorId'
			AND (fund_type.fund_type_id = 2 or fund_type.fund_type_id = 4)
			group by funds.fund_id";
		}
		else if($fundType=="taxSaving")
		{
		  	$sql = "SELECT SUM(unit_count) as unit_count ,
			purchased_units.fund_id ,
			SUM(purchased_units.purchased_amount) as total_amount,
			concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name, fund_type.name as fund_type
			FROM purchased_units
			join funds on purchased_units.fund_id=funds.fund_id
			join fund_type on funds.fund_type_id = fund_type.fund_type_id
			WHERE `request_status`=1
			AND purchased_units.is_cancel=0
			AND purchased_units.investor_id='$investorId'
			AND (fund_type.fund_type_id = 3)
			group by funds.fund_id";
		}
		
		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsInvestedDetailsByFundType , InvestorId :  ".$investorId." , Messege : get Funds Invested Details By FundType successfully returning data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsSoldDetails, InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
			return false;
		}
  	}

	
	function getFundsInvestedDetailsByFundTypeShortLong($investorId,$fundType,$term)
	{
		if($fundType=="equity")
		{
			$end_date = date('Y-m-d', strtotime('-3 year', strtotime(date('Y-m-d'))));
		  	$sql = "SELECT sum(unit_count) as unit_count,funds.fund_id as fund_id,
			concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name, fund_type.name as fund_type
			FROM purchased_units
			join funds on purchased_units.fund_id=funds.fund_id
			join fund_type on funds.fund_type_id = fund_type.fund_type_id
			WHERE `request_status`=1
			and purchased_units.date_of_purchase".$term."'$end_date'
			AND purchased_units.is_cancel=0
			AND purchased_units.investor_id='$investorId'
			AND fund_type.fund_type_id = 1
			group by funds.fund_id
			";
		}
		else if($fundType=="debtMip")
		{ 
			$end_date = date('Y-m-d', strtotime('-1 year', strtotime(date('Y-m-d'))));
		  	$sql = "SELECT sum(unit_count) as unit_count,funds.fund_id as fund_id,
			concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name, fund_type.name as fund_type
			FROM purchased_units
			join funds on purchased_units.fund_id=funds.fund_id
			join fund_type on funds.fund_type_id = fund_type.fund_type_id
			WHERE `request_status`=1
			and purchased_units.date_of_purchase".$term."'$end_date'
			AND purchased_units.is_cancel=0
			AND purchased_units.investor_id='$investorId'
			AND (fund_type.fund_type_id = 2 or fund_type.fund_type_id = 4)
			group by funds.fund_id
			";
		}
		
		
		$query=$this->db->query($sql);
	//echo 'total row:'.$query->num_rows(); echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsInvestedDetailsByFundTypeShortLong , InvestorId :  ".$investorId." , Messege : get Funds Invested Details By Fund Type Short Long successfully returning data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getFundsInvestedDetailsByFundTypeShortLong , InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
			return false;
		}
  	}
	
		
	function getTotalSoldUnitCountShortLongTerms($investorId,$fund_id,$capitalGain,$term)
	{
		
		
		$end_date = date('Y-m-d', strtotime('-1 year', strtotime(date('Y-m-d'))));
		if($capitalGain=="equity"){
			$end_date = date('Y-m-d', strtotime('-3 year', strtotime(date('Y-m-d'))));
		}
		$sql = "SELECT SUM(unit_count) as unit_count ,
	   	sold_units.fund_id ,sold_units.request_date,
	   	SUM(sold_units.sold_amount) as total_amount,
	   	concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name
	   	FROM sold_units
	   	join funds on sold_units.fund_id=funds.fund_id
	   	WHERE `request_status`=1
		and sold_units.request_date".$term."$end_date
	   	and sold_units.is_cancel=0
	   	AND sold_units.investor_id='$investorId'
	   	AND sold_units.fund_id=$fund_id
	   	group by fund_id";
	 	$query=$this->db->query($sql);
		//  echo $this->db->last_query(); die;
	 	if($query->num_rows()>0)
	 	{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCountShortLongTerms , InvestorId :  ".$investorId." , Messege : get Total SoldUnit Count Short Long Terms successfully returning data : ".$data ." *****");
		  	return $query->row();
	 	}
	 	else
	 	{
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCountShortLongTerms , InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
		  	return false;
	 	}
	}
	
	function getTotalSoldUnitCount($investorId,$fund_id)
	{
		$sql = "SELECT SUM(unit_count) as unit_count ,
	   	sold_units.fund_id ,sold_units.request_date,
	   	SUM(sold_units.sold_amount) as total_amount,
	   	concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name
	   	FROM sold_units
	   	join funds on sold_units.fund_id=funds.fund_id
	   	WHERE `request_status`=1
	   	and sold_units.is_cancel=0
	   	AND sold_units.investor_id='$investorId'
	   	AND sold_units.fund_id=$fund_id
	   	group by fund_id";
	 	$query=$this->db->query($sql);
		//  echo $this->db->last_query(); die;
	 	if($query->num_rows()>0)
	 	{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCount , InvestorId :  ".$investorId." , Messege : get Total Sold Unit Count successfully returning data : ".$data ." *****");
		  	return $query->row();
	 	}
	 	else
	 	{
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCount , InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
		  	return false;
	 	}
	}
		


		
	function getTotalSoldUnitCountDebtMipLongTerm($investorId)
	{
		$sql = "SELECT SUM(unit_count) as unit_count ,
	   	sold_units.fund_id ,
	   	SUM(sold_units.sold_amount) as total_amount,
	   	concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name
	   	FROM sold_units
	   	join funds on sold_units.fund_id=funds.fund_id
	   	WHERE `request_status`=1
	   	and sold_units.is_cancel=0
	   	AND sold_units.investor_id='$investorId'
	   	AND sold_units.fund_id=2
	   	group by fund_id";
	 	$query=$this->db->query($sql);
		//  echo $this->db->last_query(); die;
	 	if($query->num_rows()>0)
	 	{
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCountDebtMipLongTerm , InvestorId :  ".$investorId." , Messege : get Total Sold Unit Count Debt Mip Long Termt successfully returning data : ".$data ." *****");
		  	return $query->row();
	 	}
	 	else
	 	{
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCountDebtMipLongTerm , InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
		  	return false;
	 	}
	}

	function getAllTaxSavingDetails($fromDate,$toDate,$investorId)
	{
		$sql = "select purchased_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name, purchased_units.purchased_amount as amount, purchased_units.date_of_purchase as date,purchased_units.fund_id,  'Purchased' as 'purchased_withdrawn' FROM
		batch
		inner join purchased_units
		on batch.batch_id = purchased_units.batch_id
		inner join funds
		on purchased_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where purchased_units.investor_id = '$investorId'
		and purchased_units.date_of_purchase >= '$fromDate'
		and purchased_units.date_of_purchase <= '$toDate'
		and purchased_units.is_cancel = 0
		and purchased_units.request_status =1
		and fund_type.fund_type_id=3
		group by purchased_units.purchased_units_id
		union
		select sold_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name,sold_units.sold_amount, sold_units.date_of_sale,sold_units.fund_id,'Withdrawn' as 'purchased_withdrawn' FROM
		sold_units
		inner join funds
		on sold_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where sold_units.investor_id = '$investorId'
		and sold_units.date_of_sale >= '$fromDate'
		and sold_units.date_of_sale <= '$toDate'
		and sold_units.is_cancel = 0
		and sold_units.request_status =1
		and fund_type.fund_type_id=3";
		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCountDebtMipLongTerm , InvestorId :  ".$investorId." , Messege : get Total Sold Unit Count Debt Mip Long Termt successfully returning data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getTotalSoldUnitCountDebtMipLongTerm , InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
			return false;
		}
  	}

	function getTaxSavingDetails($fromDate,$toDate,$fundSelected,$investorId)
	{
		$sql = "select purchased_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name, purchased_units.purchased_amount as amount, purchased_units.date_of_purchase as date,purchased_units.fund_id,  'Purchased' as 'purchased_withdrawn' FROM
		batch
		inner join purchased_units
		on batch.batch_id = purchased_units.batch_id
		inner join funds
		on purchased_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where purchased_units.investor_id = $investorId
		and purchased_units.date_of_purchase >= '$fromDate'
		and purchased_units.date_of_purchase <= '$toDate'
		and purchased_units.fund_id ='$fundSelected'
		and purchased_units.is_cancel = 0
		and purchased_units.request_status =1
		and fund_type.fund_type_id=3
		union
		select sold_units.folio_number,concat(funds.scheme_description,' ',funds.plan_description,' ',funds.option_description) as fund_name,fund_type.name as fund_type_name,sold_units.sold_amount, sold_units.date_of_sale,sold_units.fund_id,'Withdrawn' as 'purchased_withdrawn' FROM
		sold_units
		inner join funds
		on sold_units.fund_id = funds.fund_id
		inner join fund_type
		on funds.fund_type_id = fund_type.fund_type_id
		where sold_units.investor_id = '$investorId'
		and sold_units.date_of_sale >= '$fromDate'
		and sold_units.date_of_sale <= '$toDate'
		and sold_units.fund_id =$fundSelected
		and sold_units.is_cancel = 0
		and fund_type.fund_type_id=3";

		$query=$this->db->query($sql);
		// echo $this->db->last_query(); die;
		if($query->num_rows()>0)
		{
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : account_statment_model,  Function :  getTaxSavingDetails , InvestorId :  ".$investorId." , Messege : get Tax Saving Details successfully returning data : ".$data ." *****");
			return $query->result();
		}
		else
		{
			log_message("info", "***** Model : account_statment_model,  Function :  getTaxSavingDetails , InvestorId :  ".$investorId." , Messege : data not found  returning false *****");
			return false;
		}
  	}
}
