<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

class Login_model extends CI_Model
{
    function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }

    /***** return page page list array ****/
    function getAllAccessiblePage($roleid)
    {
        $this->db->where('group_id', $roleid);
        $this->db->where('is_deleted', 0);
        $query = $this->db->get('group_page');
        if ($query->num_rows() > 0)
        {
			$data = (array) $query->result();
			$data = json_encode($data);
			log_message("info", "***** Model : Login_model,  Function : getAllAccessiblePage , roleid : ".$roleid.", Messege :  returning data : ".$data ." *****");
            return $query->result();
        }
        else
        {
			log_message("info", "***** Model : Login_model,  Function : getAllAccessiblePage,  roleid : ".$roleid.", Messege : returning false in else condition *****");
            return false;
        }
    }

    /** get image name, path from database **/
    function getTokenImageInfo($email)
    {
        $sql = "SELECT investor.token_image_name,investor.token_image_path,users.id 
        FROM users 
        JOIN investor on investor.login_id=users.id 
        WHERE users.email='$email'";
        $query = $this->db->query($sql);
        //echo $this->db->last_query(); die;
        if ($query->num_rows() > 0)
        {
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : Login_model,  Function : getTokenImageInfo , email : ".$email.", Messege :  returning data : ".$data ." *****");
            return $query->row();
        }
        else
        {
			log_message("info", "***** Model : Login_model,  Function : getTokenImageInfo,  email : ".$email.", Messege : returning false in else condition *****");
            return false;
        }
    }

    function checkEmailVerication($email)
    {
        $sql = "SELECT investor.investor_id,investor.is_verify,users.id 
        FROM users 
        JOIN investor on investor.login_id=users.id 
        WHERE users.email='$email'";
        $query = $this->db->query($sql);
        //echo $this->db->last_query(); die;
        if ($query->num_rows() > 0)
        {
			
            return $query->row();
        }
        else
        {
			
            return false;
        }
    }

    function getInvestorIdByUserId($userId)
    {
        $this->db->where('login_id', $userId);
        $query = $this->db->get('investor');
        if ($query->num_rows() > 0)
        {
			$data = (array) $query->row();
			$data = json_encode($data);
			log_message("info", "***** Model : Login_model,  Function : getInvestorIdByUserId , userId : ".$userId.", Messege :  returning data : ".$data ." *****");
            return $query->row();
        }
        else
        {
			log_message("info", "***** Model : Login_model,  Function : getInvestorIdByUserId,  userId : ".$userId.", Messege : returning false in else condition *****");
            return false;
        }
    }

    public function updateOTPNumber($id,$otpNumber)
    {
        $this->db->where("id",$id);
        $this->db->update("users",array("otp_code"=>$otpNumber));
        if($this->db->affected_rows()>0)
        {
            return true;
        }
        else
        {
			log_message("info", "***** Model : Login_model,  Function : updateOTPNumber,  userId : ".$id.", Messege : returning false in else condition *****");
            return false;
        }
    }    
}