<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class social_network_model extends CI_Model{


	public function getUserDetail($id)
	{
		$userDetail = $this->db->from('users')
							 ->where('id',$id)
							 ->get();
		return $userDetail->row();
	}

	public function getInvestor($id)
	{
		$userDetail = $this->db->from('investor')
							 ->where('login_id',$id)
							 ->get();
		return $userDetail->row();
	}

	function getAllAccessiblePage($roleid)
    {
        $this->db->where('group_id', $roleid);
        $this->db->where('is_deleted', 0);
        $query = $this->db->get('group_page');
        if ($query->num_rows() > 0)
        {
            return $query->result();
        }
        else
        {
            return false;
        }
    }


   	public function get_users_groups($id)
	{
		//if no id was passed use the current users id
	

		return $this->db->select($this->tables['users_groups'].'.'.$this->join['groups'].' as id, '.$this->tables['groups'].'.name, '.$this->tables['groups'].'.description, '.$this->tables['groups'].'.default_page')
		                ->where($this->tables['users_groups'].'.'.$this->join['users'], $id)
		                ->join($this->tables['groups'], $this->tables['users_groups'].'.'.$this->join['groups'].'='.$this->tables['groups'].'.id')
		                ->get($this->tables['users_groups']);
	}
}