<?php
/*================================================================================================================================
	Change By TechnoUniverse 
	Model Name : Monthly_Status_Cron
	Authoer : Amit Meena
	Working  : This Controller is used to fetch Data From Database for send SMS 
================================================================================================================================*/

class monthly_status_cron_model extends CI_Model{
	
/*===============================================================================================================================
	Change By TechnoUniverse 
	This Function Is used to fetch all Investor And his/ her name , mobile Number , And Investor Id 
===============================================================================================================================*/
	public function get_investor_id()
	{
		$sql = "select users.phone , users.username, users.email ,investor.investor_id FROM users JOIN investor on investor.login_id = users.id";
		$investor = $this->db->query($sql);
		return $investor->result();

	}
/*===============================================================================================================================
	Change By TechnoUniverse 
	This ufunction is used to fetch all investomet of investor 
===============================================================================================================================*/

    function getAllInvestmentInvestedValue($investorId)
    {
        /** get all purchase fund **/
        $sql="SELECT SUM(unit_count) as unit_count ,
        purchased_units.fund_id ,
        SUM(purchased_units.purchased_amount) as total_amount, funds.fund_type_id,
        funds.fund_name FROM purchased_units
        join funds on purchased_units.fund_id=funds.fund_id WHERE `request_status`=1
        AND purchased_units.investor_id=$investorId
        group by fund_id";
        $query1 = $this->db->query($sql);
        if ($query1->num_rows() > 0)
        {
             $resultPurchaseFunds=$query1->result();
        }

        $totalAmount=0;
        if(isset($resultPurchaseFunds) && !empty($resultPurchaseFunds))
        {
            foreach ($resultPurchaseFunds as $puchaseRow)
            {
                $fundName=$puchaseRow->fund_name;
                $purchaseFundId=$puchaseRow->fund_id;
                $purchaseAmount=$puchaseRow->total_amount;

                $totalAmount=round(($totalAmount+$purchaseAmount),0);
            }

            return $totalAmount;
        }
        else
        {
            return $totalAmount;
        }
    }


/*===============================================================================================================================
	Change By TechnoUniverse 
	this function is used to fetch current value of investment usnits 
===============================================================================================================================*/
	function getAllInvestmentCurrentValue($investorId)
    {
        /** get all purchase fund **/
        $sql="SELECT SUM(unit_count) as unit_count , purchased_units.fund_id, fund_history.nav , max(fund_history.nav_date),
        SUM(unit_count)*fund_history.nav as total_amount, funds.* FROM purchased_units
        join fund_history on fund_history.fund_id=purchased_units.fund_id join funds on purchased_units.fund_id=funds.fund_id
        WHERE fund_history.is_latest =1 and purchased_units.`request_status`=1
        AND purchased_units.investor_id='$investorId' group by purchased_units.fund_id";
        $query1 = $this->db->query($sql);
        if ($query1->num_rows() > 0)
        {
            //print_r($query1->result());
            $resultPurchaseFunds=$query1->result();
        }

        $sql="SELECT SUM(unit_count) as unit_count , sold_units.fund_id, fund_history.nav , max(fund_history.nav_date),
        SUM(unit_count)*fund_history.nav as total_amount, funds.* FROM sold_units
        join fund_history on fund_history.fund_id=sold_units.fund_id join funds on sold_units.fund_id=funds.fund_id
        WHERE fund_history.is_latest =1 and sold_units.`request_status`=1 and sold_units.is_cancel=0
        AND sold_units.investor_id='$investorId' group by sold_units.fund_id";
        $query2 = $this->db->query($sql);
        //echo $this->db->last_query(); die;
        if ($query2->num_rows() > 0)
        {
            $resultSoldFunds=$query2->result();
        }

        $totalAmount=0;
        if(isset($resultPurchaseFunds) && !empty($resultPurchaseFunds))
        {
            foreach ($resultPurchaseFunds as $puchaseRow)
            {
                $fundName=$puchaseRow->fund_name;

                $purchaseFundId=$puchaseRow->fund_id;
                $purchaseUnits=$puchaseRow->unit_count;
                $nav=$puchaseRow->nav;

                /** check count fund is sold or not **/
                $soldCount=0;

                if(isset($resultSoldFunds) && !empty($resultSoldFunds))
                {
                    foreach ($resultSoldFunds as $soldRow)
                    {
                        $soldFundId=$soldRow->fund_id;
                        $soldUnits=$soldRow->unit_count;
                        if($soldFundId==$purchaseFundId)
                        {
                            $balanceUnit=round(($purchaseUnits-$soldUnits),2);
                            $soldCount++;
                        }
                    }
                }
                if($soldCount==0)
                {
                    $balanceUnit=$purchaseUnits;
                }

                $balanceUnit;

                /** caluculate current amount by current nav**/
                $currentAmount=round(($balanceUnit*$nav),2);
                $totalAmount=round(($totalAmount+$currentAmount),2);
            }

            return $totalAmount;
        }
        else
        {
            return $totalAmount;
        }
    }
/*===================================================================================================================== */
}