<?php

class reliance_card_cron_model extends CI_Model{
	
	public function get_card_data()
	{
		$res = $this->db->query("SELECT inv.investor_id, IF(usr.mother_name!='',usr.mother_name,inv.mother_name) AS mother_name, usr.username, inv.date_of_birth, pu.folio_number FROM purchased_units pu, investor inv, users usr WHERE pu.investor_id = inv.investor_id AND inv.login_id = usr.id AND pu.fund_id = 9227 AND pu.request_status = 1 AND pu.folio_number <> '' AND pu.is_first_purchase = 1 AND inv.ATM_card = 0");	
	    if($res->num_rows() > 0 )
		{
			$data = (array) $res->result();
			$data = json_encode($data);
			log_message("info", "***** Model : reliance_card_cron_model,  Function : get_card_data, Messege : Found" .$res->num_rows()." retuning control to calling function with result".$data." *****");
			return $res->result();
		}else
		{
			log_message("info", "***** Model : reliance_card_cron_model,  Function : get_card_data, Messege : Not Found data returning to control to calling function *****");
			return false;
		}
	}
	
	/* public function gey_investor_detail($investor_id)
	{
		$inv_res = $this->db->query("SELECT users.username , users.mother_name ,investor.date_of_birth from investor join users on investor.login_id = users.id where investor_id = $investor_id and investor.ATM_card != 1");
		if($inv_res->num_rows() > 0)
		{
			return $inv_res->row();
		}
		else
		{
			return false;
		}
	} */
	
	public function update_investor_status($investor_id)
	{
		$this->db->where("investor_id" , $investor_id)
				 ->update("investor",["ATM_card"=>1]);
				 
		if($this->db->affected_rows()>0)
		{
			log_message("info", "***** Model : reliance_card_cron_model,  Function : update_investor_status, Messege : successfully update ATM card status for investor_id ".investor_id." retuning control to calling function with result true status *****");
			return true;
		}
		else
		{
			log_message("info", "***** Model : reliance_card_cron_model,  Function :  update_investor_status, Messege : Not update ATM card status for investor_id ".investor_id." result false status *****");
			return false;
		}
	}
}