<?php
class Refer_model extends CI_Model
{	
	public function getReferLinkModel($investor_id)
	{
	    $res = $this->db
					->select("users.username,investor.application_number")
					->from('users')
					->join('investor','investor.login_id=users.id')
					->where('investor.investor_id',$investor_id)
					->get();
		if($res->num_rows() > 0)
		{
			return $res->row();
		}
		else
		{
			return false;
		}
	}
	
	public function save_referrals($phone,$data)
	{
	  $res = $this->db->select("phone")
					 ->from("referrals")
					 ->where("phone",$phone)
					 ->get();
	  if($res->num_rows() > 0)
	  {
		  return true;
	  }
	  else
	  {
		  $result = $this->db->insert("referrals",$data);
		  
		  if($this->db->affected_rows()>0)
		  {
			  return true;
		  }
		  else
		  {
			  return false;
		  }
	  }
	}
	
	public function getPoint($investorId)
	{
		$res = $this->db->query("select SUM(investo_points) as point from accept_referrals join investor on accept_referrals.referral_code = investor.application_number where investor.investor_id = $investorId");
		
		$res2 = $this->db->query("select SUM(points) as r_point from redeem_offers where investor_id = $investorId");
		if($res->num_rows() > 0)
		{
			return $res->row()->point - $res2->row()->r_point;
		}
		else
		{
			return 0;
		}
	}
	
	public function getOffers()
	{
		$res = $this->db->from("offers")->where("offer_status",1)->get();
		if($res->num_rows() >0)
		{
			return $res->result();
		}
		else
		{
			return false;
		}
	}
}