<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

class Sum_nav_model extends CI_Model
{
    function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }
    
    function getInvestorList()
    {
        $query=$this->db->query("SELECT DISTINCT purchased_units.investor_id FROM `purchased_units` where purchased_units.request_status = 1 and purchased_units.is_cancel = 0");
        if($query->num_rows()>0)
        {
            return $query->result();
        }
        else
        {
            return false;
        }
    }
    
    function insertSumNav($data)
    {
        $this->db->insert("total_nav",$data);
        if($this->db->affected_rows()>0)
        {
           return true;
        }
        else
        {
           return false;
        }
    }
    
     function checkInvestorDateExists($investorId,$currentDate)
     {
        $query=$this->db->query("SELECT * FROM `total_nav` WHERE total_nav.date='$currentDate' and total_nav.investor_id=$investorId");
        if($query->num_rows()>0)
        {
            return $query->row();
        }
        else
        {
            return false;
        }
    }
    
    function updateSumNav($investorId,$currentDate,$resultCurrentAmount)
    {
        $query=$this->db->query("UPDATE `total_nav` set total_nav.sum_nav = $resultCurrentAmount WHERE total_nav.date = '$currentDate' and total_nav.investor_id = $investorId");
        if($this->db->affected_rows()>0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}