<div class="modal fade" id="addNomineeModalWindow" data-backdrop="static">
	<div class="modal-dialog">
	  <div class="modal-content">
	    <div class="modal-header">
	      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	      <p class="modal-title dashboard_title p_color_green boldText">Add Nominee</p>
	    </div>
	    <div class="modal-body">
	    	<div style="align:center">
		  	 <div class="row">
		      <div class="col-md-6 margin-bottom">
		        <p class="p_section_content p_color_blue">*Nominee Name</p>
		      </div>
		      <div class="col-md-6 margin-bottom">
		        <input placeholder="Nominee Name"  type="text" id="nomineeName" class="form-control" value="">
		        <span class="show-error-message p_subtitle boldText" id="errorMsgNomineeName"></span>
		      </div>
		    </div>

		    <div class="row">
		      <div class="col-md-6">
		        <p class="p_section_content p_color_blue">*Relationship with Investor</p>
		      </div>
		      <div class="col-md-6 margin-bottom">
		        <input placeholder="Relationship with Investor" type="text" id="relation" class="form-control" value="">
		        <span class="show-error-message p_subtitle boldText" id="errorMsgRelation"></span>
		      </div>
		    </div>

		    <div class="row">
		      <div class="col-md-6 margin-bottom">
		        <p class="p_section_content p_color_blue">*Percentage</p>
		      </div>
		      <div class="col-md-6 margin-bottom">
		      	<div class="input-group">
			        <input placeholder="Percentage" type="text" id="percentage" maxlength="3" class="form-control" value="100" style="max-width:120px;">
			        <img id="checkPercentageWait" src="<?php echo base_url();?>assets/img/ajax-loader.gif" alt="Loading" style="margin-left:5px;display:none;"/>
		        </div>
		        <span class="show-error-message p_subtitle boldText" id="errorMsgPercentage"></span>
		      </div>
		    </div>

		    <div class="row">
		      <div class="col-md-6 margin-bottom">
		        <p class="p_section_content p_color_blue">*Nominee's Date of Birth</p>
		      </div>
		      <div class="col-md-6 margin-bottom">
		        <div class="input-group triple-input">
		          <input type="text" placeholder="DD"   class="form-control dob_left" id="dobD"  maxlength="2" oninput="checkDob();">
		          <input type="text" placeholder="MM"   class="form-control dob_center" id="dobM"  maxlength="2" oninput="checkDob();">
		          <input type="text" placeholder="YEAR" class="form-control dob_right" id="dobY"  maxlength="4" oninput="checkDob();">
		        </div>
		        <span class="show-error-message p_subtitle boldText" id="errorMsgDob"></span>
		      </div>
		    </div>

		    <div class="row" id="guardianDiv" style="display:none;">
		      <div class="col-md-6">
		        <p class="p_section_content p_color_blue">*Guardian's Name</p>
		      </div>
		      <div class="col-md-6 margin-bottom">
		        <input placeholder="Guardian's Name" type="text" id="guardianName" class="form-control" value="">
		        <span class="show-error-message p_subtitle boldText" id="errorMsgGuardianName"></span>
		      </div>
		    </div>
		    <input type="hidden" value="0" id="checkNomineeGuardian">

		    <div class="row">
		      <div class="col-md-6">
		      </div>
		      <div class="col-md-6 margin-bottom">
		        <input type="checkbox" id="checkboxNomineeAddress" class="nominee_checkbox"><span class="p_msg p_color_blue boldText"> Copy from investor Address</span>
		      </div>
		    </div>

		    <div class="row">
		      <div class="col-md-6 margin-bottom">
		        <p class="p_section_content p_color_blue">*Address</p>
		      </div>
		      <div class="col-md-6">
		        <textarea placeholder="Address" class="form-control margin-bottom" maxlength="40" id="nomineeAddress"><?php //if(isset($nomineeData) && !empty($nomineeData)){echo $nomineeData->address;}?></textarea>
		        <span class="show-error-message p_subtitle boldText" id="errorMsgNomineeAddress"></span>
		      </div>
		    </div>

		</div>
	    <div class="modal-footer">
	      <button type="button" class="btn enjoy-css" onclick="addNomineeDatails();">Add</button>
	      <button type="button" class="btn enjoy-css" data-dismiss="modal">Close</button>
	      <button type="button" class="btn enjoy-css" disabled id="waitLoadAddNominee" style="display:none;">Waiting..</button>
	    </div>
	  </div>
	  </div>
	</div>
</div>
