<?php
    $ci =& get_instance();
    $controller=$ci->router->fetch_class();
    if(checkuser_session())
    {
      if(isset($_SESSION["groupId"]) && !empty($_SESSION["groupId"]))
      {
        $groupId=$_SESSION["groupId"];
      }
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="We help invest your savings wisely in the best mutual funds.">
	<meta name="author" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="shortcut icon" href="<?php echo base_url();?>assets/img/favicon.ico" type="image/x-icon">
	<title>
        <?php
          if(isset($pageTitle) && !empty($pageTitle)){
            echo $pageTitle;
          }else{
            echo 'Investocafe';
          }
        ?>
    </title>
	<link href="<?php echo base_url();?>assets/css/bootstrap.min.css" rel="stylesheet">
	<link href="<?php echo base_url();?>assets/css/home_view.css" rel="stylesheet">
	<link href="<?php echo base_url();?>assets/css/jquery-ui.min.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link rel="stylesheet" href="http://www.w3schools.com/lib/w3.css">
    <?php
    $user_agent = $_SERVER['HTTP_USER_AGENT'];
    
    if (stripos( $user_agent, 'Safari') !== false)
    {
    ?>
       <link rel="stylesheet" type="text/css" href="<?php echo base_url();?>assets/css/safari.css">
    <?php
    }
    ?>


  
</head>
<body>
	<header id="header">
		<div class="wrapper">
			<a href="<?php echo base_url();?>" class="logo"><img src="<?php echo base_url();?>assets/img/logo-temp.png"/></a>
			<span class="nav-button"><i class="fa fa-bars"></i></span>
			<nav class="main-nav">
				<ul class="up-sml" style="font-family:arial;">
                   <?php if(checkuser_session())
                   {
                   ?>
                   <li class="sprd"><a class="<?php if($controller=="home") {echo 'active';} ?>" href="<?php echo base_url();?>"><span><b>Home</b></span><i class="fa fa-home p_color_green"></i></a></li>
                    <li class="sprd"><a class="<?php if($controller=="dashboard") {echo 'active';} ?>" href="<?php echo base_url();?>dashboard"><span><b>Dashboard</b></span><i class="fa fa-dashboard p_color_green"></i></a></li>

                    <li class="sprd"><a class="<?php if($controller=="myProfile" || $controller=="myRiskProfile") {echo 'active';} ?>" href="<?php echo base_url();?>myProfile?page=myProfile"><span><b>My Profile</b></span><i class="fa fa-list p_color_green"></i></a></li>


                    <li class="sprd"><a class= "<?php if($controller=="downloadForm") {echo 'active';} ?>"href="<?php echo base_url();?>downloadForm"><span><b>Download</b></span><i class="fa fa-download p_color_green"></i></a></li>
          					<li class="sprd">
                      <a class="<?php if($controller=="login") {echo 'active';} ?>"href="<?php echo base_url();?>login/logout">
                        <span style="top:58px!important;">
                          <img src="<?php echo base_url();?>assets/img/logout.png" style="width:30px;"/>
                        </span>
                      </a>
                    </li>
                   <?php
                   }
                    else
                   {
                   ?>

                    <li class="sprd">
                      <a class="<?php if($controller=="home") {echo 'active';} ?> " href="<?php echo base_url();?>home">
                        <span>
                          <b>Home</b>
                        </span>
                        <i class="fa fa-home p_color_green"></i>
                      </a>
                    </li>
                    <li class="sprd">
                      <a class="<?php if($controller=="aboutUs") {echo 'active';} ?> " href="<?php echo base_url();?>aboutUs?=aboutus">
                        <span>
                          <b>About Us</b>
                        </span>
                        <i class="fa fa-tv p_color_green"></i>
                      </a>
                    </li>
          					<li class="sprd">
                      <a class="<?php if($controller=="") {echo 'active';} ?>" href="<?php echo base_url();?>#howItWorksSpan">
                        <span>
                          <b>How it works</b>
                        </span>
                        <i class="fa fa-hourglass p_color_green"></i>
                      </a>
                    </li>
          					<li class="sprd">
                      <a class ="<?php if($controller=="") {echo 'active';} ?>" href="<?php echo base_url();?>#contactSpan">
                        <span>
                          <b>Contact</b>
                        </span>
                        <i class="fa fa-phone p_color_green"></i>
                      </a>
                    </li>
                    <li class="sprd">
                      <a class="<?php if($controller=="sipCalculation") {echo 'active';} ?>" href="<?php echo base_url();?>sipCalculation">
                        <span>
                          <b>Tools</b>
                        </span>
                        <i class="fa fa-steam p_color_green"></i>
                      </a>
                    </li>
                    <!-- <li class="sprd"><a class="<?php if($controller=="login") {echo 'active';} ?>" href="<?php echo base_url();?>login"><span><b>Login</b></span><i class="fa fa-lock"></i></a></li> -->
          					<li class="sprd">
                      <!-- <a class="<?php if($controller=="registration") {echo 'active';} ?>" href="<?php echo base_url();?>registration">
                        <span>
                          <b>Register</b>
                        </span><i class="fa fa-key"></i>
                      </a> -->
                      <a class="<?php if($controller=="login") {echo 'active';} ?>" href="<?php echo base_url();?>login" data-toggle="tooltip" title="Login/Register">
                        <span style="top:58px!important;">
                          <img src="<?php echo base_url();?>assets/img/login.png" style="width:30px;"/>
                        </span>
                      </a>
                    </li>
                    <li class="sprd">
                      <a class="<?php if($controller=="knowledgeBites") {echo 'active';} ?>" href="<?php echo base_url();?>knowledgeBites" data-toggle="tooltip" title="Knowledge bites">
                        <span style="top:58px!important;">
                          <img src="<?php echo base_url();?>assets/img/knowledgebits.png" style="width:30px;"/>
                        </span>
                      </a>
                    </li>
                   <?php
                    }
                   ?>
				</ul>
			</nav>
		</div>
	</header>
