<link href="<?php echo base_url();?>assets/css/signup-header.css" rel="stylesheet">
<link href="<?php echo base_url();?>assets/css/signup.css" rel="stylesheet">

<section class="top_padding">
  <div class="wrapper">
    <div class="column-12">
    <!-- Nav tabs -->
      <ul class="nav nav-tabs registerNavTab" role="tablist">
        <li role="presentation" class="registerTab">
          <a href="<?php echo  base_url().'login';?>">Login</a>
        </li>
        <li role="presentation" class="registerTab active">
          <a href="#register">Register</a>
        </li>
      </ul>


      <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="">
        </div>
        <div role="tabpanel" class="tab-pane active" id="register">
          <?php $this->load->view('includes/signup_header'); ?>
          <div class="col-md-12" style="padding-top:30px;">
            <p class="p_section_heading center center_color">Let's get started, register for free online account and start investing for achieving your financial goals</p>
            <p class="p_section_content center_color boldText" style=";">Important information</p>
            <p class="p_section_content center_color boldText" style="">When you complete your registration, we will E-mail a pre-filled application form to you.You will need to print, sign and send it to us.</p>
          </div>
          <form id="form_registration" method="post">
            <div class="row">
              <div class="col-md-12">
                <p class="p_section_heading p_color_green">Investor Details</p>
                 <hr>
                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Investor Type</p>
                   </div>
                    <div class="col-md-8">
                      <select class="form-control" id="investor_type">
                        <?php
                          if(isset($investorTypeList) && !empty($investorTypeList))
                          {
                            foreach ($investorTypeList as $value)
                            {
                             ?><option value="<?php echo $value->investor_type_id;?>" <?php if(isset($row) && !empty($row)){if($row->investor_type_id==$value->investor_type_id)echo "selected";}?> isRequiredOsn="<?php echo $value->is_required_overseas;?>" ><?php echo $value->investor_type;?></option><?php
                            }
                          }
                        ?>
                      </select>
                      <span class="show-error-message" id="errorMsgInvestor"></span>
                   </div>
                </div>
                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Nationality</p>
                   </div>
                    <div class="col-md-8">
					  
                      <select class="form-control" id="nationality">
                        <?php
                          if(isset($allNationalities) && !empty($allNationalities))
                          {
                            foreach ($allNationalities as $value)
                            {
                             ?><option value="<?php echo $value->nationality_id;?>"<?php if(isset($row) && !empty($row)){if($row->nationality_id==$value->nationality_id)echo "selected";}?> ><?php echo $value->nationality;?></option><?php
                            }
                          }
                        ?>
                      </select>
                      <span class="show-error-message" id="errorMsgInvestor"></span>
                   </div>
                </div>
                <div id="forNRIDetails" style="display:<?php if(isset($allTaxResidencies) && !empty($allTaxResidencies) && $row->investor_type_id !=1 ){echo 'block';}else{echo 'none';}?>">
                  <br/>
                  <div class="row">
                     <div class="col-md-4">
                        <p class="p_section_content p_color_blue">*Country Of Residence</p>
                     </div>
                     <div class="col-md-8">
                       <select class="form-control" id="countryOfResidence" >
                        <?php
                          if(isset($countryList) && !empty($countryList))
                          {
                            foreach ($countryList as $value)
                            {
                             ?><option value="<?php echo $value->country_id;?>"  <?php if(isset($row) && !empty($row)){if($row->country==$value->country_id){echo "selected";}}?> ><?php echo $value->country_name;?></option><?php
                            }
                          }
                        ?>
                      </select>
                       <span class="show-error-message" id="errorMsgCOR"></span>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-md-4">
                        <p class="p_section_content p_color_blue">*Country Of Tax Residence</p>
                     </div>
                     <div class="col-md-8">
                       <select class="form-control" id="countryOfTaxResidence">
                        <?php
                          if(isset($countryList) && !empty($countryList))
                          {
                            foreach ($countryList as $value)
                            {
                             ?><option value="<?php echo $value->country_id;?>" id="country<?php echo $value->country_id;?>" name="<?php echo $value->country_name;?>" ><?php echo $value->country_name;?></option><?php
                            }
                          }
                        ?>
                      </select>
                       <span class="show-error-message" id="errorMsgCOTR"></span>
                       <br/>
                       <input class="form-control" type="text" id="tin" placeholder="Enter Tax Identification Number" onkeypress="handle(event)">
                       <div class="button" onClick="addTaxResidency();">Add</div>
                     </div>
                  </div><br/>
                  <div id="allTaxResidencies" style="display:none;"></div>
                  <table class="table">
                    <thead>
                      <th class="p_section_content">Country Of Tax Residence</th>
                      <th class="p_section_content">Tax Identification Number</th>
                    </thead>
                    <tbody id="trInfoTable">
                       <?php
                        if(isset($allTaxResidencies) &&  !empty($allTaxResidencies))
                        {
                          foreach ($allTaxResidencies as $trRows)
                          {
                              ?>
                                <tr>
                                  <td class="p_color_blue"><b><?php echo $trRows->country_name;?></b></td>
                                  <td class="p_color_blue"><b><?php echo $trRows->tin;?></b></td>
                                </tr>
                              <?php
                          }
                        }
                      ?>
                    </tbody>
                  </table>
                </div>
                <hr>
                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Name</p>
                   </div>
                   <div class="col-md-8">
                     <input type="name" class="form-control" id="name" placeholder="Name as on PAN Card"
                     value="<?php
                          if(isset($row) && !empty($row))
                            {
                              echo $this->encrypt->decode($row->name);
                            }
                          else if(isset($_COOKIE['tempUserName']) && !empty($_COOKIE['tempUserName']))
                            {
                              echo $_COOKIE['tempUserName'];
                            }
                        ?>"/>
                     <span class="show-error-message p_subtitle boldText" id="errorMsgName"></span>
                   </div>
                </div>

                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Date of Birth</p>
                   </div>

                   <div class="col-md-8">
                      <div class="input-group triple-input">
                        <input type="text" class="form-control dob_width_left" id="dobD" placeholder="DD"    maxlength="2" value="<?php if(isset($row) && !empty($row)){$day = explode("-",$row->date_of_birth);  echo $day[2];}?>"/>
                        <input type="text" class="form-control dob_width_center" id="dobM" placeholder="MM"    maxlength="2" value="<?php if(isset($row) && !empty($row)){$month = explode("-",$row->date_of_birth);echo $month[1];}?>"/>
                        <input type="text" class="form-control dob_width_right" id="dobY" placeholder="YEAR"  maxlength="4" value="<?php if(isset($row) && !empty($row)){$year = explode("-",$row->date_of_birth); echo $year[0];}?>"/>
                      </div>
                      
                   </div><span class="show-error-message p_subtitle boldText" id="errorMsgInvestorDob" style="display:block; margin-top:15px;"></span>
                      <span class="show-error-message" id="errorMsgDob"></span>
                </div>

                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Place of Birth</p>
                   </div>

                   <div class="col-md-8">
                     <input type="text" class="form-control" id="placeOfBirth" placeholder="Place of Birth"
                     value="<?php
                          if(isset($row) && !empty($row))
                            {
                              echo $row->place_of_birth;
                            }
                          // else if(isset($_COOKIE['tempUserPhone']) && !empty($_COOKIE['tempUserPhone']))
                          //   {
                          //     echo $_COOKIE['tempUserPhone'];
                          //   }
                        ?>">
                     <span class="show-error-message p_subtitle boldText" id="errorMsgPlaceOfBirth"></span>
                   </div>
                </div>

                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Country of Birth</p>
                   </div>
                    <div class="col-md-8">
                      <select class="form-control" id="countryOfBirth">
                        <?php
                          if(isset($countryList) && !empty($countryList))
                          {
                            foreach ($countryList as $value)
                            {
                             ?><option value="<?php echo $value->country_id;?>"<?php if(isset($row) && !empty($row)){if($row->country_of_birth_id==$value->country_id)echo "selected";}?> ><?php echo $value->country_name;?></option><?php
                            }
                          }
                        ?>
                      </select>
                      <span class="show-error-message" id="errorMsgCOB"></span>
                   </div>
                </div>

                <div class="row">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Phone</p>
                   </div>
                  <div class="col-md-8">
                      <input type="text" id="phone" class="form-control" style="" placeholder="10 digits no here" maxlength="10"
                      value="<?php
                          if(isset($row) && !empty($row))
                            {
                              echo $this->encrypt->decode($row->phone);
                            }
                          else if(isset($_COOKIE['tempUserPhone']) && !empty($_COOKIE['tempUserPhone']))
                            {
                              echo $_COOKIE['tempUserPhone'];
                            }
                        ?>"/>
                      <span class="show-error-message p_subtitle boldText" id="errorMsgPhone"></span>
                  </div>
                </div>

                <div class="row" style="display:none;" id="overseasNoDiv">
                   <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Overseas Phone Number</p>
                   </div>
                  <div class="col-md-8">
                      <input type="text" id="phoneOverseas" class="form-control" style="" placeholder="Overseas phone number" maxlength="12" value="<?php
                          if(isset($row) && !empty($row))
                            {
                              echo $this->encrypt->decode($row->overseas_no);
                            }?>"/>
                      <span class="show-error-message" id="errorMsgPhoneOverseas"></span>
                  </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                      <p class="p_section_content p_color_blue">*Gender</p>
                    </div>
                    <div class="col-md-8">
                      <div class="btn-group" data-toggle="buttons">
                        <label class="btn btn-default p_msg boldText <?php if(isset($row) && !empty($row)){if($row->gender=="Male")echo "active";}?>">
                            <input type="radio" id="q156" name="radioBtnGender" value="Male" <?php if(isset($row) && !empty($row) ){if($row->gender=="Male")echo "checked";}?>/> Male
                        </label>
                        <label class="btn btn-default p_msg boldText <?php if(isset($row) && !empty($row)){if($row->gender=="Female")echo "active";}?>">
                            <input type="radio" id="q157" name="radioBtnGender" value="Female" <?php if(isset($row) && !empty($row)){if($row->gender=="Female")echo "checked";}?>/> Female
                        </label>
                      </div>
                      <span class="show-error-message" id="errorMsgRadio" style="display:block; margin-top:15px;"></span>
                    </div>
                </div>


                <p class="p_contant">
                  <input type="checkbox" class="nominee_checkbox" id="armedForces" <?php if(isset($row) && !empty($row)){if($row->armed_forces=="1"){echo "checked";}}?>>
                  <span class="p_contant boldText"> Armed forces personnel.</span>
                </p>
                <!--  Hide email and password when update investor details-->
                  <div class="<?php if(isset($row) && !empty($row)){echo "hidden";}?>">
                    <hr>
                    <div class="row">
                       <div class="col-md-4">
                          <p class="p_section_content p_color_blue">*Email</p>
                       </div>
                       <div class="col-md-8">
                          <input type="email" id="email" class="form-control" placeholder="Email"
                          value="<?php
                              if(isset($_COOKIE['tempUserEmail']) && !empty($_COOKIE['tempUserEmail']))
                              {
                                echo $_COOKIE['tempUserEmail'];
                              }
                           ?>"/>
                          <span class="show-error-message p_subtitle boldText" id="errorMsgEmail"></span>
                          <p class="p_msg p_color_blue boldText">This will be your login ID</p>
                          <input type="button"  style="margin-bottom: 15px;display:none;" class="button-next btn btn-default waitLoader" id="img-spinner" value="Verifiying email address...">
                      </div>
                    </div>

                     <div class="row">
                       <div class="col-md-4">
                          <p class="p_section_content p_color_blue">*Password</p>
                       </div>
                       <div class="col-md-8" style="margin-bottom:20px;">
                           <input type="password" id="password" class="form-control" placeholder="Password" value=""/>
                           <span class="show-error-message p_subtitle boldText" id="errorMsgPassword"></span>

                           <p class="p_msg p_color_blue boldText">Select a password for your account</p>

                           <ul style="margin-left:-25px; font-size:0.9em; color: rgb(24, 27, 30)!important; line-height:15px; padding-top:0px;">
                             <li id="msgPasswordNumber" class="p_msg boldText">Password must contain atleast one number</li>
                             <li id="msgPasswordAlpha" class="p_msg boldText">Password must contain atleast one letter</li>
                             <li id="msgPasswordLength" class="p_msg boldText">Password must be atleast 6 characters</li>
                           </ul>
                       </div>
                    </div>

                    <!-- Enhanced security token image and text -->
                    <div class="row">
                        <div class="col-md-4">
                            <p class="p_section_content p_color_blue wordBreak" for="enhanced_security">*Enhanced security</p>
                        </div>
                        <div class="col-md-8">
                        <?php
                            $tokenImagesDir = base_url() . 'assets/tokenImages/';
                            // print_r($tokenImagesDir);die;
                        ?>

                          <img src="<?php echo $tokenImagesDir?><?php echo rand(1,8) ?>.jpeg" alt="tokenImage" id="tokenImagePath" />
                          <input type="text" class="form-control" id="tokenImageName" size="" placeholder="Choose a caption for the image shown" style="" oninput="checkTokenName();"/>
                          <p class="p_msg p_color_blue boldText">This caption and image will be shown to you during login.</p>
                          <span id="errorMsgTokenImageName"  class="show-error-message"></span>
                        </div>
                    </div>
                  </div>
                <!-- End Div -->
                <hr>
                <p class="p_contant">
                  <input type="checkbox" class="nominee_checkbox" id="tNcCheckbox" <?php if(isset($row) && !empty($row)){echo "checked";}?>>
                  <a class="forgot_password_link boldText" id="tNc" style="cursor:pointer;"> I agree to terms and conditions.</a>
                </p>

                <div class="row">
                  <div class="al-center">
                      <input type="button"  style="margin-bottom: 15px;" class="button-next btn enjoy-css <?php if(isset($row) && !empty($row)){echo "hidden";}?>" id="submitBtn" value="CREATE YOUR ACCOUNT" disabled>
                      <input type="button"  style="margin-bottom: 15px;display:none;" class="button-next btn enjoy-css waitLoader" id="waitInfoPage1" value="<?php if(isset($row) && !empty($row)){echo "Updating";}else{echo "Waiting";}?>" disabled="disabled">
                      <input type="button"  style="margin-bottom: 15px;" class="button-next btn enjoy-css <?php if(isset($row) && !empty($row)){echo "";}else{echo "hidden";}?>" id="updateBtn" value="ADD ADDRESS &amp; BANK DETAILS ">
                      <p class="p_color p_color_blue boldText"><i class="fa fa-lock"></i> We guarantee your satisfaction. Your information will be kept confidential.</p>
                  </div>
                </div>
                  <input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
              </div>
          </div>
        </form>
        </div>
      </div>
	 </div>
	 </div>
	 
</section>

<div class="container">
    <?php /*?><!-- <div class="row" style="margin-top:10px;">
      <div class="col-md-12">
        <p class="p_section_heading center center_color">Let's get started, register for free online account and start investing for achieving your financial goals</p>
        <p class="p_section_content center_color boldText" style=";">Important information</p>
        <p class="p_section_content center_color boldText" style="">When you complete your registration, we will E-mail a pre-filled application form to you.You will need to print, sign and send it to us.</p>
      </div>
    </div>&nbsp; -->
    <!-- <form id="form_registration" method="post">
      <div class="row">
        <div class="col-md-12">
          <p class="p_section_heading p_color_green">Investor Details</p>
           <hr>
          <div class="row">
             <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Investor Type</p>
             </div>
              <div class="col-md-8">
                <select class="form-control" id="investor_type">
                  <?php
                    if(isset($investorTypeList) && !empty($investorTypeList))
                    {
                      foreach ($investorTypeList as $value)
                      {
                       ?><option value="<?php echo $value->investor_type_id;?>" <?php if(isset($row) && !empty($row)){if($row->investor_type_id==$value->investor_type_id)echo "selected";}?> isRequiredOsn="<?php echo $value->is_required_overseas;?>" ><?php echo $value->investor_type;?></option><?php
                      }
                    }
                  ?>
                </select>
                <span class="show-error-message" id="errorMsgInvestor"></span>
             </div>
          </div>
          <div class="row">
             <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Nationality</p>
             </div>
              <div class="col-md-8">
                <select class="form-control" id="nationality">
                  <?php
                    if(isset($allNationalities) && !empty($allNationalities))
                    {
                      foreach ($allNationalities as $value)
                      {
                       ?><option value="<?php echo $value->nationality_id;?>"<?php if(isset($row) && !empty($row)){if($row->nationality_id==$value->nationality_id)echo "selected";}?> ><?php echo $value->nationality;?></option><?php
                      }
                    }
                  ?>
                </select>
                <span class="show-error-message" id="errorMsgInvestor"></span>
             </div>
          </div>
          <div id="forNRIDetails" style="display:<?php if(isset($allTaxResidencies) && !empty($allTaxResidencies) && $row->investor_type_id !=1 ){echo 'block';}else{echo 'none';}?>">
            <br/>
            <div class="row">
               <div class="col-md-4">
                  <p class="p_section_content p_color_blue">*Country Of Residence</p>
               </div>
               <div class="col-md-8">
                 <select class="form-control" id="countryOfResidence" >
                  <?php
                    if(isset($countryList) && !empty($countryList))
                    {
                      foreach ($countryList as $value)
                      {
                       ?><option value="<?php echo $value->country_id;?>"  <?php if(isset($row) && !empty($row)){if($row->country==$value->country_id){echo "selected";}}?> ><?php echo $value->country_name;?></option><?php
                      }
                    }
                  ?>
                </select>
                 <span class="show-error-message" id="errorMsgCOR"></span>
               </div>
            </div>
            <div class="row">
               <div class="col-md-4">
                  <p class="p_section_content p_color_blue">*Country Of Tax Residence</p>
               </div>
               <div class="col-md-8">
                 <select class="form-control" id="countryOfTaxResidence">
                  <?php
                    if(isset($countryList) && !empty($countryList))
                    {
                      foreach ($countryList as $value)
                      {
                       ?><option value="<?php echo $value->country_id;?>" id="country<?php echo $value->country_id;?>" name="<?php echo $value->country_name;?>" ><?php echo $value->country_name;?></option><?php
                      }
                    }
                  ?>
                </select>
                 <span class="show-error-message" id="errorMsgCOTR"></span>
                 <br/>
                 <input class="form-control" type="text" id="tin" placeholder="Enter Tax Identification Number">
                 <div class="button" onClick="addTaxResidency();">Add</div>
               </div>
            </div><br/>
            <div id="allTaxResidencies" style="display:none;"></div>
            <table class="table">
              <thead>
                <tr>
                  <td><b>Country Of Tax Residence</b></td>
                  <td><b>Tax Identification Number</b></td>
                </tr>
              </thead>
              <tbody id="trInfoTable">
                 <?php
                  if(isset($allTaxResidencies) &&  !empty($allTaxResidencies))
                  {
                    foreach ($allTaxResidencies as $trRows)
                    {
                        ?>
                          <tr>
                            <td class="p_color_blue"><?php echo $trRows->country_name;?></td>
                            <td class="p_color_blue"><?php echo $trRows->tin;?></td>
                          </tr>
                        <?php
                    }
                  }
                ?>
              </tbody>
            </table>
          </div>
          <hr>
          <div class="row">
             <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Name</p>
             </div>
             <div class="col-md-8">
               <input type="name" class="form-control" id="name" placeholder="Name as on PAN Card"
               value="<?php
                    if(isset($row) && !empty($row))
                      {
                        echo $this->encrypt->decode($row->name);
                      }
                    else if(isset($_COOKIE['tempUserName']) && !empty($_COOKIE['tempUserName']))
                      {
                        echo $_COOKIE['tempUserName'];
                      }
                  ?>"/>
               <span class="show-error-message p_subtitle boldText" id="errorMsgName"></span>
             </div>
          </div>

          <div class="row">
             <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Date of Birth</p>
             </div>

             <div class="col-md-8">
                <div class="input-group triple-input">
                  <input type="text" class="form-control dob_width_left" id="dobD" placeholder="DD"    maxlength="2" value="<?php if(isset($row) && !empty($row)){$day = explode("-",$row->date_of_birth);  echo $day[2];}?>"/>
                  <input type="text" class="form-control dob_width_center" id="dobM" placeholder="MM"    maxlength="2" value="<?php if(isset($row) && !empty($row)){$month = explode("-",$row->date_of_birth);echo $month[1];}?>"/>
                  <input type="text" class="form-control dob_width_right" id="dobY" placeholder="YEAR"  maxlength="4" value="<?php if(isset($row) && !empty($row)){$year = explode("-",$row->date_of_birth); echo $year[0];}?>"/>
                </div>
                <span class="show-error-message p_subtitle boldText" id="errorMsgInvestorDob" style="display:block; margin-top:15px;"></span>
                <span class="show-error-message" id="errorMsgDob"></span>
             </div>
          </div>

          <div class="row">
             <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Phone</p>
             </div>
            <div class="col-md-8">
                <input type="text" id="phone" class="form-control" style="" placeholder="10 digits no here" maxlength="10"
                value="<?php
                    if(isset($row) && !empty($row))
                      {
                        echo $this->encrypt->decode($row->phone);
                      }
                    else if(isset($_COOKIE['tempUserPhone']) && !empty($_COOKIE['tempUserPhone']))
                      {
                        echo $_COOKIE['tempUserPhone'];
                      }
                  ?>"/>
                <span class="show-error-message p_subtitle boldText" id="errorMsgPhone"></span>
            </div>
          </div>

          <div class="row" style="display:none;" id="overseasNoDiv">
             <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Overseas Phone Number</p>
             </div>
            <div class="col-md-8">
                <input type="text" id="phoneOverseas" class="form-control" style="" placeholder="Overseas phone number" maxlength="20" value="<?php
                    if(isset($row) && !empty($row))
                      {
                        echo ($row->overseas_no);
                      }?>"/>
                <span class="show-error-message" id="errorMsgPhoneOverseas"></span>
            </div>
          </div>

          <div class="row">
              <div class="col-md-4">
                <p class="p_section_content p_color_blue">*Gender</p>
              </div>
              <div class="col-md-8">
                <div class="btn-group" data-toggle="buttons">
                  <label class="btn btn-default p_msg boldText <?php if(isset($row) && !empty($row)){if($row->gender=="Male")echo "active";}?>">
                      <input type="radio" id="q156" name="radioBtnGender" value="Male" <?php if(isset($row) && !empty($row) ){if($row->gender=="Male")echo "checked";}?>/> Male
                  </label>
                  <label class="btn btn-default p_msg boldText <?php if(isset($row) && !empty($row)){if($row->gender=="Female")echo "active";}?>">
                      <input type="radio" id="q157" name="radioBtnGender" value="Female" <?php if(isset($row) && !empty($row)){if($row->gender=="Female")echo "checked";}?>/> Female
                  </label>
                </div>
                <span class="show-error-message" id="errorMsgRadio" style="display:block; margin-top:15px;"></span>
              </div>
          </div>


          <p class="p_contant">
            <input type="checkbox" class="nominee_checkbox" id="armedForces" <?php if(isset($row) && !empty($row)){if($row->armed_forces=="1"){echo "checked";}}?>>
            <span class="p_contant boldText"> Armed forces personnel.</span>
          </p> -->
          <!--  Hide email and password when update investor details-->
            <!-- <div class="<?php if(isset($row) && !empty($row)){echo "hidden";}?>">
              <hr>
              <div class="row">
                 <div class="col-md-4">
                    <p class="p_section_content p_color_blue">*Email</p>
                 </div>
                 <div class="col-md-8">
                    <input type="email" id="email" class="form-control" placeholder="Email"
                    value="<?php
                        if(isset($_COOKIE['tempUserEmail']) && !empty($_COOKIE['tempUserEmail']))
                        {
                          echo $_COOKIE['tempUserEmail'];
                        }
                     ?>"/>
                    <span class="show-error-message p_subtitle boldText" id="errorMsgEmail"></span>
                    <p class="p_msg p_color_blue boldText">This will be your login ID</p>
                    <input type="button"  style="margin-bottom: 15px;display:none;" class="button-next btn btn-default waitLoader" id="img-spinner" value="Verifiying email address...">
                </div>
              </div>

               <div class="row">
                 <div class="col-md-4">
                    <p class="p_section_content p_color_blue">*Password</p>
                 </div>
                 <div class="col-md-8" style="margin-bottom:20px;">
                     <input type="password" id="password" class="form-control" placeholder="password" value=""/>
                     <span class="show-error-message p_subtitle boldText" id="errorMsgPassword"></span>

                     <p class="p_msg p_color_blue boldText">Select a password for your account</p>

                     <ul style="margin-left:-25px; font-size:0.9em; color: rgb(24, 27, 30)!important; line-height:15px; padding-top:0px;">
                       <li id="msgPasswordNumber" class="p_msg boldText">Password must contain atleast one number</li>
                       <li id="msgPasswordAlpha" class="p_msg boldText">Password must contain atleast one letter</li>
                       <li id="msgPasswordLength" class="p_msg boldText">Password must be atleast 6 characters</li>
                     </ul>
                 </div>
              </div> -->

              <!-- Enhanced security token image and text -->
              <!-- <div class="row">
                  <div class="col-md-4">
                      <p class="p_section_content p_color_blue" for="enhanced_security">*Enhanced security</p>
                  </div>
                  <div class="col-md-8">
                  <?php
                      $tokenImagesDir = base_url() . 'assets/tokenImages/';
                  ?>

                    <img src="<?php echo $tokenImagesDir?><?php echo rand(1,8) ?>.jpeg" alt="tokenImage" id="tokenImagePath" />
                    <input type="text" class="form-control" id="tokenImageName" size="" placeholder="Enter the name of the image shown" style="" oninput="checkTokenName();"/>
                    <span id="errorMsgTokenImageName"  class="show-error-message"></span>
                  </div>
              </div> -->
            </div>
          <!-- End Div -->
          <hr>
          <!-- <p class="p_contant">
            <input type="checkbox" class="nominee_checkbox" id="tNcCheckbox" <?php if(isset($row) && !empty($row)){echo "checked";}?>>
            <a class="forgot_password_link boldText" id="tNc" style="cursor:pointer;"> I agree to terms and conditions.</a>
          </p>

          <div class="row">
            <div class="al-center">
                <input type="button"  style="margin-bottom: 15px;" class="button-next btn enjoy-css <?php if(isset($row) && !empty($row)){echo "hidden";}?>" id="submitBtn" value="CREATE YOUR ACCOUNT" disabled>
                <input type="button"  style="margin-bottom: 15px;display:none;" class="button-next btn enjoy-css waitLoader" id="waitInfoPage1" value="<?php if(isset($row) && !empty($row)){echo "Updating";}else{echo "Waiting";}?>" disabled="disabled">
                <input type="button"  style="margin-bottom: 15px;" class="button-next btn enjoy-css <?php if(isset($row) && !empty($row)){echo "";}else{echo "hidden";}?>" id="updateBtn" value="ADD ADDRESS &amp; BANK DETAILS ">
                <p class="p_color p_color_blue boldText"><i class="fa fa-lock"></i> We guarantee your satisfaction. Your information will be kept confidential.</p>
            </div>
          </div>
            <input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
        </div>
    </div>
  </form> --><?php */?>
</div>

<div class="modal fade" id="tNcModalWindow" data-backdrop="static">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h2 class="text-center">TERMS  &amp; CONDITIONS FOR USE OF WEBSITE AND SERVICES</h2>
      </div>
      <div class="modal-body" style="color:gray">
      <div class="row">
                <p class="col-md-12 font p_justify" style="padding:0px 60px 0px 60px;">
                    By using <a href="" class="url p_color_green"><b>www.investocafe.com</b></a> (the “Website”) and signing up for the services

                    offered by INVESTOCAFE, You accept that visitors to the Site are required to

                    read the below terms, and use of the Site constitutes your acceptance and

                    agreement to be bound by such terms, and the changes therein to the Terms

                    from time to time, relating to your usage of the website as communicated and

                    made available on the website. You acknowledge and confirm that:
                </p>
                <div class="col-md-12">
                    <ul style="padding:0px 60px 0px 60px;">
                        <li class="p_justify">
                          <p>You are aware and accept that all information, content, materials,
                          products on the website is protected by copyright in the favor of
                          INVESTOCAFE under applicable copyright laws and is also protected
                          otherwise under general intellectual property law.</p>
                        </li>
                        <li class="p_justify">
                          <p>You have comprehended all the information provided on the Website
                          with respect to its content and intentions.</p>
                        </li>
                        <li class="p_justify">
                          <p>You have understood and agreed to abide by the terms of the
                          INVESTOCAFE Services Agreement below. This agreement is part of
                          the Investor Application Form, which is generated once you confirm
                          your registration. You are required to sign and send it to us.</p>
                        </li>
                        <li class="p_justify">
                          <p>INVESTOCAFE may contact you by phone and/or E-mail/SMS in
                          connection with your registration or any inquiry for verification,
                          authentication or guidance.</p>
                        </li>
                        <li class="p_justify">
                          <p>You agree that you will not use INVESTOCAFE’s website for any
                          purpose that is unlawful, or prohibited by these Terms. You also agree
                          you will not use the Site in any manner that could damage, disable or
                          impair the website or interfere with any other party’s use of the website.</p>
                        </li>
                        <li class="p_justify">
                          <p>You understand and accept INVESTOCAFE has the absolute discretion
                          to amend or supplement any of the Terms at any time and will give prior
                          notice for such changes. Changed Terms and Conditions shall be
                          communicated to you on the website and by other acceptable modes of
                          communication. By using the services, I shall be deemed to have
                          accepted the changed Terms and Conditions.</p>
                        </li>
                      </ul>
                </div>
                <p class="text-center">
                    <b>INVESTOCAFE SERVICES AGREEMENT</b>
                </p>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>1. I acknowledge that:</b></p>
                </div>
                <div class="col-md-12 font">
                    <ol style="list-style-type: lower-alpha;padding:0px 60px 0px 60px;">
                        <li class="p_justify">
                          <p>This document ("Agreement") is a legal contract between
                          INVESTOCAFE and me.</p>
                        </li>
                        <li>
                          <p>I have applied for an Investment Account after understanding the nature
                          and scope of services provided by INVESTOCAFE.</p>
                        </li>
                        <li>
                          <p>The operation of my investment account and the execution of
                          Instructions are subject to this Agreement, and the Offer Documents
                          (Offer Documents: Collective term for Offer Document, Scheme
                          Information Document, Statement of Additional Information, Key
                          Information Memorandum, issued by the Asset Management Company
                          that manages the mutual fund) of the respective Asset Management
                          Company ("AMC").</p>
                        </li>
                        <li>
                          <p>My identity on the Website is authenticated by the use of my Login ID.
                          INVESTOCAFE will consider Instructions authenticated by my Login ID
                          &amp;password to have originated from me.</p>
                        </li>
                        <li>
                          <p>The information provided when I register on the Website is true and
                          correct.</p>
                        </li>
                        <li>
                          <p>I have the right to transact directly with the AMC even in respect of the
                          investments made through INVESTOCAFE.</p>
                        </li>
                        <li>
                          <p>I am 18 years of age or older and where I am acting as Guardian on
                          behalf of a minor, I have the necessary authority to register/sign up for
                          the services on behalf of the minor.</p>
                        </li>
                    </ol>
                </div>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>2. Under this Agreement, INVESTOCAFE's obligations are to provide Services
                      as below:</b>
                    </p>
                </div>
                <div class="col-md-12 font">
                    <ol style="list-style-type: lower-alpha;padding:0px 60px 0px 60px;">
                        <li class="p_justify">
                          <p>Offer selected mutual fund schemes after methodical research &amp; analysis.</p>
                        </li>
                        <li>
                          <p>Facilitate purchase and sale of mutual fund units by transacting my
                            money and Instructions to the appropriate AMC, as per my Instructions.</p>
                        </li>
                        <li>
                          <p>Securely and confidentially maintain a record of my personal
                            information and my financial transactions.</p>
                        </li>
                        <li>
                          <p>Promptly respond to my inquiry/query relating to my online investmentaccount.</p>
                        </li>
                    </ol>
                </div>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>3. Under this Agreement, my duties &amp; responsibilities are to:</b>
                    </p>
                </div>
                <div class="col-md-12 font">
                    <ol style="list-style-type: lower-alpha;padding:0px 60px 0px 60px;">
                        <li class="p_justify">
                          <p>Keep my Login ID &amp; password safe and undisclosed. Promptly change
                              my Login Credentials and inform INVESTOCAFE of any actual or
                              alleged illegal/unauthorized use of my Login ID or password.
                          </p>
                        </li>
                        <li>
                          <p>Ensure that the money I invest is from my bank account (primary
                              holder's bank account in case of Investment Account held jointly), is
                              from justifiable &amp; lawful sources and is remitted through approved
                              banking channels.</p>
                        </li>
                        <li>
                          <p>Make an informed investment decision by reading the Offer Documents
                            (Offer Documents: Collective term for Offer Document, Scheme
                            Information Document, Statement of Additional Information, Key
                            Information Memorandum, issued by the Asset Management Company
                            that manages the mutual fund) of the mutual fund schemes that I am
                            investing in.</p>
                        </li>
                        <li>
                          <p>Seek self-regulating financial planning, legal, accounting, tax or other
                            professional advice before investing or withdrawing.</p>
                        </li>
                    </ol>
                </div>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>4. Under this Agreement, my duties &amp; responsibilities are to:</b>
                    </p>
                </div>
                <div class="col-md-12 font">
                    <ol style="list-style-type: lower-alpha;padding:0px 60px 0px 60px;">
                        <li class="p_justify">
                          <p>I am aware that INVESTOCAFE is an AMFI registered distributor of
                            mutual funds and receives commissions from AMCs, details of which
                            are available on the Website.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            My Investment Account will be activated after INVESTOCAFE verifies
                            my personal information in accordance with the Know Your Client
                            ("KYC") guidelines issued by the Securities and Exchange Board of
                            India ("SEBI").
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            INVESTOCAFE does not, and is not obliged to, offer all mutual fund
                            schemes for investment. By limiting the number of schemes on the
                            Website, INVESTOCAFE does not make any representation as to the
                            quality, bona fides or nature of any AMC or mutual fund scheme, or any
                            other representation, warranty or guaranty, express or implied.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            For investments using ECS/NACH/ Direct Debit, INVESTOCAFE will
                            first submit the fund transfer instruction(s) to my bank. My request for
                            subscription will be sent to the AMC only after receiving confirmation of
                            successful money transfer to the AMC's account. Consequently, there
                            may be a lag between the date of debit to my account and date
                            INVESTOCAFE submits my request to the AMC.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            My Instructions will be processed the same day if received before the
                            cut-off time(s) specified by INVESTOCAFE. Else, my Instructions will be
                            processed on the next business day. INVESTOCAFE may specify cut-
                            off time(s) earlier than the time(s) specified by the AMC/ SEBI.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            INVESTOCAFE will forward my Instructions to the AMC electronically
                            and the AMC will process the transactions on the basis of such
                            electronic instructions. AMCs are not obliged to accept my application
                            for subscription to units of their mutual fund schemes in part or in full.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            For Investment Accounts held jointly, the mutual fund folios maintained
                            by the concerned AMC will also be held jointly and all the individuals
                            will have the same authority to operate those folios (Any or Survivor).
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            The data and information provided on the Website does not constitute
                            advice and shall not be relied upon by me while making investment
                            decisions.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            In case I violate this agreement, or any local or international laws,
                            INVESTOCAFE may, at any time and at its sole discretion, terminate
                            my Investment Account and/or prevent me from accessing the Website
                            and/or Services at any time and at its sole discretion.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            INVESTOCAFE may modify these terms at any time by informing me.
                            My continued use of the Services will imply my acceptance of the
                            changes.
                          </p>
                        </li>
                    </ol>
                </div>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>5. I will not disagree and/or hold INVESTOCAFE responsible for:</b>
                    </p>
                </div>
                <div class="col-md-12 font">
                    <ol style="list-style-type: lower-alpha;padding:0px 60px 0px 60px;">
                        <li class="p_justify">
                          <p>Any act that is not an obligation of INVESTOCAFE in this Agreement.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            Any disclosures made by INVESTOCAFE to any statutory body under any law.
                          </p>
                        </li>
                        <li class="p_justify">
                          <p>
                            Any loss, notional or otherwise, incurred because of
                            <ul>
                              <li>
                                <p>impediments or delays either at the Bank, Registrar and Transfer
                                  Agency or AMC.</p>
                              </li>
                              <li>
                                <p>refusal or rejection of my instructions by the Bank, Registrar andTransfer Agency or AMC.</p>
                              </li>
                              <li>
                                <p>processing of Instructions authenticated by my Login ID &amp; password</p>
                              </li>
                              <li>
                                <p>unavailability of any communication systems, breach, or virus in the
                                  processes or payment or delivery mechanism, sabotage, fire, flood,
                                  explosion, acts of god, civil commotion, strikes or industrial action of
                                  any kind, riots, insurrection, war, acts of government, computer
                                  hacking, unauthorized access to computer data and storage
                                  devices, computer crashes, malfunctioning in the computer terminal
                                  or the systems getting affected by any malicious, destructive or
                                  corrupting code or program, mechanical or technical errors/failures
                                  or power shut down, faults or failures in telecommunication etc. or
                                  any other  circumstances which are beyond INVESTOCAFE's
                                  control.</p>
                              </li>
                            </ul>
                          </p>
                        </li>
                    </ol>
                </div>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>6. This Agreement is governed by the laws of India. All disputes are subjected,
                          firstly, to negotiation, and then by Arbitration by a sole arbitrator appointed by
                          INVESTOCAFE. The venue of arbitration will be Indore (MP).</b>
                      </p>
                </div>
                <div class="col-md-12 font" style="padding:0px 60px 0px 60px;">
                    <p><b>7. SEBI Caution: Mutual Fund investments are subject to market risks, read all
                          scheme-related documents carefully.</b>
                    </p>
                </div>
      </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn enjoy-css btn-success-loginView pull-right" data-dismiss="modal" onClick="">Close</button>
        <!-- <button type="button" class="btn btn-danger" id="modalUploadContinueBtn">Delete Image</button> -->
      </div>
    </div>
  </div>
</div>