<!DOCTYPE html>
<html class="no-js">
<html lang="en" class="no-js">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title> <?= $title ?> - investocafe</title>
    <meta name="description" content="" />
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <!--  -->
    <link rel="apple-touch-icon" sizes="57x57" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="https://www.investocafe.com/assets/administration/assets/img/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="https://www.investocafe.com/assets/administration/assets/img/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="https://www.investocafe.com/assets/administration/assets/img/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="https://www.investocafe.com/assets/administration/assets/img/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="https://www.investocafe.com/assets/administration/assets/img/favicon/favicon-16x16.png">
    <!--  -->
    <link rel="shortcut icon" href="<?php echo base_url();?>assets/favicon.ico" type="image/x-icon">
    <link href="<?= getUrl() ?>css/bootstrap.min.css" rel="stylesheet">
    <link href="<?= getUrl() ?>css/jquery.fancybox.css" rel="stylesheet">
    <link href="<?= getUrl() ?>css/flickity.css" rel="stylesheet">
    <link href="<?= getUrl() ?>css/animate.css" rel="stylesheet">
    <link href="<?= getUrl() ?>allcss/index.css" rel="stylesheet">
    <?php if(isset($custom_css)):?> <link rel="stylesheet" href="<?= getUrl().$custom_css ?>"> <?php endif;?>
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
    <link href='//fonts.googleapis.com/css?family=Nunito:400,300,700' rel='stylesheet' type='text/css'>
    <link href="<?= getUrl() ?>css/styles.css" rel="stylesheet">
    <link href="<?= getUrl() ?>css/queries.css" rel="stylesheet">
    <meta property="og:title" content="<?= $title ?>" />
    <meta property="og:image" itemprop="image" content="<?= $ogimage ?>" />
    <meta property="og:image:url" itemprop="image" content="<?= $ogimage ?>" />
    <!-- <meta property="og:image:type" content="image/png" /> -->
    <!-- <meta property="og:image" content="<?= $ogimage ?>" /> -->
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="<?= $ogDescription ?>" />
    <meta name="twitter:title" content="<?= $title ?>" />
    <meta name="twitter:image" content="<?= $ogimage ?>" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link rel="stylesheet" href="<?= getUrl() ?>assets/owlcarousel/assets/owl.carousel.min.css">
    <link rel="stylesheet" href="<?= getUrl() ?>assets/owlcarousel/assets/owl.theme.default.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
    <!-- <meta name="google-site-verification" content="LdGD74-KqD_392lxyQpIXeF601TT67mcMvmX-u5kff0" /> -->
    <meta name="google-site-verification" content="I_dNyg-Mjsp2i7BczDy-QSrLp6OeFN3wVkh_w_tXt7c" />
    <meta name="facebook-domain-verification" content="kez6fxhn9swrsdyr759ocpcvfl8rqz" />
</script>
<style>
.customChat {
    position: fixed;
    bottom: 30px;
    right: 40px;
}
</style>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-W8695W6');</script>
<!-- End Google Tag Manager -->

<script type="text/javascript"> //<![CDATA[ 
var tlJsHost = ((window.location.protocol == "https:") ? "https://secure.trust-provider.com/" : "http://www.trustlogo.com/");
document.write(unescape("%3Cscript src='" + tlJsHost + "trustlogo/javascript/trustlogo.js' type='text/javascript'%3E%3C/script%3E"));
//]]>
</script>
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-206518885-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-206518885-1');
</script>

</head>

<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-W8695W6"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
    <!-- contact us model -->
<div id="contactUsModelWindow" class="modal fade" role="dialog">
  <div class="modal-dialog" style="    position: fixed;bottom: 0;right: 0;margin: 0px 30px 0px 0px;width: 350px;">
    <div class="modal-content">
      <div class="modal-header" style="    background: #0a85cb;color: white;font-size: 20px;">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Contact Us</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <input type="text" class="form-control" placeholder="Your Name" id="contactName">
        </div>
        <div class="form-group">
            <input type="text" class="form-control" placeholder="Email" id="contactEmail">
        </div>
        <div class="form-group">
            <input type="text" class="form-control" placeholder="Phone Number" id="contactPhone">
        </div>
        <!-- <div class="form-group">
            <input type="file" class="form-control">
        </div> -->
        <div class="form-group">
            <textarea placeholder="Query" class="form-control" id="contactQuery"></textarea>
        </div>
        <div class="form-group">
            <button class="btn btn-info" id="contactSend">SEND</button>
        </div>
        <input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
      </div>
    </div>
  </div>
</div>
<?php if(!isset($_SESSION['hide_popup'])): ?>
<script type="text/javascript">
    $(document).ready(function(){
        setTimeout(function(){
        $("#contactUsModelWindow").modal('show')
    },10000); 
    });
</script>
<?php 
$_SESSION['hide_popup'] = 1;
endif; ?>
<script type="text/javascript">
    $("#contactSend").click(function(){
        $(document).find(".errorcls").remove();
        var contactName = $("#contactName").val();
        var contactEmail = $("#contactEmail").val();
        var contactPhone = $("#contactPhone").val();
        var contactQuery = $("#contactQuery").val();
        var errorcode = 0;
        if(contactName==''){
            var errorcode =+ 1;
            $("#contactName").after('<span style="color:red" class="errorcls">Please enter your name</span>');
        }

        // if(contactEmail==''){
        //     var errorcode =+ 1;
        //     $("#contactEmail").after('<span style="color:red"  class="errorcls">Please enter your email</span>');
        // }

        if(contactPhone==''){
            var errorcode =+ 1;
            $("#contactPhone").after('<span style="color:red"  class="errorcls">Please enter your phone number</span>');
        }

        // if(contactQuery==''){
        //     var errorcode =+ 1;
        //     $("#contactQuery").after('<span style="color:red"  class="errorcls">Please enter you  query</span>');
        // }

        if(errorcode==0){
            var tokenName = $("#tokenName").attr("name");
            var tokenValue = $("#tokenName").val();
            
            var data = {
                    'name':contactName,
                    'emailId':contactEmail,
                    'question':contactQuery,
                    'phone':contactPhone
            }
            data[tokenName] = tokenValue;
            $("#contactSend").html("SENDING...")
            $.ajax({
                url:site_url+'home/submitQuestion',
                data:data,
                type:'POST',
                success:function(dat){
                    $("#contactName").val('');
                    $("#contactEmail").val('');
                    $("#contactPhone").val('');
                    $("#contactQuery").val('');
                    var result = eval('('+dat+')');
                    if(result.success==true){
                        $("#contactSend").html("SEND");
                        $("#contactSend").after("<span style='width:100%;padding:4px;margin:4px;border-radius:4px;color:white;background:green'>Successfully Submit</span>")
                    }else{
                        $("#contactSend").html("SEND");
                        $("#contactSend").after("<span style='width:100%;padding:4px;margin:4px;border-radius:4px;color:white;background:red'>Somthing went to wrong try again</span>")
                    }
                },
                failuare:function(){

                }

            })
        }
    })
</script>

<script type="text/javascript">var site_url = '<?= base_url(); ?>'</script>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <div id="wrapper">
        <header class="header navbar-fixed-top" id="mynav">
            <!-- end of container -->
            <div class="container">
                <div class="row nav-wrapper">
                    <div class="col-md-6 col-sm-6 col-xs-6 text-left">
                        <a href="<?php echo base_url() ?>">
                            <?php if(isset($_COOKIE['sarvagram_logo'])){ ?>
                            <img class="headerLogo leftitem" src="<?= $_COOKIE['sarvagram_logo'] ?>" alt="SarvaGram FinCare">
                            <?php }else{ ?>
                            <img class="headerLogo leftitem" src="<?= getUrl() ?>img/logo-white.png" alt="Boxify Logo">
                            <?php } ?>
                        </a>
                        <div class="buttonText hideInvesto">
                            <p class="login_button loginbtnhdr"><a href="<?= base_url('') ?>#howItWorks">How it works</a> &nbsp;
                                <a href="<?= base_url('blogs') ?>">Investo-Blog</a>
                            </p>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-xs-6 text-right navicon">
                        <div class="buttonText hideInvesto">
                            <p class="login_button" style="margin-top: 10px;">
				<?php if(!checkuser_session()): ?>
							 <a href="https://api.whatsapp.com/send?phone=9691924593" class="login_button loginbtnhdr" style="font-size: 16px; background:#ffffff; color: #0a85cb; box-shadow: 0px 0px 4px 0px #cccccc;"><i class="fa fa-whatsapp"> </i> 9691924593 </a>&nbsp;
                                <a href="tel:0722-4051610" class="login_button loginbtnhdr" style="font-size: 16px; background:#ffffff; color: #0a85cb; box-shadow: 0px 0px 4px 0px #cccccc;"><i class="fa fa-phone"> </i> 0722-4051610 </a>&nbsp;
				<a href="<?= base_url('loginRegistration?login=true') ?>">Login / Register</a> &nbsp;
				<div class="customChat"><a href="#" data-toggle="modal" data-target="#contactUsModelWindow" style="background: transparent;color: #ffffff;font-size: 25px;"><i class="fa fa-envelope-open envelopeHedr"></i></a></div>
				<?php else: ?>
				<a href="<?= base_url('dashboard') ?>" class="login_button loginbtnhdr" style="font-size: 16px; background:#ffffff; color: #0a85cb; box-shadow: 0px 0px 4px 0px #cccccc;"><i class="icon-dashboard"></i> Dashboard </a>&nbsp;
                                    <a href="<?= base_url('login/logout') ?>">LogOut</a> &nbsp;
                                <div class="customChat"><a href="#" data-toggle="modal" data-target="#contactUsModelWindow" style="background: transparent;color: #ffffff;font-size: 25px;"><i class="fa fa-envelope-open envelopeHedr"></i></a></div>
                                 <?php endif ?> 
			    </p>
                            <br>
                        </div>
                        <p></p><a id="trigger-overlay" class="nav_slide_button nav-toggle" href="#"><span></span></a>
                    </div>
                </div>
               
                <!-- end of sidenav2 -->
        </header>
        <!-- end of header -->
        <div class="container">
            <div class="row">
                <div class="col-md-9" id="main_menu_new">
                    <nav>
                        <div class="overlay overlay-boxify overlay-old overlay-boxify-old">
                            <div class="col-md-12">
                                <div class="col-md-2 col-xs-12 col-sm-12 col-lg-2">
                                    <h4 class="title-widget headerMenu">About</h4>
                                    <ul>
                                        <li><a href="<?= base_url('aboutUs?=company') ?>">Company</a></li>
                                        <li><a href="<?= base_url('aboutUs?=core_team') ?>">Core Team</a></li>
                                        <li><a href="<?= base_url('aboutUs?=media') ?>">Media</a></li>
                                        <li><a href="<?= base_url('aboutUs?=partners') ?>">Partners</a></li>
                                        <li><a href="<?= base_url('aboutUs?=disclosures') ?>">Disclosures</a></li>
                                        <li><a href="<?= base_url('aboutUs?=faqs') ?>">FAQs</a></li>
                                    </ul>
                                </div>
                                <div class="col-md-2 col-xs-12 col-sm-12 col-lg-2">
                                    <h4 class="title-widget headerMenu">Learn</h4>
                                    <ul>
                                        <li><a href="<?= base_url('blogs') ?>">Investo-Blog</a></li>
                                        <li><a href="<?= base_url('') ?>#howItWorks">How It Works</a></li>
                                        <li><a href="<?= base_url('blogs/category/our-success-stories') ?>">Our Success Stories</a></li>
                                        <li><a href="<?= base_url('knowledgeBites') ?>">Knowledge Center</a></li>
                                        <!-- <li><a href="<?= base_url('videos') ?>">InvestoVideos</a></li> -->
                                    </ul>
                                </div>
                                <div class="col-md-2 col-xs-12 col-sm-12 col-lg-2">
                                    <h4 class="title-widget headerMenu">Plan</h4>
                                    <ul>
                                        <li><a href="<?= base_url('sipCalculation') ?>">Retirement</a></li>
                                        <li><a href="<?= base_url('sipCalculation') ?>">Tax Savings</a></li>
                                        <li><a href="<?= base_url('sipCalculation') ?>">Child's Education</a></li>
                                        <li><a href="<?= base_url('sipCalculation') ?>">Child's Marriage</a></li>
                                        <li><a href="<?= base_url('sipCalculation') ?>">Returns on investments</a></li>
                                        <li><a href="<?= base_url('sipCalculation') ?>">Goal Based Investments</a></li>
                                    </ul>
                                </div>
                                <div class="col-md-2 col-xs-12 col-sm-12 col-lg-2">
                                    <h4 class="title-widget headerMenu">Invest</h4>
                                    <ul>
                                        <li><a href="<?= base_url('loginRegistration') ?>">Register</a></li>
                                        <li><a href="<?= base_url('loginRegistration?task=login') ?>">Login</a></li>
                                    </ul>
                                </div>
                                <div class="col-md-2 col-xs-12 col-sm-12 col-lg-2">
                                    <h4 class="title-widget headerMenu">Contact Us</h4>
                                    <ul>
                                        <li><a href="<?= base_url('careers') ?>">Careers</a></li>
                                        <li><a href="<?= base_url('contactUs') ?>">Reach Us</a></li>
                                       
                                    </ul>
                                </div>
                                <div class="col-md-2 col-xs-12 col-sm-12 col-lg-2">
                                   <!--  <h4 class="title-widget headerMenu">Refer & rewards</h4>
                                    <ul>
                                        <li><a href="<?= base_url('refer/login') ?>">Register as Investo-PAL</a></li>
                                        
                                        <li><a href="<?= base_url('refer/login') ?>">Redeem Your Points</a></li>
                                    </ul> -->
                                    <div class="buttonText login-new">
                    				    <?php if(!checkuser_session()): ?>
                                                            <p class="login_button">
                                                                <a href="<?= base_url('loginRegistration') ?>" style="background:#ffffff; color: #0a85cb; box-shadow: 0px 0px 4px 0px #cccccc;">Login / Register</a>
                    					<?php else: ?>
                    				    <a href="<?= base_url('dashboard') ?>" class="login_button loginbtnhdr" style="font-size: 16px;background: #ffffff;color: #0a85cb;padding: 4px;border-radius: 4px;margin-right: 4px;"><i class="icon-dashboard"></i> Dashboard </a>
                                        <a href="<?= base_url('login/logout') ?>" style="font-size: 16px;background: #ffffff;color: #0a85cb;padding: 4px;border-radius: 4px;margin-right: 4px;">LogOut</a>
                    				    <?php endif ?>
                                        </p>
					
                                    </div>
                                    <div class="clear">&nbsp;</div>
                                </div>
                            </div>    
                        </div>
                    </nav>
                </div>
            </div>
        </div>