<?php
    $ci =& get_instance();
    $controller=$ci->router->fetch_class();
    if(checkuser_session())
    {
      if(isset($_SESSION["groupId"]) && !empty($_SESSION["groupId"]))
      {
        $groupId=$_SESSION["groupId"];
      }
    }
?>
<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <!-- TITLE -->
      <title>
      	 <?php
          if(isset($pageTitle) && !empty($pageTitle)){
            echo $pageTitle;
          }else{
            echo 'Investocafe';
          }
        ?>
      </title>
      <!-- FAVICON -->
    <script src="https://storage.googleapis.com/code.getmdl.io/1.0.6/material.min.js"></script>
   <link rel="stylesheet" href="https://storage.googleapis.com/code.getmdl.io/1.0.6/material.indigo-pink.min.css">
   <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">   
   <script langauage="javascript">
      function showMessage(value){
         document.getElementById("message").innerHTML = value;
      }   
   </script>
      <link rel="shortcut icon" type="image/x-icon" href="<?= base_url('assets/tech-assets/favicon.ico')  ?>" />      
      <!-- Bootstrap -->
      <link rel="stylesheet" href="http://www.w3schools.com/lib/w3.css">
      <link href="<?= base_url() ?>assets/tech-assets/css/bootstrap.min.css" rel="stylesheet">
            <!-- <link href="<?= base_url() ?>assets/css/input/set1.css" rel="stylesheet"> -->
            <!-- <link href="<?= base_url() ?>assets/css/input/set2.css" rel="stylesheet"> -->
      <!--FONT AWESOME -->
      <link href="<?= base_url() ?>assets/tech-assets/css/font-awesome.css" rel="stylesheet">
      <!-- MENU -->
      <link rel="stylesheet" href="<?= base_url() ?>assets/tech-assets/css/menuzord.css">       
      <!-- STROKE GAP ICON -->
      <link href="<?= base_url() ?>assets/tech-assets/css/stroke-icon.css" rel="stylesheet">
      <!-- <link href="<?= base_url() ?>assets/tech-assets/css/demo.css" rel="stylesheet"> -->
      <link href="<?= base_url() ?>assets/tech-assets/css/ie7.css" rel="stylesheet">
      <!-- Portfolio Filter -->
      <link rel="stylesheet" href="<?= base_url() ?>assets/tech-assets/css/bootFolio.css">
      <!-- Popup -->
      <link rel="stylesheet" href="<?= base_url() ?>assets/tech-assets/css/magnific-popup.css">      
      <!-- JQUERY UI STYLE -->
      <link rel="stylesheet" href="<?= base_url() ?>assets/tech-assets/css/jquery-ui.css">        
      <!-- OWL CSS -->
      <link href="<?= base_url() ?>assets/tech-assets/css/owl.theme.default.css" rel="stylesheet">
      <link href="<?= base_url() ?>assets/tech-assets/css/owl.carousel.css" rel="stylesheet">  
      <!-- RS5.0 Main Stylesheet -->
      <link rel="stylesheet" type="text/css" href="<?= base_url() ?>assets/tech-assets/revolution/css/settings.css">    
      <!-- RS5.0 Layers and Navigation Styles -->
      <link rel="stylesheet" type="text/css" href="<?= base_url() ?>assets/tech-assets/revolution/css/layers.css">
      <link rel="stylesheet" type="text/css" href="<?= base_url() ?>assets/tech-assets/revolution/css/navigation.css">           
      <!-- MAIN STYLE -->
      <link rel="stylesheet" href="<?= base_url() ?>assets/tech-assets/css/style.css">

      <!-- GOOGLE FONT -->
      <link href='https://fonts.googleapis.com/css?family=Raleway:400,100,200,300,500,600,700,800,900' rel='stylesheet' type='text/css'>
      <link href='https://fonts.googleapis.com/css?family=Droid+Serif:400,400italic,700,700italic' rel='stylesheet' type='text/css'>
      <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic' rel='stylesheet' type='text/css'>
      <script src="<?= base_url() ?>assets/tech-assets/js/jquery-1.11.3.min.js"></script> 
      <script src="<?php echo base_url();?>assets/js/scripts.js" type="text/javascript"></script> 
      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
   </head>
   <body>

      <!-- =========================
        START PRELOADER
      ============================== -->
      <div class="outslider_loading">
         <div class="outslider_loader"></div>
      </div>

      <!-- =========================
        END PRELOADER
      ============================== -->

          <!-- =========================
        START HEADER SECTION
      ============================== -->  
      <header class="header-area home-7-header-area v-8-header-area v-11-header-area navbar-fixed-top">
         <div class="container custom-header">
            <div class="row">
               <div id="menuzord" class="menuzord">
                  <a href="home.html" class="menuzord-brand"><img class="img-responsive" style="max-height: 60px;margin-top: -21px" src="<?= base_url() ?>assets/tech-assets/images/logo-inv.png" alt=""></a>
                     <div class="header-search">
                                              
                     </div>                   
                     <ul class="menuzord-menu menuzord-menu-bg">
                     <?php
                      if(checkuser_session())
	                  {
	                	 ?>

	                	<li class="<?php if($controller=="home") {echo 'active';} ?>"><a  href="<?php echo base_url();?>">Home</a></li>

                        <li class="<?php if($controller=="dashboard") {echo 'active';} ?>"><a  href="<?php echo base_url();?>dashboard">Dashboard</a></li>

                        <li  class="<?php if($controller=="myProfile" || $controller=="myRiskProfile") {echo 'active';} ?>"><a href="<?php echo base_url();?>myProfile?page=myProfile">My Profile</a></li>

                        <li  class= "<?php if($controller=="downloadForm") {echo 'active';} ?>" ><a href="<?php echo base_url();?>downloadForm">Download</a></li>

                        <li><a class="<?php if($controller=="login") {echo 'active';} ?>"href="<?php echo base_url();?>login/logout">Logout</a></li>                        
                        <!-- <li><a href="blog-grid.html">BLOG</a></li>
                        <li><a href="shop-right-sidebar.html">Shop</a></li>                                                
                        <li><a href="contact.html">Contact</a></li> -->

	                  <?php
	                  }
	                  	else
	                  {
	                   ?>


                        <li class="<?php if($controller=="home") {echo 'active';} ?> "><a  href="<?php echo base_url();?>home">Home</a></li>
                        <li class="<?php if($controller=="aboutUs") {echo 'active';} ?> "><a  href="<?php echo base_url();?>aboutUs?=aboutus">About Us</a></li>
                        <li class="<?php if($controller=="") {echo 'active';} ?>"><a  href="<?php echo base_url();?>#howItWorksSpan">How it works</a></li>
                        <li class ="<?php if($controller=="") {echo 'active';} ?>" ><a href="<?php echo base_url();?>#contactSpan">
                        Contact</a></li>
                        <li  class="<?php if($controller=="sipCalculation") {echo 'active';} ?>"><a  href="<?php echo base_url();?>sipCalculation">Tools</a></li>                        
                        <li class="<?php if($controller=="login") {echo 'active';} ?> <?php if($controller=="Registration") {echo 'active';} ?>"><a href="#" >Account</a>
                            <ul class="dropdown">
                                <li><a href="<?php echo base_url();?>login" data-toggle="tooltip" title="Login/Register">Login</a></a>
                                </li>
                                <li><a href="<?php echo base_url();?>Welcome">Register</a>
                                </li>                             
                            </ul>      
                        </li>
                        <!-- <li class="<?php if($controller=="login") {echo 'active';} ?>"></li>                                                
                        <li class="<?php if($controller=="Registration") {echo 'active';} ?>"></li> -->
                      <?php   } ?>
                     </ul>
                   <div class="appointment-area appointment-2-area appointment-7-area">
                      <p><i class="fa fa-phone"></i> 002 01065370701</p>
                   </div>                     
               </div>
            </div>
         </div>
      </header>
      <!-- =========================
        START HEADER SECTION
      ============================== -->
      <div style="width: 100%;padding: 50px;">
      </div>
