<style type="text/css">
	select, input {
	    height: 26px;
	    padding: 3px 6px;
	    width: 200px;
	}
	i.fa.fa-question-circle {
	    font-size: 20px;
	    padding: 4px 0px 0px 6px;
	}
</style>
<h3>Open New Fixed Deposit</h3>

<table class="table">
	<tr>
		<td style="width: 40%">FD Type</td>
		<td>
			<select id="fd_type">
				<option value="C">CUMULATIVE</option>
				<option value="NC">NON-CUMULATIVE</option>
			</select> <i class="fa fa-question-circle" data-toggle="tooltip" data-placement="right" title="In cumulative fixed deposit, interest is compounded every quarter or year and paid at the time of maturity. In a non-cumulative FD, interest is paid out monthly, quarterly, half-yearly, or annually, as per the investor's choice!"></i>
		</td>
	</tr>
	<tr id="interest_frequency_blog" style="display: none;">
		<td>Interest Frequency</td>
		<td>
			<select id="interest_frequency">
				<option value="H">Half yearly</option>
				<option value="Q">Quarterly</option>
			</select>
		</td>
	</tr>
	<tr>
		<td>Select Tenure</td>
		<td>
			<select id="fd_tenure">
				<option value="12">12 Months</option>
				<option value="18">18 Months</option>
				<option value="24">24 Months</option>
				<option value="36">36 Months</option>
				<option value="38">38 Months</option>
				<option value="44">44 Months</option>
				<option value="48">48 Months</option>
				<option value="60">60 Months</option>
			</select>&nbsp;
			<a id="ratsbtn" ><b>FD Rates</b></a>
		</td>
	</tr>
	<tr>
		<td>Enter Amount</td>
		<td>
			<input id="enter_amount" type="text" min-amt="25000" max-amt="5000000" multipule_of="1000" placeholder="Enter FD amount">&nbsp;(Min. amount 25000)
		</td>
	</tr>
	<tr>
		<td></td>
		<td>
			<button class="btn btn-info pull-right" id="proccess_fd">Proccess Now</button>
			<a href="" class="btn btn-info  pull-right" style="margin-right: 10px">Back</a>
		</td>
	</tr>
</table>
<input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
<?php
	$dateOfBirth = $data['user_data']->dob;
	$today = date("Y-m-d");
	$diff = date_diff(date_create($dateOfBirth), date_create($today));
	if($diff->format('%y') > 59){ $age = "SR"; }else{ $age = "PU"; }
?>
<input type="hidden" name="age" id="user_age" value="<?= $age ?>">
<script type="text/javascript">

	$("#fd_type").on("change",function(){
		var fd_type = $(this).val();
		if(fd_type=='C'){
			$("#interest_frequency_blog").hide();
		}else{
			$("#interest_frequency_blog").show();
		}
	})

	$("#enter_amount").on("change",function()
	{
		// $(".form-error").remove();
		var amount = $(this).val();
		if(amount < 25000)
		{
			alert("Amount should be greater than or equal to 25000");
			$(this).val("");
		}
		else if(amount > 5000000)
		{
			alert("Amount should be less than or equal to 5000000");
			$(this).val("");
		}
		else if(amount%1000 > 0)
		{
			alert("Amount should be multiple of 1000");
			$(this).val("");
		}
		// alert(amount%1000);
	})

	$("#proccess_fd").click(function(){
		var amount = $("#enter_amount").val();
		if(amount < 25000)
		{
			alert("Amount should be greater than or equal to 25000");
			$(this).val("");
		}
		else if(amount > 5000000)
		{
			alert("Amount should be less than or equal to 5000000");
			$(this).val("");
		}
		else if(amount%1000 > 0)
		{
			alert("Amount should be multiple of 1000");
			$(this).val("");
		}
		else
		{
			var fd_type = $("#fd_type").val();
			var fd_tenure = $("#fd_tenure").val();
			var user_age = $("#user_age").val();
			if(fd_type=='NC'){
				var interest_frequency = $("#interest_frequency").val();
			}else{
				var interest_frequency = '';
			}
			

			var data = {
				"amount":amount,
				"fd_type":fd_type,
				"fd_tenure":fd_tenure,
				"interest_frequency":interest_frequency,
				"user_age":user_age
			};
			var tokenName = $("#tokenName").attr("name");
      		var tokenValue = $("#tokenName").val();
			data[tokenName] = tokenValue;
			$.ajax({
				url:site_url+"fixedDeposit/chooseFD",
				data:data,
				type:"POST",
				success:function(dat){
					var result = eval('('+dat+')');
					window.location.href= result.url+'?amount='+amount;
				},
				failuare:function(){
					alert("Server not response please try again");
				}
			})
		}
	})

$(document).ready(function(){
  $('[data-toggle="tooltip"]').tooltip();   
});


$("#ratsbtn").click(function(e){
	e.preventDefault();
	window.open("<?php echo base_url('/fixedDeposit/rats/').'/'.$age ?>", "MsgWindow", "width=600,height=400");
})
</script>