<script type="text/javascript">
	var fundObj = <?= json_encode($funds); ?>
</script>
<style type="text/css">
	.dateChart {
	    position: absolute;
	    width: 200px;
	    display: none;
	    /*top: 40px;*/
	    left: 0px;
	    background: white;
	}
	.dateVal {
	    display: block;
	    float: left;
	    width: 40px;
	    font-size: 18px;
	    border: 1px solid #Eee;
	    text-align: center;
	    cursor: pointer;
	    top: 40px;
	}
	.pickDateEveryMonth {
	    position: relative;
	}
	.fund_detail {
	    display: block;
	    width: 100%;
	    float: left;
	    margin-top: 24px;
	}
	.fund_name {
	    /*width: 75%;*/
	    /*display: flex;*/
	    /*float: left;*/
	}
	input#every_month_date {
	    height: 40px;
	    font-size: 21px;
	    width: 100px;
	    padding: 12px;
	}
</style>
<div class="row">
	<div class="col-md-12" style="min-height: 300px">
		<h4>SWP (Systematic Withdrawal Plan)</h4>
		<hr />
		<?php if($funds): ?>
		<div class="form-group">
			<label>Select SWP Fund</label>
			<select class="form-control" id="fundListData">
				<option>Select Fund</option>
				<?php foreach($funds as $key => $fund): ?>
					<option value="<?= $key ?>"><?= $fund->fund_name ?></option>
				<?php endforeach; ?>
			</select>
		</div>
		<?php endif; ?>
		<p>I would like to Start SWP on
		<div class="pickDateEveryMonth">
			<input type="text" id="every_month_date">
			<div class="dateChart">
				<div class="dateVal">1</div>
				<div class="dateVal">2</div>
				<div class="dateVal">3</div>
				<div class="dateVal">4</div>
				<div class="dateVal">5</div>
				<div class="dateVal">6</div>
				<div class="dateVal">7</div>
				<div class="dateVal">8</div>
				<div class="dateVal">9</div>
				<div class="dateVal">10</div>
				<div class="dateVal">11</div>
				<div class="dateVal">12</div>
				<div class="dateVal">13</div>
				<div class="dateVal">14</div>
				<div class="dateVal">15</div>
				<div class="dateVal">16</div>
				<div class="dateVal">17</div>
				<div class="dateVal">18</div>
				<div class="dateVal">19</div>
				<div class="dateVal">20</div>
				<div class="dateVal">21</div>
				<div class="dateVal">22</div>
				<div class="dateVal">23</div>
				<div class="dateVal">24</div>
				<div class="dateVal">25</div>
				<div class="dateVal">26</div>
				<div class="dateVal">27</div>
				<div class="dateVal">28</div>
			</div>
		</div>
		Every Month</p>
<!-- 		<div class="fund_detail">
			<div class="fund_name"></div>
			<div class="swp_amount"><input type="text" id="swp_amount"></div>
		</div> -->
		<table class="table table-responsive">
		   <thead>
		      <tr class="w3-blue">
		         <th class="p_section_content">Mutual Fund Scheme</th>
		         <th class="p_section_content">Minimum Amount</th>
		         <th class="p_section_content">First Investment</th>
		      </tr>
		   </thead>
		   <tbody id="suggestedFunds">
		      <input type="hidden" id="noOfInvestedFunds" value="6">                                          
		      <tr class="showfunds">
		         <td width="50%">
		            <div class="">
		               <span class=" fund_name" style="cursor:pointer"></span>
		            </div>
		         </td>
		         <td class="" id="minInvColP"></td>
		         <td> <input  class="form-control" id="swp_amount" fundid="0" minAmt="" maxAmt=""  style="display: none;width: 150px"></td>
		      </tr>
		   </tbody>
		   <tfoot>
		      <tr class="w3-blue">
		         <td colspan="1"><span class="p_section_content"><b style="padding:10px;">Total Amount</b></span></td>
		         <td colspan="2" class="align_right"><span class="radio-btn-label" style="font-size:1.4em!important;font-weight:500!important;padding:10px;"> Rs. <span id="totalAmountRadio" class="radio-btn-label" style="font-weight:500!important;"></span></span></td>
		      </tr>
		   </tfoot>
		</table>
		<br />
		<button class="btn btn-info pull-right" id="submit-btn">Continue to SWP</button>
		<input type="hidden" id="tokenName" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
	</div>
</div>
<script type="text/javascript">
	$("#fundListData").on('change',function(){
		var val = $("#fundListData").val();
		console.log(fundObj[val]);
		// $(".fund_detail").html(fundObj[val]);
		$(".fund_name").html(fundObj[val].fund_name);
		$("#swp_amount").val(fundObj[val].withdwraw_monthly).show();
		$("#minInvColP").html(fundObj[val].redemption_min_amount)
		$("#totalAmountRadio").html(fundObj[val].withdwraw_monthly)
		$("#swp_amount").attr('fundid',fundObj[val].fund_id);
		$("#swp_amount").attr('minAmt',fundObj[val].redemption_min_amount);
		$("#swp_amount").attr('maxAmt',fundObj[val].withdwraw_monthly);
	})

	$("#every_month_date").click(function(){
		$(".dateChart").show();
	})	
	$(".dateVal").click(function(){
		$("#every_month_date").val($(this).html());
		$(".dateChart").hide();
	})

	$("#submit-btn").click(function(){
		
		var error = 0;
		var amt = $("#swp_amount").val();
		console.log(amt);
		var fund_id = $("#swp_amount").attr('fundid');
		var min_amt = $("#swp_amount").attr('minAmt');
		var max_amt = $("#swp_amount").attr('maxAmt');
		var every_month_date = $("#every_month_date").val();
		if(amt==""){
			error +=1;
			alert("Please select fund");
			// $("#swp_amount").val(min_amt);
		}
		if(amt < min_amt){
			error +=1;
			alert("Minimum amount should be "+ min_amt);
			$("#swp_amount").val(min_amt);
		}

		if(amt > max_amt){
			error +=1;
			alert("Maximun amount should be "+max_amt);
			$("#swp_amount").val(max_amt);
		}

		if(every_month_date==""){
			error +=1;
			alert("Please select Date");
		}else if(isNaN(every_month_date)){
			error +=1;
			alert("Please select a valid Date");
		}
		else if(every_month_date > 28 || every_month_date < 1){
			error +=1;
			alert("Invalid date selected");
			$("#every_month_date").val("");
		}

		if(error==0){
			$("#submit-btn").attr('disabled','disabled');
		$("#submit-btn").html('Wait...')
			var data = {
				fund_id:fund_id,
				amt:amt,
				date:every_month_date
			}
			var tokenName = $("#tokenName").attr("name");
  			var tokenValue = $("#tokenName").val();
			data[tokenName] = tokenValue;
			$.ajax({
				"url":site_url+"swp/saveData",
				"data":data,
				type:"POST",
				success:function(dat)
				{
					var result=eval('('+dat+')');
					if(result.success==true)
					{
						window.location.href = site_url+"purchase/confirmationInvestedFunds";
					}
					else
					{
						alert("Somthing went to wrong please try again");
					}
				},
				failure:function(){

				}
			})
		}
	})
</script>
<?php include 'dashboard_right_section_view.php'; ?>
